#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1248
#define LARGE_STATE_COUNT 33
#define SYMBOL_COUNT 453
#define ALIAS_COUNT 0
#define TOKEN_COUNT 184
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 12
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 13

enum ts_symbol_identifiers {
    anon_sym_short = 1,
    anon_sym_int16 = 2,
    anon_sym_long = 3,
    anon_sym_int32 = 4,
    anon_sym_longlong = 5,
    anon_sym_int64 = 6,
    sym_unsigned_tiny_int = 7,
    sym_boolean_type = 8,
    anon_sym_fixed = 9,
    sym_octet_type = 10,
    sym_signed_tiny_int = 11,
    anon_sym_unsignedshort = 12,
    anon_sym_uint16 = 13,
    anon_sym_unsignedlong = 14,
    anon_sym_uint32 = 15,
    anon_sym_unsignedlonglong = 16,
    anon_sym_uint64 = 17,
    anon_sym_float = 18,
    anon_sym_double = 19,
    anon_sym_longdouble = 20,
    anon_sym_char = 21,
    anon_sym_wchar = 22,
    anon_sym_COLON_COLON = 23,
    anon_sym_string = 24,
    anon_sym_wstring = 25,
    anon_sym_LT = 26,
    anon_sym_GT = 27,
    anon_sym_any = 28,
    anon_sym_COMMA = 29,
    anon_sym_sequence = 30,
    anon_sym_map = 31,
    anon_sym_PIPE = 32,
    anon_sym_CARET = 33,
    anon_sym_AMP = 34,
    anon_sym_GT_GT = 35,
    anon_sym_LT_LT = 36,
    anon_sym_PLUS = 37,
    anon_sym_DASH = 38,
    anon_sym_STAR = 39,
    anon_sym_SLASH = 40,
    anon_sym_PERCENT = 41,
    anon_sym_LPAREN = 42,
    anon_sym_RPAREN = 43,
    anon_sym_TILDE = 44,
    sym_bin_number = 45,
    aux_sym_oct_number_token1 = 46,
    aux_sym_oct_number_token2 = 47,
    anon_sym_0 = 48,
    aux_sym_dec_number_token1 = 49,
    sym_hex_number = 50,
    anon_sym_DOT = 51,
    aux_sym_floating_pt_literal_token1 = 52,
    aux_sym_fixed_pt_literal_token1 = 53,
    sym_escape_sequence = 54,
    anon_sym_DQUOTE = 55,
    aux_sym_string_literal_token1 = 56,
    anon_sym_L = 57,
    anon_sym_SQUOTE = 58,
    aux_sym_char_literal_token1 = 59,
    anon_sym_TRUE = 60,
    anon_sym_FALSE = 61,
    anon_sym_POUNDdefine = 62,
    aux_sym_preproc_define_token1 = 63,
    aux_sym_preproc_call_token1 = 64,
    sym_preproc_directive = 65,
    sym_preproc_arg = 66,
    aux_sym_preproc_include_token1 = 67,
    sym_system_lib_path = 68,
    anon_sym_exception = 69,
    anon_sym_LBRACE = 70,
    anon_sym_RBRACE = 71,
    anon_sym_local = 72,
    anon_sym_abstract = 73,
    anon_sym_interface = 74,
    anon_sym_COLON = 75,
    anon_sym_SEMI = 76,
    anon_sym_void = 77,
    anon_sym_in = 78,
    anon_sym_out = 79,
    anon_sym_inout = 80,
    anon_sym_raises = 81,
    anon_sym_readonly = 82,
    anon_sym_attribute = 83,
    anon_sym_getraises = 84,
    anon_sym_setraises = 85,
    anon_sym_bitset = 86,
    anon_sym_bitfield = 87,
    anon_sym_bitmask = 88,
    anon_sym_ATannotation = 89,
    anon_sym_default = 90,
    anon_sym_AT = 91,
    anon_sym_SLASH_SLASH_AT = 92,
    aux_sym_extend_annotation_appl_token1 = 93,
    anon_sym_EQ = 94,
    anon_sym_id = 95,
    anon_sym_autoid = 96,
    anon_sym_SEQUENTIAL = 97,
    anon_sym_HASH = 98,
    anon_sym_optional = 99,
    anon_sym_position = 100,
    anon_sym_value = 101,
    anon_sym_extensibility = 102,
    anon_sym_FINAL = 103,
    anon_sym_APPENDABLE = 104,
    anon_sym_MUTABLE = 105,
    anon_sym_final = 106,
    anon_sym_appendable = 107,
    anon_sym_mutable = 108,
    anon_sym_key = 109,
    anon_sym_must_understand = 110,
    anon_sym_default_literal = 111,
    anon_sym_range = 112,
    anon_sym_min = 113,
    anon_sym_max = 114,
    anon_sym_unit = 115,
    anon_sym_bit_bound = 116,
    anon_sym_external = 117,
    anon_sym_nested = 118,
    anon_sym_verbatim = 119,
    anon_sym_c = 120,
    anon_sym_c_PLUS_PLUS = 121,
    anon_sym_java = 122,
    anon_sym_idl = 123,
    anon_sym_BEGIN_FILE = 124,
    anon_sym_BEFORE_DECLARATION = 125,
    anon_sym_BEGIN_DECLARATION = 126,
    anon_sym_END_DECLARATION = 127,
    anon_sym_AFTER_DECLARATION = 128,
    anon_sym_END_FILE = 129,
    anon_sym_service = 130,
    anon_sym_CORBA = 131,
    anon_sym_DDS = 132,
    anon_sym_oneway = 133,
    anon_sym_ami = 134,
    anon_sym_module = 135,
    anon_sym_typename = 136,
    anon_sym_valuetype = 137,
    anon_sym_eventtype = 138,
    anon_sym_struct = 139,
    anon_sym_union = 140,
    anon_sym_enum = 141,
    anon_sym_const = 142,
    anon_sym_alias = 143,
    anon_sym_custom = 144,
    anon_sym_truncatable = 145,
    anon_sym_supports = 146,
    anon_sym_public = 147,
    anon_sym_private = 148,
    anon_sym_factory = 149,
    anon_sym_typedef = 150,
    anon_sym_LBRACK = 151,
    anon_sym_RBRACK = 152,
    anon_sym_ATdefault_literal = 153,
    anon_sym_ATignore_literal_names = 154,
    anon_sym_switch = 155,
    anon_sym_case = 156,
    anon_sym_typeid = 157,
    anon_sym_typeprefix = 158,
    anon_sym_import = 159,
    anon_sym_Object = 160,
    anon_sym_context = 161,
    sym_value_base_type = 162,
    anon_sym_component = 163,
    anon_sym_provides = 164,
    anon_sym_uses = 165,
    anon_sym_multiple = 166,
    anon_sym_home = 167,
    anon_sym_manages = 168,
    anon_sym_emits = 169,
    anon_sym_publishes = 170,
    anon_sym_consumes = 171,
    anon_sym_primarykey = 172,
    anon_sym_finder = 173,
    anon_sym_porttype = 174,
    anon_sym_port = 175,
    anon_sym_mirrorport = 176,
    anon_sym_connector = 177,
    anon_sym_native = 178,
    sym_identifier = 179,
    anon_sym_SLASH_SLASH = 180,
    aux_sym_comment_token1 = 181,
    anon_sym_SLASH_STAR = 182,
    aux_sym_comment_token2 = 183,
    sym_specification = 184,
    sym_signed_short_int = 185,
    sym_signed_long_int = 186,
    sym_signed_longlong_int = 187,
    sym_unsigned_int = 188,
    sym_fixed_pt_const_type = 189,
    sym_integer_type = 190,
    sym_signed_int = 191,
    sym_unsigned_short_int = 192,
    sym_unsigned_long_int = 193,
    sym_unsigned_longlong_int = 194,
    sym_floating_pt_type = 195,
    sym_char_type = 196,
    sym_scoped_name = 197,
    sym_string_type = 198,
    sym_type_spec = 199,
    sym_simple_type_spec = 200,
    sym_base_type_spec = 201,
    sym_any_type = 202,
    sym_fixed_pt_type = 203,
    sym_template_type_spec = 204,
    sym_sequence_type = 205,
    sym_map_type = 206,
    sym_positive_int_const = 207,
    sym_const_expr = 208,
    sym_or_expr = 209,
    sym_xor_expr = 210,
    sym_and_expr = 211,
    sym_shift_expr = 212,
    sym_add_expr = 213,
    sym_mult_expr = 214,
    sym_unary_expr = 215,
    sym_primary_expr = 216,
    sym_unary_operator = 217,
    sym_literal = 218,
    sym_integer_literal = 219,
    sym_integer_sign = 220,
    sym_oct_number = 221,
    sym_dec_number = 222,
    sym_floating_pt_literal = 223,
    sym_fixed_pt_literal = 224,
    sym_string_literal = 225,
    sym_wide_string_literal = 226,
    sym_char_literal = 227,
    sym_wide_character_literal = 228,
    sym_boolean_literal = 229,
    sym_preproc_define = 230,
    sym_preproc_call = 231,
    sym_preproc_include = 232,
    sym_system_lib_string = 233,
    sym_except_dcl = 234,
    sym_interface_dcl = 235,
    sym_interface_kind = 236,
    sym_interface_forward_dcl = 237,
    sym_interface_def = 238,
    sym_interface_header = 239,
    sym_interface_inheritance_spec = 240,
    sym_interface_name = 241,
    sym_interface_body = 242,
    sym_export = 243,
    sym_op_dcl = 244,
    sym_op_type_spec = 245,
    sym_parameter_dcls = 246,
    sym_param_dcl = 247,
    sym_param_attribute = 248,
    sym_raises_expr = 249,
    sym_attr_dcl = 250,
    sym_readonly_attr_spec = 251,
    sym_readonly_attr_declarator = 252,
    sym_attr_spec = 253,
    sym_attr_declarator = 254,
    sym_attr_raises_expr = 255,
    sym_get_excep_expr = 256,
    sym_set_excep_expr = 257,
    sym_exception_list = 258,
    sym_bitset_dcl = 259,
    sym_bitfield = 260,
    sym_bitfield_spec = 261,
    sym_destination_type = 262,
    sym_bitmask_dcl = 263,
    sym_bit_value = 264,
    sym_annotation_dcl = 265,
    sym_annotation_body = 266,
    sym_annotation_member = 267,
    sym_annotation_member_type = 268,
    sym_any_const_type = 269,
    sym_annotation_appl = 270,
    sym_extend_annotation_appl = 271,
    sym_annotation_appl_custom_body = 272,
    sym_annotation_appl_params = 273,
    sym_annotation_appl_param = 274,
    sym_annotation_appl_builtin_body = 275,
    sym_annotation_appl_id = 276,
    sym_annotation_appl_autoid = 277,
    sym_autoid_kind = 278,
    sym_annotation_appl_optional = 279,
    sym_annotation_appl_position = 280,
    sym_annotation_appl_value = 281,
    sym_annotation_appl_extensibility = 282,
    sym_extensibility_kind = 283,
    sym_annotation_appl_final = 284,
    sym_annotation_appl_appendable = 285,
    sym_annotation_appl_mutable = 286,
    sym_annotation_appl_key = 287,
    sym_annotation_appl_must_understand = 288,
    sym_annotation_appl_default_literal = 289,
    sym_annotation_appl_default = 290,
    sym_annotation_appl_range = 291,
    sym_min_expr = 292,
    sym_max_expr = 293,
    sym_annotation_appl_min = 294,
    sym_annotation_appl_max = 295,
    sym_annotation_appl_unit = 296,
    sym_annotation_appl_bit_bound = 297,
    sym_annotation_appl_external = 298,
    sym_annotation_appl_nested = 299,
    sym_annotation_appl_verbatim = 300,
    sym_verbatim_language = 301,
    sym_placement_kind = 302,
    sym_annotation_appl_service = 303,
    sym_service_platform = 304,
    sym_annotation_appl_oneway = 305,
    sym_annotation_appl_ami = 306,
    sym_template_module_dcl = 307,
    sym_formal_parameters = 308,
    sym_formal_parameter = 309,
    sym_formal_parameter_type = 310,
    sym_tpl_definition = 311,
    sym_template_module_inst = 312,
    sym_actual_parameters = 313,
    sym_actual_parameter = 314,
    sym_template_module_ref = 315,
    sym_formal_parameter_names = 316,
    sym_value_dcl = 317,
    sym_value_def = 318,
    sym_value_kind = 319,
    sym_value_header = 320,
    sym_value_inheritance_spec = 321,
    sym_value_inheritance = 322,
    sym_value_supports = 323,
    sym_value_name = 324,
    sym_value_element = 325,
    sym_state_member = 326,
    sym_init_dcl = 327,
    sym_init_param_dcls = 328,
    sym_init_param_dcl = 329,
    sym_value_forward_dcl = 330,
    sym_typedef_dcl = 331,
    sym_type_declarator = 332,
    sym_any_declarators = 333,
    sym_any_declarator = 334,
    sym_simple_declarator = 335,
    sym_declarator = 336,
    sym_declarators = 337,
    sym_array_declarator = 338,
    sym_fixed_array_size = 339,
    sym_enum_dcl = 340,
    sym_enumerator = 341,
    sym_enum_modifier = 342,
    sym_enum_anno = 343,
    sym_union_dcl = 344,
    sym_union_forward_dcl = 345,
    sym_union_def = 346,
    sym_case = 347,
    sym_case_label = 348,
    sym_element_spec = 349,
    sym_switch_type_spec = 350,
    sym_type_id_dcl = 351,
    sym_type_prefix_dcl = 352,
    sym_import_dcl = 353,
    sym_imported_scope = 354,
    sym_object_type = 355,
    sym_op_oneway_dcl = 356,
    sym_in_parameter_dcls = 357,
    sym_in_param_dcl = 358,
    sym_op_with_context = 359,
    sym_context_expr = 360,
    sym_value_box_def = 361,
    sym_value_abs_def = 362,
    sym_component_dcl = 363,
    sym_component_forward_dcl = 364,
    sym_component_def = 365,
    sym_component_header = 366,
    sym_component_inheritance_spec = 367,
    sym_component_body = 368,
    sym_component_export = 369,
    sym_provides_dcl = 370,
    sym_interface_type = 371,
    sym_uses_dcl = 372,
    sym_home_dcl = 373,
    sym_home_header = 374,
    sym_home_inheritance_spec = 375,
    sym_home_body = 376,
    sym_home_export = 377,
    sym_factory_dcl = 378,
    sym_factory_param_dcls = 379,
    sym_factory_param_dcl = 380,
    sym_supported_interface_spec = 381,
    sym_emits_dcl = 382,
    sym_publishes_dcl = 383,
    sym_consumes_dcl = 384,
    sym_primary_key_spec = 385,
    sym_finder_dcl = 386,
    sym_event_dcl = 387,
    sym_event_forward_dcl = 388,
    sym_event_abs_def = 389,
    sym_event_def = 390,
    sym_event_header = 391,
    sym_porttype_dcl = 392,
    sym_porttype_forward_dcl = 393,
    sym_porttype_def = 394,
    sym_port_body = 395,
    sym_port_ref = 396,
    sym_port_export = 397,
    sym_port_dcl = 398,
    sym_connector_dcl = 399,
    sym_connector_header = 400,
    sym_connector_inherit_spec = 401,
    sym_connector_export = 402,
    sym_definition = 403,
    sym_type_dcl = 404,
    sym_constr_type_dcl = 405,
    sym_native_dcl = 406,
    sym_module_dcl = 407,
    sym_struct_dcl = 408,
    sym_struct_forward_dcl = 409,
    sym_struct_def = 410,
    sym_member = 411,
    sym_default = 412,
    sym_const_dcl = 413,
    sym_const_type = 414,
    sym_comment = 415,
    aux_sym_specification_repeat1 = 416,
    aux_sym_string_literal_repeat1 = 417,
    aux_sym_char_literal_repeat1 = 418,
    aux_sym_except_dcl_repeat1 = 419,
    aux_sym_interface_dcl_repeat1 = 420,
    aux_sym_interface_inheritance_spec_repeat1 = 421,
    aux_sym_interface_body_repeat1 = 422,
    aux_sym_parameter_dcls_repeat1 = 423,
    aux_sym_raises_expr_repeat1 = 424,
    aux_sym_readonly_attr_declarator_repeat1 = 425,
    aux_sym_bitset_dcl_repeat1 = 426,
    aux_sym_bitfield_repeat1 = 427,
    aux_sym_bitmask_dcl_repeat1 = 428,
    aux_sym_annotation_dcl_repeat1 = 429,
    aux_sym_annotation_appl_params_repeat1 = 430,
    aux_sym_template_module_dcl_repeat1 = 431,
    aux_sym_formal_parameters_repeat1 = 432,
    aux_sym_actual_parameters_repeat1 = 433,
    aux_sym_formal_parameter_names_repeat1 = 434,
    aux_sym_value_def_repeat1 = 435,
    aux_sym_value_inheritance_spec_repeat1 = 436,
    aux_sym_init_param_dcls_repeat1 = 437,
    aux_sym_any_declarators_repeat1 = 438,
    aux_sym_declarators_repeat1 = 439,
    aux_sym_array_declarator_repeat1 = 440,
    aux_sym_enum_dcl_repeat1 = 441,
    aux_sym_enumerator_repeat1 = 442,
    aux_sym_union_def_repeat1 = 443,
    aux_sym_case_repeat1 = 444,
    aux_sym_in_parameter_dcls_repeat1 = 445,
    aux_sym_context_expr_repeat1 = 446,
    aux_sym_component_body_repeat1 = 447,
    aux_sym_home_body_repeat1 = 448,
    aux_sym_factory_param_dcls_repeat1 = 449,
    aux_sym_port_body_repeat1 = 450,
    aux_sym_connector_dcl_repeat1 = 451,
    aux_sym_module_dcl_repeat1 = 452,
};

static const char *const ts_symbol_names[] = {
    [ts_builtin_sym_end] = "end",
    [anon_sym_short] = "short",
    [anon_sym_int16] = "int16",
    [anon_sym_long] = "long",
    [anon_sym_int32] = "int32",
    [anon_sym_longlong] = "long long",
    [anon_sym_int64] = "int64",
    [sym_unsigned_tiny_int] = "unsigned_tiny_int",
    [sym_boolean_type] = "boolean_type",
    [anon_sym_fixed] = "fixed",
    [sym_octet_type] = "octet_type",
    [sym_signed_tiny_int] = "signed_tiny_int",
    [anon_sym_unsignedshort] = "unsigned short",
    [anon_sym_uint16] = "uint16",
    [anon_sym_unsignedlong] = "unsigned long",
    [anon_sym_uint32] = "uint32",
    [anon_sym_unsignedlonglong] = "unsigned long long",
    [anon_sym_uint64] = "uint64",
    [anon_sym_float] = "float",
    [anon_sym_double] = "double",
    [anon_sym_longdouble] = "long double",
    [anon_sym_char] = "char",
    [anon_sym_wchar] = "wchar",
    [anon_sym_COLON_COLON] = "::",
    [anon_sym_string] = "string",
    [anon_sym_wstring] = "wstring",
    [anon_sym_LT] = "<",
    [anon_sym_GT] = ">",
    [anon_sym_any] = "any",
    [anon_sym_COMMA] = ",",
    [anon_sym_sequence] = "sequence",
    [anon_sym_map] = "map",
    [anon_sym_PIPE] = "|",
    [anon_sym_CARET] = "^",
    [anon_sym_AMP] = "&",
    [anon_sym_GT_GT] = ">>",
    [anon_sym_LT_LT] = "<<",
    [anon_sym_PLUS] = "+",
    [anon_sym_DASH] = "-",
    [anon_sym_STAR] = "*",
    [anon_sym_SLASH] = "/",
    [anon_sym_PERCENT] = "%",
    [anon_sym_LPAREN] = "(",
    [anon_sym_RPAREN] = ")",
    [anon_sym_TILDE] = "~",
    [sym_bin_number] = "bin_number",
    [aux_sym_oct_number_token1] = "oct_number_token1",
    [aux_sym_oct_number_token2] = "oct_number_token2",
    [anon_sym_0] = "0",
    [aux_sym_dec_number_token1] = "dec_number_token1",
    [sym_hex_number] = "hex_number",
    [anon_sym_DOT] = ".",
    [aux_sym_floating_pt_literal_token1] = "floating_pt_literal_token1",
    [aux_sym_fixed_pt_literal_token1] = "fixed_pt_literal_token1",
    [sym_escape_sequence] = "escape_sequence",
    [anon_sym_DQUOTE] = "\"",
    [aux_sym_string_literal_token1] = "string_content",
    [anon_sym_L] = "L",
    [anon_sym_SQUOTE] = "'",
    [aux_sym_char_literal_token1] = "character",
    [anon_sym_TRUE] = "TRUE",
    [anon_sym_FALSE] = "FALSE",
    [anon_sym_POUNDdefine] = "#define",
    [aux_sym_preproc_define_token1] = "preproc_define_token1",
    [aux_sym_preproc_call_token1] = "preproc_call_token1",
    [sym_preproc_directive] = "preproc_directive",
    [sym_preproc_arg] = "preproc_arg",
    [aux_sym_preproc_include_token1] = "keyword_include",
    [sym_system_lib_path] = "system_lib_path",
    [anon_sym_exception] = "exception",
    [anon_sym_LBRACE] = "{",
    [anon_sym_RBRACE] = "}",
    [anon_sym_local] = "local",
    [anon_sym_abstract] = "abstract",
    [anon_sym_interface] = "interface",
    [anon_sym_COLON] = ":",
    [anon_sym_SEMI] = ";",
    [anon_sym_void] = "void",
    [anon_sym_in] = "in",
    [anon_sym_out] = "out",
    [anon_sym_inout] = "inout",
    [anon_sym_raises] = "raises",
    [anon_sym_readonly] = "readonly",
    [anon_sym_attribute] = "attribute",
    [anon_sym_getraises] = "getraises",
    [anon_sym_setraises] = "setraises",
    [anon_sym_bitset] = "bitset",
    [anon_sym_bitfield] = "bitfield",
    [anon_sym_bitmask] = "bitmask",
    [anon_sym_ATannotation] = "@annotation",
    [anon_sym_default] = "default",
    [anon_sym_AT] = "@",
    [anon_sym_SLASH_SLASH_AT] = "//@",
    [aux_sym_extend_annotation_appl_token1] = "extend_annotation_appl_token1",
    [anon_sym_EQ] = "=",
    [anon_sym_id] = "id",
    [anon_sym_autoid] = "autoid",
    [anon_sym_SEQUENTIAL] = "SEQUENTIAL",
    [anon_sym_HASH] = "HASH",
    [anon_sym_optional] = "optional",
    [anon_sym_position] = "position",
    [anon_sym_value] = "value",
    [anon_sym_extensibility] = "extensibility",
    [anon_sym_FINAL] = "FINAL",
    [anon_sym_APPENDABLE] = "APPENDABLE",
    [anon_sym_MUTABLE] = "MUTABLE",
    [anon_sym_final] = "final",
    [anon_sym_appendable] = "appendable",
    [anon_sym_mutable] = "mutable",
    [anon_sym_key] = "key",
    [anon_sym_must_understand] = "must_understand",
    [anon_sym_default_literal] = "default_literal",
    [anon_sym_range] = "range",
    [anon_sym_min] = "min",
    [anon_sym_max] = "max",
    [anon_sym_unit] = "unit",
    [anon_sym_bit_bound] = "bit_bound",
    [anon_sym_external] = "external",
    [anon_sym_nested] = "nested",
    [anon_sym_verbatim] = "verbatim",
    [anon_sym_c] = "c",
    [anon_sym_c_PLUS_PLUS] = "c++",
    [anon_sym_java] = "java",
    [anon_sym_idl] = "idl",
    [anon_sym_BEGIN_FILE] = "BEGIN_FILE",
    [anon_sym_BEFORE_DECLARATION] = "BEFORE_DECLARATION",
    [anon_sym_BEGIN_DECLARATION] = "BEGIN_DECLARATION",
    [anon_sym_END_DECLARATION] = "END_DECLARATION",
    [anon_sym_AFTER_DECLARATION] = "AFTER_DECLARATION",
    [anon_sym_END_FILE] = "END_FILE",
    [anon_sym_service] = "service",
    [anon_sym_CORBA] = "CORBA",
    [anon_sym_DDS] = "DDS",
    [anon_sym_oneway] = "oneway",
    [anon_sym_ami] = "ami",
    [anon_sym_module] = "module",
    [anon_sym_typename] = "typename",
    [anon_sym_valuetype] = "valuetype",
    [anon_sym_eventtype] = "eventtype",
    [anon_sym_struct] = "struct",
    [anon_sym_union] = "union",
    [anon_sym_enum] = "enum",
    [anon_sym_const] = "const",
    [anon_sym_alias] = "alias",
    [anon_sym_custom] = "custom",
    [anon_sym_truncatable] = "truncatable",
    [anon_sym_supports] = "supports",
    [anon_sym_public] = "public",
    [anon_sym_private] = "private",
    [anon_sym_factory] = "factory",
    [anon_sym_typedef] = "typedef",
    [anon_sym_LBRACK] = "[",
    [anon_sym_RBRACK] = "]",
    [anon_sym_ATdefault_literal] = "@default_literal",
    [anon_sym_ATignore_literal_names] = "@ignore_literal_names",
    [anon_sym_switch] = "switch",
    [anon_sym_case] = "case",
    [anon_sym_typeid] = "typeid",
    [anon_sym_typeprefix] = "typeprefix",
    [anon_sym_import] = "import",
    [anon_sym_Object] = "Object",
    [anon_sym_context] = "context",
    [sym_value_base_type] = "value_base_type",
    [anon_sym_component] = "component",
    [anon_sym_provides] = "provides",
    [anon_sym_uses] = "uses",
    [anon_sym_multiple] = "multiple",
    [anon_sym_home] = "home",
    [anon_sym_manages] = "manages",
    [anon_sym_emits] = "emits",
    [anon_sym_publishes] = "publishes",
    [anon_sym_consumes] = "consumes",
    [anon_sym_primarykey] = "primarykey",
    [anon_sym_finder] = "finder",
    [anon_sym_porttype] = "porttype",
    [anon_sym_port] = "port",
    [anon_sym_mirrorport] = "mirrorport",
    [anon_sym_connector] = "connector",
    [anon_sym_native] = "native",
    [sym_identifier] = "identifier",
    [anon_sym_SLASH_SLASH] = "//",
    [aux_sym_comment_token1] = "comment_token1",
    [anon_sym_SLASH_STAR] = "/*",
    [aux_sym_comment_token2] = "comment_token2",
    [sym_specification] = "specification",
    [sym_signed_short_int] = "signed_short_int",
    [sym_signed_long_int] = "signed_long_int",
    [sym_signed_longlong_int] = "signed_longlong_int",
    [sym_unsigned_int] = "unsigned_int",
    [sym_fixed_pt_const_type] = "fixed_pt_const_type",
    [sym_integer_type] = "integer_type",
    [sym_signed_int] = "signed_int",
    [sym_unsigned_short_int] = "unsigned_short_int",
    [sym_unsigned_long_int] = "unsigned_long_int",
    [sym_unsigned_longlong_int] = "unsigned_longlong_int",
    [sym_floating_pt_type] = "floating_pt_type",
    [sym_char_type] = "char_type",
    [sym_scoped_name] = "scoped_name",
    [sym_string_type] = "string_type",
    [sym_type_spec] = "type_spec",
    [sym_simple_type_spec] = "simple_type_spec",
    [sym_base_type_spec] = "base_type_spec",
    [sym_any_type] = "any_type",
    [sym_fixed_pt_type] = "fixed_pt_type",
    [sym_template_type_spec] = "template_type_spec",
    [sym_sequence_type] = "sequence_type",
    [sym_map_type] = "map_type",
    [sym_positive_int_const] = "positive_int_const",
    [sym_const_expr] = "const_expr",
    [sym_or_expr] = "or_expr",
    [sym_xor_expr] = "xor_expr",
    [sym_and_expr] = "and_expr",
    [sym_shift_expr] = "shift_expr",
    [sym_add_expr] = "add_expr",
    [sym_mult_expr] = "mult_expr",
    [sym_unary_expr] = "unary_expr",
    [sym_primary_expr] = "primary_expr",
    [sym_unary_operator] = "unary_operator",
    [sym_literal] = "literal",
    [sym_integer_literal] = "integer_literal",
    [sym_integer_sign] = "integer_sign",
    [sym_oct_number] = "oct_number",
    [sym_dec_number] = "dec_number",
    [sym_floating_pt_literal] = "floating_pt_literal",
    [sym_fixed_pt_literal] = "fixed_pt_literal",
    [sym_string_literal] = "string_literal",
    [sym_wide_string_literal] = "wide_string_literal",
    [sym_char_literal] = "char_literal",
    [sym_wide_character_literal] = "wide_character_literal",
    [sym_boolean_literal] = "boolean_literal",
    [sym_preproc_define] = "preproc_define",
    [sym_preproc_call] = "preproc_call",
    [sym_preproc_include] = "preproc_include",
    [sym_system_lib_string] = "system_lib_string",
    [sym_except_dcl] = "except_dcl",
    [sym_interface_dcl] = "interface_dcl",
    [sym_interface_kind] = "interface_kind",
    [sym_interface_forward_dcl] = "interface_forward_dcl",
    [sym_interface_def] = "interface_def",
    [sym_interface_header] = "interface_header",
    [sym_interface_inheritance_spec] = "interface_inheritance_spec",
    [sym_interface_name] = "interface_name",
    [sym_interface_body] = "interface_body",
    [sym_export] = "export",
    [sym_op_dcl] = "op_dcl",
    [sym_op_type_spec] = "op_type_spec",
    [sym_parameter_dcls] = "parameter_dcls",
    [sym_param_dcl] = "param_dcl",
    [sym_param_attribute] = "param_attribute",
    [sym_raises_expr] = "raises_expr",
    [sym_attr_dcl] = "attr_dcl",
    [sym_readonly_attr_spec] = "readonly_attr_spec",
    [sym_readonly_attr_declarator] = "readonly_attr_declarator",
    [sym_attr_spec] = "attr_spec",
    [sym_attr_declarator] = "attr_declarator",
    [sym_attr_raises_expr] = "attr_raises_expr",
    [sym_get_excep_expr] = "get_excep_expr",
    [sym_set_excep_expr] = "set_excep_expr",
    [sym_exception_list] = "exception_list",
    [sym_bitset_dcl] = "bitset_dcl",
    [sym_bitfield] = "bitfield",
    [sym_bitfield_spec] = "bitfield_spec",
    [sym_destination_type] = "destination_type",
    [sym_bitmask_dcl] = "bitmask_dcl",
    [sym_bit_value] = "bit_value",
    [sym_annotation_dcl] = "annotation_dcl",
    [sym_annotation_body] = "annotation_body",
    [sym_annotation_member] = "annotation_member",
    [sym_annotation_member_type] = "annotation_member_type",
    [sym_any_const_type] = "any_const_type",
    [sym_annotation_appl] = "annotation_appl",
    [sym_extend_annotation_appl] = "extend_annotation_appl",
    [sym_annotation_appl_custom_body] = "annotation_appl_custom_body",
    [sym_annotation_appl_params] = "annotation_appl_params",
    [sym_annotation_appl_param] = "annotation_appl_param",
    [sym_annotation_appl_builtin_body] = "annotation_appl_builtin_body",
    [sym_annotation_appl_id] = "annotation_appl_id",
    [sym_annotation_appl_autoid] = "annotation_appl_autoid",
    [sym_autoid_kind] = "autoid_kind",
    [sym_annotation_appl_optional] = "annotation_appl_optional",
    [sym_annotation_appl_position] = "annotation_appl_position",
    [sym_annotation_appl_value] = "annotation_appl_value",
    [sym_annotation_appl_extensibility] = "annotation_appl_extensibility",
    [sym_extensibility_kind] = "extensibility_kind",
    [sym_annotation_appl_final] = "annotation_appl_final",
    [sym_annotation_appl_appendable] = "annotation_appl_appendable",
    [sym_annotation_appl_mutable] = "annotation_appl_mutable",
    [sym_annotation_appl_key] = "annotation_appl_key",
    [sym_annotation_appl_must_understand] = "annotation_appl_must_understand",
    [sym_annotation_appl_default_literal] = "annotation_appl_default_literal",
    [sym_annotation_appl_default] = "annotation_appl_default",
    [sym_annotation_appl_range] = "annotation_appl_range",
    [sym_min_expr] = "min_expr",
    [sym_max_expr] = "max_expr",
    [sym_annotation_appl_min] = "annotation_appl_min",
    [sym_annotation_appl_max] = "annotation_appl_max",
    [sym_annotation_appl_unit] = "annotation_appl_unit",
    [sym_annotation_appl_bit_bound] = "annotation_appl_bit_bound",
    [sym_annotation_appl_external] = "annotation_appl_external",
    [sym_annotation_appl_nested] = "annotation_appl_nested",
    [sym_annotation_appl_verbatim] = "annotation_appl_verbatim",
    [sym_verbatim_language] = "verbatim_language",
    [sym_placement_kind] = "placement_kind",
    [sym_annotation_appl_service] = "annotation_appl_service",
    [sym_service_platform] = "service_platform",
    [sym_annotation_appl_oneway] = "annotation_appl_oneway",
    [sym_annotation_appl_ami] = "annotation_appl_ami",
    [sym_template_module_dcl] = "template_module_dcl",
    [sym_formal_parameters] = "formal_parameters",
    [sym_formal_parameter] = "formal_parameter",
    [sym_formal_parameter_type] = "formal_parameter_type",
    [sym_tpl_definition] = "tpl_definition",
    [sym_template_module_inst] = "template_module_inst",
    [sym_actual_parameters] = "actual_parameters",
    [sym_actual_parameter] = "actual_parameter",
    [sym_template_module_ref] = "template_module_ref",
    [sym_formal_parameter_names] = "formal_parameter_names",
    [sym_value_dcl] = "value_dcl",
    [sym_value_def] = "value_def",
    [sym_value_kind] = "value_kind",
    [sym_value_header] = "value_header",
    [sym_value_inheritance_spec] = "value_inheritance_spec",
    [sym_value_inheritance] = "value_inheritance",
    [sym_value_supports] = "value_supports",
    [sym_value_name] = "value_name",
    [sym_value_element] = "value_element",
    [sym_state_member] = "state_member",
    [sym_init_dcl] = "init_dcl",
    [sym_init_param_dcls] = "init_param_dcls",
    [sym_init_param_dcl] = "init_param_dcl",
    [sym_value_forward_dcl] = "value_forward_dcl",
    [sym_typedef_dcl] = "typedef_dcl",
    [sym_type_declarator] = "type_declarator",
    [sym_any_declarators] = "any_declarators",
    [sym_any_declarator] = "any_declarator",
    [sym_simple_declarator] = "simple_declarator",
    [sym_declarator] = "declarator",
    [sym_declarators] = "declarators",
    [sym_array_declarator] = "array_declarator",
    [sym_fixed_array_size] = "fixed_array_size",
    [sym_enum_dcl] = "enum_dcl",
    [sym_enumerator] = "enumerator",
    [sym_enum_modifier] = "enum_modifier",
    [sym_enum_anno] = "enum_anno",
    [sym_union_dcl] = "union_dcl",
    [sym_union_forward_dcl] = "union_forward_dcl",
    [sym_union_def] = "union_def",
    [sym_case] = "case",
    [sym_case_label] = "case_label",
    [sym_element_spec] = "element_spec",
    [sym_switch_type_spec] = "switch_type_spec",
    [sym_type_id_dcl] = "type_id_dcl",
    [sym_type_prefix_dcl] = "type_prefix_dcl",
    [sym_import_dcl] = "import_dcl",
    [sym_imported_scope] = "imported_scope",
    [sym_object_type] = "object_type",
    [sym_op_oneway_dcl] = "op_oneway_dcl",
    [sym_in_parameter_dcls] = "in_parameter_dcls",
    [sym_in_param_dcl] = "in_param_dcl",
    [sym_op_with_context] = "op_with_context",
    [sym_context_expr] = "context_expr",
    [sym_value_box_def] = "value_box_def",
    [sym_value_abs_def] = "value_abs_def",
    [sym_component_dcl] = "component_dcl",
    [sym_component_forward_dcl] = "component_forward_dcl",
    [sym_component_def] = "component_def",
    [sym_component_header] = "component_header",
    [sym_component_inheritance_spec] = "component_inheritance_spec",
    [sym_component_body] = "component_body",
    [sym_component_export] = "component_export",
    [sym_provides_dcl] = "provides_dcl",
    [sym_interface_type] = "interface_type",
    [sym_uses_dcl] = "uses_dcl",
    [sym_home_dcl] = "home_dcl",
    [sym_home_header] = "home_header",
    [sym_home_inheritance_spec] = "home_inheritance_spec",
    [sym_home_body] = "home_body",
    [sym_home_export] = "home_export",
    [sym_factory_dcl] = "factory_dcl",
    [sym_factory_param_dcls] = "factory_param_dcls",
    [sym_factory_param_dcl] = "factory_param_dcl",
    [sym_supported_interface_spec] = "supported_interface_spec",
    [sym_emits_dcl] = "emits_dcl",
    [sym_publishes_dcl] = "publishes_dcl",
    [sym_consumes_dcl] = "consumes_dcl",
    [sym_primary_key_spec] = "primary_key_spec",
    [sym_finder_dcl] = "finder_dcl",
    [sym_event_dcl] = "event_dcl",
    [sym_event_forward_dcl] = "event_forward_dcl",
    [sym_event_abs_def] = "event_abs_def",
    [sym_event_def] = "event_def",
    [sym_event_header] = "event_header",
    [sym_porttype_dcl] = "porttype_dcl",
    [sym_porttype_forward_dcl] = "porttype_forward_dcl",
    [sym_porttype_def] = "porttype_def",
    [sym_port_body] = "port_body",
    [sym_port_ref] = "port_ref",
    [sym_port_export] = "port_export",
    [sym_port_dcl] = "port_dcl",
    [sym_connector_dcl] = "connector_dcl",
    [sym_connector_header] = "connector_header",
    [sym_connector_inherit_spec] = "connector_inherit_spec",
    [sym_connector_export] = "connector_export",
    [sym_definition] = "definition",
    [sym_type_dcl] = "type_dcl",
    [sym_constr_type_dcl] = "constr_type_dcl",
    [sym_native_dcl] = "native_dcl",
    [sym_module_dcl] = "module_dcl",
    [sym_struct_dcl] = "struct_dcl",
    [sym_struct_forward_dcl] = "struct_forward_dcl",
    [sym_struct_def] = "struct_def",
    [sym_member] = "member",
    [sym_default] = "default",
    [sym_const_dcl] = "const_dcl",
    [sym_const_type] = "const_type",
    [sym_comment] = "comment",
    [aux_sym_specification_repeat1] = "specification_repeat1",
    [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
    [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
    [aux_sym_except_dcl_repeat1] = "except_dcl_repeat1",
    [aux_sym_interface_dcl_repeat1] = "interface_dcl_repeat1",
    [aux_sym_interface_inheritance_spec_repeat1] = "interface_inheritance_spec_repeat1",
    [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
    [aux_sym_parameter_dcls_repeat1] = "parameter_dcls_repeat1",
    [aux_sym_raises_expr_repeat1] = "raises_expr_repeat1",
    [aux_sym_readonly_attr_declarator_repeat1] = "readonly_attr_declarator_repeat1",
    [aux_sym_bitset_dcl_repeat1] = "bitset_dcl_repeat1",
    [aux_sym_bitfield_repeat1] = "bitfield_repeat1",
    [aux_sym_bitmask_dcl_repeat1] = "bitmask_dcl_repeat1",
    [aux_sym_annotation_dcl_repeat1] = "annotation_dcl_repeat1",
    [aux_sym_annotation_appl_params_repeat1] = "annotation_appl_params_repeat1",
    [aux_sym_template_module_dcl_repeat1] = "template_module_dcl_repeat1",
    [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
    [aux_sym_actual_parameters_repeat1] = "actual_parameters_repeat1",
    [aux_sym_formal_parameter_names_repeat1] = "formal_parameter_names_repeat1",
    [aux_sym_value_def_repeat1] = "value_def_repeat1",
    [aux_sym_value_inheritance_spec_repeat1] = "value_inheritance_spec_repeat1",
    [aux_sym_init_param_dcls_repeat1] = "init_param_dcls_repeat1",
    [aux_sym_any_declarators_repeat1] = "any_declarators_repeat1",
    [aux_sym_declarators_repeat1] = "declarators_repeat1",
    [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
    [aux_sym_enum_dcl_repeat1] = "enum_dcl_repeat1",
    [aux_sym_enumerator_repeat1] = "enumerator_repeat1",
    [aux_sym_union_def_repeat1] = "union_def_repeat1",
    [aux_sym_case_repeat1] = "case_repeat1",
    [aux_sym_in_parameter_dcls_repeat1] = "in_parameter_dcls_repeat1",
    [aux_sym_context_expr_repeat1] = "context_expr_repeat1",
    [aux_sym_component_body_repeat1] = "component_body_repeat1",
    [aux_sym_home_body_repeat1] = "home_body_repeat1",
    [aux_sym_factory_param_dcls_repeat1] = "factory_param_dcls_repeat1",
    [aux_sym_port_body_repeat1] = "port_body_repeat1",
    [aux_sym_connector_dcl_repeat1] = "connector_dcl_repeat1",
    [aux_sym_module_dcl_repeat1] = "module_dcl_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
    [ts_builtin_sym_end] = ts_builtin_sym_end,
    [anon_sym_short] = anon_sym_short,
    [anon_sym_int16] = anon_sym_int16,
    [anon_sym_long] = anon_sym_long,
    [anon_sym_int32] = anon_sym_int32,
    [anon_sym_longlong] = anon_sym_longlong,
    [anon_sym_int64] = anon_sym_int64,
    [sym_unsigned_tiny_int] = sym_unsigned_tiny_int,
    [sym_boolean_type] = sym_boolean_type,
    [anon_sym_fixed] = anon_sym_fixed,
    [sym_octet_type] = sym_octet_type,
    [sym_signed_tiny_int] = sym_signed_tiny_int,
    [anon_sym_unsignedshort] = anon_sym_unsignedshort,
    [anon_sym_uint16] = anon_sym_uint16,
    [anon_sym_unsignedlong] = anon_sym_unsignedlong,
    [anon_sym_uint32] = anon_sym_uint32,
    [anon_sym_unsignedlonglong] = anon_sym_unsignedlonglong,
    [anon_sym_uint64] = anon_sym_uint64,
    [anon_sym_float] = anon_sym_float,
    [anon_sym_double] = anon_sym_double,
    [anon_sym_longdouble] = anon_sym_longdouble,
    [anon_sym_char] = anon_sym_char,
    [anon_sym_wchar] = anon_sym_wchar,
    [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
    [anon_sym_string] = anon_sym_string,
    [anon_sym_wstring] = anon_sym_wstring,
    [anon_sym_LT] = anon_sym_LT,
    [anon_sym_GT] = anon_sym_GT,
    [anon_sym_any] = anon_sym_any,
    [anon_sym_COMMA] = anon_sym_COMMA,
    [anon_sym_sequence] = anon_sym_sequence,
    [anon_sym_map] = anon_sym_map,
    [anon_sym_PIPE] = anon_sym_PIPE,
    [anon_sym_CARET] = anon_sym_CARET,
    [anon_sym_AMP] = anon_sym_AMP,
    [anon_sym_GT_GT] = anon_sym_GT_GT,
    [anon_sym_LT_LT] = anon_sym_LT_LT,
    [anon_sym_PLUS] = anon_sym_PLUS,
    [anon_sym_DASH] = anon_sym_DASH,
    [anon_sym_STAR] = anon_sym_STAR,
    [anon_sym_SLASH] = anon_sym_SLASH,
    [anon_sym_PERCENT] = anon_sym_PERCENT,
    [anon_sym_LPAREN] = anon_sym_LPAREN,
    [anon_sym_RPAREN] = anon_sym_RPAREN,
    [anon_sym_TILDE] = anon_sym_TILDE,
    [sym_bin_number] = sym_bin_number,
    [aux_sym_oct_number_token1] = aux_sym_oct_number_token1,
    [aux_sym_oct_number_token2] = aux_sym_oct_number_token2,
    [anon_sym_0] = anon_sym_0,
    [aux_sym_dec_number_token1] = aux_sym_dec_number_token1,
    [sym_hex_number] = sym_hex_number,
    [anon_sym_DOT] = anon_sym_DOT,
    [aux_sym_floating_pt_literal_token1] = aux_sym_floating_pt_literal_token1,
    [aux_sym_fixed_pt_literal_token1] = aux_sym_fixed_pt_literal_token1,
    [sym_escape_sequence] = sym_escape_sequence,
    [anon_sym_DQUOTE] = anon_sym_DQUOTE,
    [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
    [anon_sym_L] = anon_sym_L,
    [anon_sym_SQUOTE] = anon_sym_SQUOTE,
    [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
    [anon_sym_TRUE] = anon_sym_TRUE,
    [anon_sym_FALSE] = anon_sym_FALSE,
    [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
    [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
    [aux_sym_preproc_call_token1] = aux_sym_preproc_call_token1,
    [sym_preproc_directive] = sym_preproc_directive,
    [sym_preproc_arg] = sym_preproc_arg,
    [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
    [sym_system_lib_path] = sym_system_lib_path,
    [anon_sym_exception] = anon_sym_exception,
    [anon_sym_LBRACE] = anon_sym_LBRACE,
    [anon_sym_RBRACE] = anon_sym_RBRACE,
    [anon_sym_local] = anon_sym_local,
    [anon_sym_abstract] = anon_sym_abstract,
    [anon_sym_interface] = anon_sym_interface,
    [anon_sym_COLON] = anon_sym_COLON,
    [anon_sym_SEMI] = anon_sym_SEMI,
    [anon_sym_void] = anon_sym_void,
    [anon_sym_in] = anon_sym_in,
    [anon_sym_out] = anon_sym_out,
    [anon_sym_inout] = anon_sym_inout,
    [anon_sym_raises] = anon_sym_raises,
    [anon_sym_readonly] = anon_sym_readonly,
    [anon_sym_attribute] = anon_sym_attribute,
    [anon_sym_getraises] = anon_sym_getraises,
    [anon_sym_setraises] = anon_sym_setraises,
    [anon_sym_bitset] = anon_sym_bitset,
    [anon_sym_bitfield] = anon_sym_bitfield,
    [anon_sym_bitmask] = anon_sym_bitmask,
    [anon_sym_ATannotation] = anon_sym_ATannotation,
    [anon_sym_default] = anon_sym_default,
    [anon_sym_AT] = anon_sym_AT,
    [anon_sym_SLASH_SLASH_AT] = anon_sym_SLASH_SLASH_AT,
    [aux_sym_extend_annotation_appl_token1] = aux_sym_extend_annotation_appl_token1,
    [anon_sym_EQ] = anon_sym_EQ,
    [anon_sym_id] = anon_sym_id,
    [anon_sym_autoid] = anon_sym_autoid,
    [anon_sym_SEQUENTIAL] = anon_sym_SEQUENTIAL,
    [anon_sym_HASH] = anon_sym_HASH,
    [anon_sym_optional] = anon_sym_optional,
    [anon_sym_position] = anon_sym_position,
    [anon_sym_value] = anon_sym_value,
    [anon_sym_extensibility] = anon_sym_extensibility,
    [anon_sym_FINAL] = anon_sym_FINAL,
    [anon_sym_APPENDABLE] = anon_sym_APPENDABLE,
    [anon_sym_MUTABLE] = anon_sym_MUTABLE,
    [anon_sym_final] = anon_sym_final,
    [anon_sym_appendable] = anon_sym_appendable,
    [anon_sym_mutable] = anon_sym_mutable,
    [anon_sym_key] = anon_sym_key,
    [anon_sym_must_understand] = anon_sym_must_understand,
    [anon_sym_default_literal] = anon_sym_default_literal,
    [anon_sym_range] = anon_sym_range,
    [anon_sym_min] = anon_sym_min,
    [anon_sym_max] = anon_sym_max,
    [anon_sym_unit] = anon_sym_unit,
    [anon_sym_bit_bound] = anon_sym_bit_bound,
    [anon_sym_external] = anon_sym_external,
    [anon_sym_nested] = anon_sym_nested,
    [anon_sym_verbatim] = anon_sym_verbatim,
    [anon_sym_c] = anon_sym_c,
    [anon_sym_c_PLUS_PLUS] = anon_sym_c_PLUS_PLUS,
    [anon_sym_java] = anon_sym_java,
    [anon_sym_idl] = anon_sym_idl,
    [anon_sym_BEGIN_FILE] = anon_sym_BEGIN_FILE,
    [anon_sym_BEFORE_DECLARATION] = anon_sym_BEFORE_DECLARATION,
    [anon_sym_BEGIN_DECLARATION] = anon_sym_BEGIN_DECLARATION,
    [anon_sym_END_DECLARATION] = anon_sym_END_DECLARATION,
    [anon_sym_AFTER_DECLARATION] = anon_sym_AFTER_DECLARATION,
    [anon_sym_END_FILE] = anon_sym_END_FILE,
    [anon_sym_service] = anon_sym_service,
    [anon_sym_CORBA] = anon_sym_CORBA,
    [anon_sym_DDS] = anon_sym_DDS,
    [anon_sym_oneway] = anon_sym_oneway,
    [anon_sym_ami] = anon_sym_ami,
    [anon_sym_module] = anon_sym_module,
    [anon_sym_typename] = anon_sym_typename,
    [anon_sym_valuetype] = anon_sym_valuetype,
    [anon_sym_eventtype] = anon_sym_eventtype,
    [anon_sym_struct] = anon_sym_struct,
    [anon_sym_union] = anon_sym_union,
    [anon_sym_enum] = anon_sym_enum,
    [anon_sym_const] = anon_sym_const,
    [anon_sym_alias] = anon_sym_alias,
    [anon_sym_custom] = anon_sym_custom,
    [anon_sym_truncatable] = anon_sym_truncatable,
    [anon_sym_supports] = anon_sym_supports,
    [anon_sym_public] = anon_sym_public,
    [anon_sym_private] = anon_sym_private,
    [anon_sym_factory] = anon_sym_factory,
    [anon_sym_typedef] = anon_sym_typedef,
    [anon_sym_LBRACK] = anon_sym_LBRACK,
    [anon_sym_RBRACK] = anon_sym_RBRACK,
    [anon_sym_ATdefault_literal] = anon_sym_ATdefault_literal,
    [anon_sym_ATignore_literal_names] = anon_sym_ATignore_literal_names,
    [anon_sym_switch] = anon_sym_switch,
    [anon_sym_case] = anon_sym_case,
    [anon_sym_typeid] = anon_sym_typeid,
    [anon_sym_typeprefix] = anon_sym_typeprefix,
    [anon_sym_import] = anon_sym_import,
    [anon_sym_Object] = anon_sym_Object,
    [anon_sym_context] = anon_sym_context,
    [sym_value_base_type] = sym_value_base_type,
    [anon_sym_component] = anon_sym_component,
    [anon_sym_provides] = anon_sym_provides,
    [anon_sym_uses] = anon_sym_uses,
    [anon_sym_multiple] = anon_sym_multiple,
    [anon_sym_home] = anon_sym_home,
    [anon_sym_manages] = anon_sym_manages,
    [anon_sym_emits] = anon_sym_emits,
    [anon_sym_publishes] = anon_sym_publishes,
    [anon_sym_consumes] = anon_sym_consumes,
    [anon_sym_primarykey] = anon_sym_primarykey,
    [anon_sym_finder] = anon_sym_finder,
    [anon_sym_porttype] = anon_sym_porttype,
    [anon_sym_port] = anon_sym_port,
    [anon_sym_mirrorport] = anon_sym_mirrorport,
    [anon_sym_connector] = anon_sym_connector,
    [anon_sym_native] = anon_sym_native,
    [sym_identifier] = sym_identifier,
    [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
    [aux_sym_comment_token1] = aux_sym_comment_token1,
    [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
    [aux_sym_comment_token2] = aux_sym_comment_token2,
    [sym_specification] = sym_specification,
    [sym_signed_short_int] = sym_signed_short_int,
    [sym_signed_long_int] = sym_signed_long_int,
    [sym_signed_longlong_int] = sym_signed_longlong_int,
    [sym_unsigned_int] = sym_unsigned_int,
    [sym_fixed_pt_const_type] = sym_fixed_pt_const_type,
    [sym_integer_type] = sym_integer_type,
    [sym_signed_int] = sym_signed_int,
    [sym_unsigned_short_int] = sym_unsigned_short_int,
    [sym_unsigned_long_int] = sym_unsigned_long_int,
    [sym_unsigned_longlong_int] = sym_unsigned_longlong_int,
    [sym_floating_pt_type] = sym_floating_pt_type,
    [sym_char_type] = sym_char_type,
    [sym_scoped_name] = sym_scoped_name,
    [sym_string_type] = sym_string_type,
    [sym_type_spec] = sym_type_spec,
    [sym_simple_type_spec] = sym_simple_type_spec,
    [sym_base_type_spec] = sym_base_type_spec,
    [sym_any_type] = sym_any_type,
    [sym_fixed_pt_type] = sym_fixed_pt_type,
    [sym_template_type_spec] = sym_template_type_spec,
    [sym_sequence_type] = sym_sequence_type,
    [sym_map_type] = sym_map_type,
    [sym_positive_int_const] = sym_positive_int_const,
    [sym_const_expr] = sym_const_expr,
    [sym_or_expr] = sym_or_expr,
    [sym_xor_expr] = sym_xor_expr,
    [sym_and_expr] = sym_and_expr,
    [sym_shift_expr] = sym_shift_expr,
    [sym_add_expr] = sym_add_expr,
    [sym_mult_expr] = sym_mult_expr,
    [sym_unary_expr] = sym_unary_expr,
    [sym_primary_expr] = sym_primary_expr,
    [sym_unary_operator] = sym_unary_operator,
    [sym_literal] = sym_literal,
    [sym_integer_literal] = sym_integer_literal,
    [sym_integer_sign] = sym_integer_sign,
    [sym_oct_number] = sym_oct_number,
    [sym_dec_number] = sym_dec_number,
    [sym_floating_pt_literal] = sym_floating_pt_literal,
    [sym_fixed_pt_literal] = sym_fixed_pt_literal,
    [sym_string_literal] = sym_string_literal,
    [sym_wide_string_literal] = sym_wide_string_literal,
    [sym_char_literal] = sym_char_literal,
    [sym_wide_character_literal] = sym_wide_character_literal,
    [sym_boolean_literal] = sym_boolean_literal,
    [sym_preproc_define] = sym_preproc_define,
    [sym_preproc_call] = sym_preproc_call,
    [sym_preproc_include] = sym_preproc_include,
    [sym_system_lib_string] = sym_system_lib_string,
    [sym_except_dcl] = sym_except_dcl,
    [sym_interface_dcl] = sym_interface_dcl,
    [sym_interface_kind] = sym_interface_kind,
    [sym_interface_forward_dcl] = sym_interface_forward_dcl,
    [sym_interface_def] = sym_interface_def,
    [sym_interface_header] = sym_interface_header,
    [sym_interface_inheritance_spec] = sym_interface_inheritance_spec,
    [sym_interface_name] = sym_interface_name,
    [sym_interface_body] = sym_interface_body,
    [sym_export] = sym_export,
    [sym_op_dcl] = sym_op_dcl,
    [sym_op_type_spec] = sym_op_type_spec,
    [sym_parameter_dcls] = sym_parameter_dcls,
    [sym_param_dcl] = sym_param_dcl,
    [sym_param_attribute] = sym_param_attribute,
    [sym_raises_expr] = sym_raises_expr,
    [sym_attr_dcl] = sym_attr_dcl,
    [sym_readonly_attr_spec] = sym_readonly_attr_spec,
    [sym_readonly_attr_declarator] = sym_readonly_attr_declarator,
    [sym_attr_spec] = sym_attr_spec,
    [sym_attr_declarator] = sym_attr_declarator,
    [sym_attr_raises_expr] = sym_attr_raises_expr,
    [sym_get_excep_expr] = sym_get_excep_expr,
    [sym_set_excep_expr] = sym_set_excep_expr,
    [sym_exception_list] = sym_exception_list,
    [sym_bitset_dcl] = sym_bitset_dcl,
    [sym_bitfield] = sym_bitfield,
    [sym_bitfield_spec] = sym_bitfield_spec,
    [sym_destination_type] = sym_destination_type,
    [sym_bitmask_dcl] = sym_bitmask_dcl,
    [sym_bit_value] = sym_bit_value,
    [sym_annotation_dcl] = sym_annotation_dcl,
    [sym_annotation_body] = sym_annotation_body,
    [sym_annotation_member] = sym_annotation_member,
    [sym_annotation_member_type] = sym_annotation_member_type,
    [sym_any_const_type] = sym_any_const_type,
    [sym_annotation_appl] = sym_annotation_appl,
    [sym_extend_annotation_appl] = sym_extend_annotation_appl,
    [sym_annotation_appl_custom_body] = sym_annotation_appl_custom_body,
    [sym_annotation_appl_params] = sym_annotation_appl_params,
    [sym_annotation_appl_param] = sym_annotation_appl_param,
    [sym_annotation_appl_builtin_body] = sym_annotation_appl_builtin_body,
    [sym_annotation_appl_id] = sym_annotation_appl_id,
    [sym_annotation_appl_autoid] = sym_annotation_appl_autoid,
    [sym_autoid_kind] = sym_autoid_kind,
    [sym_annotation_appl_optional] = sym_annotation_appl_optional,
    [sym_annotation_appl_position] = sym_annotation_appl_position,
    [sym_annotation_appl_value] = sym_annotation_appl_value,
    [sym_annotation_appl_extensibility] = sym_annotation_appl_extensibility,
    [sym_extensibility_kind] = sym_extensibility_kind,
    [sym_annotation_appl_final] = sym_annotation_appl_final,
    [sym_annotation_appl_appendable] = sym_annotation_appl_appendable,
    [sym_annotation_appl_mutable] = sym_annotation_appl_mutable,
    [sym_annotation_appl_key] = sym_annotation_appl_key,
    [sym_annotation_appl_must_understand] = sym_annotation_appl_must_understand,
    [sym_annotation_appl_default_literal] = sym_annotation_appl_default_literal,
    [sym_annotation_appl_default] = sym_annotation_appl_default,
    [sym_annotation_appl_range] = sym_annotation_appl_range,
    [sym_min_expr] = sym_min_expr,
    [sym_max_expr] = sym_max_expr,
    [sym_annotation_appl_min] = sym_annotation_appl_min,
    [sym_annotation_appl_max] = sym_annotation_appl_max,
    [sym_annotation_appl_unit] = sym_annotation_appl_unit,
    [sym_annotation_appl_bit_bound] = sym_annotation_appl_bit_bound,
    [sym_annotation_appl_external] = sym_annotation_appl_external,
    [sym_annotation_appl_nested] = sym_annotation_appl_nested,
    [sym_annotation_appl_verbatim] = sym_annotation_appl_verbatim,
    [sym_verbatim_language] = sym_verbatim_language,
    [sym_placement_kind] = sym_placement_kind,
    [sym_annotation_appl_service] = sym_annotation_appl_service,
    [sym_service_platform] = sym_service_platform,
    [sym_annotation_appl_oneway] = sym_annotation_appl_oneway,
    [sym_annotation_appl_ami] = sym_annotation_appl_ami,
    [sym_template_module_dcl] = sym_template_module_dcl,
    [sym_formal_parameters] = sym_formal_parameters,
    [sym_formal_parameter] = sym_formal_parameter,
    [sym_formal_parameter_type] = sym_formal_parameter_type,
    [sym_tpl_definition] = sym_tpl_definition,
    [sym_template_module_inst] = sym_template_module_inst,
    [sym_actual_parameters] = sym_actual_parameters,
    [sym_actual_parameter] = sym_actual_parameter,
    [sym_template_module_ref] = sym_template_module_ref,
    [sym_formal_parameter_names] = sym_formal_parameter_names,
    [sym_value_dcl] = sym_value_dcl,
    [sym_value_def] = sym_value_def,
    [sym_value_kind] = sym_value_kind,
    [sym_value_header] = sym_value_header,
    [sym_value_inheritance_spec] = sym_value_inheritance_spec,
    [sym_value_inheritance] = sym_value_inheritance,
    [sym_value_supports] = sym_value_supports,
    [sym_value_name] = sym_value_name,
    [sym_value_element] = sym_value_element,
    [sym_state_member] = sym_state_member,
    [sym_init_dcl] = sym_init_dcl,
    [sym_init_param_dcls] = sym_init_param_dcls,
    [sym_init_param_dcl] = sym_init_param_dcl,
    [sym_value_forward_dcl] = sym_value_forward_dcl,
    [sym_typedef_dcl] = sym_typedef_dcl,
    [sym_type_declarator] = sym_type_declarator,
    [sym_any_declarators] = sym_any_declarators,
    [sym_any_declarator] = sym_any_declarator,
    [sym_simple_declarator] = sym_simple_declarator,
    [sym_declarator] = sym_declarator,
    [sym_declarators] = sym_declarators,
    [sym_array_declarator] = sym_array_declarator,
    [sym_fixed_array_size] = sym_fixed_array_size,
    [sym_enum_dcl] = sym_enum_dcl,
    [sym_enumerator] = sym_enumerator,
    [sym_enum_modifier] = sym_enum_modifier,
    [sym_enum_anno] = sym_enum_anno,
    [sym_union_dcl] = sym_union_dcl,
    [sym_union_forward_dcl] = sym_union_forward_dcl,
    [sym_union_def] = sym_union_def,
    [sym_case] = sym_case,
    [sym_case_label] = sym_case_label,
    [sym_element_spec] = sym_element_spec,
    [sym_switch_type_spec] = sym_switch_type_spec,
    [sym_type_id_dcl] = sym_type_id_dcl,
    [sym_type_prefix_dcl] = sym_type_prefix_dcl,
    [sym_import_dcl] = sym_import_dcl,
    [sym_imported_scope] = sym_imported_scope,
    [sym_object_type] = sym_object_type,
    [sym_op_oneway_dcl] = sym_op_oneway_dcl,
    [sym_in_parameter_dcls] = sym_in_parameter_dcls,
    [sym_in_param_dcl] = sym_in_param_dcl,
    [sym_op_with_context] = sym_op_with_context,
    [sym_context_expr] = sym_context_expr,
    [sym_value_box_def] = sym_value_box_def,
    [sym_value_abs_def] = sym_value_abs_def,
    [sym_component_dcl] = sym_component_dcl,
    [sym_component_forward_dcl] = sym_component_forward_dcl,
    [sym_component_def] = sym_component_def,
    [sym_component_header] = sym_component_header,
    [sym_component_inheritance_spec] = sym_component_inheritance_spec,
    [sym_component_body] = sym_component_body,
    [sym_component_export] = sym_component_export,
    [sym_provides_dcl] = sym_provides_dcl,
    [sym_interface_type] = sym_interface_type,
    [sym_uses_dcl] = sym_uses_dcl,
    [sym_home_dcl] = sym_home_dcl,
    [sym_home_header] = sym_home_header,
    [sym_home_inheritance_spec] = sym_home_inheritance_spec,
    [sym_home_body] = sym_home_body,
    [sym_home_export] = sym_home_export,
    [sym_factory_dcl] = sym_factory_dcl,
    [sym_factory_param_dcls] = sym_factory_param_dcls,
    [sym_factory_param_dcl] = sym_factory_param_dcl,
    [sym_supported_interface_spec] = sym_supported_interface_spec,
    [sym_emits_dcl] = sym_emits_dcl,
    [sym_publishes_dcl] = sym_publishes_dcl,
    [sym_consumes_dcl] = sym_consumes_dcl,
    [sym_primary_key_spec] = sym_primary_key_spec,
    [sym_finder_dcl] = sym_finder_dcl,
    [sym_event_dcl] = sym_event_dcl,
    [sym_event_forward_dcl] = sym_event_forward_dcl,
    [sym_event_abs_def] = sym_event_abs_def,
    [sym_event_def] = sym_event_def,
    [sym_event_header] = sym_event_header,
    [sym_porttype_dcl] = sym_porttype_dcl,
    [sym_porttype_forward_dcl] = sym_porttype_forward_dcl,
    [sym_porttype_def] = sym_porttype_def,
    [sym_port_body] = sym_port_body,
    [sym_port_ref] = sym_port_ref,
    [sym_port_export] = sym_port_export,
    [sym_port_dcl] = sym_port_dcl,
    [sym_connector_dcl] = sym_connector_dcl,
    [sym_connector_header] = sym_connector_header,
    [sym_connector_inherit_spec] = sym_connector_inherit_spec,
    [sym_connector_export] = sym_connector_export,
    [sym_definition] = sym_definition,
    [sym_type_dcl] = sym_type_dcl,
    [sym_constr_type_dcl] = sym_constr_type_dcl,
    [sym_native_dcl] = sym_native_dcl,
    [sym_module_dcl] = sym_module_dcl,
    [sym_struct_dcl] = sym_struct_dcl,
    [sym_struct_forward_dcl] = sym_struct_forward_dcl,
    [sym_struct_def] = sym_struct_def,
    [sym_member] = sym_member,
    [sym_default] = sym_default,
    [sym_const_dcl] = sym_const_dcl,
    [sym_const_type] = sym_const_type,
    [sym_comment] = sym_comment,
    [aux_sym_specification_repeat1] = aux_sym_specification_repeat1,
    [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
    [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
    [aux_sym_except_dcl_repeat1] = aux_sym_except_dcl_repeat1,
    [aux_sym_interface_dcl_repeat1] = aux_sym_interface_dcl_repeat1,
    [aux_sym_interface_inheritance_spec_repeat1] = aux_sym_interface_inheritance_spec_repeat1,
    [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
    [aux_sym_parameter_dcls_repeat1] = aux_sym_parameter_dcls_repeat1,
    [aux_sym_raises_expr_repeat1] = aux_sym_raises_expr_repeat1,
    [aux_sym_readonly_attr_declarator_repeat1] = aux_sym_readonly_attr_declarator_repeat1,
    [aux_sym_bitset_dcl_repeat1] = aux_sym_bitset_dcl_repeat1,
    [aux_sym_bitfield_repeat1] = aux_sym_bitfield_repeat1,
    [aux_sym_bitmask_dcl_repeat1] = aux_sym_bitmask_dcl_repeat1,
    [aux_sym_annotation_dcl_repeat1] = aux_sym_annotation_dcl_repeat1,
    [aux_sym_annotation_appl_params_repeat1] = aux_sym_annotation_appl_params_repeat1,
    [aux_sym_template_module_dcl_repeat1] = aux_sym_template_module_dcl_repeat1,
    [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
    [aux_sym_actual_parameters_repeat1] = aux_sym_actual_parameters_repeat1,
    [aux_sym_formal_parameter_names_repeat1] = aux_sym_formal_parameter_names_repeat1,
    [aux_sym_value_def_repeat1] = aux_sym_value_def_repeat1,
    [aux_sym_value_inheritance_spec_repeat1] = aux_sym_value_inheritance_spec_repeat1,
    [aux_sym_init_param_dcls_repeat1] = aux_sym_init_param_dcls_repeat1,
    [aux_sym_any_declarators_repeat1] = aux_sym_any_declarators_repeat1,
    [aux_sym_declarators_repeat1] = aux_sym_declarators_repeat1,
    [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
    [aux_sym_enum_dcl_repeat1] = aux_sym_enum_dcl_repeat1,
    [aux_sym_enumerator_repeat1] = aux_sym_enumerator_repeat1,
    [aux_sym_union_def_repeat1] = aux_sym_union_def_repeat1,
    [aux_sym_case_repeat1] = aux_sym_case_repeat1,
    [aux_sym_in_parameter_dcls_repeat1] = aux_sym_in_parameter_dcls_repeat1,
    [aux_sym_context_expr_repeat1] = aux_sym_context_expr_repeat1,
    [aux_sym_component_body_repeat1] = aux_sym_component_body_repeat1,
    [aux_sym_home_body_repeat1] = aux_sym_home_body_repeat1,
    [aux_sym_factory_param_dcls_repeat1] = aux_sym_factory_param_dcls_repeat1,
    [aux_sym_port_body_repeat1] = aux_sym_port_body_repeat1,
    [aux_sym_connector_dcl_repeat1] = aux_sym_connector_dcl_repeat1,
    [aux_sym_module_dcl_repeat1] = aux_sym_module_dcl_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
    [ts_builtin_sym_end] = {
        .visible = false,
        .named = true,
    },
    [anon_sym_short] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_long] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_int64] = {
        .visible = true,
        .named = false,
    },
    [sym_unsigned_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_fixed] = {
        .visible = true,
        .named = false,
    },
    [sym_octet_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_tiny_int] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_unsignedshort] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint16] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint32] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unsignedlonglong] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uint64] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_float] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_double] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_longdouble] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_char] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wchar] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_string] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_wstring] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_any] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COMMA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_sequence] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_map] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PIPE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CARET] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AMP] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_GT_GT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LT_LT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_STAR] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_PERCENT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RPAREN] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_TILDE] = {
        .visible = true,
        .named = false,
    },
    [sym_bin_number] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_oct_number_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_oct_number_token2] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_0] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_dec_number_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_hex_number] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DOT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_floating_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_fixed_pt_literal_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_escape_sequence] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_DQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_string_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_L] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SQUOTE] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_char_literal_token1] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_TRUE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FALSE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_POUNDdefine] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_preproc_define_token1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_preproc_call_token1] = {
        .visible = false,
        .named = false,
    },
    [sym_preproc_directive] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_arg] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_preproc_include_token1] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_path] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_exception] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_local] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_abstract] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_interface] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_COLON] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEMI] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_void] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_in] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_out] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_inout] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_raises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_readonly] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_attribute] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_getraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_setraises] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitset] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitfield] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bitmask] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATannotation] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AT] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SLASH_SLASH_AT] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_extend_annotation_appl_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_EQ] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_id] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_autoid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_SEQUENTIAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_HASH] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_optional] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_position] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_value] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_extensibility] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_FINAL] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_APPENDABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_MUTABLE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_final] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_appendable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mutable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_key] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_must_understand] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_default_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_range] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_min] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_max] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_unit] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_bit_bound] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_external] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_nested] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_verbatim] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_c_PLUS_PLUS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_java] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_idl] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEFORE_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_BEGIN_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_AFTER_DECLARATION] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_END_FILE] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_service] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_CORBA] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_DDS] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_oneway] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ami] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_module] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typename] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_valuetype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_eventtype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_struct] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_union] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_enum] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_const] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_alias] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_custom] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_truncatable] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_supports] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_public] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_private] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_factory] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typedef] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_LBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_RBRACK] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATdefault_literal] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_ATignore_literal_names] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_switch] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_case] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeid] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_typeprefix] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_import] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_Object] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_context] = {
        .visible = true,
        .named = false,
    },
    [sym_value_base_type] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_component] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_provides] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_uses] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_multiple] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_home] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_manages] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_emits] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_publishes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_consumes] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_primarykey] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_finder] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_porttype] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_port] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_mirrorport] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_connector] = {
        .visible = true,
        .named = false,
    },
    [anon_sym_native] = {
        .visible = true,
        .named = false,
    },
    [sym_identifier] = {
        .visible = true,
        .named = true,
    },
    [anon_sym_SLASH_SLASH] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token1] = {
        .visible = false,
        .named = false,
    },
    [anon_sym_SLASH_STAR] = {
        .visible = true,
        .named = false,
    },
    [aux_sym_comment_token2] = {
        .visible = false,
        .named = false,
    },
    [sym_specification] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_int] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_type] = {
        .visible = true,
        .named = true,
    },
    [sym_signed_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_short_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_long_int] = {
        .visible = true,
        .named = true,
    },
    [sym_unsigned_longlong_int] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_char_type] = {
        .visible = true,
        .named = true,
    },
    [sym_scoped_name] = {
        .visible = true,
        .named = true,
    },
    [sym_string_type] = {
        .visible = true,
        .named = true,
    },
    [sym_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_base_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_any_type] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_type] = {
        .visible = true,
        .named = true,
    },
    [sym_template_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_sequence_type] = {
        .visible = true,
        .named = true,
    },
    [sym_map_type] = {
        .visible = true,
        .named = true,
    },
    [sym_positive_int_const] = {
        .visible = true,
        .named = true,
    },
    [sym_const_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_or_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_xor_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_and_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_shift_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_add_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_mult_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_unary_operator] = {
        .visible = true,
        .named = true,
    },
    [sym_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_integer_sign] = {
        .visible = true,
        .named = true,
    },
    [sym_oct_number] = {
        .visible = true,
        .named = true,
    },
    [sym_dec_number] = {
        .visible = true,
        .named = true,
    },
    [sym_floating_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_pt_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_string_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_char_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_wide_character_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_boolean_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_define] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_call] = {
        .visible = true,
        .named = true,
    },
    [sym_preproc_include] = {
        .visible = true,
        .named = true,
    },
    [sym_system_lib_string] = {
        .visible = true,
        .named = true,
    },
    [sym_except_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_def] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_header] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_name] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_body] = {
        .visible = true,
        .named = true,
    },
    [sym_export] = {
        .visible = true,
        .named = true,
    },
    [sym_op_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_param_attribute] = {
        .visible = true,
        .named = true,
    },
    [sym_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_readonly_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_attr_raises_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_get_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_set_excep_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_exception_list] = {
        .visible = true,
        .named = true,
    },
    [sym_bitset_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield] = {
        .visible = true,
        .named = true,
    },
    [sym_bitfield_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_destination_type] = {
        .visible = true,
        .named = true,
    },
    [sym_bitmask_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_bit_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_member_type] = {
        .visible = true,
        .named = true,
    },
    [sym_any_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_extend_annotation_appl] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_custom_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_params] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_param] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_builtin_body] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_id] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_autoid] = {
        .visible = true,
        .named = true,
    },
    [sym_autoid_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_optional] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_position] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_value] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_extensibility] = {
        .visible = true,
        .named = true,
    },
    [sym_extensibility_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_final] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_appendable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_mutable] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_key] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_must_understand] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default_literal] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_default] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_range] = {
        .visible = true,
        .named = true,
    },
    [sym_min_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_max_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_min] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_max] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_unit] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_bit_bound] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_external] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_nested] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_verbatim] = {
        .visible = true,
        .named = true,
    },
    [sym_verbatim_language] = {
        .visible = true,
        .named = true,
    },
    [sym_placement_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_service] = {
        .visible = true,
        .named = true,
    },
    [sym_service_platform] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_oneway] = {
        .visible = true,
        .named = true,
    },
    [sym_annotation_appl_ami] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_type] = {
        .visible = true,
        .named = true,
    },
    [sym_tpl_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_inst] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameters] = {
        .visible = true,
        .named = true,
    },
    [sym_actual_parameter] = {
        .visible = true,
        .named = true,
    },
    [sym_template_module_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_formal_parameter_names] = {
        .visible = true,
        .named = true,
    },
    [sym_value_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_kind] = {
        .visible = true,
        .named = true,
    },
    [sym_value_header] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_value_inheritance] = {
        .visible = true,
        .named = true,
    },
    [sym_value_supports] = {
        .visible = true,
        .named = true,
    },
    [sym_value_name] = {
        .visible = true,
        .named = true,
    },
    [sym_value_element] = {
        .visible = true,
        .named = true,
    },
    [sym_state_member] = {
        .visible = true,
        .named = true,
    },
    [sym_init_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_init_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_value_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_typedef_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_any_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_simple_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_declarators] = {
        .visible = true,
        .named = true,
    },
    [sym_array_declarator] = {
        .visible = true,
        .named = true,
    },
    [sym_fixed_array_size] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_enumerator] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_modifier] = {
        .visible = true,
        .named = true,
    },
    [sym_enum_anno] = {
        .visible = true,
        .named = true,
    },
    [sym_union_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_union_def] = {
        .visible = true,
        .named = true,
    },
    [sym_case] = {
        .visible = true,
        .named = true,
    },
    [sym_case_label] = {
        .visible = true,
        .named = true,
    },
    [sym_element_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_switch_type_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_type_id_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_type_prefix_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_import_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_imported_scope] = {
        .visible = true,
        .named = true,
    },
    [sym_object_type] = {
        .visible = true,
        .named = true,
    },
    [sym_op_oneway_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_in_parameter_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_in_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_op_with_context] = {
        .visible = true,
        .named = true,
    },
    [sym_context_expr] = {
        .visible = true,
        .named = true,
    },
    [sym_value_box_def] = {
        .visible = true,
        .named = true,
    },
    [sym_value_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_component_def] = {
        .visible = true,
        .named = true,
    },
    [sym_component_header] = {
        .visible = true,
        .named = true,
    },
    [sym_component_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_component_body] = {
        .visible = true,
        .named = true,
    },
    [sym_component_export] = {
        .visible = true,
        .named = true,
    },
    [sym_provides_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_interface_type] = {
        .visible = true,
        .named = true,
    },
    [sym_uses_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_home_header] = {
        .visible = true,
        .named = true,
    },
    [sym_home_inheritance_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_home_body] = {
        .visible = true,
        .named = true,
    },
    [sym_home_export] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcls] = {
        .visible = true,
        .named = true,
    },
    [sym_factory_param_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_supported_interface_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_emits_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_publishes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_consumes_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_primary_key_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_finder_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_event_abs_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_def] = {
        .visible = true,
        .named = true,
    },
    [sym_event_header] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_porttype_def] = {
        .visible = true,
        .named = true,
    },
    [sym_port_body] = {
        .visible = true,
        .named = true,
    },
    [sym_port_ref] = {
        .visible = true,
        .named = true,
    },
    [sym_port_export] = {
        .visible = true,
        .named = true,
    },
    [sym_port_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_header] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_inherit_spec] = {
        .visible = true,
        .named = true,
    },
    [sym_connector_export] = {
        .visible = true,
        .named = true,
    },
    [sym_definition] = {
        .visible = true,
        .named = true,
    },
    [sym_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_constr_type_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_native_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_module_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_forward_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_struct_def] = {
        .visible = true,
        .named = true,
    },
    [sym_member] = {
        .visible = true,
        .named = true,
    },
    [sym_default] = {
        .visible = true,
        .named = true,
    },
    [sym_const_dcl] = {
        .visible = true,
        .named = true,
    },
    [sym_const_type] = {
        .visible = true,
        .named = true,
    },
    [sym_comment] = {
        .visible = true,
        .named = true,
    },
    [aux_sym_specification_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_string_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_char_literal_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_except_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_interface_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_raises_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_readonly_attr_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitset_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitfield_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_bitmask_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_annotation_appl_params_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_template_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_actual_parameters_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_formal_parameter_names_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_value_inheritance_spec_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_init_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_any_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_declarators_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_array_declarator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enum_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_enumerator_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_union_def_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_case_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_in_parameter_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_context_expr_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_component_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_home_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_factory_param_dcls_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_port_body_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_connector_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
    [aux_sym_module_dcl_repeat1] = {
        .visible = false,
        .named = false,
    },
};

enum ts_field_identifiers {
    field_argument = 1,
    field_directive = 2,
    field_identifier = 3,
    field_language = 4,
    field_max = 5,
    field_min = 6,
    field_name = 7,
    field_parent = 8,
    field_path = 9,
    field_placement = 10,
    field_text = 11,
    field_type = 12,
};

static const char *const ts_field_names[] = {
    [0] = NULL,
    [field_argument] = "argument",
    [field_directive] = "directive",
    [field_identifier] = "identifier",
    [field_language] = "language",
    [field_max] = "max",
    [field_min] = "min",
    [field_name] = "name",
    [field_parent] = "parent",
    [field_path] = "path",
    [field_placement] = "placement",
    [field_text] = "text",
    [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
    [1] = { .index = 0, .length = 1 },
    [2] = { .index = 1, .length = 1 },
    [3] = { .index = 2, .length = 2 },
    [4] = { .index = 4, .length = 1 },
    [5] = { .index = 5, .length = 2 },
    [6] = { .index = 7, .length = 2 },
    [7] = { .index = 9, .length = 1 },
    [8] = { .index = 10, .length = 2 },
    [9] = { .index = 12, .length = 3 },
    [10] = { .index = 15, .length = 4 },
    [11] = { .index = 19, .length = 4 },
    [12] = { .index = 23, .length = 6 },
};

static const TSFieldMapEntry ts_field_map_entries[] = {
    [0] = { field_directive, 0 },
    [1] = { field_name, 0 },
    [2] = { field_argument, 1 },
    { field_directive, 0 },
    [4] = { field_path, 1 },
    [5] = { field_name, 0 },
    { field_text, 2 },
    [7] = { field_identifier, 1 },
    { field_type, 0 },
    [9] = { field_parent, 3 },
    [10] = { field_identifier, 2 },
    { field_type, 1 },
    [12] = { field_max, 4 },
    { field_min, 2 },
    { field_name, 0 },
    [15] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_text, 4 },
    [19] = { field_name, 0 },
    { field_placement, 2 },
    { field_placement, 3 },
    { field_text, 4 },
    [23] = { field_language, 2 },
    { field_language, 3 },
    { field_name, 0 },
    { field_placement, 4 },
    { field_placement, 5 },
    { field_text, 6 },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
    [0] = { 0 },
};

static const uint16_t ts_non_terminal_alias_map[] = {
    0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
    [0] = 0,
    [1] = 1,
    [2] = 2,
    [3] = 3,
    [4] = 4,
    [5] = 5,
    [6] = 6,
    [7] = 7,
    [8] = 8,
    [9] = 9,
    [10] = 10,
    [11] = 11,
    [12] = 12,
    [13] = 13,
    [14] = 14,
    [15] = 15,
    [16] = 16,
    [17] = 17,
    [18] = 18,
    [19] = 19,
    [20] = 20,
    [21] = 21,
    [22] = 22,
    [23] = 23,
    [24] = 24,
    [25] = 25,
    [26] = 26,
    [27] = 27,
    [28] = 28,
    [29] = 29,
    [30] = 30,
    [31] = 31,
    [32] = 32,
    [33] = 33,
    [34] = 34,
    [35] = 35,
    [36] = 36,
    [37] = 37,
    [38] = 38,
    [39] = 39,
    [40] = 40,
    [41] = 41,
    [42] = 42,
    [43] = 43,
    [44] = 44,
    [45] = 45,
    [46] = 46,
    [47] = 47,
    [48] = 48,
    [49] = 49,
    [50] = 50,
    [51] = 51,
    [52] = 52,
    [53] = 53,
    [54] = 54,
    [55] = 55,
    [56] = 56,
    [57] = 57,
    [58] = 58,
    [59] = 54,
    [60] = 60,
    [61] = 54,
    [62] = 62,
    [63] = 63,
    [64] = 64,
    [65] = 65,
    [66] = 66,
    [67] = 67,
    [68] = 68,
    [69] = 69,
    [70] = 70,
    [71] = 66,
    [72] = 65,
    [73] = 73,
    [74] = 66,
    [75] = 66,
    [76] = 65,
    [77] = 65,
    [78] = 78,
    [79] = 79,
    [80] = 80,
    [81] = 81,
    [82] = 82,
    [83] = 83,
    [84] = 83,
    [85] = 83,
    [86] = 83,
    [87] = 87,
    [88] = 88,
    [89] = 89,
    [90] = 90,
    [91] = 91,
    [92] = 92,
    [93] = 93,
    [94] = 94,
    [95] = 95,
    [96] = 96,
    [97] = 97,
    [98] = 98,
    [99] = 99,
    [100] = 100,
    [101] = 101,
    [102] = 102,
    [103] = 103,
    [104] = 104,
    [105] = 105,
    [106] = 106,
    [107] = 107,
    [108] = 108,
    [109] = 109,
    [110] = 110,
    [111] = 111,
    [112] = 112,
    [113] = 113,
    [114] = 114,
    [115] = 115,
    [116] = 116,
    [117] = 117,
    [118] = 118,
    [119] = 119,
    [120] = 120,
    [121] = 121,
    [122] = 122,
    [123] = 123,
    [124] = 124,
    [125] = 125,
    [126] = 126,
    [127] = 127,
    [128] = 128,
    [129] = 129,
    [130] = 130,
    [131] = 131,
    [132] = 132,
    [133] = 133,
    [134] = 134,
    [135] = 135,
    [136] = 136,
    [137] = 137,
    [138] = 138,
    [139] = 139,
    [140] = 140,
    [141] = 141,
    [142] = 142,
    [143] = 143,
    [144] = 144,
    [145] = 145,
    [146] = 146,
    [147] = 147,
    [148] = 148,
    [149] = 149,
    [150] = 150,
    [151] = 151,
    [152] = 152,
    [153] = 153,
    [154] = 154,
    [155] = 155,
    [156] = 156,
    [157] = 157,
    [158] = 158,
    [159] = 159,
    [160] = 160,
    [161] = 161,
    [162] = 162,
    [163] = 163,
    [164] = 164,
    [165] = 165,
    [166] = 166,
    [167] = 167,
    [168] = 168,
    [169] = 169,
    [170] = 170,
    [171] = 171,
    [172] = 172,
    [173] = 173,
    [174] = 174,
    [175] = 175,
    [176] = 176,
    [177] = 177,
    [178] = 178,
    [179] = 179,
    [180] = 180,
    [181] = 181,
    [182] = 182,
    [183] = 183,
    [184] = 184,
    [185] = 185,
    [186] = 186,
    [187] = 187,
    [188] = 188,
    [189] = 189,
    [190] = 189,
    [191] = 191,
    [192] = 192,
    [193] = 193,
    [194] = 192,
    [195] = 188,
    [196] = 189,
    [197] = 191,
    [198] = 188,
    [199] = 191,
    [200] = 192,
    [201] = 192,
    [202] = 202,
    [203] = 191,
    [204] = 189,
    [205] = 188,
    [206] = 206,
    [207] = 207,
    [208] = 208,
    [209] = 129,
    [210] = 130,
    [211] = 211,
    [212] = 128,
    [213] = 213,
    [214] = 214,
    [215] = 215,
    [216] = 216,
    [217] = 217,
    [218] = 218,
    [219] = 219,
    [220] = 220,
    [221] = 221,
    [222] = 222,
    [223] = 223,
    [224] = 224,
    [225] = 225,
    [226] = 226,
    [227] = 227,
    [228] = 228,
    [229] = 229,
    [230] = 230,
    [231] = 231,
    [232] = 232,
    [233] = 233,
    [234] = 234,
    [235] = 235,
    [236] = 236,
    [237] = 237,
    [238] = 238,
    [239] = 239,
    [240] = 240,
    [241] = 241,
    [242] = 242,
    [243] = 243,
    [244] = 244,
    [245] = 245,
    [246] = 246,
    [247] = 246,
    [248] = 246,
    [249] = 249,
    [250] = 246,
    [251] = 105,
    [252] = 252,
    [253] = 253,
    [254] = 129,
    [255] = 255,
    [256] = 128,
    [257] = 257,
    [258] = 123,
    [259] = 130,
    [260] = 260,
    [261] = 122,
    [262] = 119,
    [263] = 260,
    [264] = 264,
    [265] = 115,
    [266] = 266,
    [267] = 266,
    [268] = 264,
    [269] = 260,
    [270] = 266,
    [271] = 114,
    [272] = 264,
    [273] = 116,
    [274] = 112,
    [275] = 120,
    [276] = 113,
    [277] = 117,
    [278] = 266,
    [279] = 264,
    [280] = 260,
    [281] = 150,
    [282] = 166,
    [283] = 163,
    [284] = 135,
    [285] = 172,
    [286] = 153,
    [287] = 160,
    [288] = 158,
    [289] = 159,
    [290] = 142,
    [291] = 168,
    [292] = 139,
    [293] = 173,
    [294] = 138,
    [295] = 126,
    [296] = 134,
    [297] = 140,
    [298] = 146,
    [299] = 127,
    [300] = 161,
    [301] = 167,
    [302] = 137,
    [303] = 145,
    [304] = 304,
    [305] = 147,
    [306] = 165,
    [307] = 149,
    [308] = 157,
    [309] = 309,
    [310] = 136,
    [311] = 148,
    [312] = 143,
    [313] = 162,
    [314] = 155,
    [315] = 152,
    [316] = 170,
    [317] = 141,
    [318] = 144,
    [319] = 319,
    [320] = 320,
    [321] = 321,
    [322] = 322,
    [323] = 323,
    [324] = 129,
    [325] = 130,
    [326] = 323,
    [327] = 323,
    [328] = 328,
    [329] = 323,
    [330] = 330,
    [331] = 331,
    [332] = 332,
    [333] = 333,
    [334] = 334,
    [335] = 128,
    [336] = 336,
    [337] = 337,
    [338] = 338,
    [339] = 339,
    [340] = 340,
    [341] = 341,
    [342] = 342,
    [343] = 343,
    [344] = 344,
    [345] = 345,
    [346] = 346,
    [347] = 347,
    [348] = 348,
    [349] = 349,
    [350] = 350,
    [351] = 351,
    [352] = 352,
    [353] = 353,
    [354] = 354,
    [355] = 105,
    [356] = 356,
    [357] = 357,
    [358] = 352,
    [359] = 352,
    [360] = 360,
    [361] = 361,
    [362] = 362,
    [363] = 363,
    [364] = 352,
    [365] = 365,
    [366] = 366,
    [367] = 361,
    [368] = 361,
    [369] = 369,
    [370] = 370,
    [371] = 361,
    [372] = 105,
    [373] = 373,
    [374] = 374,
    [375] = 123,
    [376] = 376,
    [377] = 377,
    [378] = 123,
    [379] = 379,
    [380] = 380,
    [381] = 381,
    [382] = 382,
    [383] = 128,
    [384] = 384,
    [385] = 385,
    [386] = 386,
    [387] = 387,
    [388] = 388,
    [389] = 389,
    [390] = 390,
    [391] = 391,
    [392] = 392,
    [393] = 393,
    [394] = 394,
    [395] = 395,
    [396] = 130,
    [397] = 397,
    [398] = 398,
    [399] = 399,
    [400] = 400,
    [401] = 401,
    [402] = 129,
    [403] = 403,
    [404] = 404,
    [405] = 405,
    [406] = 130,
    [407] = 128,
    [408] = 408,
    [409] = 129,
    [410] = 410,
    [411] = 411,
    [412] = 412,
    [413] = 112,
    [414] = 115,
    [415] = 415,
    [416] = 416,
    [417] = 417,
    [418] = 418,
    [419] = 419,
    [420] = 420,
    [421] = 421,
    [422] = 422,
    [423] = 423,
    [424] = 116,
    [425] = 117,
    [426] = 119,
    [427] = 122,
    [428] = 428,
    [429] = 429,
    [430] = 430,
    [431] = 431,
    [432] = 432,
    [433] = 433,
    [434] = 434,
    [435] = 434,
    [436] = 436,
    [437] = 437,
    [438] = 438,
    [439] = 439,
    [440] = 440,
    [441] = 441,
    [442] = 442,
    [443] = 443,
    [444] = 444,
    [445] = 445,
    [446] = 120,
    [447] = 447,
    [448] = 113,
    [449] = 114,
    [450] = 450,
    [451] = 451,
    [452] = 452,
    [453] = 453,
    [454] = 454,
    [455] = 455,
    [456] = 456,
    [457] = 114,
    [458] = 458,
    [459] = 443,
    [460] = 444,
    [461] = 112,
    [462] = 115,
    [463] = 463,
    [464] = 464,
    [465] = 116,
    [466] = 117,
    [467] = 467,
    [468] = 113,
    [469] = 119,
    [470] = 443,
    [471] = 444,
    [472] = 120,
    [473] = 473,
    [474] = 122,
    [475] = 475,
    [476] = 476,
    [477] = 477,
    [478] = 478,
    [479] = 479,
    [480] = 480,
    [481] = 481,
    [482] = 481,
    [483] = 430,
    [484] = 484,
    [485] = 480,
    [486] = 444,
    [487] = 443,
    [488] = 488,
    [489] = 489,
    [490] = 490,
    [491] = 491,
    [492] = 441,
    [493] = 480,
    [494] = 494,
    [495] = 481,
    [496] = 496,
    [497] = 497,
    [498] = 498,
    [499] = 480,
    [500] = 500,
    [501] = 501,
    [502] = 502,
    [503] = 481,
    [504] = 504,
    [505] = 505,
    [506] = 166,
    [507] = 155,
    [508] = 508,
    [509] = 509,
    [510] = 510,
    [511] = 511,
    [512] = 512,
    [513] = 513,
    [514] = 514,
    [515] = 515,
    [516] = 516,
    [517] = 166,
    [518] = 165,
    [519] = 519,
    [520] = 520,
    [521] = 521,
    [522] = 161,
    [523] = 157,
    [524] = 524,
    [525] = 149,
    [526] = 526,
    [527] = 527,
    [528] = 528,
    [529] = 134,
    [530] = 530,
    [531] = 531,
    [532] = 532,
    [533] = 533,
    [534] = 534,
    [535] = 535,
    [536] = 147,
    [537] = 146,
    [538] = 538,
    [539] = 539,
    [540] = 540,
    [541] = 541,
    [542] = 542,
    [543] = 543,
    [544] = 544,
    [545] = 545,
    [546] = 546,
    [547] = 126,
    [548] = 548,
    [549] = 530,
    [550] = 550,
    [551] = 531,
    [552] = 144,
    [553] = 143,
    [554] = 554,
    [555] = 127,
    [556] = 556,
    [557] = 534,
    [558] = 558,
    [559] = 535,
    [560] = 140,
    [561] = 138,
    [562] = 562,
    [563] = 137,
    [564] = 136,
    [565] = 565,
    [566] = 148,
    [567] = 155,
    [568] = 538,
    [569] = 541,
    [570] = 570,
    [571] = 541,
    [572] = 538,
    [573] = 167,
    [574] = 574,
    [575] = 575,
    [576] = 576,
    [577] = 577,
    [578] = 173,
    [579] = 172,
    [580] = 580,
    [581] = 418,
    [582] = 170,
    [583] = 168,
    [584] = 162,
    [585] = 535,
    [586] = 530,
    [587] = 587,
    [588] = 588,
    [589] = 531,
    [590] = 534,
    [591] = 531,
    [592] = 592,
    [593] = 534,
    [594] = 535,
    [595] = 530,
    [596] = 596,
    [597] = 597,
    [598] = 538,
    [599] = 541,
    [600] = 160,
    [601] = 601,
    [602] = 602,
    [603] = 603,
    [604] = 604,
    [605] = 605,
    [606] = 606,
    [607] = 417,
    [608] = 576,
    [609] = 575,
    [610] = 603,
    [611] = 611,
    [612] = 612,
    [613] = 613,
    [614] = 614,
    [615] = 612,
    [616] = 616,
    [617] = 159,
    [618] = 618,
    [619] = 619,
    [620] = 620,
    [621] = 158,
    [622] = 153,
    [623] = 623,
    [624] = 624,
    [625] = 625,
    [626] = 626,
    [627] = 627,
    [628] = 628,
    [629] = 629,
    [630] = 630,
    [631] = 631,
    [632] = 135,
    [633] = 163,
    [634] = 141,
    [635] = 142,
    [636] = 636,
    [637] = 152,
    [638] = 638,
    [639] = 145,
    [640] = 640,
    [641] = 641,
    [642] = 150,
    [643] = 152,
    [644] = 153,
    [645] = 645,
    [646] = 646,
    [647] = 158,
    [648] = 150,
    [649] = 649,
    [650] = 159,
    [651] = 651,
    [652] = 652,
    [653] = 160,
    [654] = 145,
    [655] = 655,
    [656] = 656,
    [657] = 657,
    [658] = 142,
    [659] = 162,
    [660] = 168,
    [661] = 661,
    [662] = 141,
    [663] = 663,
    [664] = 170,
    [665] = 172,
    [666] = 163,
    [667] = 173,
    [668] = 668,
    [669] = 669,
    [670] = 670,
    [671] = 167,
    [672] = 135,
    [673] = 673,
    [674] = 674,
    [675] = 675,
    [676] = 676,
    [677] = 677,
    [678] = 678,
    [679] = 679,
    [680] = 680,
    [681] = 681,
    [682] = 148,
    [683] = 683,
    [684] = 136,
    [685] = 685,
    [686] = 137,
    [687] = 138,
    [688] = 688,
    [689] = 139,
    [690] = 139,
    [691] = 691,
    [692] = 140,
    [693] = 693,
    [694] = 127,
    [695] = 143,
    [696] = 696,
    [697] = 697,
    [698] = 144,
    [699] = 699,
    [700] = 700,
    [701] = 126,
    [702] = 702,
    [703] = 146,
    [704] = 147,
    [705] = 705,
    [706] = 706,
    [707] = 134,
    [708] = 708,
    [709] = 603,
    [710] = 149,
    [711] = 157,
    [712] = 161,
    [713] = 165,
    [714] = 714,
    [715] = 715,
    [716] = 716,
    [717] = 717,
    [718] = 718,
    [719] = 719,
    [720] = 720,
    [721] = 721,
    [722] = 722,
    [723] = 723,
    [724] = 724,
    [725] = 725,
    [726] = 726,
    [727] = 727,
    [728] = 728,
    [729] = 729,
    [730] = 730,
    [731] = 731,
    [732] = 732,
    [733] = 733,
    [734] = 734,
    [735] = 735,
    [736] = 736,
    [737] = 737,
    [738] = 738,
    [739] = 739,
    [740] = 740,
    [741] = 741,
    [742] = 742,
    [743] = 743,
    [744] = 744,
    [745] = 745,
    [746] = 746,
    [747] = 747,
    [748] = 748,
    [749] = 749,
    [750] = 750,
    [751] = 751,
    [752] = 752,
    [753] = 753,
    [754] = 754,
    [755] = 755,
    [756] = 756,
    [757] = 757,
    [758] = 758,
    [759] = 759,
    [760] = 760,
    [761] = 761,
    [762] = 762,
    [763] = 763,
    [764] = 764,
    [765] = 765,
    [766] = 766,
    [767] = 767,
    [768] = 768,
    [769] = 769,
    [770] = 770,
    [771] = 771,
    [772] = 772,
    [773] = 773,
    [774] = 774,
    [775] = 775,
    [776] = 776,
    [777] = 777,
    [778] = 778,
    [779] = 779,
    [780] = 780,
    [781] = 781,
    [782] = 780,
    [783] = 783,
    [784] = 727,
    [785] = 785,
    [786] = 786,
    [787] = 787,
    [788] = 788,
    [789] = 780,
    [790] = 790,
    [791] = 791,
    [792] = 792,
    [793] = 793,
    [794] = 794,
    [795] = 795,
    [796] = 796,
    [797] = 797,
    [798] = 798,
    [799] = 799,
    [800] = 800,
    [801] = 801,
    [802] = 802,
    [803] = 803,
    [804] = 804,
    [805] = 805,
    [806] = 781,
    [807] = 807,
    [808] = 808,
    [809] = 809,
    [810] = 783,
    [811] = 811,
    [812] = 812,
    [813] = 727,
    [814] = 814,
    [815] = 815,
    [816] = 816,
    [817] = 817,
    [818] = 818,
    [819] = 819,
    [820] = 780,
    [821] = 821,
    [822] = 822,
    [823] = 823,
    [824] = 781,
    [825] = 825,
    [826] = 783,
    [827] = 783,
    [828] = 727,
    [829] = 829,
    [830] = 830,
    [831] = 831,
    [832] = 781,
    [833] = 785,
    [834] = 834,
    [835] = 835,
    [836] = 836,
    [837] = 837,
    [838] = 838,
    [839] = 839,
    [840] = 840,
    [841] = 841,
    [842] = 842,
    [843] = 843,
    [844] = 844,
    [845] = 845,
    [846] = 785,
    [847] = 847,
    [848] = 785,
    [849] = 849,
    [850] = 850,
    [851] = 851,
    [852] = 852,
    [853] = 853,
    [854] = 854,
    [855] = 855,
    [856] = 856,
    [857] = 857,
    [858] = 858,
    [859] = 859,
    [860] = 860,
    [861] = 861,
    [862] = 862,
    [863] = 863,
    [864] = 864,
    [865] = 865,
    [866] = 866,
    [867] = 867,
    [868] = 237,
    [869] = 869,
    [870] = 870,
    [871] = 871,
    [872] = 872,
    [873] = 873,
    [874] = 874,
    [875] = 875,
    [876] = 876,
    [877] = 877,
    [878] = 878,
    [879] = 879,
    [880] = 880,
    [881] = 881,
    [882] = 882,
    [883] = 883,
    [884] = 884,
    [885] = 885,
    [886] = 886,
    [887] = 887,
    [888] = 888,
    [889] = 889,
    [890] = 890,
    [891] = 891,
    [892] = 892,
    [893] = 893,
    [894] = 894,
    [895] = 895,
    [896] = 896,
    [897] = 897,
    [898] = 898,
    [899] = 899,
    [900] = 900,
    [901] = 901,
    [902] = 902,
    [903] = 903,
    [904] = 904,
    [905] = 905,
    [906] = 906,
    [907] = 907,
    [908] = 908,
    [909] = 909,
    [910] = 910,
    [911] = 911,
    [912] = 912,
    [913] = 913,
    [914] = 914,
    [915] = 915,
    [916] = 916,
    [917] = 917,
    [918] = 918,
    [919] = 919,
    [920] = 920,
    [921] = 921,
    [922] = 922,
    [923] = 923,
    [924] = 924,
    [925] = 925,
    [926] = 926,
    [927] = 927,
    [928] = 928,
    [929] = 929,
    [930] = 930,
    [931] = 931,
    [932] = 932,
    [933] = 933,
    [934] = 934,
    [935] = 935,
    [936] = 936,
    [937] = 937,
    [938] = 938,
    [939] = 939,
    [940] = 940,
    [941] = 941,
    [942] = 942,
    [943] = 943,
    [944] = 944,
    [945] = 945,
    [946] = 946,
    [947] = 947,
    [948] = 850,
    [949] = 949,
    [950] = 950,
    [951] = 951,
    [952] = 952,
    [953] = 953,
    [954] = 954,
    [955] = 955,
    [956] = 956,
    [957] = 957,
    [958] = 958,
    [959] = 959,
    [960] = 960,
    [961] = 961,
    [962] = 962,
    [963] = 963,
    [964] = 964,
    [965] = 965,
    [966] = 966,
    [967] = 967,
    [968] = 968,
    [969] = 969,
    [970] = 970,
    [971] = 971,
    [972] = 972,
    [973] = 973,
    [974] = 974,
    [975] = 975,
    [976] = 976,
    [977] = 977,
    [978] = 978,
    [979] = 979,
    [980] = 980,
    [981] = 981,
    [982] = 982,
    [983] = 983,
    [984] = 984,
    [985] = 985,
    [986] = 986,
    [987] = 987,
    [988] = 988,
    [989] = 989,
    [990] = 990,
    [991] = 991,
    [992] = 992,
    [993] = 993,
    [994] = 994,
    [995] = 995,
    [996] = 996,
    [997] = 997,
    [998] = 998,
    [999] = 999,
    [1000] = 1000,
    [1001] = 1001,
    [1002] = 1002,
    [1003] = 1003,
    [1004] = 1004,
    [1005] = 1005,
    [1006] = 1006,
    [1007] = 1007,
    [1008] = 1008,
    [1009] = 1009,
    [1010] = 1010,
    [1011] = 1011,
    [1012] = 1012,
    [1013] = 1013,
    [1014] = 1014,
    [1015] = 1015,
    [1016] = 1016,
    [1017] = 1017,
    [1018] = 1018,
    [1019] = 1019,
    [1020] = 1020,
    [1021] = 1021,
    [1022] = 1022,
    [1023] = 1023,
    [1024] = 1024,
    [1025] = 1025,
    [1026] = 1026,
    [1027] = 1027,
    [1028] = 1028,
    [1029] = 1029,
    [1030] = 1030,
    [1031] = 1031,
    [1032] = 1032,
    [1033] = 978,
    [1034] = 1034,
    [1035] = 879,
    [1036] = 878,
    [1037] = 876,
    [1038] = 875,
    [1039] = 874,
    [1040] = 873,
    [1041] = 870,
    [1042] = 866,
    [1043] = 865,
    [1044] = 854,
    [1045] = 853,
    [1046] = 1046,
    [1047] = 863,
    [1048] = 1046,
    [1049] = 886,
    [1050] = 890,
    [1051] = 900,
    [1052] = 910,
    [1053] = 925,
    [1054] = 927,
    [1055] = 1055,
    [1056] = 1056,
    [1057] = 1017,
    [1058] = 1016,
    [1059] = 1014,
    [1060] = 1060,
    [1061] = 896,
    [1062] = 1062,
    [1063] = 1025,
    [1064] = 1064,
    [1065] = 1065,
    [1066] = 1066,
    [1067] = 1030,
    [1068] = 1068,
    [1069] = 978,
    [1070] = 1070,
    [1071] = 879,
    [1072] = 878,
    [1073] = 876,
    [1074] = 875,
    [1075] = 874,
    [1076] = 873,
    [1077] = 870,
    [1078] = 866,
    [1079] = 865,
    [1080] = 854,
    [1081] = 853,
    [1082] = 1046,
    [1083] = 863,
    [1084] = 850,
    [1085] = 886,
    [1086] = 890,
    [1087] = 900,
    [1088] = 910,
    [1089] = 925,
    [1090] = 927,
    [1091] = 1017,
    [1092] = 1016,
    [1093] = 1014,
    [1094] = 896,
    [1095] = 1095,
    [1096] = 1025,
    [1097] = 1097,
    [1098] = 1098,
    [1099] = 1099,
    [1100] = 1030,
    [1101] = 1101,
    [1102] = 879,
    [1103] = 878,
    [1104] = 876,
    [1105] = 875,
    [1106] = 874,
    [1107] = 873,
    [1108] = 870,
    [1109] = 866,
    [1110] = 865,
    [1111] = 854,
    [1112] = 853,
    [1113] = 1046,
    [1114] = 863,
    [1115] = 850,
    [1116] = 886,
    [1117] = 890,
    [1118] = 900,
    [1119] = 910,
    [1120] = 925,
    [1121] = 927,
    [1122] = 1017,
    [1123] = 1016,
    [1124] = 1014,
    [1125] = 896,
    [1126] = 1025,
    [1127] = 1025,
    [1128] = 1030,
    [1129] = 1129,
    [1130] = 1130,
    [1131] = 1131,
    [1132] = 1132,
    [1133] = 1133,
    [1134] = 1134,
    [1135] = 1135,
    [1136] = 1136,
    [1137] = 1137,
    [1138] = 1030,
    [1139] = 1139,
    [1140] = 1140,
    [1141] = 1141,
    [1142] = 1142,
    [1143] = 1143,
    [1144] = 1144,
    [1145] = 1145,
    [1146] = 1146,
    [1147] = 1147,
    [1148] = 1148,
    [1149] = 1149,
    [1150] = 1150,
    [1151] = 1151,
    [1152] = 1152,
    [1153] = 1153,
    [1154] = 1154,
    [1155] = 1155,
    [1156] = 1156,
    [1157] = 1157,
    [1158] = 1158,
    [1159] = 234,
    [1160] = 1160,
    [1161] = 1161,
    [1162] = 1162,
    [1163] = 1163,
    [1164] = 1164,
    [1165] = 877,
    [1166] = 1166,
    [1167] = 1167,
    [1168] = 1168,
    [1169] = 1169,
    [1170] = 877,
    [1171] = 1171,
    [1172] = 1172,
    [1173] = 1173,
    [1174] = 1174,
    [1175] = 1025,
    [1176] = 1176,
    [1177] = 1177,
    [1178] = 1178,
    [1179] = 1179,
    [1180] = 1180,
    [1181] = 1181,
    [1182] = 1182,
    [1183] = 1183,
    [1184] = 1184,
    [1185] = 1185,
    [1186] = 1186,
    [1187] = 1187,
    [1188] = 1188,
    [1189] = 1189,
    [1190] = 1190,
    [1191] = 1191,
    [1192] = 1192,
    [1193] = 1193,
    [1194] = 1194,
    [1195] = 1195,
    [1196] = 1196,
    [1197] = 1197,
    [1198] = 1198,
    [1199] = 1199,
    [1200] = 1182,
    [1201] = 1190,
    [1202] = 1193,
    [1203] = 1194,
    [1204] = 1196,
    [1205] = 1192,
    [1206] = 1191,
    [1207] = 1154,
    [1208] = 1149,
    [1209] = 1012,
    [1210] = 855,
    [1211] = 895,
    [1212] = 898,
    [1213] = 1015,
    [1214] = 1182,
    [1215] = 1190,
    [1216] = 1193,
    [1217] = 1194,
    [1218] = 1196,
    [1219] = 1192,
    [1220] = 1191,
    [1221] = 1154,
    [1222] = 1149,
    [1223] = 1012,
    [1224] = 855,
    [1225] = 895,
    [1226] = 898,
    [1227] = 1015,
    [1228] = 1182,
    [1229] = 1190,
    [1230] = 1193,
    [1231] = 1194,
    [1232] = 1196,
    [1233] = 1192,
    [1234] = 1191,
    [1235] = 1154,
    [1236] = 1149,
    [1237] = 1012,
    [1238] = 855,
    [1239] = 895,
    [1240] = 898,
    [1241] = 1015,
    [1242] = 1242,
    [1243] = 1243,
    [1244] = 1244,
    [1245] = 877,
    [1246] = 1246,
    [1247] = 1247,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
    START_LEXER();
    eof = lexer->eof(lexer);
    switch(state) {
        case 0:
            if(eof)
                ADVANCE(805);
            ADVANCE_MAP(
                '"', 899,
                '#', 322,
                '%', 872,
                '&', 864,
                '\'', 905,
                '(', 873,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '.', 888,
                '/', 870,
                '0', 882,
                ':', 954,
                ';', 955,
                '<', 852,
                '=', 987,
                '>', 854,
                '@', 983,
                'A', 170,
                'B', 153,
                'C', 201,
                'D', 893,
                'E', 890,
                'F', 123,
                'H', 125,
                'L', 903,
                'M', 227,
                'O', 289,
                'S', 154,
                'T', 210,
                'V', 239,
                '[', 1082,
            );
            if(lookahead == '\\')
                SKIP(798);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'a')
                ADVANCE(292);
            if(lookahead == 'b')
                ADVANCE(442);
            if(lookahead == 'c')
                ADVANCE(1034);
            if(lookahead == 'd')
                ADVANCE(894);
            if(lookahead == 'e')
                ADVANCE(891);
            if(lookahead == 'f')
                ADVANCE(240);
            if(lookahead == 'g')
                ADVANCE(400);
            if(lookahead == 'h')
                ADVANCE(573);
            if(lookahead == 'i')
                ADVANCE(323);
            if(lookahead == 'j')
                ADVANCE(241);
            if(lookahead == 'k')
                ADVANCE(370);
            if(lookahead == 'l')
                ADVANCE(574);
            if(lookahead == 'm')
                ADVANCE(242);
            if(lookahead == 'n')
                ADVANCE(251);
            if(lookahead == 'o')
                ADVANCE(308);
            if(lookahead == 'p')
                ADVANCE(576);
            if(lookahead == 'r')
                ADVANCE(243);
            if(lookahead == 's')
                ADVANCE(343);
            if(lookahead == 't')
                ADVANCE(629);
            if(lookahead == 'u')
                ADVANCE(439);
            if(lookahead == 'v')
                ADVANCE(282);
            if(lookahead == 'w')
                ADVANCE(304);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(lookahead == '~')
                ADVANCE(875);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(0);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(884);
            END_STATE();
        case 1:
            if(lookahead == '\n')
                SKIP(94);
            END_STATE();
        case 2:
            if(lookahead == '\n')
                SKIP(94);
            if(lookahead == '\r')
                SKIP(1);
            END_STATE();
        case 3:
            if(lookahead == '\n')
                SKIP(95);
            END_STATE();
        case 4:
            if(lookahead == '\n')
                SKIP(95);
            if(lookahead == '\r')
                SKIP(3);
            END_STATE();
        case 5:
            if(lookahead == '\n')
                SKIP(97);
            END_STATE();
        case 6:
            if(lookahead == '\n')
                SKIP(97);
            if(lookahead == '\r')
                SKIP(5);
            END_STATE();
        case 7:
            if(lookahead == '\n')
                SKIP(83);
            END_STATE();
        case 8:
            if(lookahead == '\n')
                SKIP(83);
            if(lookahead == '\r')
                SKIP(7);
            END_STATE();
        case 9:
            if(lookahead == '\n')
                SKIP(92);
            END_STATE();
        case 10:
            if(lookahead == '\n')
                SKIP(92);
            if(lookahead == '\r')
                SKIP(9);
            END_STATE();
        case 11:
            if(lookahead == '\n')
                SKIP(85);
            END_STATE();
        case 12:
            if(lookahead == '\n')
                SKIP(85);
            if(lookahead == '\r')
                SKIP(11);
            END_STATE();
        case 13:
            if(lookahead == '\n')
                SKIP(100);
            END_STATE();
        case 14:
            if(lookahead == '\n')
                SKIP(100);
            if(lookahead == '\r')
                SKIP(13);
            END_STATE();
        case 15:
            if(lookahead == '\n')
                SKIP(101);
            END_STATE();
        case 16:
            if(lookahead == '\n')
                SKIP(101);
            if(lookahead == '\r')
                SKIP(15);
            END_STATE();
        case 17:
            if(lookahead == '\n')
                SKIP(102);
            END_STATE();
        case 18:
            if(lookahead == '\n')
                SKIP(102);
            if(lookahead == '\r')
                SKIP(17);
            END_STATE();
        case 19:
            if(lookahead == '\n')
                SKIP(105);
            END_STATE();
        case 20:
            if(lookahead == '\n')
                SKIP(105);
            if(lookahead == '\r')
                SKIP(19);
            END_STATE();
        case 21:
            if(lookahead == '\n')
                SKIP(106);
            END_STATE();
        case 22:
            if(lookahead == '\n')
                SKIP(106);
            if(lookahead == '\r')
                SKIP(21);
            END_STATE();
        case 23:
            if(lookahead == '\n')
                SKIP(77);
            END_STATE();
        case 24:
            if(lookahead == '\n')
                SKIP(77);
            if(lookahead == '\r')
                SKIP(23);
            END_STATE();
        case 25:
            if(lookahead == '\n')
                SKIP(107);
            END_STATE();
        case 26:
            if(lookahead == '\n')
                SKIP(107);
            if(lookahead == '\r')
                SKIP(25);
            END_STATE();
        case 27:
            if(lookahead == '\n')
                SKIP(82);
            END_STATE();
        case 28:
            if(lookahead == '\n')
                SKIP(82);
            if(lookahead == '\r')
                SKIP(27);
            END_STATE();
        case 29:
            if(lookahead == '\n')
                SKIP(74);
            END_STATE();
        case 30:
            if(lookahead == '\n')
                SKIP(74);
            if(lookahead == '\r')
                SKIP(29);
            END_STATE();
        case 31:
            if(lookahead == '\n')
                SKIP(75);
            END_STATE();
        case 32:
            if(lookahead == '\n')
                SKIP(75);
            if(lookahead == '\r')
                SKIP(31);
            END_STATE();
        case 33:
            if(lookahead == '\n')
                SKIP(80);
            END_STATE();
        case 34:
            if(lookahead == '\n')
                SKIP(80);
            if(lookahead == '\r')
                SKIP(33);
            END_STATE();
        case 35:
            if(lookahead == '\n')
                SKIP(76);
            END_STATE();
        case 36:
            if(lookahead == '\n')
                SKIP(76);
            if(lookahead == '\r')
                SKIP(35);
            END_STATE();
        case 37:
            if(lookahead == '\n')
                SKIP(78);
            END_STATE();
        case 38:
            if(lookahead == '\n')
                SKIP(78);
            if(lookahead == '\r')
                SKIP(37);
            END_STATE();
        case 39:
            if(lookahead == '\n')
                SKIP(84);
            END_STATE();
        case 40:
            if(lookahead == '\n')
                SKIP(84);
            if(lookahead == '\r')
                SKIP(39);
            END_STATE();
        case 41:
            if(lookahead == '\n')
                SKIP(93);
            END_STATE();
        case 42:
            if(lookahead == '\n')
                SKIP(93);
            if(lookahead == '\r')
                SKIP(41);
            END_STATE();
        case 43:
            if(lookahead == '\n')
                SKIP(45);
            END_STATE();
        case 44:
            if(lookahead == '\n')
                SKIP(45);
            if(lookahead == '\r')
                SKIP(43);
            END_STATE();
        case 45:
            if(lookahead == '\n')
                ADVANCE(986);
            if(lookahead == '\r')
                ADVANCE(45);
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(982);
            if(lookahead == '\\')
                SKIP(44);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(45);
            END_STATE();
        case 46:
            if(lookahead == '\n')
                SKIP(103);
            END_STATE();
        case 47:
            if(lookahead == '\n')
                SKIP(103);
            if(lookahead == '\r')
                SKIP(46);
            END_STATE();
        case 48:
            if(lookahead == '\n')
                SKIP(108);
            END_STATE();
        case 49:
            if(lookahead == '\n')
                SKIP(108);
            if(lookahead == '\r')
                SKIP(48);
            END_STATE();
        case 50:
            if(lookahead == '\n')
                SKIP(104);
            END_STATE();
        case 51:
            if(lookahead == '\n')
                SKIP(104);
            if(lookahead == '\r')
                SKIP(50);
            END_STATE();
        case 52:
            if(lookahead == '\n')
                SKIP(81);
            if(lookahead == '\'')
                ADVANCE(905);
            if(lookahead == '/')
                ADVANCE(908);
            if(lookahead == '\\')
                ADVANCE(907);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(909);
            if(lookahead != 0)
                ADVANCE(906);
            END_STATE();
        case 53:
            if(lookahead == '\n')
                ADVANCE(896);
            if(lookahead == '\r')
                ADVANCE(895);
            if(lookahead == 'U')
                ADVANCE(795);
            if(lookahead == 'u')
                ADVANCE(791);
            if(lookahead == 'x')
                ADVANCE(789);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(898);
            if(lookahead != 0)
                ADVANCE(895);
            END_STATE();
        case 54:
            if(lookahead == '\n')
                SKIP(79);
            if(lookahead == '"')
                ADVANCE(899);
            if(lookahead == '/')
                ADVANCE(900);
            if(lookahead == '\\')
                ADVANCE(53);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(901);
            if(lookahead != 0)
                ADVANCE(902);
            END_STATE();
        case 55:
            if(lookahead == '\n')
                SKIP(109);
            END_STATE();
        case 56:
            if(lookahead == '\n')
                SKIP(109);
            if(lookahead == '\r')
                SKIP(55);
            END_STATE();
        case 57:
            if(lookahead == '\n')
                SKIP(110);
            END_STATE();
        case 58:
            if(lookahead == '\n')
                SKIP(110);
            if(lookahead == '\r')
                SKIP(57);
            END_STATE();
        case 59:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '\r')
                ADVANCE(61);
            if(lookahead == '/')
                ADVANCE(935);
            if(lookahead == '\\')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 60:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '\r')
                ADVANCE(62);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(64);
            if(('\t' <= lookahead && lookahead <= '\f') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 61:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '/')
                ADVANCE(935);
            if(lookahead == '\\')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 62:
            if(lookahead == '\n')
                ADVANCE(919);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(64);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 63:
            if(lookahead == '\n')
                SKIP(111);
            END_STATE();
        case 64:
            if(lookahead == '\n')
                SKIP(111);
            if(lookahead == '\r')
                SKIP(63);
            END_STATE();
        case 65:
            if(lookahead == '\n')
                ADVANCE(1537);
            if(lookahead == '\r')
                ADVANCE(1534);
            if(lookahead == '\\')
                ADVANCE(1535);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 66:
            if(lookahead == '\n')
                ADVANCE(88);
            if(lookahead == '\r')
                ADVANCE(67);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 67:
            if(lookahead == '\n')
                ADVANCE(88);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 68:
            if(lookahead == '\n')
                SKIP(96);
            END_STATE();
        case 69:
            if(lookahead == '\n')
                SKIP(96);
            if(lookahead == '\r')
                SKIP(68);
            END_STATE();
        case 70:
            if(lookahead == '\n')
                SKIP(98);
            END_STATE();
        case 71:
            if(lookahead == '\n')
                SKIP(98);
            if(lookahead == '\r')
                SKIP(70);
            END_STATE();
        case 72:
            if(lookahead == '\r')
                ADVANCE(1539);
            if(lookahead == '\\')
                ADVANCE(1535);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 73:
            if(lookahead == ' ')
                ADVANCE(512);
            END_STATE();
        case 74:
            ADVANCE_MAP(
                '"', 899,
                '%', 872,
                '&', 864,
                '\'', 905,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '/', 871,
                '0', 882,
                ':', 954,
                ';', 955,
                '<', 122,
                '>', 854,
                'A', 170,
                'B', 153,
                'C', 201,
                'D', 146,
                'E', 192,
                'F', 123,
                'H', 125,
                'L', 903,
                'M', 227,
                'S', 154,
                'T', 210,
                '[', 1082,
            );
            if(lookahead == '\\')
                SKIP(30);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'a')
                ADVANCE(683);
            if(lookahead == 'b')
                ADVANCE(464);
            if(lookahead == 'c')
                ADVANCE(245);
            if(lookahead == 'd')
                ADVANCE(407);
            if(lookahead == 'e')
                ADVANCE(520);
            if(lookahead == 'g')
                ADVANCE(400);
            if(lookahead == 'i')
                ADVANCE(561);
            if(lookahead == 'l')
                ADVANCE(599);
            if(lookahead == 'm')
                ADVANCE(267);
            if(lookahead == 'o')
                ADVANCE(307);
            if(lookahead == 'p')
                ADVANCE(605);
            if(lookahead == 'r')
                ADVANCE(285);
            if(lookahead == 's')
                ADVANCE(410);
            if(lookahead == 'u')
                ADVANCE(440);
            if(lookahead == 'v')
                ADVANCE(270);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(74);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(884);
            END_STATE();
        case 75:
            ADVANCE_MAP(
                '"', 899,
                '%', 872,
                '&', 864,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '/', 871,
                ':', 954,
                ';', 955,
                '<', 122,
                '>', 854,
                '@', 342,
            );
            if(lookahead == '\\')
                SKIP(32);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(75);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 76:
            ADVANCE_MAP(
                '"', 899,
                '&', 864,
                ')', 874,
                '*', 869,
                ',', 857,
                '/', 87,
                ':', 953,
                ';', 955,
                '>', 853,
                'A', 169,
                'B', 153,
                'E', 192,
            );
            if(lookahead == '\\')
                SKIP(36);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'c')
                ADVANCE(1033);
            if(lookahead == 'i')
                ADVANCE(335);
            if(lookahead == 'j')
                ADVANCE(241);
            if(lookahead == '|')
                ADVANCE(862);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(76);
            END_STATE();
        case 77:
            ADVANCE_MAP(
                '"', 899,
                '\'', 905,
                '(', 873,
                '+', 867,
                '-', 868,
                '/', 87,
                '0', 883,
                ':', 121,
                'F', 1129,
                'L', 904,
                'T', 1134,
            );
            if(lookahead == '\\')
                SKIP(24);
            if(lookahead == '~')
                ADVANCE(875);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(77);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(885);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 78:
            ADVANCE_MAP(
                '"', 899,
                ')', 874,
                ',', 857,
                '/', 87,
                ':', 121,
                ';', 955,
                '<', 852,
                '>', 853,
            );
            if(lookahead == '\\')
                SKIP(38);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(78);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 79:
            if(lookahead == '"')
                ADVANCE(899);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                ADVANCE(53);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(79);
            END_STATE();
        case 80:
            ADVANCE_MAP(
                '%', 872,
                '&', 864,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '.', 888,
                '/', 871,
                ':', 953,
                ';', 955,
                '<', 122,
                '>', 854,
            );
            if(lookahead == '\\')
                SKIP(34);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'i')
                ADVANCE(538);
            if(lookahead == 'm')
                ADVANCE(266);
            if(lookahead == 's')
                ADVANCE(748);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == 'D' ||
               lookahead == 'd')
                ADVANCE(892);
            if(lookahead == 'E' ||
               lookahead == 'e')
                ADVANCE(889);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(80);
            END_STATE();
        case 81:
            if(lookahead == '\'')
                ADVANCE(905);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                ADVANCE(53);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(81);
            END_STATE();
        case 82:
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == '\\')
                SKIP(28);
            if(lookahead == 'a')
                ADVANCE(290);
            if(lookahead == 'b')
                ADVANCE(463);
            if(lookahead == 'e')
                ADVANCE(539);
            if(lookahead == 'i')
                ADVANCE(570);
            if(lookahead == 'l')
                ADVANCE(580);
            if(lookahead == 's')
                ADVANCE(719);
            if(lookahead == 'u')
                ADVANCE(566);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(82);
            END_STATE();
        case 83:
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(982);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(8);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(83);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 84:
            if(lookahead == '(')
                ADVANCE(873);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(982);
            if(lookahead == '\\')
                SKIP(40);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(84);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 85:
            if(lookahead == ')')
                ADVANCE(874);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(12);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1347);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1191);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(85);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 86:
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1530);
            END_STATE();
        case 87:
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            END_STATE();
        case 88:
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead == '/')
                ADVANCE(90);
            if(lookahead == '\\')
                ADVANCE(66);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(88);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 89:
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 90:
            if(lookahead == '*')
                ADVANCE(1541);
            if(lookahead == '/')
                ADVANCE(1529);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 91:
            if(lookahead == '+')
                ADVANCE(1035);
            END_STATE();
        case 92:
            ADVANCE_MAP(
                ',', 857,
                '/', 87,
                ':', 954,
                ';', 955,
                '<', 852,
                '>', 853,
                'O', 1174,
                'V', 1139,
            );
            if(lookahead == '\\')
                SKIP(10);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1218);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(92);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 93:
            if(lookahead == ',')
                ADVANCE(857);
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '<')
                ADVANCE(852);
            if(lookahead == '>')
                ADVANCE(853);
            if(lookahead == '\\')
                SKIP(42);
            if(lookahead == 'm')
                ADVANCE(266);
            if(lookahead == 'p')
                ADVANCE(641);
            if(lookahead == 's')
                ADVANCE(748);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(93);
            END_STATE();
        case 94:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(2);
            if(lookahead == 'a')
                ADVANCE(1175);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1277);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1353);
            if(lookahead == 'f')
                ADVANCE(1142);
            if(lookahead == 'i')
                ADVANCE(1336);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'n')
                ADVANCE(1150);
            if(lookahead == 'o')
                ADVANCE(1190);
            if(lookahead == 'p')
                ADVANCE(1411);
            if(lookahead == 'r')
                ADVANCE(1246);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 't')
                ADVANCE(1519);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1170);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(94);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 95:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(4);
            if(lookahead == 'a')
                ADVANCE(1175);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1277);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1353);
            if(lookahead == 'f')
                ADVANCE(1143);
            if(lookahead == 'i')
                ADVANCE(1336);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'n')
                ADVANCE(1150);
            if(lookahead == 'o')
                ADVANCE(1190);
            if(lookahead == 'r')
                ADVANCE(1246);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 't')
                ADVANCE(1519);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1170);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(95);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 96:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(69);
            if(lookahead == 'a')
                ADVANCE(1175);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1277);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1353);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1336);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'n')
                ADVANCE(1150);
            if(lookahead == 'o')
                ADVANCE(1190);
            if(lookahead == 'r')
                ADVANCE(1246);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 't')
                ADVANCE(1519);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1170);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(96);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 97:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(6);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1163);
            if(lookahead == 'd')
                ADVANCE(1243);
            if(lookahead == 'e')
                ADVANCE(1354);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(97);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 98:
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(984);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(71);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1285);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1354);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1216);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(98);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 99:
            if(lookahead == '/')
                ADVANCE(935);
            if(lookahead == '\\')
                ADVANCE(932);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(99);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 100:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '@')
                ADVANCE(434);
            if(lookahead == '\\')
                SKIP(14);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1278);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1354);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 't')
                ADVANCE(1521);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(100);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 101:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(16);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1278);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'e')
                ADVANCE(1352);
            if(lookahead == 'f')
                ADVANCE(1320);
            if(lookahead == 'i')
                ADVANCE(1368);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1217);
            if(lookahead == 't')
                ADVANCE(1522);
            if(lookahead == 'u')
                ADVANCE(1290);
            if(lookahead == 'v')
                ADVANCE(1171);
            if(lookahead == 'w')
                ADVANCE(1186);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(101);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 102:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == 'V')
                ADVANCE(1139);
            if(lookahead == '\\')
                SKIP(18);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(102);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 103:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == '\\')
                SKIP(47);
            if(lookahead == 'm')
                ADVANCE(1504);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(103);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 104:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == 'O')
                ADVANCE(1174);
            if(lookahead == '\\')
                SKIP(51);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 105:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(20);
            if(lookahead == 'a')
                ADVANCE(1341);
            if(lookahead == 'b')
                ADVANCE(1301);
            if(lookahead == 'd')
                ADVANCE(1265);
            if(lookahead == 'e')
                ADVANCE(1512);
            if(lookahead == 'f')
                ADVANCE(1300);
            if(lookahead == 'i')
                ADVANCE(1205);
            if(lookahead == 'k')
                ADVANCE(1248);
            if(lookahead == 'm')
                ADVANCE(1147);
            if(lookahead == 'n')
                ADVANCE(1264);
            if(lookahead == 'o')
                ADVANCE(1350);
            if(lookahead == 'p')
                ADVANCE(1386);
            if(lookahead == 'r')
                ADVANCE(1159);
            if(lookahead == 's')
                ADVANCE(1254);
            if(lookahead == 'u')
                ADVANCE(1374);
            if(lookahead == 'v')
                ADVANCE(1173);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(105);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('c' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 106:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(22);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(106);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 107:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(26);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1391);
            if(lookahead == 's')
                ADVANCE(1280);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1186);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(107);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 108:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(121);
            if(lookahead == '\\')
                SKIP(49);
            if(lookahead == 't')
                ADVANCE(1428);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(108);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 109:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ':')
                ADVANCE(953);
            if(lookahead == ';')
                ADVANCE(955);
            if(lookahead == '\\')
                SKIP(56);
            if(lookahead == '{')
                ADVANCE(946);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(109);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 110:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == ';')
                ADVANCE(955);
            if(lookahead == '\\')
                SKIP(58);
            if(lookahead == 's')
                ADVANCE(1509);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(110);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 111:
            if(lookahead == '/')
                ADVANCE(87);
            if(lookahead == '\\')
                SKIP(64);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(111);
            END_STATE();
        case 112:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(827);
            END_STATE();
        case 113:
            if(lookahead == '1')
                ADVANCE(119);
            if(lookahead == '3')
                ADVANCE(115);
            if(lookahead == '6')
                ADVANCE(117);
            if(lookahead == '8')
                ADVANCE(827);
            if(lookahead == 'e')
                ADVANCE(648);
            END_STATE();
        case 114:
            if(lookahead == '1')
                ADVANCE(120);
            if(lookahead == '3')
                ADVANCE(116);
            if(lookahead == '6')
                ADVANCE(118);
            if(lookahead == '8')
                ADVANCE(819);
            END_STATE();
        case 115:
            if(lookahead == '2')
                ADVANCE(814);
            END_STATE();
        case 116:
            if(lookahead == '2')
                ADVANCE(833);
            END_STATE();
        case 117:
            if(lookahead == '4')
                ADVANCE(817);
            END_STATE();
        case 118:
            if(lookahead == '4')
                ADVANCE(836);
            END_STATE();
        case 119:
            if(lookahead == '6')
                ADVANCE(808);
            END_STATE();
        case 120:
            if(lookahead == '6')
                ADVANCE(830);
            END_STATE();
        case 121:
            if(lookahead == ':')
                ADVANCE(847);
            END_STATE();
        case 122:
            if(lookahead == '<')
                ADVANCE(866);
            END_STATE();
        case 123:
            if(lookahead == 'A')
                ADVANCE(183);
            if(lookahead == 'I')
                ADVANCE(197);
            END_STATE();
        case 124:
            if(lookahead == 'A')
                ADVANCE(1046);
            END_STATE();
        case 125:
            if(lookahead == 'A')
                ADVANCE(218);
            END_STATE();
        case 126:
            if(lookahead == 'A')
                ADVANCE(181);
            END_STATE();
        case 127:
            if(lookahead == 'A')
                ADVANCE(138);
            END_STATE();
        case 128:
            if(lookahead == 'A')
                ADVANCE(212);
            END_STATE();
        case 129:
            if(lookahead == 'A')
                ADVANCE(182);
            END_STATE();
        case 130:
            if(lookahead == 'A')
                ADVANCE(223);
            END_STATE();
        case 131:
            if(lookahead == 'A')
                ADVANCE(224);
            END_STATE();
        case 132:
            if(lookahead == 'A')
                ADVANCE(225);
            END_STATE();
        case 133:
            if(lookahead == 'A')
                ADVANCE(226);
            END_STATE();
        case 134:
            if(lookahead == 'A')
                ADVANCE(141);
            END_STATE();
        case 135:
            if(lookahead == 'A')
                ADVANCE(214);
            END_STATE();
        case 136:
            if(lookahead == 'A')
                ADVANCE(215);
            END_STATE();
        case 137:
            if(lookahead == 'A')
                ADVANCE(216);
            END_STATE();
        case 138:
            if(lookahead == 'B')
                ADVANCE(185);
            END_STATE();
        case 139:
            if(lookahead == 'B')
                ADVANCE(124);
            END_STATE();
        case 140:
            if(lookahead == 'B')
                ADVANCE(281);
            END_STATE();
        case 141:
            if(lookahead == 'B')
                ADVANCE(187);
            END_STATE();
        case 142:
            if(lookahead == 'C')
                ADVANCE(184);
            END_STATE();
        case 143:
            if(lookahead == 'C')
                ADVANCE(189);
            END_STATE();
        case 144:
            if(lookahead == 'C')
                ADVANCE(190);
            END_STATE();
        case 145:
            if(lookahead == 'C')
                ADVANCE(191);
            END_STATE();
        case 146:
            if(lookahead == 'D')
                ADVANCE(217);
            END_STATE();
        case 147:
            if(lookahead == 'D')
                ADVANCE(230);
            END_STATE();
        case 148:
            if(lookahead == 'D')
                ADVANCE(157);
            if(lookahead == 'F')
                ADVANCE(177);
            END_STATE();
        case 149:
            if(lookahead == 'D')
                ADVANCE(134);
            END_STATE();
        case 150:
            if(lookahead == 'D')
                ADVANCE(165);
            END_STATE();
        case 151:
            if(lookahead == 'D')
                ADVANCE(166);
            if(lookahead == 'F')
                ADVANCE(180);
            END_STATE();
        case 152:
            if(lookahead == 'D')
                ADVANCE(167);
            END_STATE();
        case 153:
            if(lookahead == 'E')
                ADVANCE(171);
            END_STATE();
        case 154:
            if(lookahead == 'E')
                ADVANCE(208);
            END_STATE();
        case 155:
            if(lookahead == 'E')
                ADVANCE(910);
            END_STATE();
        case 156:
            if(lookahead == 'E')
                ADVANCE(912);
            END_STATE();
        case 157:
            if(lookahead == 'E')
                ADVANCE(142);
            END_STATE();
        case 158:
            if(lookahead == 'E')
                ADVANCE(1004);
            END_STATE();
        case 159:
            if(lookahead == 'E')
                ADVANCE(1043);
            END_STATE();
        case 160:
            if(lookahead == 'E')
                ADVANCE(1003);
            END_STATE();
        case 161:
            if(lookahead == 'E')
                ADVANCE(1038);
            END_STATE();
        case 162:
            if(lookahead == 'E')
                ADVANCE(198);
            END_STATE();
        case 163:
            if(lookahead == 'E')
                ADVANCE(211);
            END_STATE();
        case 164:
            if(lookahead == 'E')
                ADVANCE(199);
            END_STATE();
        case 165:
            if(lookahead == 'E')
                ADVANCE(143);
            END_STATE();
        case 166:
            if(lookahead == 'E')
                ADVANCE(144);
            END_STATE();
        case 167:
            if(lookahead == 'E')
                ADVANCE(145);
            END_STATE();
        case 168:
            if(lookahead == 'E')
                ADVANCE(238);
            END_STATE();
        case 169:
            if(lookahead == 'F')
                ADVANCE(220);
            END_STATE();
        case 170:
            if(lookahead == 'F')
                ADVANCE(220);
            if(lookahead == 'P')
                ADVANCE(207);
            END_STATE();
        case 171:
            if(lookahead == 'F')
                ADVANCE(202);
            if(lookahead == 'G')
                ADVANCE(174);
            END_STATE();
        case 172:
            if(lookahead == 'H')
                ADVANCE(993);
            END_STATE();
        case 173:
            if(lookahead == 'I')
                ADVANCE(203);
            END_STATE();
        case 174:
            if(lookahead == 'I')
                ADVANCE(200);
            END_STATE();
        case 175:
            if(lookahead == 'I')
                ADVANCE(204);
            END_STATE();
        case 176:
            if(lookahead == 'I')
                ADVANCE(129);
            END_STATE();
        case 177:
            if(lookahead == 'I')
                ADVANCE(186);
            END_STATE();
        case 178:
            if(lookahead == 'I')
                ADVANCE(205);
            END_STATE();
        case 179:
            if(lookahead == 'I')
                ADVANCE(206);
            END_STATE();
        case 180:
            if(lookahead == 'I')
                ADVANCE(188);
            END_STATE();
        case 181:
            if(lookahead == 'L')
                ADVANCE(1002);
            END_STATE();
        case 182:
            if(lookahead == 'L')
                ADVANCE(992);
            END_STATE();
        case 183:
            if(lookahead == 'L')
                ADVANCE(219);
            END_STATE();
        case 184:
            if(lookahead == 'L')
                ADVANCE(128);
            END_STATE();
        case 185:
            if(lookahead == 'L')
                ADVANCE(158);
            END_STATE();
        case 186:
            if(lookahead == 'L')
                ADVANCE(159);
            END_STATE();
        case 187:
            if(lookahead == 'L')
                ADVANCE(160);
            END_STATE();
        case 188:
            if(lookahead == 'L')
                ADVANCE(161);
            END_STATE();
        case 189:
            if(lookahead == 'L')
                ADVANCE(135);
            END_STATE();
        case 190:
            if(lookahead == 'L')
                ADVANCE(136);
            END_STATE();
        case 191:
            if(lookahead == 'L')
                ADVANCE(137);
            END_STATE();
        case 192:
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 193:
            if(lookahead == 'N')
                ADVANCE(1041);
            END_STATE();
        case 194:
            if(lookahead == 'N')
                ADVANCE(1042);
            END_STATE();
        case 195:
            if(lookahead == 'N')
                ADVANCE(1040);
            END_STATE();
        case 196:
            if(lookahead == 'N')
                ADVANCE(1039);
            END_STATE();
        case 197:
            if(lookahead == 'N')
                ADVANCE(126);
            END_STATE();
        case 198:
            if(lookahead == 'N')
                ADVANCE(149);
            END_STATE();
        case 199:
            if(lookahead == 'N')
                ADVANCE(222);
            END_STATE();
        case 200:
            if(lookahead == 'N')
                ADVANCE(236);
            END_STATE();
        case 201:
            if(lookahead == 'O')
                ADVANCE(209);
            END_STATE();
        case 202:
            if(lookahead == 'O')
                ADVANCE(213);
            END_STATE();
        case 203:
            if(lookahead == 'O')
                ADVANCE(193);
            END_STATE();
        case 204:
            if(lookahead == 'O')
                ADVANCE(194);
            END_STATE();
        case 205:
            if(lookahead == 'O')
                ADVANCE(195);
            END_STATE();
        case 206:
            if(lookahead == 'O')
                ADVANCE(196);
            END_STATE();
        case 207:
            if(lookahead == 'P')
                ADVANCE(162);
            END_STATE();
        case 208:
            if(lookahead == 'Q')
                ADVANCE(229);
            END_STATE();
        case 209:
            if(lookahead == 'R')
                ADVANCE(139);
            END_STATE();
        case 210:
            if(lookahead == 'R')
                ADVANCE(228);
            END_STATE();
        case 211:
            if(lookahead == 'R')
                ADVANCE(231);
            END_STATE();
        case 212:
            if(lookahead == 'R')
                ADVANCE(130);
            END_STATE();
        case 213:
            if(lookahead == 'R')
                ADVANCE(168);
            END_STATE();
        case 214:
            if(lookahead == 'R')
                ADVANCE(131);
            END_STATE();
        case 215:
            if(lookahead == 'R')
                ADVANCE(132);
            END_STATE();
        case 216:
            if(lookahead == 'R')
                ADVANCE(133);
            END_STATE();
        case 217:
            if(lookahead == 'S')
                ADVANCE(1047);
            END_STATE();
        case 218:
            if(lookahead == 'S')
                ADVANCE(172);
            END_STATE();
        case 219:
            if(lookahead == 'S')
                ADVANCE(156);
            END_STATE();
        case 220:
            if(lookahead == 'T')
                ADVANCE(163);
            END_STATE();
        case 221:
            if(lookahead == 'T')
                ADVANCE(127);
            END_STATE();
        case 222:
            if(lookahead == 'T')
                ADVANCE(176);
            END_STATE();
        case 223:
            if(lookahead == 'T')
                ADVANCE(173);
            END_STATE();
        case 224:
            if(lookahead == 'T')
                ADVANCE(175);
            END_STATE();
        case 225:
            if(lookahead == 'T')
                ADVANCE(178);
            END_STATE();
        case 226:
            if(lookahead == 'T')
                ADVANCE(179);
            END_STATE();
        case 227:
            if(lookahead == 'U')
                ADVANCE(221);
            END_STATE();
        case 228:
            if(lookahead == 'U')
                ADVANCE(155);
            END_STATE();
        case 229:
            if(lookahead == 'U')
                ADVANCE(164);
            END_STATE();
        case 230:
            if(lookahead == '_')
                ADVANCE(148);
            END_STATE();
        case 231:
            if(lookahead == '_')
                ADVANCE(150);
            END_STATE();
        case 232:
            if(lookahead == '_')
                ADVANCE(294);
            if(lookahead == 'f')
                ADVANCE(461);
            if(lookahead == 'm')
                ADVANCE(254);
            if(lookahead == 's')
                ADVANCE(399);
            END_STATE();
        case 233:
            if(lookahead == '_')
                ADVANCE(572);
            END_STATE();
        case 234:
            if(lookahead == '_')
                ADVANCE(509);
            END_STATE();
        case 235:
            if(lookahead == '_')
                ADVANCE(757);
            END_STATE();
        case 236:
            if(lookahead == '_')
                ADVANCE(151);
            END_STATE();
        case 237:
            if(lookahead == '_')
                ADVANCE(515);
            END_STATE();
        case 238:
            if(lookahead == '_')
                ADVANCE(152);
            END_STATE();
        case 239:
            if(lookahead == 'a')
                ADVANCE(489);
            END_STATE();
        case 240:
            if(lookahead == 'a')
                ADVANCE(319);
            if(lookahead == 'i')
                ADVANCE(530);
            if(lookahead == 'l')
                ADVANCE(581);
            END_STATE();
        case 241:
            if(lookahead == 'a')
                ADVANCE(766);
            END_STATE();
        case 242:
            if(lookahead == 'a')
                ADVANCE(553);
            if(lookahead == 'i')
                ADVANCE(531);
            if(lookahead == 'o')
                ADVANCE(333);
            if(lookahead == 'u')
                ADVANCE(507);
            END_STATE();
        case 243:
            if(lookahead == 'a')
                ADVANCE(467);
            if(lookahead == 'e')
                ADVANCE(246);
            END_STATE();
        case 244:
            if(lookahead == 'a')
                ADVANCE(1036);
            END_STATE();
        case 245:
            if(lookahead == 'a')
                ADVANCE(673);
            if(lookahead == 'o')
                ADVANCE(537);
            END_STATE();
        case 246:
            if(lookahead == 'a')
                ADVANCE(340);
            END_STATE();
        case 247:
            if(lookahead == 'a')
                ADVANCE(775);
            END_STATE();
        case 248:
            if(lookahead == 'a')
                ADVANCE(483);
            if(lookahead == 'd')
                ADVANCE(389);
            END_STATE();
        case 249:
            if(lookahead == 'a')
                ADVANCE(658);
            END_STATE();
        case 250:
            if(lookahead == 'a')
                ADVANCE(712);
            END_STATE();
        case 251:
            if(lookahead == 'a')
                ADVANCE(712);
            if(lookahead == 'e')
                ADVANCE(674);
            END_STATE();
        case 252:
            if(lookahead == 'a')
                ADVANCE(624);
            END_STATE();
        case 253:
            if(lookahead == 'a')
                ADVANCE(484);
            END_STATE();
        case 254:
            if(lookahead == 'a')
                ADVANCE(660);
            END_STATE();
        case 255:
            if(lookahead == 'a')
                ADVANCE(750);
            END_STATE();
        case 256:
            if(lookahead == 'a')
                ADVANCE(625);
            END_STATE();
        case 257:
            if(lookahead == 'a')
                ADVANCE(485);
            END_STATE();
        case 258:
            if(lookahead == 'a')
                ADVANCE(486);
            END_STATE();
        case 259:
            if(lookahead == 'a')
                ADVANCE(490);
            END_STATE();
        case 260:
            if(lookahead == 'a')
                ADVANCE(487);
            END_STATE();
        case 261:
            if(lookahead == 'a')
                ADVANCE(631);
            END_STATE();
        case 262:
            if(lookahead == 'a')
                ADVANCE(533);
            END_STATE();
        case 263:
            if(lookahead == 'a')
                ADVANCE(488);
            END_STATE();
        case 264:
            if(lookahead == 'a')
                ADVANCE(689);
            END_STATE();
        case 265:
            if(lookahead == 'a')
                ADVANCE(469);
            END_STATE();
        case 266:
            if(lookahead == 'a')
                ADVANCE(552);
            END_STATE();
        case 267:
            if(lookahead == 'a')
                ADVANCE(552);
            if(lookahead == 'i')
                ADVANCE(632);
            END_STATE();
        case 268:
            if(lookahead == 'a')
                ADVANCE(744);
            END_STATE();
        case 269:
            if(lookahead == 'a')
                ADVANCE(492);
            END_STATE();
        case 270:
            if(lookahead == 'a')
                ADVANCE(492);
            if(lookahead == 'o')
                ADVANCE(444);
            END_STATE();
        case 271:
            if(lookahead == 'a')
                ADVANCE(427);
            END_STATE();
        case 272:
            if(lookahead == 'a')
                ADVANCE(758);
            END_STATE();
        case 273:
            if(lookahead == 'a')
                ADVANCE(724);
            END_STATE();
        case 274:
            if(lookahead == 'a')
                ADVANCE(524);
            END_STATE();
        case 275:
            if(lookahead == 'a')
                ADVANCE(762);
            END_STATE();
        case 276:
            if(lookahead == 'a')
                ADVANCE(313);
            END_STATE();
        case 277:
            if(lookahead == 'a')
                ADVANCE(525);
            END_STATE();
        case 278:
            if(lookahead == 'a')
                ADVANCE(721);
            END_STATE();
        case 279:
            if(lookahead == 'a')
                ADVANCE(316);
            END_STATE();
        case 280:
            if(lookahead == 'a')
                ADVANCE(557);
            END_STATE();
        case 281:
            if(lookahead == 'a')
                ADVANCE(681);
            END_STATE();
        case 282:
            if(lookahead == 'a')
                ADVANCE(508);
            if(lookahead == 'e')
                ADVANCE(628);
            if(lookahead == 'o')
                ADVANCE(444);
            END_STATE();
        case 283:
            if(lookahead == 'a')
                ADVANCE(470);
            END_STATE();
        case 284:
            if(lookahead == 'a')
                ADVANCE(300);
            END_STATE();
        case 285:
            if(lookahead == 'a')
                ADVANCE(466);
            if(lookahead == 'e')
                ADVANCE(246);
            END_STATE();
        case 286:
            if(lookahead == 'a')
                ADVANCE(301);
            END_STATE();
        case 287:
            if(lookahead == 'a')
                ADVANCE(743);
            END_STATE();
        case 288:
            if(lookahead == 'a')
                ADVANCE(303);
            END_STATE();
        case 289:
            if(lookahead == 'b')
                ADVANCE(479);
            END_STATE();
        case 290:
            if(lookahead == 'b')
                ADVANCE(682);
            END_STATE();
        case 291:
            if(lookahead == 'b')
                ADVANCE(682);
            if(lookahead == 'l')
                ADVANCE(448);
            END_STATE();
        case 292:
            if(lookahead == 'b')
                ADVANCE(682);
            if(lookahead == 'l')
                ADVANCE(448);
            if(lookahead == 'm')
                ADVANCE(435);
            if(lookahead == 'n')
                ADVANCE(773);
            if(lookahead == 'p')
                ADVANCE(609);
            if(lookahead == 't')
                ADVANCE(709);
            if(lookahead == 'u')
                ADVANCE(714);
            END_STATE();
        case 293:
            if(lookahead == 'b')
                ADVANCE(494);
            END_STATE();
        case 294:
            if(lookahead == 'b')
                ADVANCE(607);
            END_STATE();
        case 295:
            if(lookahead == 'b')
                ADVANCE(278);
            END_STATE();
        case 296:
            if(lookahead == 'b')
                ADVANCE(475);
            END_STATE();
        case 297:
            if(lookahead == 'b')
                ADVANCE(497);
            END_STATE();
        case 298:
            if(lookahead == 'b')
                ADVANCE(763);
            END_STATE();
        case 299:
            if(lookahead == 'b')
                ADVANCE(496);
            END_STATE();
        case 300:
            if(lookahead == 'b')
                ADVANCE(500);
            END_STATE();
        case 301:
            if(lookahead == 'b')
                ADVANCE(504);
            END_STATE();
        case 302:
            if(lookahead == 'b')
                ADVANCE(505);
            END_STATE();
        case 303:
            if(lookahead == 'b')
                ADVANCE(506);
            END_STATE();
        case 304:
            if(lookahead == 'c')
                ADVANCE(431);
            if(lookahead == 's')
                ADVANCE(731);
            END_STATE();
        case 305:
            if(lookahead == 'c')
                ADVANCE(1074);
            if(lookahead == 's')
                ADVANCE(430);
            END_STATE();
        case 306:
            if(lookahead == 'c')
                ADVANCE(429);
            END_STATE();
        case 307:
            if(lookahead == 'c')
                ADVANCE(728);
            END_STATE();
        case 308:
            if(lookahead == 'c')
                ADVANCE(728);
            if(lookahead == 'n')
                ADVANCE(344);
            if(lookahead == 'p')
                ADVANCE(715);
            if(lookahead == 'u')
                ADVANCE(685);
            END_STATE();
        case 309:
            if(lookahead == 'c')
                ADVANCE(376);
            END_STATE();
        case 310:
            if(lookahead == 'c')
                ADVANCE(376);
            if(lookahead == 't')
                ADVANCE(372);
            END_STATE();
        case 311:
            if(lookahead == 'c')
                ADVANCE(693);
            END_STATE();
        case 312:
            if(lookahead == 'c')
                ADVANCE(696);
            END_STATE();
        case 313:
            if(lookahead == 'c')
                ADVANCE(699);
            END_STATE();
        case 314:
            if(lookahead == 'c')
                ADVANCE(356);
            END_STATE();
        case 315:
            if(lookahead == 'c')
                ADVANCE(358);
            END_STATE();
        case 316:
            if(lookahead == 'c')
                ADVANCE(369);
            END_STATE();
        case 317:
            if(lookahead == 'c')
                ADVANCE(253);
            END_STATE();
        case 318:
            if(lookahead == 'c')
                ADVANCE(253);
            if(lookahead == 'n')
                ADVANCE(418);
            END_STATE();
        case 319:
            if(lookahead == 'c')
                ADVANCE(733);
            END_STATE();
        case 320:
            if(lookahead == 'c')
                ADVANCE(268);
            END_STATE();
        case 321:
            if(lookahead == 'c')
                ADVANCE(734);
            END_STATE();
        case 322:
            if(lookahead == 'd')
                ADVANCE(922);
            if(lookahead == 'i')
                ADVANCE(928);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 323:
            if(lookahead == 'd')
                ADVANCE(988);
            if(lookahead == 'm')
                ADVANCE(617);
            if(lookahead == 'n')
                ADVANCE(959);
            END_STATE();
        case 324:
            if(lookahead == 'd')
                ADVANCE(956);
            END_STATE();
        case 325:
            if(lookahead == 'd')
                ADVANCE(823);
            END_STATE();
        case 326:
            if(lookahead == 'd')
                ADVANCE(990);
            END_STATE();
        case 327:
            if(lookahead == 'd')
                ADVANCE(1029);
            END_STATE();
        case 328:
            if(lookahead == 'd')
                ADVANCE(1090);
            END_STATE();
        case 329:
            if(lookahead == 'd')
                ADVANCE(974);
            END_STATE();
        case 330:
            if(lookahead == 'd')
                ADVANCE(73);
            END_STATE();
        case 331:
            if(lookahead == 'd')
                ADVANCE(1025);
            END_STATE();
        case 332:
            if(lookahead == 'd')
                ADVANCE(1013);
            END_STATE();
        case 333:
            if(lookahead == 'd')
                ADVANCE(760);
            END_STATE();
        case 334:
            if(lookahead == 'd')
                ADVANCE(608);
            if(lookahead == 'l')
                ADVANCE(592);
            END_STATE();
        case 335:
            if(lookahead == 'd')
                ADVANCE(482);
            END_STATE();
        case 336:
            if(lookahead == 'd')
                ADVANCE(371);
            if(lookahead == 'i')
                ADVANCE(328);
            if(lookahead == 'n')
                ADVANCE(274);
            if(lookahead == 'p')
                ADVANCE(647);
            END_STATE();
        case 337:
            if(lookahead == 'd')
                ADVANCE(371);
            if(lookahead == 'i')
                ADVANCE(328);
            if(lookahead == 'p')
                ADVANCE(647);
            END_STATE();
        case 338:
            if(lookahead == 'd')
                ADVANCE(387);
            END_STATE();
        case 339:
            if(lookahead == 'd')
                ADVANCE(393);
            END_STATE();
        case 340:
            if(lookahead == 'd')
                ADVANCE(588);
            END_STATE();
        case 341:
            if(lookahead == 'd')
                ADVANCE(286);
            END_STATE();
        case 342:
            if(lookahead == 'd')
                ADVANCE(409);
            END_STATE();
        case 343:
            if(lookahead == 'e')
                ADVANCE(622);
            if(lookahead == 'h')
                ADVANCE(584);
            if(lookahead == 't')
                ADVANCE(623);
            if(lookahead == 'u')
                ADVANCE(621);
            if(lookahead == 'w')
                ADVANCE(457);
            END_STATE();
        case 344:
            if(lookahead == 'e')
                ADVANCE(770);
            END_STATE();
        case 345:
            if(lookahead == 'e')
                ADVANCE(1088);
            END_STATE();
        case 346:
            if(lookahead == 'e')
                ADVANCE(1105);
            END_STATE();
        case 347:
            if(lookahead == 'e')
                ADVANCE(336);
            END_STATE();
        case 348:
            if(lookahead == 'e')
                ADVANCE(772);
            END_STATE();
        case 349:
            if(lookahead == 'e')
                ADVANCE(1017);
            END_STATE();
        case 350:
            if(lookahead == 'e')
                ADVANCE(998);
            END_STATE();
        case 351:
            if(lookahead == 'e')
                ADVANCE(840);
            END_STATE();
        case 352:
            if(lookahead == 'e')
                ADVANCE(1052);
            END_STATE();
        case 353:
            if(lookahead == 'e')
                ADVANCE(1117);
            END_STATE();
        case 354:
            if(lookahead == 'e')
                ADVANCE(1009);
            END_STATE();
        case 355:
            if(lookahead == 'e')
                ADVANCE(1076);
            END_STATE();
        case 356:
            if(lookahead == 'e')
                ADVANCE(1044);
            END_STATE();
        case 357:
            if(lookahead == 'e')
                ADVANCE(1103);
            END_STATE();
        case 358:
            if(lookahead == 'e')
                ADVANCE(858);
            END_STATE();
        case 359:
            if(lookahead == 'e')
                ADVANCE(1053);
            END_STATE();
        case 360:
            if(lookahead == 'e')
                ADVANCE(1098);
            END_STATE();
        case 361:
            if(lookahead == 'e')
                ADVANCE(968);
            END_STATE();
        case 362:
            if(lookahead == 'e')
                ADVANCE(1057);
            END_STATE();
        case 363:
            if(lookahead == 'e')
                ADVANCE(1055);
            END_STATE();
        case 364:
            if(lookahead == 'e')
                ADVANCE(1007);
            END_STATE();
        case 365:
            if(lookahead == 'e')
                ADVANCE(842);
            END_STATE();
        case 366:
            if(lookahead == 'e')
                ADVANCE(1070);
            END_STATE();
        case 367:
            if(lookahead == 'e')
                ADVANCE(337);
            END_STATE();
        case 368:
            if(lookahead == 'e')
                ADVANCE(1113);
            END_STATE();
        case 369:
            if(lookahead == 'e')
                ADVANCE(951);
            END_STATE();
        case 370:
            if(lookahead == 'e')
                ADVANCE(774);
            END_STATE();
        case 371:
            if(lookahead == 'e')
                ADVANCE(411);
            END_STATE();
        case 372:
            if(lookahead == 'e')
                ADVANCE(549);
            END_STATE();
        case 373:
            if(lookahead == 'e')
                ADVANCE(657);
            END_STATE();
        case 374:
            if(lookahead == 'e')
                ADVANCE(415);
            END_STATE();
        case 375:
            if(lookahead == 'e')
                ADVANCE(140);
            END_STATE();
        case 376:
            if(lookahead == 'e')
                ADVANCE(619);
            END_STATE();
        case 377:
            if(lookahead == 'e')
                ADVANCE(325);
            END_STATE();
        case 378:
            if(lookahead == 'e')
                ADVANCE(234);
            END_STATE();
        case 379:
            if(lookahead == 'e')
                ADVANCE(545);
            END_STATE();
        case 380:
            if(lookahead == 'e')
                ADVANCE(493);
            END_STATE();
        case 381:
            if(lookahead == 'e')
                ADVANCE(327);
            END_STATE();
        case 382:
            if(lookahead == 'e')
                ADVANCE(661);
            END_STATE();
        case 383:
            if(lookahead == 'e')
                ADVANCE(778);
            END_STATE();
        case 384:
            if(lookahead == 'e')
                ADVANCE(662);
            END_STATE();
        case 385:
            if(lookahead == 'e')
                ADVANCE(663);
            END_STATE();
        case 386:
            if(lookahead == 'e')
                ADVANCE(562);
            END_STATE();
        case 387:
            if(lookahead == 'e')
                ADVANCE(664);
            END_STATE();
        case 388:
            if(lookahead == 'e')
                ADVANCE(330);
            END_STATE();
        case 389:
            if(lookahead == 'e')
                ADVANCE(626);
            END_STATE();
        case 390:
            if(lookahead == 'e')
                ADVANCE(666);
            END_STATE();
        case 391:
            if(lookahead == 'e')
                ADVANCE(667);
            END_STATE();
        case 392:
            if(lookahead == 'e')
                ADVANCE(668);
            END_STATE();
        case 393:
            if(lookahead == 'e')
                ADVANCE(649);
            END_STATE();
        case 394:
            if(lookahead == 'e')
                ADVANCE(262);
            END_STATE();
        case 395:
            if(lookahead == 'e')
                ADVANCE(669);
            END_STATE();
        case 396:
            if(lookahead == 'e')
                ADVANCE(651);
            END_STATE();
        case 397:
            if(lookahead == 'e')
                ADVANCE(691);
            END_STATE();
        case 398:
            if(lookahead == 'e')
                ADVANCE(648);
            END_STATE();
        case 399:
            if(lookahead == 'e')
                ADVANCE(694);
            END_STATE();
        case 400:
            if(lookahead == 'e')
                ADVANCE(713);
            END_STATE();
        case 401:
            if(lookahead == 'e')
                ADVANCE(311);
            END_STATE();
        case 402:
            if(lookahead == 'e')
                ADVANCE(558);
            END_STATE();
        case 403:
            if(lookahead == 'e')
                ADVANCE(559);
            END_STATE();
        case 404:
            if(lookahead == 'e')
                ADVANCE(652);
            END_STATE();
        case 405:
            if(lookahead == 'e')
                ADVANCE(653);
            END_STATE();
        case 406:
            if(lookahead == 'e')
                ADVANCE(735);
            END_STATE();
        case 407:
            if(lookahead == 'e')
                ADVANCE(416);
            END_STATE();
        case 408:
            if(lookahead == 'e')
                ADVANCE(321);
            END_STATE();
        case 409:
            if(lookahead == 'e')
                ADVANCE(417);
            END_STATE();
        case 410:
            if(lookahead == 'e')
                ADVANCE(745);
            if(lookahead == 'h')
                ADVANCE(584);
            if(lookahead == 'u')
                ADVANCE(621);
            END_STATE();
        case 411:
            if(lookahead == 'f')
                ADVANCE(1080);
            END_STATE();
        case 412:
            if(lookahead == 'f')
                ADVANCE(255);
            END_STATE();
        case 413:
            if(lookahead == 'f')
                ADVANCE(461);
            END_STATE();
        case 414:
            if(lookahead == 'f')
                ADVANCE(279);
            END_STATE();
        case 415:
            if(lookahead == 'f')
                ADVANCE(441);
            END_STATE();
        case 416:
            if(lookahead == 'f')
                ADVANCE(272);
            END_STATE();
        case 417:
            if(lookahead == 'f')
                ADVANCE(275);
            END_STATE();
        case 418:
            if(lookahead == 'g')
                ADVANCE(810);
            END_STATE();
        case 419:
            if(lookahead == 'g')
                ADVANCE(848);
            END_STATE();
        case 420:
            if(lookahead == 'g')
                ADVANCE(850);
            END_STATE();
        case 421:
            if(lookahead == 'g')
                ADVANCE(816);
            END_STATE();
        case 422:
            if(lookahead == 'g')
                ADVANCE(832);
            END_STATE();
        case 423:
            if(lookahead == 'g')
                ADVANCE(835);
            END_STATE();
        case 424:
            if(lookahead == 'g')
                ADVANCE(812);
            END_STATE();
        case 425:
            if(lookahead == 'g')
                ADVANCE(560);
            END_STATE();
        case 426:
            if(lookahead == 'g')
                ADVANCE(349);
            END_STATE();
        case 427:
            if(lookahead == 'g')
                ADVANCE(384);
            END_STATE();
        case 428:
            if(lookahead == 'g')
                ADVANCE(563);
            END_STATE();
        case 429:
            if(lookahead == 'h')
                ADVANCE(1086);
            END_STATE();
        case 430:
            if(lookahead == 'h')
                ADVANCE(391);
            END_STATE();
        case 431:
            if(lookahead == 'h')
                ADVANCE(256);
            END_STATE();
        case 432:
            if(lookahead == 'h')
                ADVANCE(603);
            END_STATE();
        case 433:
            if(lookahead == 'i')
                ADVANCE(928);
            if(lookahead == '\t' ||
               lookahead == ' ')
                ADVANCE(433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 434:
            if(lookahead == 'i')
                ADVANCE(428);
            END_STATE();
        case 435:
            if(lookahead == 'i')
                ADVANCE(1050);
            END_STATE();
        case 436:
            if(lookahead == 'i')
                ADVANCE(529);
            if(lookahead == 'o')
                ADVANCE(767);
            END_STATE();
        case 437:
            if(lookahead == 'i')
                ADVANCE(583);
            if(lookahead == 's')
                ADVANCE(465);
            END_STATE();
        case 438:
            if(lookahead == 'i')
                ADVANCE(305);
            END_STATE();
        case 439:
            if(lookahead == 'i')
                ADVANCE(556);
            if(lookahead == 'n')
                ADVANCE(437);
            if(lookahead == 's')
                ADVANCE(373);
            END_STATE();
        case 440:
            if(lookahead == 'i')
                ADVANCE(556);
            if(lookahead == 'n')
                ADVANCE(671);
            if(lookahead == 's')
                ADVANCE(373);
            END_STATE();
        case 441:
            if(lookahead == 'i')
                ADVANCE(771);
            END_STATE();
        case 442:
            if(lookahead == 'i')
                ADVANCE(684);
            if(lookahead == 'o')
                ADVANCE(577);
            END_STATE();
        case 443:
            if(lookahead == 'i')
                ADVANCE(769);
            END_STATE();
        case 444:
            if(lookahead == 'i')
                ADVANCE(324);
            END_STATE();
        case 445:
            if(lookahead == 'i')
                ADVANCE(314);
            END_STATE();
        case 446:
            if(lookahead == 'i')
                ADVANCE(518);
            END_STATE();
        case 447:
            if(lookahead == 'i')
                ADVANCE(298);
            END_STATE();
        case 448:
            if(lookahead == 'i')
                ADVANCE(249);
            END_STATE();
        case 449:
            if(lookahead == 'i')
                ADVANCE(616);
            END_STATE();
        case 450:
            if(lookahead == 'i')
                ADVANCE(528);
            END_STATE();
        case 451:
            if(lookahead == 'i')
                ADVANCE(528);
            if(lookahead == 'o')
                ADVANCE(767);
            END_STATE();
        case 452:
            if(lookahead == 'i')
                ADVANCE(296);
            END_STATE();
        case 453:
            if(lookahead == 'i')
                ADVANCE(543);
            if(lookahead == 'u')
                ADVANCE(312);
            END_STATE();
        case 454:
            if(lookahead == 'i')
                ADVANCE(326);
            END_STATE();
        case 455:
            if(lookahead == 'i')
                ADVANCE(711);
            END_STATE();
        case 456:
            if(lookahead == 'i')
                ADVANCE(338);
            END_STATE();
        case 457:
            if(lookahead == 'i')
                ADVANCE(706);
            END_STATE();
        case 458:
            if(lookahead == 'i')
                ADVANCE(582);
            END_STATE();
        case 459:
            if(lookahead == 'i')
                ADVANCE(544);
            END_STATE();
        case 460:
            if(lookahead == 'i')
                ADVANCE(670);
            END_STATE();
        case 461:
            if(lookahead == 'i')
                ADVANCE(380);
            END_STATE();
        case 462:
            if(lookahead == 'i')
                ADVANCE(716);
            END_STATE();
        case 463:
            if(lookahead == 'i')
                ADVANCE(703);
            END_STATE();
        case 464:
            if(lookahead == 'i')
                ADVANCE(730);
            if(lookahead == 'o')
                ADVANCE(577);
            END_STATE();
        case 465:
            if(lookahead == 'i')
                ADVANCE(425);
            END_STATE();
        case 466:
            if(lookahead == 'i')
                ADVANCE(677);
            END_STATE();
        case 467:
            if(lookahead == 'i')
                ADVANCE(677);
            if(lookahead == 'n')
                ADVANCE(426);
            END_STATE();
        case 468:
            if(lookahead == 'i')
                ADVANCE(606);
            END_STATE();
        case 469:
            if(lookahead == 'i')
                ADVANCE(679);
            END_STATE();
        case 470:
            if(lookahead == 'i')
                ADVANCE(680);
            END_STATE();
        case 471:
            if(lookahead == 'i')
                ADVANCE(726);
            END_STATE();
        case 472:
            if(lookahead == 'i')
                ADVANCE(593);
            END_STATE();
        case 473:
            if(lookahead == 'i')
                ADVANCE(594);
            END_STATE();
        case 474:
            if(lookahead == 'i')
                ADVANCE(595);
            END_STATE();
        case 475:
            if(lookahead == 'i')
                ADVANCE(511);
            END_STATE();
        case 476:
            if(lookahead == 'i')
                ADVANCE(736);
            END_STATE();
        case 477:
            if(lookahead == 'i')
                ADVANCE(739);
            END_STATE();
        case 478:
            if(lookahead == 'i')
                ADVANCE(741);
            END_STATE();
        case 479:
            if(lookahead == 'j')
                ADVANCE(401);
            END_STATE();
        case 480:
            if(lookahead == 'k')
                ADVANCE(975);
            END_STATE();
        case 481:
            if(lookahead == 'k')
                ADVANCE(383);
            END_STATE();
        case 482:
            if(lookahead == 'l')
                ADVANCE(1037);
            END_STATE();
        case 483:
            if(lookahead == 'l')
                ADVANCE(1005);
            END_STATE();
        case 484:
            if(lookahead == 'l')
                ADVANCE(948);
            END_STATE();
        case 485:
            if(lookahead == 'l')
                ADVANCE(1027);
            END_STATE();
        case 486:
            if(lookahead == 'l')
                ADVANCE(994);
            END_STATE();
        case 487:
            if(lookahead == 'l')
                ADVANCE(1015);
            END_STATE();
        case 488:
            if(lookahead == 'l')
                ADVANCE(1084);
            END_STATE();
        case 489:
            if(lookahead == 'l')
                ADVANCE(751);
            END_STATE();
        case 490:
            if(lookahead == 'l')
                ADVANCE(233);
            END_STATE();
        case 491:
            if(lookahead == 'l')
                ADVANCE(777);
            END_STATE();
        case 492:
            if(lookahead == 'l')
                ADVANCE(764);
            END_STATE();
        case 493:
            if(lookahead == 'l')
                ADVANCE(329);
            END_STATE();
        case 494:
            if(lookahead == 'l')
                ADVANCE(438);
            END_STATE();
        case 495:
            if(lookahead == 'l')
                ADVANCE(394);
            END_STATE();
        case 496:
            if(lookahead == 'l')
                ADVANCE(460);
            END_STATE();
        case 497:
            if(lookahead == 'l')
                ADVANCE(351);
            END_STATE();
        case 498:
            if(lookahead == 'l')
                ADVANCE(352);
            END_STATE();
        case 499:
            if(lookahead == 'l')
                ADVANCE(698);
            END_STATE();
        case 500:
            if(lookahead == 'l')
                ADVANCE(354);
            END_STATE();
        case 501:
            if(lookahead == 'l')
                ADVANCE(357);
            END_STATE();
        case 502:
            if(lookahead == 'l')
                ADVANCE(705);
            END_STATE();
        case 503:
            if(lookahead == 'l')
                ADVANCE(746);
            END_STATE();
        case 504:
            if(lookahead == 'l')
                ADVANCE(364);
            END_STATE();
        case 505:
            if(lookahead == 'l')
                ADVANCE(365);
            END_STATE();
        case 506:
            if(lookahead == 'l')
                ADVANCE(366);
            END_STATE();
        case 507:
            if(lookahead == 'l')
                ADVANCE(717);
            if(lookahead == 's')
                ADVANCE(707);
            if(lookahead == 't')
                ADVANCE(284);
            END_STATE();
        case 508:
            if(lookahead == 'l')
                ADVANCE(754);
            END_STATE();
        case 509:
            if(lookahead == 'l')
                ADVANCE(471);
            END_STATE();
        case 510:
            if(lookahead == 'l')
                ADVANCE(592);
            END_STATE();
        case 511:
            if(lookahead == 'l')
                ADVANCE(462);
            END_STATE();
        case 512:
            if(lookahead == 'l')
                ADVANCE(596);
            if(lookahead == 's')
                ADVANCE(432);
            END_STATE();
        case 513:
            if(lookahead == 'l')
                ADVANCE(598);
            END_STATE();
        case 514:
            if(lookahead == 'l')
                ADVANCE(477);
            END_STATE();
        case 515:
            if(lookahead == 'l')
                ADVANCE(478);
            END_STATE();
        case 516:
            if(lookahead == 'm')
                ADVANCE(1063);
            END_STATE();
        case 517:
            if(lookahead == 'm')
                ADVANCE(1068);
            END_STATE();
        case 518:
            if(lookahead == 'm')
                ADVANCE(1031);
            END_STATE();
        case 519:
            if(lookahead == 'm')
                ADVANCE(617);
            if(lookahead == 'n')
                ADVANCE(727);
            END_STATE();
        case 520:
            if(lookahead == 'm')
                ADVANCE(455);
            if(lookahead == 'n')
                ADVANCE(747);
            if(lookahead == 'v')
                ADVANCE(402);
            END_STATE();
        case 521:
            if(lookahead == 'm')
                ADVANCE(254);
            if(lookahead == 's')
                ADVANCE(399);
            END_STATE();
        case 522:
            if(lookahead == 'm')
                ADVANCE(346);
            END_STATE();
        case 523:
            if(lookahead == 'm')
                ADVANCE(385);
            END_STATE();
        case 524:
            if(lookahead == 'm')
                ADVANCE(359);
            END_STATE();
        case 525:
            if(lookahead == 'm')
                ADVANCE(395);
            END_STATE();
        case 526:
            if(lookahead == 'm')
                ADVANCE(610);
            if(lookahead == 'n')
                ADVANCE(564);
            END_STATE();
        case 527:
            if(lookahead == 'm')
                ADVANCE(610);
            if(lookahead == 'n')
                ADVANCE(565);
            END_STATE();
        case 528:
            if(lookahead == 'm')
                ADVANCE(261);
            END_STATE();
        case 529:
            if(lookahead == 'm')
                ADVANCE(261);
            if(lookahead == 'v')
                ADVANCE(273);
            END_STATE();
        case 530:
            if(lookahead == 'n')
                ADVANCE(248);
            if(lookahead == 'x')
                ADVANCE(377);
            END_STATE();
        case 531:
            if(lookahead == 'n')
                ADVANCE(1019);
            if(lookahead == 'r')
                ADVANCE(650);
            END_STATE();
        case 532:
            if(lookahead == 'n')
                ADVANCE(1061);
            END_STATE();
        case 533:
            if(lookahead == 'n')
                ADVANCE(821);
            END_STATE();
        case 534:
            if(lookahead == 'n')
                ADVANCE(996);
            END_STATE();
        case 535:
            if(lookahead == 'n')
                ADVANCE(944);
            END_STATE();
        case 536:
            if(lookahead == 'n')
                ADVANCE(977);
            END_STATE();
        case 537:
            if(lookahead == 'n')
                ADVANCE(675);
            END_STATE();
        case 538:
            if(lookahead == 'n')
                ADVANCE(958);
            END_STATE();
        case 539:
            if(lookahead == 'n')
                ADVANCE(747);
            END_STATE();
        case 540:
            if(lookahead == 'n')
                ADVANCE(747);
            if(lookahead == 'v')
                ADVANCE(402);
            if(lookahead == 'x')
                ADVANCE(309);
            END_STATE();
        case 541:
            if(lookahead == 'n')
                ADVANCE(547);
            END_STATE();
        case 542:
            if(lookahead == 'n')
                ADVANCE(320);
            END_STATE();
        case 543:
            if(lookahead == 'n')
                ADVANCE(419);
            END_STATE();
        case 544:
            if(lookahead == 'n')
                ADVANCE(420);
            END_STATE();
        case 545:
            if(lookahead == 'n')
                ADVANCE(341);
            END_STATE();
        case 546:
            if(lookahead == 'n')
                ADVANCE(421);
            END_STATE();
        case 547:
            if(lookahead == 'n')
                ADVANCE(597);
            END_STATE();
        case 548:
            if(lookahead == 'n')
                ADVANCE(422);
            END_STATE();
        case 549:
            if(lookahead == 'n')
                ADVANCE(676);
            if(lookahead == 'r')
                ADVANCE(568);
            END_STATE();
        case 550:
            if(lookahead == 'n')
                ADVANCE(423);
            END_STATE();
        case 551:
            if(lookahead == 'n')
                ADVANCE(491);
            END_STATE();
        case 552:
            if(lookahead == 'n')
                ADVANCE(271);
            END_STATE();
        case 553:
            if(lookahead == 'n')
                ADVANCE(271);
            if(lookahead == 'p')
                ADVANCE(860);
            if(lookahead == 'x')
                ADVANCE(1021);
            END_STATE();
        case 554:
            if(lookahead == 'n')
                ADVANCE(424);
            END_STATE();
        case 555:
            if(lookahead == 'n')
                ADVANCE(331);
            END_STATE();
        case 556:
            if(lookahead == 'n')
                ADVANCE(708);
            END_STATE();
        case 557:
            if(lookahead == 'n')
                ADVANCE(332);
            END_STATE();
        case 558:
            if(lookahead == 'n')
                ADVANCE(723);
            END_STATE();
        case 559:
            if(lookahead == 'n')
                ADVANCE(700);
            END_STATE();
        case 560:
            if(lookahead == 'n')
                ADVANCE(388);
            END_STATE();
        case 561:
            if(lookahead == 'n')
                ADVANCE(704);
            END_STATE();
        case 562:
            if(lookahead == 'n')
                ADVANCE(315);
            END_STATE();
        case 563:
            if(lookahead == 'n')
                ADVANCE(587);
            END_STATE();
        case 564:
            if(lookahead == 'n')
                ADVANCE(408);
            if(lookahead == 's')
                ADVANCE(688);
            if(lookahead == 't')
                ADVANCE(348);
            END_STATE();
        case 565:
            if(lookahead == 'n')
                ADVANCE(408);
            if(lookahead == 's')
                ADVANCE(687);
            END_STATE();
        case 566:
            if(lookahead == 'n')
                ADVANCE(458);
            END_STATE();
        case 567:
            if(lookahead == 'n')
                ADVANCE(339);
            END_STATE();
        case 568:
            if(lookahead == 'n')
                ADVANCE(257);
            END_STATE();
        case 569:
            if(lookahead == 'n')
                ADVANCE(258);
            END_STATE();
        case 570:
            if(lookahead == 'n')
                ADVANCE(727);
            END_STATE();
        case 571:
            if(lookahead == 'n')
                ADVANCE(403);
            END_STATE();
        case 572:
            if(lookahead == 'n')
                ADVANCE(277);
            END_STATE();
        case 573:
            if(lookahead == 'o')
                ADVANCE(522);
            END_STATE();
        case 574:
            if(lookahead == 'o')
                ADVANCE(318);
            END_STATE();
        case 575:
            if(lookahead == 'o')
                ADVANCE(333);
            END_STATE();
        case 576:
            if(lookahead == 'o')
                ADVANCE(636);
            if(lookahead == 'r')
                ADVANCE(436);
            if(lookahead == 'u')
                ADVANCE(293);
            END_STATE();
        case 577:
            if(lookahead == 'o')
                ADVANCE(495);
            END_STATE();
        case 578:
            if(lookahead == 'o')
                ADVANCE(527);
            if(lookahead == 'u')
                ADVANCE(672);
            END_STATE();
        case 579:
            if(lookahead == 'o')
                ADVANCE(517);
            END_STATE();
        case 580:
            if(lookahead == 'o')
                ADVANCE(317);
            END_STATE();
        case 581:
            if(lookahead == 'o')
                ADVANCE(264);
            END_STATE();
        case 582:
            if(lookahead == 'o')
                ADVANCE(532);
            END_STATE();
        case 583:
            if(lookahead == 'o')
                ADVANCE(532);
            if(lookahead == 't')
                ADVANCE(1023);
            END_STATE();
        case 584:
            if(lookahead == 'o')
                ADVANCE(640);
            END_STATE();
        case 585:
            if(lookahead == 'o')
                ADVANCE(571);
            END_STATE();
        case 586:
            if(lookahead == 'o')
                ADVANCE(454);
            END_STATE();
        case 587:
            if(lookahead == 'o')
                ADVANCE(644);
            END_STATE();
        case 588:
            if(lookahead == 'o')
                ADVANCE(551);
            END_STATE();
        case 589:
            if(lookahead == 'o')
                ADVANCE(630);
            END_STATE();
        case 590:
            if(lookahead == 'o')
                ADVANCE(656);
            END_STATE();
        case 591:
            if(lookahead == 'o')
                ADVANCE(627);
            END_STATE();
        case 592:
            if(lookahead == 'o')
                ADVANCE(546);
            END_STATE();
        case 593:
            if(lookahead == 'o')
                ADVANCE(534);
            END_STATE();
        case 594:
            if(lookahead == 'o')
                ADVANCE(535);
            END_STATE();
        case 595:
            if(lookahead == 'o')
                ADVANCE(536);
            END_STATE();
        case 596:
            if(lookahead == 'o')
                ADVANCE(548);
            END_STATE();
        case 597:
            if(lookahead == 'o')
                ADVANCE(737);
            END_STATE();
        case 598:
            if(lookahead == 'o')
                ADVANCE(550);
            END_STATE();
        case 599:
            if(lookahead == 'o')
                ADVANCE(554);
            END_STATE();
        case 600:
            if(lookahead == 'o')
                ADVANCE(642);
            END_STATE();
        case 601:
            if(lookahead == 'o')
                ADVANCE(643);
            END_STATE();
        case 602:
            if(lookahead == 'o')
                ADVANCE(645);
            END_STATE();
        case 603:
            if(lookahead == 'o')
                ADVANCE(646);
            END_STATE();
        case 604:
            if(lookahead == 'o')
                ADVANCE(655);
            END_STATE();
        case 605:
            if(lookahead == 'o')
                ADVANCE(635);
            if(lookahead == 'r')
                ADVANCE(451);
            if(lookahead == 'u')
                ADVANCE(299);
            END_STATE();
        case 606:
            if(lookahead == 'o')
                ADVANCE(569);
            END_STATE();
        case 607:
            if(lookahead == 'o')
                ADVANCE(761);
            END_STATE();
        case 608:
            if(lookahead == 'o')
                ADVANCE(765);
            END_STATE();
        case 609:
            if(lookahead == 'p')
                ADVANCE(379);
            END_STATE();
        case 610:
            if(lookahead == 'p')
                ADVANCE(585);
            END_STATE();
        case 611:
            if(lookahead == 'p')
                ADVANCE(347);
            END_STATE();
        case 612:
            if(lookahead == 'p')
                ADVANCE(362);
            END_STATE();
        case 613:
            if(lookahead == 'p')
                ADVANCE(363);
            END_STATE();
        case 614:
            if(lookahead == 'p')
                ADVANCE(367);
            END_STATE();
        case 615:
            if(lookahead == 'p')
                ADVANCE(368);
            END_STATE();
        case 616:
            if(lookahead == 'p')
                ADVANCE(501);
            END_STATE();
        case 617:
            if(lookahead == 'p')
                ADVANCE(600);
            END_STATE();
        case 618:
            if(lookahead == 'p')
                ADVANCE(601);
            END_STATE();
        case 619:
            if(lookahead == 'p')
                ADVANCE(740);
            END_STATE();
        case 620:
            if(lookahead == 'p')
                ADVANCE(602);
            END_STATE();
        case 621:
            if(lookahead == 'p')
                ADVANCE(618);
            END_STATE();
        case 622:
            if(lookahead == 'q')
                ADVANCE(753);
            if(lookahead == 'r')
                ADVANCE(768);
            if(lookahead == 't')
                ADVANCE(654);
            END_STATE();
        case 623:
            if(lookahead == 'r')
                ADVANCE(453);
            END_STATE();
        case 624:
            if(lookahead == 'r')
                ADVANCE(843);
            END_STATE();
        case 625:
            if(lookahead == 'r')
                ADVANCE(845);
            END_STATE();
        case 626:
            if(lookahead == 'r')
                ADVANCE(1111);
            END_STATE();
        case 627:
            if(lookahead == 'r')
                ADVANCE(1116);
            END_STATE();
        case 628:
            if(lookahead == 'r')
                ADVANCE(295);
            END_STATE();
        case 629:
            if(lookahead == 'r')
                ADVANCE(749);
            if(lookahead == 'y')
                ADVANCE(611);
            END_STATE();
        case 630:
            if(lookahead == 'r')
                ADVANCE(776);
            END_STATE();
        case 631:
            if(lookahead == 'r')
                ADVANCE(780);
            END_STATE();
        case 632:
            if(lookahead == 'r')
                ADVANCE(650);
            END_STATE();
        case 633:
            if(lookahead == 'r')
                ADVANCE(447);
            END_STATE();
        case 634:
            if(lookahead == 'r')
                ADVANCE(759);
            END_STATE();
        case 635:
            if(lookahead == 'r')
                ADVANCE(686);
            END_STATE();
        case 636:
            if(lookahead == 'r')
                ADVANCE(686);
            if(lookahead == 's')
                ADVANCE(476);
            END_STATE();
        case 637:
            if(lookahead == 'r')
                ADVANCE(265);
            END_STATE();
        case 638:
            if(lookahead == 'r')
                ADVANCE(276);
            END_STATE();
        case 639:
            if(lookahead == 'r')
                ADVANCE(459);
            END_STATE();
        case 640:
            if(lookahead == 'r')
                ADVANCE(692);
            END_STATE();
        case 641:
            if(lookahead == 'r')
                ADVANCE(450);
            END_STATE();
        case 642:
            if(lookahead == 'r')
                ADVANCE(695);
            END_STATE();
        case 643:
            if(lookahead == 'r')
                ADVANCE(718);
            END_STATE();
        case 644:
            if(lookahead == 'r')
                ADVANCE(378);
            END_STATE();
        case 645:
            if(lookahead == 'r')
                ADVANCE(701);
            END_STATE();
        case 646:
            if(lookahead == 'r')
                ADVANCE(702);
            END_STATE();
        case 647:
            if(lookahead == 'r')
                ADVANCE(374);
            END_STATE();
        case 648:
            if(lookahead == 'r')
                ADVANCE(414);
            END_STATE();
        case 649:
            if(lookahead == 'r')
                ADVANCE(678);
            END_STATE();
        case 650:
            if(lookahead == 'r')
                ADVANCE(590);
            END_STATE();
        case 651:
            if(lookahead == 'r')
                ADVANCE(259);
            END_STATE();
        case 652:
            if(lookahead == 'r')
                ADVANCE(260);
            END_STATE();
        case 653:
            if(lookahead == 'r')
                ADVANCE(263);
            END_STATE();
        case 654:
            if(lookahead == 'r')
                ADVANCE(283);
            END_STATE();
        case 655:
            if(lookahead == 'r')
                ADVANCE(738);
            END_STATE();
        case 656:
            if(lookahead == 'r')
                ADVANCE(620);
            END_STATE();
        case 657:
            if(lookahead == 's')
                ADVANCE(1102);
            END_STATE();
        case 658:
            if(lookahead == 's')
                ADVANCE(1067);
            END_STATE();
        case 659:
            if(lookahead == 's')
                ADVANCE(1107);
            END_STATE();
        case 660:
            if(lookahead == 's')
                ADVANCE(480);
            END_STATE();
        case 661:
            if(lookahead == 's')
                ADVANCE(965);
            END_STATE();
        case 662:
            if(lookahead == 's')
                ADVANCE(1106);
            END_STATE();
        case 663:
            if(lookahead == 's')
                ADVANCE(1109);
            END_STATE();
        case 664:
            if(lookahead == 's')
                ADVANCE(1101);
            END_STATE();
        case 665:
            if(lookahead == 's')
                ADVANCE(1072);
            END_STATE();
        case 666:
            if(lookahead == 's')
                ADVANCE(970);
            END_STATE();
        case 667:
            if(lookahead == 's')
                ADVANCE(1108);
            END_STATE();
        case 668:
            if(lookahead == 's')
                ADVANCE(971);
            END_STATE();
        case 669:
            if(lookahead == 's')
                ADVANCE(1085);
            END_STATE();
        case 670:
            if(lookahead == 's')
                ADVANCE(430);
            END_STATE();
        case 671:
            if(lookahead == 's')
                ADVANCE(465);
            END_STATE();
        case 672:
            if(lookahead == 's')
                ADVANCE(729);
            END_STATE();
        case 673:
            if(lookahead == 's')
                ADVANCE(345);
            END_STATE();
        case 674:
            if(lookahead == 's')
                ADVANCE(720);
            END_STATE();
        case 675:
            if(lookahead == 's')
                ADVANCE(755);
            if(lookahead == 't')
                ADVANCE(348);
            END_STATE();
        case 676:
            if(lookahead == 's')
                ADVANCE(452);
            END_STATE();
        case 677:
            if(lookahead == 's')
                ADVANCE(382);
            END_STATE();
        case 678:
            if(lookahead == 's')
                ADVANCE(722);
            END_STATE();
        case 679:
            if(lookahead == 's')
                ADVANCE(390);
            END_STATE();
        case 680:
            if(lookahead == 's')
                ADVANCE(392);
            END_STATE();
        case 681:
            if(lookahead == 's')
                ADVANCE(360);
            END_STATE();
        case 682:
            if(lookahead == 's')
                ADVANCE(732);
            END_STATE();
        case 683:
            if(lookahead == 't')
                ADVANCE(709);
            END_STATE();
        case 684:
            if(lookahead == 't')
                ADVANCE(232);
            END_STATE();
        case 685:
            if(lookahead == 't')
                ADVANCE(961);
            END_STATE();
        case 686:
            if(lookahead == 't')
                ADVANCE(1114);
            END_STATE();
        case 687:
            if(lookahead == 't')
                ADVANCE(1065);
            END_STATE();
        case 688:
            if(lookahead == 't')
                ADVANCE(1065);
            if(lookahead == 'u')
                ADVANCE(523);
            END_STATE();
        case 689:
            if(lookahead == 't')
                ADVANCE(838);
            END_STATE();
        case 690:
            if(lookahead == 't')
                ADVANCE(963);
            END_STATE();
        case 691:
            if(lookahead == 't')
                ADVANCE(825);
            END_STATE();
        case 692:
            if(lookahead == 't')
                ADVANCE(806);
            END_STATE();
        case 693:
            if(lookahead == 't')
                ADVANCE(1095);
            END_STATE();
        case 694:
            if(lookahead == 't')
                ADVANCE(972);
            END_STATE();
        case 695:
            if(lookahead == 't')
                ADVANCE(1093);
            END_STATE();
        case 696:
            if(lookahead == 't')
                ADVANCE(1059);
            END_STATE();
        case 697:
            if(lookahead == 't')
                ADVANCE(1097);
            END_STATE();
        case 698:
            if(lookahead == 't')
                ADVANCE(980);
            END_STATE();
        case 699:
            if(lookahead == 't')
                ADVANCE(949);
            END_STATE();
        case 700:
            if(lookahead == 't')
                ADVANCE(1100);
            END_STATE();
        case 701:
            if(lookahead == 't')
                ADVANCE(1115);
            END_STATE();
        case 702:
            if(lookahead == 't')
                ADVANCE(829);
            END_STATE();
        case 703:
            if(lookahead == 't')
                ADVANCE(521);
            END_STATE();
        case 704:
            if(lookahead == 't')
                ADVANCE(113);
            END_STATE();
        case 705:
            if(lookahead == 't')
                ADVANCE(978);
            END_STATE();
        case 706:
            if(lookahead == 't')
                ADVANCE(306);
            END_STATE();
        case 707:
            if(lookahead == 't')
                ADVANCE(235);
            END_STATE();
        case 708:
            if(lookahead == 't')
                ADVANCE(114);
            END_STATE();
        case 709:
            if(lookahead == 't')
                ADVANCE(633);
            END_STATE();
        case 710:
            if(lookahead == 't')
                ADVANCE(781);
            END_STATE();
        case 711:
            if(lookahead == 't')
                ADVANCE(659);
            END_STATE();
        case 712:
            if(lookahead == 't')
                ADVANCE(443);
            END_STATE();
        case 713:
            if(lookahead == 't')
                ADVANCE(637);
            END_STATE();
        case 714:
            if(lookahead == 't')
                ADVANCE(586);
            END_STATE();
        case 715:
            if(lookahead == 't')
                ADVANCE(468);
            END_STATE();
        case 716:
            if(lookahead == 't')
                ADVANCE(779);
            END_STATE();
        case 717:
            if(lookahead == 't')
                ADVANCE(449);
            END_STATE();
        case 718:
            if(lookahead == 't')
                ADVANCE(665);
            END_STATE();
        case 719:
            if(lookahead == 't')
                ADVANCE(634);
            END_STATE();
        case 720:
            if(lookahead == 't')
                ADVANCE(381);
            END_STATE();
        case 721:
            if(lookahead == 't')
                ADVANCE(446);
            END_STATE();
        case 722:
            if(lookahead == 't')
                ADVANCE(280);
            END_STATE();
        case 723:
            if(lookahead == 't')
                ADVANCE(710);
            END_STATE();
        case 724:
            if(lookahead == 't')
                ADVANCE(355);
            END_STATE();
        case 725:
            if(lookahead == 't')
                ADVANCE(361);
            END_STATE();
        case 726:
            if(lookahead == 't')
                ADVANCE(396);
            END_STATE();
        case 727:
            if(lookahead == 't')
                ADVANCE(398);
            END_STATE();
        case 728:
            if(lookahead == 't')
                ADVANCE(397);
            END_STATE();
        case 729:
            if(lookahead == 't')
                ADVANCE(579);
            END_STATE();
        case 730:
            if(lookahead == 't')
                ADVANCE(413);
            END_STATE();
        case 731:
            if(lookahead == 't')
                ADVANCE(639);
            END_STATE();
        case 732:
            if(lookahead == 't')
                ADVANCE(638);
            END_STATE();
        case 733:
            if(lookahead == 't')
                ADVANCE(589);
            END_STATE();
        case 734:
            if(lookahead == 't')
                ADVANCE(591);
            END_STATE();
        case 735:
            if(lookahead == 't')
                ADVANCE(782);
            END_STATE();
        case 736:
            if(lookahead == 't')
                ADVANCE(472);
            END_STATE();
        case 737:
            if(lookahead == 't')
                ADVANCE(287);
            END_STATE();
        case 738:
            if(lookahead == 't')
                ADVANCE(742);
            END_STATE();
        case 739:
            if(lookahead == 't')
                ADVANCE(404);
            END_STATE();
        case 740:
            if(lookahead == 't')
                ADVANCE(473);
            END_STATE();
        case 741:
            if(lookahead == 't')
                ADVANCE(405);
            END_STATE();
        case 742:
            if(lookahead == 't')
                ADVANCE(784);
            END_STATE();
        case 743:
            if(lookahead == 't')
                ADVANCE(474);
            END_STATE();
        case 744:
            if(lookahead == 't')
                ADVANCE(288);
            END_STATE();
        case 745:
            if(lookahead == 't')
                ADVANCE(654);
            END_STATE();
        case 746:
            if(lookahead == 't')
                ADVANCE(237);
            END_STATE();
        case 747:
            if(lookahead == 'u')
                ADVANCE(516);
            END_STATE();
        case 748:
            if(lookahead == 'u')
                ADVANCE(621);
            END_STATE();
        case 749:
            if(lookahead == 'u')
                ADVANCE(542);
            END_STATE();
        case 750:
            if(lookahead == 'u')
                ADVANCE(499);
            END_STATE();
        case 751:
            if(lookahead == 'u')
                ADVANCE(375);
            END_STATE();
        case 752:
            if(lookahead == 'u')
                ADVANCE(690);
            END_STATE();
        case 753:
            if(lookahead == 'u')
                ADVANCE(386);
            END_STATE();
        case 754:
            if(lookahead == 'u')
                ADVANCE(350);
            END_STATE();
        case 755:
            if(lookahead == 'u')
                ADVANCE(523);
            END_STATE();
        case 756:
            if(lookahead == 'u')
                ADVANCE(297);
            END_STATE();
        case 757:
            if(lookahead == 'u')
                ADVANCE(567);
            END_STATE();
        case 758:
            if(lookahead == 'u')
                ADVANCE(502);
            END_STATE();
        case 759:
            if(lookahead == 'u')
                ADVANCE(312);
            END_STATE();
        case 760:
            if(lookahead == 'u')
                ADVANCE(498);
            END_STATE();
        case 761:
            if(lookahead == 'u')
                ADVANCE(555);
            END_STATE();
        case 762:
            if(lookahead == 'u')
                ADVANCE(503);
            END_STATE();
        case 763:
            if(lookahead == 'u')
                ADVANCE(725);
            END_STATE();
        case 764:
            if(lookahead == 'u')
                ADVANCE(406);
            END_STATE();
        case 765:
            if(lookahead == 'u')
                ADVANCE(302);
            END_STATE();
        case 766:
            if(lookahead == 'v')
                ADVANCE(244);
            END_STATE();
        case 767:
            if(lookahead == 'v')
                ADVANCE(456);
            END_STATE();
        case 768:
            if(lookahead == 'v')
                ADVANCE(445);
            END_STATE();
        case 769:
            if(lookahead == 'v')
                ADVANCE(353);
            END_STATE();
        case 770:
            if(lookahead == 'w')
                ADVANCE(247);
            END_STATE();
        case 771:
            if(lookahead == 'x')
                ADVANCE(1092);
            END_STATE();
        case 772:
            if(lookahead == 'x')
                ADVANCE(697);
            END_STATE();
        case 773:
            if(lookahead == 'y')
                ADVANCE(855);
            END_STATE();
        case 774:
            if(lookahead == 'y')
                ADVANCE(1011);
            END_STATE();
        case 775:
            if(lookahead == 'y')
                ADVANCE(1048);
            END_STATE();
        case 776:
            if(lookahead == 'y')
                ADVANCE(1078);
            END_STATE();
        case 777:
            if(lookahead == 'y')
                ADVANCE(966);
            END_STATE();
        case 778:
            if(lookahead == 'y')
                ADVANCE(1110);
            END_STATE();
        case 779:
            if(lookahead == 'y')
                ADVANCE(1000);
            END_STATE();
        case 780:
            if(lookahead == 'y')
                ADVANCE(481);
            END_STATE();
        case 781:
            if(lookahead == 'y')
                ADVANCE(612);
            END_STATE();
        case 782:
            if(lookahead == 'y')
                ADVANCE(613);
            END_STATE();
        case 783:
            if(lookahead == 'y')
                ADVANCE(614);
            END_STATE();
        case 784:
            if(lookahead == 'y')
                ADVANCE(615);
            END_STATE();
        case 785:
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(876);
            END_STATE();
        case 786:
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(880);
            END_STATE();
        case 787:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(886);
            END_STATE();
        case 788:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(895);
            END_STATE();
        case 789:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(788);
            END_STATE();
        case 790:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(789);
            END_STATE();
        case 791:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(790);
            END_STATE();
        case 792:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(791);
            END_STATE();
        case 793:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(792);
            END_STATE();
        case 794:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(793);
            END_STATE();
        case 795:
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(794);
            END_STATE();
        case 796:
            if(lookahead != 0 &&
               lookahead != '*')
                ADVANCE(936);
            END_STATE();
        case 797:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(0);
            END_STATE();
        case 798:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(0);
            if(lookahead == '\r')
                SKIP(797);
            END_STATE();
        case 799:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(804);
            END_STATE();
        case 800:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(804);
            if(lookahead == '\r')
                SKIP(799);
            END_STATE();
        case 801:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(803);
            END_STATE();
        case 802:
            if(eof)
                ADVANCE(805);
            if(lookahead == '\n')
                SKIP(803);
            if(lookahead == '\r')
                SKIP(801);
            END_STATE();
        case 803:
            if(eof)
                ADVANCE(805);
            ADVANCE_MAP(
                '"', 899,
                '%', 872,
                '&', 864,
                '\'', 905,
                '(', 873,
                ')', 874,
                '*', 869,
                '+', 867,
                ',', 857,
                '-', 868,
                '/', 871,
                '0', 883,
                ':', 954,
                ';', 955,
                '<', 122,
                '=', 987,
                '>', 854,
                'F', 1129,
                'L', 904,
                'O', 1174,
                'T', 1134,
                'V', 1139,
            );
            if(lookahead == '\\')
                SKIP(802);
            if(lookahead == ']')
                ADVANCE(1083);
            if(lookahead == '^')
                ADVANCE(863);
            if(lookahead == 'a')
                ADVANCE(1351);
            if(lookahead == 'b')
                ADVANCE(1383);
            if(lookahead == 'c')
                ADVANCE(1279);
            if(lookahead == 'd')
                ADVANCE(1379);
            if(lookahead == 'f')
                ADVANCE(1282);
            if(lookahead == 'i')
                ADVANCE(1355);
            if(lookahead == 'l')
                ADVANCE(1381);
            if(lookahead == 'm')
                ADVANCE(1144);
            if(lookahead == 'o')
                ADVANCE(1192);
            if(lookahead == 's')
                ADVANCE(1219);
            if(lookahead == 'u')
                ADVANCE(1291);
            if(lookahead == 'w')
                ADVANCE(1185);
            if(lookahead == '{')
                ADVANCE(946);
            if(lookahead == '|')
                ADVANCE(862);
            if(lookahead == '}')
                ADVANCE(947);
            if(lookahead == '~')
                ADVANCE(875);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(803);
            if(('1' <= lookahead && lookahead <= '9'))
                ADVANCE(885);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('e' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 804:
            if(eof)
                ADVANCE(805);
            if(lookahead == '#')
                ADVANCE(322);
            if(lookahead == '/')
                ADVANCE(86);
            if(lookahead == '@')
                ADVANCE(983);
            if(lookahead == '\\')
                SKIP(800);
            if(lookahead == 'a')
                ADVANCE(291);
            if(lookahead == 'b')
                ADVANCE(463);
            if(lookahead == 'c')
                ADVANCE(578);
            if(lookahead == 'e')
                ADVANCE(540);
            if(lookahead == 'h')
                ADVANCE(573);
            if(lookahead == 'i')
                ADVANCE(519);
            if(lookahead == 'l')
                ADVANCE(580);
            if(lookahead == 'm')
                ADVANCE(575);
            if(lookahead == 'n')
                ADVANCE(250);
            if(lookahead == 'p')
                ADVANCE(604);
            if(lookahead == 's')
                ADVANCE(719);
            if(lookahead == 't')
                ADVANCE(783);
            if(lookahead == 'u')
                ADVANCE(566);
            if(lookahead == 'v')
                ADVANCE(269);
            if(lookahead == '}')
                ADVANCE(947);
            if(('\t' <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                SKIP(804);
            END_STATE();
        case 805:
            ACCEPT_TOKEN(ts_builtin_sym_end);
            END_STATE();
        case 806:
            ACCEPT_TOKEN(anon_sym_short);
            END_STATE();
        case 807:
            ACCEPT_TOKEN(anon_sym_short);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 808:
            ACCEPT_TOKEN(anon_sym_int16);
            END_STATE();
        case 809:
            ACCEPT_TOKEN(anon_sym_int16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 810:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(334);
            END_STATE();
        case 811:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(334);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 812:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(510);
            END_STATE();
        case 813:
            ACCEPT_TOKEN(anon_sym_long);
            if(lookahead == ' ')
                ADVANCE(510);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 814:
            ACCEPT_TOKEN(anon_sym_int32);
            END_STATE();
        case 815:
            ACCEPT_TOKEN(anon_sym_int32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 816:
            ACCEPT_TOKEN(anon_sym_longlong);
            END_STATE();
        case 817:
            ACCEPT_TOKEN(anon_sym_int64);
            END_STATE();
        case 818:
            ACCEPT_TOKEN(anon_sym_int64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 819:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            END_STATE();
        case 820:
            ACCEPT_TOKEN(sym_unsigned_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 821:
            ACCEPT_TOKEN(sym_boolean_type);
            END_STATE();
        case 822:
            ACCEPT_TOKEN(sym_boolean_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 823:
            ACCEPT_TOKEN(anon_sym_fixed);
            END_STATE();
        case 824:
            ACCEPT_TOKEN(anon_sym_fixed);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 825:
            ACCEPT_TOKEN(sym_octet_type);
            END_STATE();
        case 826:
            ACCEPT_TOKEN(sym_octet_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 827:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            END_STATE();
        case 828:
            ACCEPT_TOKEN(sym_signed_tiny_int);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 829:
            ACCEPT_TOKEN(anon_sym_unsignedshort);
            END_STATE();
        case 830:
            ACCEPT_TOKEN(anon_sym_uint16);
            END_STATE();
        case 831:
            ACCEPT_TOKEN(anon_sym_uint16);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 832:
            ACCEPT_TOKEN(anon_sym_unsignedlong);
            if(lookahead == ' ')
                ADVANCE(513);
            END_STATE();
        case 833:
            ACCEPT_TOKEN(anon_sym_uint32);
            END_STATE();
        case 834:
            ACCEPT_TOKEN(anon_sym_uint32);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 835:
            ACCEPT_TOKEN(anon_sym_unsignedlonglong);
            END_STATE();
        case 836:
            ACCEPT_TOKEN(anon_sym_uint64);
            END_STATE();
        case 837:
            ACCEPT_TOKEN(anon_sym_uint64);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 838:
            ACCEPT_TOKEN(anon_sym_float);
            END_STATE();
        case 839:
            ACCEPT_TOKEN(anon_sym_float);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 840:
            ACCEPT_TOKEN(anon_sym_double);
            END_STATE();
        case 841:
            ACCEPT_TOKEN(anon_sym_double);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 842:
            ACCEPT_TOKEN(anon_sym_longdouble);
            END_STATE();
        case 843:
            ACCEPT_TOKEN(anon_sym_char);
            END_STATE();
        case 844:
            ACCEPT_TOKEN(anon_sym_char);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 845:
            ACCEPT_TOKEN(anon_sym_wchar);
            END_STATE();
        case 846:
            ACCEPT_TOKEN(anon_sym_wchar);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 847:
            ACCEPT_TOKEN(anon_sym_COLON_COLON);
            END_STATE();
        case 848:
            ACCEPT_TOKEN(anon_sym_string);
            END_STATE();
        case 849:
            ACCEPT_TOKEN(anon_sym_string);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 850:
            ACCEPT_TOKEN(anon_sym_wstring);
            END_STATE();
        case 851:
            ACCEPT_TOKEN(anon_sym_wstring);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 852:
            ACCEPT_TOKEN(anon_sym_LT);
            END_STATE();
        case 853:
            ACCEPT_TOKEN(anon_sym_GT);
            END_STATE();
        case 854:
            ACCEPT_TOKEN(anon_sym_GT);
            if(lookahead == '>')
                ADVANCE(865);
            END_STATE();
        case 855:
            ACCEPT_TOKEN(anon_sym_any);
            END_STATE();
        case 856:
            ACCEPT_TOKEN(anon_sym_any);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 857:
            ACCEPT_TOKEN(anon_sym_COMMA);
            END_STATE();
        case 858:
            ACCEPT_TOKEN(anon_sym_sequence);
            END_STATE();
        case 859:
            ACCEPT_TOKEN(anon_sym_sequence);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 860:
            ACCEPT_TOKEN(anon_sym_map);
            END_STATE();
        case 861:
            ACCEPT_TOKEN(anon_sym_map);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 862:
            ACCEPT_TOKEN(anon_sym_PIPE);
            END_STATE();
        case 863:
            ACCEPT_TOKEN(anon_sym_CARET);
            END_STATE();
        case 864:
            ACCEPT_TOKEN(anon_sym_AMP);
            END_STATE();
        case 865:
            ACCEPT_TOKEN(anon_sym_GT_GT);
            END_STATE();
        case 866:
            ACCEPT_TOKEN(anon_sym_LT_LT);
            END_STATE();
        case 867:
            ACCEPT_TOKEN(anon_sym_PLUS);
            END_STATE();
        case 868:
            ACCEPT_TOKEN(anon_sym_DASH);
            END_STATE();
        case 869:
            ACCEPT_TOKEN(anon_sym_STAR);
            END_STATE();
        case 870:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1530);
            END_STATE();
        case 871:
            ACCEPT_TOKEN(anon_sym_SLASH);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            END_STATE();
        case 872:
            ACCEPT_TOKEN(anon_sym_PERCENT);
            END_STATE();
        case 873:
            ACCEPT_TOKEN(anon_sym_LPAREN);
            END_STATE();
        case 874:
            ACCEPT_TOKEN(anon_sym_RPAREN);
            END_STATE();
        case 875:
            ACCEPT_TOKEN(anon_sym_TILDE);
            END_STATE();
        case 876:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(876);
            END_STATE();
        case 877:
            ACCEPT_TOKEN(sym_bin_number);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(877);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 878:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(878);
            END_STATE();
        case 879:
            ACCEPT_TOKEN(aux_sym_oct_number_token1);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(879);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 880:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(880);
            END_STATE();
        case 881:
            ACCEPT_TOKEN(aux_sym_oct_number_token2);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(881);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 882:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(786);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(785);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(787);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(878);
            END_STATE();
        case 883:
            ACCEPT_TOKEN(anon_sym_0);
            if(lookahead == 'o')
                ADVANCE(1525);
            if(lookahead == 'B' ||
               lookahead == 'b')
                ADVANCE(1524);
            if(lookahead == 'X' ||
               lookahead == 'x')
                ADVANCE(1526);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(879);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 884:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(884);
            END_STATE();
        case 885:
            ACCEPT_TOKEN(aux_sym_dec_number_token1);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(885);
            if(('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 886:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(886);
            END_STATE();
        case 887:
            ACCEPT_TOKEN(sym_hex_number);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(887);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 888:
            ACCEPT_TOKEN(anon_sym_DOT);
            END_STATE();
        case 889:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            END_STATE();
        case 890:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'N')
                ADVANCE(147);
            END_STATE();
        case 891:
            ACCEPT_TOKEN(aux_sym_floating_pt_literal_token1);
            if(lookahead == 'm')
                ADVANCE(455);
            if(lookahead == 'n')
                ADVANCE(747);
            if(lookahead == 'v')
                ADVANCE(402);
            if(lookahead == 'x')
                ADVANCE(310);
            END_STATE();
        case 892:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            END_STATE();
        case 893:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'D')
                ADVANCE(217);
            END_STATE();
        case 894:
            ACCEPT_TOKEN(aux_sym_fixed_pt_literal_token1);
            if(lookahead == 'e')
                ADVANCE(412);
            if(lookahead == 'o')
                ADVANCE(756);
            END_STATE();
        case 895:
            ACCEPT_TOKEN(sym_escape_sequence);
            END_STATE();
        case 896:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(lookahead == '\\')
                ADVANCE(53);
            END_STATE();
        case 897:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(895);
            END_STATE();
        case 898:
            ACCEPT_TOKEN(sym_escape_sequence);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(897);
            END_STATE();
        case 899:
            ACCEPT_TOKEN(anon_sym_DQUOTE);
            END_STATE();
        case 900:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '*')
                ADVANCE(902);
            if(lookahead == '/')
                ADVANCE(902);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(902);
            END_STATE();
        case 901:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead == '/')
                ADVANCE(900);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(901);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(902);
            END_STATE();
        case 902:
            ACCEPT_TOKEN(aux_sym_string_literal_token1);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '"' &&
               lookahead != '\\')
                ADVANCE(902);
            END_STATE();
        case 903:
            ACCEPT_TOKEN(anon_sym_L);
            END_STATE();
        case 904:
            ACCEPT_TOKEN(anon_sym_L);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 905:
            ACCEPT_TOKEN(anon_sym_SQUOTE);
            END_STATE();
        case 906:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            END_STATE();
        case 907:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\n')
                ADVANCE(896);
            if(lookahead == '\r')
                ADVANCE(895);
            if(lookahead == 'U')
                ADVANCE(795);
            if(lookahead == 'u')
                ADVANCE(791);
            if(lookahead == 'x')
                ADVANCE(789);
            if(('0' <= lookahead && lookahead <= '9'))
                ADVANCE(898);
            if(lookahead != 0)
                ADVANCE(895);
            END_STATE();
        case 908:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            END_STATE();
        case 909:
            ACCEPT_TOKEN(aux_sym_char_literal_token1);
            if(lookahead == '\\')
                ADVANCE(53);
            END_STATE();
        case 910:
            ACCEPT_TOKEN(anon_sym_TRUE);
            END_STATE();
        case 911:
            ACCEPT_TOKEN(anon_sym_TRUE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 912:
            ACCEPT_TOKEN(anon_sym_FALSE);
            END_STATE();
        case 913:
            ACCEPT_TOKEN(anon_sym_FALSE);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 914:
            ACCEPT_TOKEN(anon_sym_POUNDdefine);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 915:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '\r')
                ADVANCE(918);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 916:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '*')
                ADVANCE(1544);
            if(lookahead == '/')
                ADVANCE(1533);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 917:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead == '/')
                ADVANCE(916);
            if(lookahead == '\\')
                ADVANCE(915);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(917);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(918);
            END_STATE();
        case 918:
            ACCEPT_TOKEN(aux_sym_preproc_define_token1);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 919:
            ACCEPT_TOKEN(aux_sym_preproc_call_token1);
            END_STATE();
        case 920:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'c')
                ADVANCE(927);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 921:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'd')
                ADVANCE(924);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 922:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(925);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 923:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(914);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 924:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'e')
                ADVANCE(938);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 925:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'f')
                ADVANCE(926);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 926:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'i')
                ADVANCE(929);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 927:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'l')
                ADVANCE(930);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 928:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(920);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 929:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'n')
                ADVANCE(923);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 930:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(lookahead == 'u')
                ADVANCE(921);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 931:
            ACCEPT_TOKEN(sym_preproc_directive);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(931);
            END_STATE();
        case 932:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '\r')
                ADVANCE(933);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 933:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\n')
                SKIP(99);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 934:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '\r')
                ADVANCE(937);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 935:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '*')
                ADVANCE(1540);
            if(lookahead == '/')
                ADVANCE(1528);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(936);
            END_STATE();
        case 936:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(936);
            END_STATE();
        case 937:
            ACCEPT_TOKEN(sym_preproc_arg);
            if(lookahead == '/')
                ADVANCE(796);
            if(lookahead == '\\')
                ADVANCE(934);
            if(lookahead != 0)
                ADVANCE(936);
            END_STATE();
        case 938:
            ACCEPT_TOKEN(aux_sym_preproc_include_token1);
            END_STATE();
        case 939:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\r')
                ADVANCE(942);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 940:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '*')
                ADVANCE(1542);
            if(lookahead == '/')
                ADVANCE(1531);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 941:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '/')
                ADVANCE(940);
            if(lookahead == '\\')
                ADVANCE(939);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(941);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead) &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 942:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 943:
            ACCEPT_TOKEN(sym_system_lib_path);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(942);
            END_STATE();
        case 944:
            ACCEPT_TOKEN(anon_sym_exception);
            END_STATE();
        case 945:
            ACCEPT_TOKEN(anon_sym_exception);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 946:
            ACCEPT_TOKEN(anon_sym_LBRACE);
            END_STATE();
        case 947:
            ACCEPT_TOKEN(anon_sym_RBRACE);
            END_STATE();
        case 948:
            ACCEPT_TOKEN(anon_sym_local);
            END_STATE();
        case 949:
            ACCEPT_TOKEN(anon_sym_abstract);
            END_STATE();
        case 950:
            ACCEPT_TOKEN(anon_sym_abstract);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 951:
            ACCEPT_TOKEN(anon_sym_interface);
            END_STATE();
        case 952:
            ACCEPT_TOKEN(anon_sym_interface);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 953:
            ACCEPT_TOKEN(anon_sym_COLON);
            END_STATE();
        case 954:
            ACCEPT_TOKEN(anon_sym_COLON);
            if(lookahead == ':')
                ADVANCE(847);
            END_STATE();
        case 955:
            ACCEPT_TOKEN(anon_sym_SEMI);
            END_STATE();
        case 956:
            ACCEPT_TOKEN(anon_sym_void);
            END_STATE();
        case 957:
            ACCEPT_TOKEN(anon_sym_void);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 958:
            ACCEPT_TOKEN(anon_sym_in);
            END_STATE();
        case 959:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(752);
            if(lookahead == 't')
                ADVANCE(112);
            END_STATE();
        case 960:
            ACCEPT_TOKEN(anon_sym_in);
            if(lookahead == 'o')
                ADVANCE(1495);
            if(lookahead == 't')
                ADVANCE(1121);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 961:
            ACCEPT_TOKEN(anon_sym_out);
            END_STATE();
        case 962:
            ACCEPT_TOKEN(anon_sym_out);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 963:
            ACCEPT_TOKEN(anon_sym_inout);
            END_STATE();
        case 964:
            ACCEPT_TOKEN(anon_sym_inout);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 965:
            ACCEPT_TOKEN(anon_sym_raises);
            END_STATE();
        case 966:
            ACCEPT_TOKEN(anon_sym_readonly);
            END_STATE();
        case 967:
            ACCEPT_TOKEN(anon_sym_readonly);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 968:
            ACCEPT_TOKEN(anon_sym_attribute);
            END_STATE();
        case 969:
            ACCEPT_TOKEN(anon_sym_attribute);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 970:
            ACCEPT_TOKEN(anon_sym_getraises);
            END_STATE();
        case 971:
            ACCEPT_TOKEN(anon_sym_setraises);
            END_STATE();
        case 972:
            ACCEPT_TOKEN(anon_sym_bitset);
            END_STATE();
        case 973:
            ACCEPT_TOKEN(anon_sym_bitset);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 974:
            ACCEPT_TOKEN(anon_sym_bitfield);
            END_STATE();
        case 975:
            ACCEPT_TOKEN(anon_sym_bitmask);
            END_STATE();
        case 976:
            ACCEPT_TOKEN(anon_sym_bitmask);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 977:
            ACCEPT_TOKEN(anon_sym_ATannotation);
            END_STATE();
        case 978:
            ACCEPT_TOKEN(anon_sym_default);
            END_STATE();
        case 979:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(1324);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 980:
            ACCEPT_TOKEN(anon_sym_default);
            if(lookahead == '_')
                ADVANCE(514);
            END_STATE();
        case 981:
            ACCEPT_TOKEN(anon_sym_default);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 982:
            ACCEPT_TOKEN(anon_sym_AT);
            END_STATE();
        case 983:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'a')
                ADVANCE(541);
            if(lookahead == 'i')
                ADVANCE(428);
            END_STATE();
        case 984:
            ACCEPT_TOKEN(anon_sym_AT);
            if(lookahead == 'i')
                ADVANCE(428);
            END_STATE();
        case 985:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH_AT);
            END_STATE();
        case 986:
            ACCEPT_TOKEN(aux_sym_extend_annotation_appl_token1);
            if(lookahead == '\n')
                ADVANCE(986);
            if(lookahead == '\r')
                ADVANCE(45);
            if(lookahead == '/')
                ADVANCE(86);
            END_STATE();
        case 987:
            ACCEPT_TOKEN(anon_sym_EQ);
            END_STATE();
        case 988:
            ACCEPT_TOKEN(anon_sym_id);
            if(lookahead == 'l')
                ADVANCE(1037);
            END_STATE();
        case 989:
            ACCEPT_TOKEN(anon_sym_id);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 990:
            ACCEPT_TOKEN(anon_sym_autoid);
            END_STATE();
        case 991:
            ACCEPT_TOKEN(anon_sym_autoid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 992:
            ACCEPT_TOKEN(anon_sym_SEQUENTIAL);
            END_STATE();
        case 993:
            ACCEPT_TOKEN(anon_sym_HASH);
            END_STATE();
        case 994:
            ACCEPT_TOKEN(anon_sym_optional);
            END_STATE();
        case 995:
            ACCEPT_TOKEN(anon_sym_optional);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 996:
            ACCEPT_TOKEN(anon_sym_position);
            END_STATE();
        case 997:
            ACCEPT_TOKEN(anon_sym_position);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 998:
            ACCEPT_TOKEN(anon_sym_value);
            if(lookahead == 't')
                ADVANCE(782);
            END_STATE();
        case 999:
            ACCEPT_TOKEN(anon_sym_value);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1000:
            ACCEPT_TOKEN(anon_sym_extensibility);
            END_STATE();
        case 1001:
            ACCEPT_TOKEN(anon_sym_extensibility);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1002:
            ACCEPT_TOKEN(anon_sym_FINAL);
            END_STATE();
        case 1003:
            ACCEPT_TOKEN(anon_sym_APPENDABLE);
            END_STATE();
        case 1004:
            ACCEPT_TOKEN(anon_sym_MUTABLE);
            END_STATE();
        case 1005:
            ACCEPT_TOKEN(anon_sym_final);
            END_STATE();
        case 1006:
            ACCEPT_TOKEN(anon_sym_final);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1007:
            ACCEPT_TOKEN(anon_sym_appendable);
            END_STATE();
        case 1008:
            ACCEPT_TOKEN(anon_sym_appendable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1009:
            ACCEPT_TOKEN(anon_sym_mutable);
            END_STATE();
        case 1010:
            ACCEPT_TOKEN(anon_sym_mutable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1011:
            ACCEPT_TOKEN(anon_sym_key);
            END_STATE();
        case 1012:
            ACCEPT_TOKEN(anon_sym_key);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1013:
            ACCEPT_TOKEN(anon_sym_must_understand);
            END_STATE();
        case 1014:
            ACCEPT_TOKEN(anon_sym_must_understand);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1015:
            ACCEPT_TOKEN(anon_sym_default_literal);
            END_STATE();
        case 1016:
            ACCEPT_TOKEN(anon_sym_default_literal);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1017:
            ACCEPT_TOKEN(anon_sym_range);
            END_STATE();
        case 1018:
            ACCEPT_TOKEN(anon_sym_range);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1019:
            ACCEPT_TOKEN(anon_sym_min);
            END_STATE();
        case 1020:
            ACCEPT_TOKEN(anon_sym_min);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1021:
            ACCEPT_TOKEN(anon_sym_max);
            END_STATE();
        case 1022:
            ACCEPT_TOKEN(anon_sym_max);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1023:
            ACCEPT_TOKEN(anon_sym_unit);
            END_STATE();
        case 1024:
            ACCEPT_TOKEN(anon_sym_unit);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1025:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            END_STATE();
        case 1026:
            ACCEPT_TOKEN(anon_sym_bit_bound);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1027:
            ACCEPT_TOKEN(anon_sym_external);
            END_STATE();
        case 1028:
            ACCEPT_TOKEN(anon_sym_external);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1029:
            ACCEPT_TOKEN(anon_sym_nested);
            END_STATE();
        case 1030:
            ACCEPT_TOKEN(anon_sym_nested);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1031:
            ACCEPT_TOKEN(anon_sym_verbatim);
            END_STATE();
        case 1032:
            ACCEPT_TOKEN(anon_sym_verbatim);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1033:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(91);
            END_STATE();
        case 1034:
            ACCEPT_TOKEN(anon_sym_c);
            if(lookahead == '+')
                ADVANCE(91);
            if(lookahead == 'a')
                ADVANCE(673);
            if(lookahead == 'h')
                ADVANCE(252);
            if(lookahead == 'o')
                ADVANCE(526);
            if(lookahead == 'u')
                ADVANCE(672);
            END_STATE();
        case 1035:
            ACCEPT_TOKEN(anon_sym_c_PLUS_PLUS);
            END_STATE();
        case 1036:
            ACCEPT_TOKEN(anon_sym_java);
            END_STATE();
        case 1037:
            ACCEPT_TOKEN(anon_sym_idl);
            END_STATE();
        case 1038:
            ACCEPT_TOKEN(anon_sym_BEGIN_FILE);
            END_STATE();
        case 1039:
            ACCEPT_TOKEN(anon_sym_BEFORE_DECLARATION);
            END_STATE();
        case 1040:
            ACCEPT_TOKEN(anon_sym_BEGIN_DECLARATION);
            END_STATE();
        case 1041:
            ACCEPT_TOKEN(anon_sym_END_DECLARATION);
            END_STATE();
        case 1042:
            ACCEPT_TOKEN(anon_sym_AFTER_DECLARATION);
            END_STATE();
        case 1043:
            ACCEPT_TOKEN(anon_sym_END_FILE);
            END_STATE();
        case 1044:
            ACCEPT_TOKEN(anon_sym_service);
            END_STATE();
        case 1045:
            ACCEPT_TOKEN(anon_sym_service);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1046:
            ACCEPT_TOKEN(anon_sym_CORBA);
            END_STATE();
        case 1047:
            ACCEPT_TOKEN(anon_sym_DDS);
            END_STATE();
        case 1048:
            ACCEPT_TOKEN(anon_sym_oneway);
            END_STATE();
        case 1049:
            ACCEPT_TOKEN(anon_sym_oneway);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1050:
            ACCEPT_TOKEN(anon_sym_ami);
            END_STATE();
        case 1051:
            ACCEPT_TOKEN(anon_sym_ami);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1052:
            ACCEPT_TOKEN(anon_sym_module);
            END_STATE();
        case 1053:
            ACCEPT_TOKEN(anon_sym_typename);
            END_STATE();
        case 1054:
            ACCEPT_TOKEN(anon_sym_typename);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1055:
            ACCEPT_TOKEN(anon_sym_valuetype);
            END_STATE();
        case 1056:
            ACCEPT_TOKEN(anon_sym_valuetype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1057:
            ACCEPT_TOKEN(anon_sym_eventtype);
            END_STATE();
        case 1058:
            ACCEPT_TOKEN(anon_sym_eventtype);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1059:
            ACCEPT_TOKEN(anon_sym_struct);
            END_STATE();
        case 1060:
            ACCEPT_TOKEN(anon_sym_struct);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1061:
            ACCEPT_TOKEN(anon_sym_union);
            END_STATE();
        case 1062:
            ACCEPT_TOKEN(anon_sym_union);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1063:
            ACCEPT_TOKEN(anon_sym_enum);
            END_STATE();
        case 1064:
            ACCEPT_TOKEN(anon_sym_enum);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1065:
            ACCEPT_TOKEN(anon_sym_const);
            END_STATE();
        case 1066:
            ACCEPT_TOKEN(anon_sym_const);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1067:
            ACCEPT_TOKEN(anon_sym_alias);
            END_STATE();
        case 1068:
            ACCEPT_TOKEN(anon_sym_custom);
            END_STATE();
        case 1069:
            ACCEPT_TOKEN(anon_sym_custom);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1070:
            ACCEPT_TOKEN(anon_sym_truncatable);
            END_STATE();
        case 1071:
            ACCEPT_TOKEN(anon_sym_truncatable);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1072:
            ACCEPT_TOKEN(anon_sym_supports);
            END_STATE();
        case 1073:
            ACCEPT_TOKEN(anon_sym_supports);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1074:
            ACCEPT_TOKEN(anon_sym_public);
            END_STATE();
        case 1075:
            ACCEPT_TOKEN(anon_sym_public);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1076:
            ACCEPT_TOKEN(anon_sym_private);
            END_STATE();
        case 1077:
            ACCEPT_TOKEN(anon_sym_private);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1078:
            ACCEPT_TOKEN(anon_sym_factory);
            END_STATE();
        case 1079:
            ACCEPT_TOKEN(anon_sym_factory);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1080:
            ACCEPT_TOKEN(anon_sym_typedef);
            END_STATE();
        case 1081:
            ACCEPT_TOKEN(anon_sym_typedef);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1082:
            ACCEPT_TOKEN(anon_sym_LBRACK);
            END_STATE();
        case 1083:
            ACCEPT_TOKEN(anon_sym_RBRACK);
            END_STATE();
        case 1084:
            ACCEPT_TOKEN(anon_sym_ATdefault_literal);
            END_STATE();
        case 1085:
            ACCEPT_TOKEN(anon_sym_ATignore_literal_names);
            END_STATE();
        case 1086:
            ACCEPT_TOKEN(anon_sym_switch);
            END_STATE();
        case 1087:
            ACCEPT_TOKEN(anon_sym_switch);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1088:
            ACCEPT_TOKEN(anon_sym_case);
            END_STATE();
        case 1089:
            ACCEPT_TOKEN(anon_sym_case);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1090:
            ACCEPT_TOKEN(anon_sym_typeid);
            END_STATE();
        case 1091:
            ACCEPT_TOKEN(anon_sym_typeid);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1092:
            ACCEPT_TOKEN(anon_sym_typeprefix);
            END_STATE();
        case 1093:
            ACCEPT_TOKEN(anon_sym_import);
            END_STATE();
        case 1094:
            ACCEPT_TOKEN(anon_sym_import);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1095:
            ACCEPT_TOKEN(anon_sym_Object);
            END_STATE();
        case 1096:
            ACCEPT_TOKEN(anon_sym_Object);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1097:
            ACCEPT_TOKEN(anon_sym_context);
            END_STATE();
        case 1098:
            ACCEPT_TOKEN(sym_value_base_type);
            END_STATE();
        case 1099:
            ACCEPT_TOKEN(sym_value_base_type);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1100:
            ACCEPT_TOKEN(anon_sym_component);
            END_STATE();
        case 1101:
            ACCEPT_TOKEN(anon_sym_provides);
            END_STATE();
        case 1102:
            ACCEPT_TOKEN(anon_sym_uses);
            END_STATE();
        case 1103:
            ACCEPT_TOKEN(anon_sym_multiple);
            END_STATE();
        case 1104:
            ACCEPT_TOKEN(anon_sym_multiple);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1105:
            ACCEPT_TOKEN(anon_sym_home);
            END_STATE();
        case 1106:
            ACCEPT_TOKEN(anon_sym_manages);
            END_STATE();
        case 1107:
            ACCEPT_TOKEN(anon_sym_emits);
            END_STATE();
        case 1108:
            ACCEPT_TOKEN(anon_sym_publishes);
            END_STATE();
        case 1109:
            ACCEPT_TOKEN(anon_sym_consumes);
            END_STATE();
        case 1110:
            ACCEPT_TOKEN(anon_sym_primarykey);
            END_STATE();
        case 1111:
            ACCEPT_TOKEN(anon_sym_finder);
            END_STATE();
        case 1112:
            ACCEPT_TOKEN(anon_sym_finder);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1113:
            ACCEPT_TOKEN(anon_sym_porttype);
            END_STATE();
        case 1114:
            ACCEPT_TOKEN(anon_sym_port);
            END_STATE();
        case 1115:
            ACCEPT_TOKEN(anon_sym_mirrorport);
            END_STATE();
        case 1116:
            ACCEPT_TOKEN(anon_sym_connector);
            END_STATE();
        case 1117:
            ACCEPT_TOKEN(anon_sym_native);
            END_STATE();
        case 1118:
            ACCEPT_TOKEN(anon_sym_native);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1119:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == ' ')
                ADVANCE(512);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1120:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1127);
            if(lookahead == '3')
                ADVANCE(1123);
            if(lookahead == '6')
                ADVANCE(1125);
            if(lookahead == '8')
                ADVANCE(828);
            if(lookahead == 'e')
                ADVANCE(1427);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1121:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1127);
            if(lookahead == '3')
                ADVANCE(1123);
            if(lookahead == '6')
                ADVANCE(1125);
            if(lookahead == '8')
                ADVANCE(828);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1122:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '1')
                ADVANCE(1128);
            if(lookahead == '3')
                ADVANCE(1124);
            if(lookahead == '6')
                ADVANCE(1126);
            if(lookahead == '8')
                ADVANCE(820);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1123:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(815);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1124:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '2')
                ADVANCE(834);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1125:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(818);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1126:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '4')
                ADVANCE(837);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1127:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(809);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1128:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '6')
                ADVANCE(831);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1129:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'A')
                ADVANCE(1133);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('B' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1130:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'B')
                ADVANCE(1146);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1131:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(911);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1132:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'E')
                ADVANCE(913);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1133:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'L')
                ADVANCE(1135);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1134:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'R')
                ADVANCE(1136);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1135:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'S')
                ADVANCE(1132);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1136:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'U')
                ADVANCE(1131);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1137:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1180);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1138:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '_')
                ADVANCE(1494);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1139:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1319);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1140:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1214);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1141:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1431);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1142:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1193);
            if(lookahead == 'i')
                ADVANCE(1511);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1143:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1193);
            if(lookahead == 'i')
                ADVANCE(1361);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1144:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1398);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1145:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1514);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1146:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1437);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1147:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1510);
            if(lookahead == 'i')
                ADVANCE(1348);
            if(lookahead == 'u')
                ADVANCE(1439);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1148:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1413);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1149:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1342);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1150:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1481);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1151:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1491);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1152:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1414);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1153:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1315);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1154:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1316);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1155:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1317);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1156:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1447);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1157:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1345);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1158:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1318);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1159:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1360);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1160:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1365);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1161:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1475);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1162:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1487);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1163:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1438);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1164:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1474);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1165:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1198);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1166:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1181);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1167:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1182);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1168:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1197);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1169:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1184);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1170:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1333);
            if(lookahead == 'o')
                ADVANCE(1288);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1171:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1333);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1172:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1500);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1173:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'a')
                ADVANCE(1334);
            if(lookahead == 'e')
                ADVANCE(1417);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('b' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1174:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1313);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1175:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1441);
            if(lookahead == 'n')
                ADVANCE(1513);
            if(lookahead == 't')
                ADVANCE(1462);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1176:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1322);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1177:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1323);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1178:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1502);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1179:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1306);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1180:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1395);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1181:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1328);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1182:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1329);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1183:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1161);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1184:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'b')
                ADVANCE(1331);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1185:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1281);
            if(lookahead == 's')
                ADVANCE(1482);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1186:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1281);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1187:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1075);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1188:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1276);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1189:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1245);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1190:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1468);
            if(lookahead == 'n')
                ADVANCE(1220);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1191:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1468);
            if(lookahead == 'u')
                ADVANCE(1456);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1192:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1468);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1193:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1470);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1194:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1450);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1195:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1227);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1196:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1453);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1197:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1454);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1198:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1234);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1199:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1239);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1200:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'c')
                ADVANCE(1162);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1201:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(957);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1202:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(824);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1203:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1091);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1204:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1119);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1205:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(989);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1206:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(991);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1207:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1030);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1208:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1026);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1209:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1014);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1210:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1225);
            if(lookahead == 'i')
                ADVANCE(1203);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1211:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1225);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1212:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1250);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1213:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1255);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1214:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1387);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1215:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'd')
                ADVANCE(1167);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1216:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1412);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1217:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1420);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1218:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1422);
            if(lookahead == 'u')
                ADVANCE(1409);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1219:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1410);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(lookahead == 't')
                ADVANCE(1422);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1220:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1508);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1221:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1210);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1222:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1130);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1223:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(841);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1224:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1118);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1225:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1266);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1226:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1077);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1227:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(859);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1228:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1099);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1229:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(969);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1230:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1056);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1231:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1089);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1232:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1054);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1233:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1058);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1234:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(952);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1235:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1373);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1236:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1018);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1237:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(999);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1238:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1010);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1239:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1045);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1240:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1008);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1241:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1104);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1242:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1071);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1243:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1267);
            if(lookahead == 'o')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1244:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1202);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1245:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1400);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1246:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1140);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1247:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1204);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1248:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1517);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1249:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1371);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1250:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1415);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1251:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1157);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1252:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1207);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1253:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1448);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1254:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1416);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1255:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1430);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1256:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1451);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1257:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1429);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1258:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1366);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1259:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1484);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1260:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1363);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1261:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1194);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1262:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1211);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1263:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1369);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1264:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1443);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1265:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'e')
                ADVANCE(1269);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1266:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1081);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1267:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1151);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1268:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1165);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1269:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'f')
                ADVANCE(1172);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1270:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(811);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1271:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(849);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1272:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(851);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1273:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(813);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1274:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1367);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1275:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'g')
                ADVANCE(1236);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1276:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1087);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1277:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1376);
            if(lookahead == 'u')
                ADVANCE(1434);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1278:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(lookahead == 'o')
                ADVANCE(1376);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1279:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1148);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1280:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1384);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1281:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'h')
                ADVANCE(1152);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1282:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1511);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1283:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1507);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1284:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1051);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1285:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1444);
            if(lookahead == 'o')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1286:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1274);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1287:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1505);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1288:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1201);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1289:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1178);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1290:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1362);
            if(lookahead == 'n')
                ADVANCE(1305);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1291:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1362);
            if(lookahead == 'n')
                ADVANCE(1433);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1292:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1187);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1293:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1356);
            if(lookahead == 'u')
                ADVANCE(1196);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1294:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1356);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1295:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1339);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1296:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1179);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1297:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1408);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1298:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1357);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1299:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1206);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1300:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1370);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1301:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1459);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1302:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1460);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1303:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1471);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1304:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1469);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1305:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1385);
            if(lookahead == 's')
                ADVANCE(1286);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1306:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1335);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1307:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1199);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1308:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1389);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1309:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1397);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1310:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1390);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1311:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1480);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1312:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'i')
                ADVANCE(1486);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1313:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'j')
                ADVANCE(1261);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1314:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'k')
                ADVANCE(976);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1315:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1006);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1316:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1028);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1317:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(995);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1318:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1016);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1319:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1492);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1320:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1393);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1321:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1516);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1322:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1292);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1323:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1223);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1324:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1311);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1325:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1455);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1326:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1461);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1327:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1476);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1328:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1238);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1329:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1240);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1330:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1241);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1331:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1242);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1332:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1251);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1333:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1503);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1334:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1498);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1335:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'l')
                ADVANCE(1303);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1336:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1406);
            if(lookahead == 'n')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1337:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1064);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1338:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1069);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1339:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1032);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1340:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1141);
            if(lookahead == 's')
                ADVANCE(1256);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1341:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1284);
            if(lookahead == 'p')
                ADVANCE(1405);
            if(lookahead == 'u')
                ADVANCE(1473);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1342:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'm')
                ADVANCE(1232);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1343:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1270);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1344:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1062);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1345:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(822);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1346:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(945);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1347:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(960);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1348:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1020);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1349:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(997);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1350:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1220);
            if(lookahead == 'p')
                ADVANCE(1485);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1351:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1513);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1352:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1490);
            if(lookahead == 'v')
                ADVANCE(1263);
            if(lookahead == 'x')
                ADVANCE(1189);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1353:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1490);
            if(lookahead == 'x')
                ADVANCE(1189);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1354:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1490);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1355:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1445);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1356:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1271);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1357:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1272);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1358:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1321);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1359:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1200);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1360:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1275);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1361:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1212);
            if(lookahead == 'x')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1362:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1463);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1363:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1215);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1364:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1208);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1365:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1209);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1366:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1149);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1367:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1247);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1368:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1458);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1369:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1489);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1370:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1153);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1371:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1195);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1372:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1273);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1373:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1436);
            if(lookahead == 'r')
                ADVANCE(1375);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1374:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1302);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1375:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1154);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1376:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1435);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1377:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1213);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1378:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'n')
                ADVANCE(1155);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1379:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1499);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1380:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1332);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1381:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1343);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1382:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1338);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1383:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1380);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1384:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1424);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1385:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1344);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1386:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1442);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1387:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1358);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1388:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1418);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1389:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1346);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1390:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1349);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1391:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1372);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1392:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1299);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1393:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1156);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1394:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1425);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1395:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1496);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1396:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1426);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1397:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'o')
                ADVANCE(1378);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1398:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(861);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1399:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1221);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1400:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1472);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1401:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1230);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1402:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1262);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1403:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1258);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1404:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1233);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1405:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1260);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1406:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1394);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1407:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1396);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1408:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1330);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1409:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'p')
                ADVANCE(1407);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1410:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'q')
                ADVANCE(1493);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1411:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1283);
            if(lookahead == 'u')
                ADVANCE(1176);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1412:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1293);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1413:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(844);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1414:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(846);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1415:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1112);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1416:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1506);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1417:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1183);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1418:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1515);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1419:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1289);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1420:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1501);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1421:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1298);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1422:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1294);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1423:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1168);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1424:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1449);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1425:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1452);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1426:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1465);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1427:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1268);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1428:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1497);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1429:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1158);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1430:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'r')
                ADVANCE(1440);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1431:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1314);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1432:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1073);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1433:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1286);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1434:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1467);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1435:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1446);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1436:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1296);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1437:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1228);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1438:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1231);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1439:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1464);
            if(lookahead == 't')
                ADVANCE(1166);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1440:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1483);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1441:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1466);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1442:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1312);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1443:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 's')
                ADVANCE(1479);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1444:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1340);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1445:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1121);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1446:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1066);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1447:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(839);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1448:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(826);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1449:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(807);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1450:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1096);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1451:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(973);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1452:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1094);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1453:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1060);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1454:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(950);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1455:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(981);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1456:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(962);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1457:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(964);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1458:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1120);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1459:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1137);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1460:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1024);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1461:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(979);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1462:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1419);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1463:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1122);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1464:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1138);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1465:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1432);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1466:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1423);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1467:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1382);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1468:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1253);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1469:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1188);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1470:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1388);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1471:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1518);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1472:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1308);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1473:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1392);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1474:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1226);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1475:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1295);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1476:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1297);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1477:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1229);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1478:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1235);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1479:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1252);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1480:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1257);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1481:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1287);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1482:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1421);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1483:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1160);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1484:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1520);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1485:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1309);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1486:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1310);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1487:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1169);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1488:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1523);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1489:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 't')
                ADVANCE(1488);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1490:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1337);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1491:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1325);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1492:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1222);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1493:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1249);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1494:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1377);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1495:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1457);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1496:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1364);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1497:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1359);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1498:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1237);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1499:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1177);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1500:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1326);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1501:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1196);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1502:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1477);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1503:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1259);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1504:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'u')
                ADVANCE(1327);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1505:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1224);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1506:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1307);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1507:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'v')
                ADVANCE(1164);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1508:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1145);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1509:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'w')
                ADVANCE(1304);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1510:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1022);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1511:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1244);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1512:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'x')
                ADVANCE(1478);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1513:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(856);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1514:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1049);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1515:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1079);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1516:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(967);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1517:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1012);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1518:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1001);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1519:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1399);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1520:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1401);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1521:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1402);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1522:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1403);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1523:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == 'y')
                ADVANCE(1404);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1524:
            ACCEPT_TOKEN(sym_identifier);
            if(lookahead == '0' ||
               lookahead == '1')
                ADVANCE(877);
            if(('2' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1525:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '8'))
                ADVANCE(881);
            if(lookahead == '9' ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1526:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'F') ||
               ('a' <= lookahead && lookahead <= 'f'))
                ADVANCE(887);
            if(('G' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('g' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1527:
            ACCEPT_TOKEN(sym_identifier);
            if(('0' <= lookahead && lookahead <= '9') ||
               ('A' <= lookahead && lookahead <= 'Z') ||
               lookahead == '_' ||
               ('a' <= lookahead && lookahead <= 'z'))
                ADVANCE(1527);
            END_STATE();
        case 1528:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            END_STATE();
        case 1529:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0)
                ADVANCE(89);
            END_STATE();
        case 1530:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '@')
                ADVANCE(985);
            END_STATE();
        case 1531:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 1532:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1533:
            ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 1534:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\n')
                ADVANCE(1537);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 1535:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\r')
                ADVANCE(1539);
            if(lookahead == '\\')
                ADVANCE(1535);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 1536:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '*')
                ADVANCE(1543);
            if(lookahead == '/')
                ADVANCE(1532);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1537:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '/')
                ADVANCE(1536);
            if(lookahead == '\\')
                ADVANCE(65);
            if(lookahead == '\t' ||
               (0x0b <= lookahead && lookahead <= '\r') ||
               lookahead == ' ')
                ADVANCE(1537);
            if(lookahead != 0 &&
               (lookahead < '\t' || '\r' < lookahead))
                ADVANCE(1538);
            END_STATE();
        case 1538:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1539:
            ACCEPT_TOKEN(aux_sym_comment_token1);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0)
                ADVANCE(1538);
            END_STATE();
        case 1540:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            END_STATE();
        case 1541:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(89);
            END_STATE();
        case 1542:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(943);
            if(lookahead != 0 &&
               lookahead != '\n' &&
               lookahead != '>')
                ADVANCE(942);
            END_STATE();
        case 1543:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead == '\\')
                ADVANCE(72);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(1538);
            END_STATE();
        case 1544:
            ACCEPT_TOKEN(anon_sym_SLASH_STAR);
            if(lookahead != 0 &&
               lookahead != '\n')
                ADVANCE(918);
            END_STATE();
        case 1545:
            ACCEPT_TOKEN(aux_sym_comment_token2);
            if(lookahead == '*')
                ADVANCE(1545);
            if(lookahead != 0 &&
               lookahead != '/')
                ADVANCE(89);
            END_STATE();
        default:
            return false;
    }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
    [0] = { .lex_state = 0 },
    [1] = { .lex_state = 804 },
    [2] = { .lex_state = 94 },
    [3] = { .lex_state = 94 },
    [4] = { .lex_state = 94 },
    [5] = { .lex_state = 94 },
    [6] = { .lex_state = 95 },
    [7] = { .lex_state = 94 },
    [8] = { .lex_state = 95 },
    [9] = { .lex_state = 95 },
    [10] = { .lex_state = 96 },
    [11] = { .lex_state = 96 },
    [12] = { .lex_state = 96 },
    [13] = { .lex_state = 96 },
    [14] = { .lex_state = 96 },
    [15] = { .lex_state = 96 },
    [16] = { .lex_state = 96 },
    [17] = { .lex_state = 96 },
    [18] = { .lex_state = 96 },
    [19] = { .lex_state = 96 },
    [20] = { .lex_state = 96 },
    [21] = { .lex_state = 803 },
    [22] = { .lex_state = 803 },
    [23] = { .lex_state = 804 },
    [24] = { .lex_state = 804 },
    [25] = { .lex_state = 804 },
    [26] = { .lex_state = 804 },
    [27] = { .lex_state = 804 },
    [28] = { .lex_state = 804 },
    [29] = { .lex_state = 804 },
    [30] = { .lex_state = 804 },
    [31] = { .lex_state = 97 },
    [32] = { .lex_state = 98 },
    [33] = { .lex_state = 83 },
    [34] = { .lex_state = 83 },
    [35] = { .lex_state = 83 },
    [36] = { .lex_state = 83 },
    [37] = { .lex_state = 83 },
    [38] = { .lex_state = 83 },
    [39] = { .lex_state = 83 },
    [40] = { .lex_state = 92 },
    [41] = { .lex_state = 85 },
    [42] = { .lex_state = 100 },
    [43] = { .lex_state = 83 },
    [44] = { .lex_state = 85 },
    [45] = { .lex_state = 100 },
    [46] = { .lex_state = 100 },
    [47] = { .lex_state = 94 },
    [48] = { .lex_state = 94 },
    [49] = { .lex_state = 94 },
    [50] = { .lex_state = 94 },
    [51] = { .lex_state = 94 },
    [52] = { .lex_state = 94 },
    [53] = { .lex_state = 101 },
    [54] = { .lex_state = 94 },
    [55] = { .lex_state = 95 },
    [56] = { .lex_state = 101 },
    [57] = { .lex_state = 95 },
    [58] = { .lex_state = 95 },
    [59] = { .lex_state = 95 },
    [60] = { .lex_state = 102 },
    [61] = { .lex_state = 96 },
    [62] = { .lex_state = 102 },
    [63] = { .lex_state = 102 },
    [64] = { .lex_state = 102 },
    [65] = { .lex_state = 105 },
    [66] = { .lex_state = 105 },
    [67] = { .lex_state = 102 },
    [68] = { .lex_state = 102 },
    [69] = { .lex_state = 102 },
    [70] = { .lex_state = 102 },
    [71] = { .lex_state = 105 },
    [72] = { .lex_state = 105 },
    [73] = { .lex_state = 102 },
    [74] = { .lex_state = 105 },
    [75] = { .lex_state = 105 },
    [76] = { .lex_state = 105 },
    [77] = { .lex_state = 105 },
    [78] = { .lex_state = 96 },
    [79] = { .lex_state = 102 },
    [80] = { .lex_state = 106 },
    [81] = { .lex_state = 106 },
    [82] = { .lex_state = 97 },
    [83] = { .lex_state = 77 },
    [84] = { .lex_state = 77 },
    [85] = { .lex_state = 77 },
    [86] = { .lex_state = 77 },
    [87] = { .lex_state = 77 },
    [88] = { .lex_state = 97 },
    [89] = { .lex_state = 77 },
    [90] = { .lex_state = 77 },
    [91] = { .lex_state = 77 },
    [92] = { .lex_state = 97 },
    [93] = { .lex_state = 97 },
    [94] = { .lex_state = 77 },
    [95] = { .lex_state = 77 },
    [96] = { .lex_state = 77 },
    [97] = { .lex_state = 77 },
    [98] = { .lex_state = 77 },
    [99] = { .lex_state = 77 },
    [100] = { .lex_state = 77 },
    [101] = { .lex_state = 77 },
    [102] = { .lex_state = 77 },
    [103] = { .lex_state = 77 },
    [104] = { .lex_state = 77 },
    [105] = { .lex_state = 83 },
    [106] = { .lex_state = 77 },
    [107] = { .lex_state = 83 },
    [108] = { .lex_state = 83 },
    [109] = { .lex_state = 77 },
    [110] = { .lex_state = 83 },
    [111] = { .lex_state = 83 },
    [112] = { .lex_state = 83 },
    [113] = { .lex_state = 83 },
    [114] = { .lex_state = 83 },
    [115] = { .lex_state = 83 },
    [116] = { .lex_state = 83 },
    [117] = { .lex_state = 83 },
    [118] = { .lex_state = 83 },
    [119] = { .lex_state = 83 },
    [120] = { .lex_state = 83 },
    [121] = { .lex_state = 83 },
    [122] = { .lex_state = 83 },
    [123] = { .lex_state = 83 },
    [124] = { .lex_state = 83 },
    [125] = { .lex_state = 83 },
    [126] = { .lex_state = 83 },
    [127] = { .lex_state = 83 },
    [128] = { .lex_state = 83 },
    [129] = { .lex_state = 83 },
    [130] = { .lex_state = 83 },
    [131] = { .lex_state = 77 },
    [132] = { .lex_state = 83 },
    [133] = { .lex_state = 100 },
    [134] = { .lex_state = 83 },
    [135] = { .lex_state = 83 },
    [136] = { .lex_state = 83 },
    [137] = { .lex_state = 83 },
    [138] = { .lex_state = 83 },
    [139] = { .lex_state = 83 },
    [140] = { .lex_state = 83 },
    [141] = { .lex_state = 83 },
    [142] = { .lex_state = 83 },
    [143] = { .lex_state = 83 },
    [144] = { .lex_state = 83 },
    [145] = { .lex_state = 83 },
    [146] = { .lex_state = 83 },
    [147] = { .lex_state = 83 },
    [148] = { .lex_state = 83 },
    [149] = { .lex_state = 83 },
    [150] = { .lex_state = 83 },
    [151] = { .lex_state = 804 },
    [152] = { .lex_state = 83 },
    [153] = { .lex_state = 83 },
    [154] = { .lex_state = 100 },
    [155] = { .lex_state = 83 },
    [156] = { .lex_state = 100 },
    [157] = { .lex_state = 83 },
    [158] = { .lex_state = 83 },
    [159] = { .lex_state = 83 },
    [160] = { .lex_state = 83 },
    [161] = { .lex_state = 83 },
    [162] = { .lex_state = 83 },
    [163] = { .lex_state = 83 },
    [164] = { .lex_state = 77 },
    [165] = { .lex_state = 83 },
    [166] = { .lex_state = 83 },
    [167] = { .lex_state = 83 },
    [168] = { .lex_state = 83 },
    [169] = { .lex_state = 100 },
    [170] = { .lex_state = 83 },
    [171] = { .lex_state = 100 },
    [172] = { .lex_state = 83 },
    [173] = { .lex_state = 83 },
    [174] = { .lex_state = 804 },
    [175] = { .lex_state = 804 },
    [176] = { .lex_state = 804 },
    [177] = { .lex_state = 102 },
    [178] = { .lex_state = 804 },
    [179] = { .lex_state = 107 },
    [180] = { .lex_state = 804 },
    [181] = { .lex_state = 77 },
    [182] = { .lex_state = 804 },
    [183] = { .lex_state = 804 },
    [184] = { .lex_state = 804 },
    [185] = { .lex_state = 82 },
    [186] = { .lex_state = 804 },
    [187] = { .lex_state = 74 },
    [188] = { .lex_state = 74 },
    [189] = { .lex_state = 74 },
    [190] = { .lex_state = 74 },
    [191] = { .lex_state = 74 },
    [192] = { .lex_state = 74 },
    [193] = { .lex_state = 74 },
    [194] = { .lex_state = 74 },
    [195] = { .lex_state = 74 },
    [196] = { .lex_state = 74 },
    [197] = { .lex_state = 74 },
    [198] = { .lex_state = 74 },
    [199] = { .lex_state = 74 },
    [200] = { .lex_state = 74 },
    [201] = { .lex_state = 74 },
    [202] = { .lex_state = 74 },
    [203] = { .lex_state = 74 },
    [204] = { .lex_state = 74 },
    [205] = { .lex_state = 74 },
    [206] = { .lex_state = 74 },
    [207] = { .lex_state = 74 },
    [208] = { .lex_state = 82 },
    [209] = { .lex_state = 74 },
    [210] = { .lex_state = 74 },
    [211] = { .lex_state = 74 },
    [212] = { .lex_state = 75 },
    [213] = { .lex_state = 80 },
    [214] = { .lex_state = 803 },
    [215] = { .lex_state = 80 },
    [216] = { .lex_state = 80 },
    [217] = { .lex_state = 80 },
    [218] = { .lex_state = 80 },
    [219] = { .lex_state = 80 },
    [220] = { .lex_state = 74 },
    [221] = { .lex_state = 80 },
    [222] = { .lex_state = 80 },
    [223] = { .lex_state = 80 },
    [224] = { .lex_state = 80 },
    [225] = { .lex_state = 80 },
    [226] = { .lex_state = 80 },
    [227] = { .lex_state = 80 },
    [228] = { .lex_state = 74 },
    [229] = { .lex_state = 80 },
    [230] = { .lex_state = 80 },
    [231] = { .lex_state = 74 },
    [232] = { .lex_state = 80 },
    [233] = { .lex_state = 80 },
    [234] = { .lex_state = 80 },
    [235] = { .lex_state = 80 },
    [236] = { .lex_state = 77 },
    [237] = { .lex_state = 80 },
    [238] = { .lex_state = 80 },
    [239] = { .lex_state = 80 },
    [240] = { .lex_state = 80 },
    [241] = { .lex_state = 77 },
    [242] = { .lex_state = 80 },
    [243] = { .lex_state = 80 },
    [244] = { .lex_state = 74 },
    [245] = { .lex_state = 74 },
    [246] = { .lex_state = 76 },
    [247] = { .lex_state = 76 },
    [248] = { .lex_state = 76 },
    [249] = { .lex_state = 74 },
    [250] = { .lex_state = 76 },
    [251] = { .lex_state = 82 },
    [252] = { .lex_state = 80 },
    [253] = { .lex_state = 80 },
    [254] = { .lex_state = 82 },
    [255] = { .lex_state = 803 },
    [256] = { .lex_state = 82 },
    [257] = { .lex_state = 803 },
    [258] = { .lex_state = 82 },
    [259] = { .lex_state = 82 },
    [260] = { .lex_state = 74 },
    [261] = { .lex_state = 82 },
    [262] = { .lex_state = 82 },
    [263] = { .lex_state = 74 },
    [264] = { .lex_state = 74 },
    [265] = { .lex_state = 82 },
    [266] = { .lex_state = 74 },
    [267] = { .lex_state = 74 },
    [268] = { .lex_state = 74 },
    [269] = { .lex_state = 74 },
    [270] = { .lex_state = 74 },
    [271] = { .lex_state = 82 },
    [272] = { .lex_state = 74 },
    [273] = { .lex_state = 82 },
    [274] = { .lex_state = 82 },
    [275] = { .lex_state = 82 },
    [276] = { .lex_state = 82 },
    [277] = { .lex_state = 82 },
    [278] = { .lex_state = 74 },
    [279] = { .lex_state = 74 },
    [280] = { .lex_state = 74 },
    [281] = { .lex_state = 82 },
    [282] = { .lex_state = 82 },
    [283] = { .lex_state = 82 },
    [284] = { .lex_state = 82 },
    [285] = { .lex_state = 82 },
    [286] = { .lex_state = 82 },
    [287] = { .lex_state = 82 },
    [288] = { .lex_state = 82 },
    [289] = { .lex_state = 82 },
    [290] = { .lex_state = 82 },
    [291] = { .lex_state = 82 },
    [292] = { .lex_state = 82 },
    [293] = { .lex_state = 82 },
    [294] = { .lex_state = 82 },
    [295] = { .lex_state = 82 },
    [296] = { .lex_state = 82 },
    [297] = { .lex_state = 82 },
    [298] = { .lex_state = 82 },
    [299] = { .lex_state = 82 },
    [300] = { .lex_state = 82 },
    [301] = { .lex_state = 82 },
    [302] = { .lex_state = 82 },
    [303] = { .lex_state = 82 },
    [304] = { .lex_state = 80 },
    [305] = { .lex_state = 82 },
    [306] = { .lex_state = 82 },
    [307] = { .lex_state = 82 },
    [308] = { .lex_state = 82 },
    [309] = { .lex_state = 80 },
    [310] = { .lex_state = 82 },
    [311] = { .lex_state = 82 },
    [312] = { .lex_state = 82 },
    [313] = { .lex_state = 82 },
    [314] = { .lex_state = 82 },
    [315] = { .lex_state = 82 },
    [316] = { .lex_state = 82 },
    [317] = { .lex_state = 82 },
    [318] = { .lex_state = 82 },
    [319] = { .lex_state = 74 },
    [320] = { .lex_state = 74 },
    [321] = { .lex_state = 74 },
    [322] = { .lex_state = 76 },
    [323] = { .lex_state = 74 },
    [324] = { .lex_state = 78 },
    [325] = { .lex_state = 78 },
    [326] = { .lex_state = 74 },
    [327] = { .lex_state = 74 },
    [328] = { .lex_state = 76 },
    [329] = { .lex_state = 74 },
    [330] = { .lex_state = 74 },
    [331] = { .lex_state = 84 },
    [332] = { .lex_state = 76 },
    [333] = { .lex_state = 76 },
    [334] = { .lex_state = 74 },
    [335] = { .lex_state = 93 },
    [336] = { .lex_state = 74 },
    [337] = { .lex_state = 74 },
    [338] = { .lex_state = 74 },
    [339] = { .lex_state = 74 },
    [340] = { .lex_state = 74 },
    [341] = { .lex_state = 84 },
    [342] = { .lex_state = 74 },
    [343] = { .lex_state = 74 },
    [344] = { .lex_state = 74 },
    [345] = { .lex_state = 80 },
    [346] = { .lex_state = 74 },
    [347] = { .lex_state = 76 },
    [348] = { .lex_state = 80 },
    [349] = { .lex_state = 74 },
    [350] = { .lex_state = 74 },
    [351] = { .lex_state = 74 },
    [352] = { .lex_state = 45 },
    [353] = { .lex_state = 103 },
    [354] = { .lex_state = 80 },
    [355] = { .lex_state = 45 },
    [356] = { .lex_state = 74 },
    [357] = { .lex_state = 80 },
    [358] = { .lex_state = 45 },
    [359] = { .lex_state = 45 },
    [360] = { .lex_state = 75 },
    [361] = { .lex_state = 45 },
    [362] = { .lex_state = 80 },
    [363] = { .lex_state = 74 },
    [364] = { .lex_state = 45 },
    [365] = { .lex_state = 75 },
    [366] = { .lex_state = 74 },
    [367] = { .lex_state = 45 },
    [368] = { .lex_state = 45 },
    [369] = { .lex_state = 74 },
    [370] = { .lex_state = 75 },
    [371] = { .lex_state = 45 },
    [372] = { .lex_state = 84 },
    [373] = { .lex_state = 84 },
    [374] = { .lex_state = 78 },
    [375] = { .lex_state = 84 },
    [376] = { .lex_state = 75 },
    [377] = { .lex_state = 80 },
    [378] = { .lex_state = 45 },
    [379] = { .lex_state = 74 },
    [380] = { .lex_state = 74 },
    [381] = { .lex_state = 74 },
    [382] = { .lex_state = 78 },
    [383] = { .lex_state = 45 },
    [384] = { .lex_state = 78 },
    [385] = { .lex_state = 74 },
    [386] = { .lex_state = 78 },
    [387] = { .lex_state = 75 },
    [388] = { .lex_state = 75 },
    [389] = { .lex_state = 108 },
    [390] = { .lex_state = 78 },
    [391] = { .lex_state = 104 },
    [392] = { .lex_state = 78 },
    [393] = { .lex_state = 78 },
    [394] = { .lex_state = 78 },
    [395] = { .lex_state = 78 },
    [396] = { .lex_state = 45 },
    [397] = { .lex_state = 78 },
    [398] = { .lex_state = 78 },
    [399] = { .lex_state = 75 },
    [400] = { .lex_state = 104 },
    [401] = { .lex_state = 75 },
    [402] = { .lex_state = 84 },
    [403] = { .lex_state = 78 },
    [404] = { .lex_state = 74 },
    [405] = { .lex_state = 78 },
    [406] = { .lex_state = 84 },
    [407] = { .lex_state = 84 },
    [408] = { .lex_state = 74 },
    [409] = { .lex_state = 45 },
    [410] = { .lex_state = 80 },
    [411] = { .lex_state = 75 },
    [412] = { .lex_state = 80 },
    [413] = { .lex_state = 84 },
    [414] = { .lex_state = 84 },
    [415] = { .lex_state = 78 },
    [416] = { .lex_state = 74 },
    [417] = { .lex_state = 803 },
    [418] = { .lex_state = 803 },
    [419] = { .lex_state = 74 },
    [420] = { .lex_state = 75 },
    [421] = { .lex_state = 74 },
    [422] = { .lex_state = 74 },
    [423] = { .lex_state = 75 },
    [424] = { .lex_state = 84 },
    [425] = { .lex_state = 84 },
    [426] = { .lex_state = 84 },
    [427] = { .lex_state = 84 },
    [428] = { .lex_state = 74 },
    [429] = { .lex_state = 75 },
    [430] = { .lex_state = 803 },
    [431] = { .lex_state = 75 },
    [432] = { .lex_state = 74 },
    [433] = { .lex_state = 52 },
    [434] = { .lex_state = 54 },
    [435] = { .lex_state = 54 },
    [436] = { .lex_state = 74 },
    [437] = { .lex_state = 75 },
    [438] = { .lex_state = 80 },
    [439] = { .lex_state = 74 },
    [440] = { .lex_state = 80 },
    [441] = { .lex_state = 54 },
    [442] = { .lex_state = 75 },
    [443] = { .lex_state = 74 },
    [444] = { .lex_state = 803 },
    [445] = { .lex_state = 803 },
    [446] = { .lex_state = 45 },
    [447] = { .lex_state = 74 },
    [448] = { .lex_state = 45 },
    [449] = { .lex_state = 45 },
    [450] = { .lex_state = 78 },
    [451] = { .lex_state = 78 },
    [452] = { .lex_state = 75 },
    [453] = { .lex_state = 74 },
    [454] = { .lex_state = 74 },
    [455] = { .lex_state = 74 },
    [456] = { .lex_state = 75 },
    [457] = { .lex_state = 84 },
    [458] = { .lex_state = 74 },
    [459] = { .lex_state = 74 },
    [460] = { .lex_state = 803 },
    [461] = { .lex_state = 45 },
    [462] = { .lex_state = 45 },
    [463] = { .lex_state = 74 },
    [464] = { .lex_state = 75 },
    [465] = { .lex_state = 45 },
    [466] = { .lex_state = 45 },
    [467] = { .lex_state = 78 },
    [468] = { .lex_state = 84 },
    [469] = { .lex_state = 45 },
    [470] = { .lex_state = 74 },
    [471] = { .lex_state = 803 },
    [472] = { .lex_state = 84 },
    [473] = { .lex_state = 74 },
    [474] = { .lex_state = 45 },
    [475] = { .lex_state = 75 },
    [476] = { .lex_state = 78 },
    [477] = { .lex_state = 109 },
    [478] = { .lex_state = 54 },
    [479] = { .lex_state = 75 },
    [480] = { .lex_state = 74 },
    [481] = { .lex_state = 74 },
    [482] = { .lex_state = 74 },
    [483] = { .lex_state = 74 },
    [484] = { .lex_state = 78 },
    [485] = { .lex_state = 74 },
    [486] = { .lex_state = 803 },
    [487] = { .lex_state = 74 },
    [488] = { .lex_state = 78 },
    [489] = { .lex_state = 78 },
    [490] = { .lex_state = 74 },
    [491] = { .lex_state = 803 },
    [492] = { .lex_state = 54 },
    [493] = { .lex_state = 74 },
    [494] = { .lex_state = 78 },
    [495] = { .lex_state = 74 },
    [496] = { .lex_state = 78 },
    [497] = { .lex_state = 78 },
    [498] = { .lex_state = 80 },
    [499] = { .lex_state = 74 },
    [500] = { .lex_state = 75 },
    [501] = { .lex_state = 803 },
    [502] = { .lex_state = 52 },
    [503] = { .lex_state = 74 },
    [504] = { .lex_state = 78 },
    [505] = { .lex_state = 78 },
    [506] = { .lex_state = 84 },
    [507] = { .lex_state = 84 },
    [508] = { .lex_state = 92 },
    [509] = { .lex_state = 803 },
    [510] = { .lex_state = 803 },
    [511] = { .lex_state = 803 },
    [512] = { .lex_state = 75 },
    [513] = { .lex_state = 74 },
    [514] = { .lex_state = 92 },
    [515] = { .lex_state = 803 },
    [516] = { .lex_state = 92 },
    [517] = { .lex_state = 45 },
    [518] = { .lex_state = 45 },
    [519] = { .lex_state = 52 },
    [520] = { .lex_state = 74 },
    [521] = { .lex_state = 803 },
    [522] = { .lex_state = 45 },
    [523] = { .lex_state = 45 },
    [524] = { .lex_state = 74 },
    [525] = { .lex_state = 45 },
    [526] = { .lex_state = 74 },
    [527] = { .lex_state = 803 },
    [528] = { .lex_state = 803 },
    [529] = { .lex_state = 45 },
    [530] = { .lex_state = 803 },
    [531] = { .lex_state = 803 },
    [532] = { .lex_state = 803 },
    [533] = { .lex_state = 803 },
    [534] = { .lex_state = 803 },
    [535] = { .lex_state = 803 },
    [536] = { .lex_state = 45 },
    [537] = { .lex_state = 45 },
    [538] = { .lex_state = 803 },
    [539] = { .lex_state = 803 },
    [540] = { .lex_state = 803 },
    [541] = { .lex_state = 803 },
    [542] = { .lex_state = 80 },
    [543] = { .lex_state = 803 },
    [544] = { .lex_state = 92 },
    [545] = { .lex_state = 52 },
    [546] = { .lex_state = 803 },
    [547] = { .lex_state = 45 },
    [548] = { .lex_state = 75 },
    [549] = { .lex_state = 803 },
    [550] = { .lex_state = 92 },
    [551] = { .lex_state = 803 },
    [552] = { .lex_state = 45 },
    [553] = { .lex_state = 45 },
    [554] = { .lex_state = 74 },
    [555] = { .lex_state = 45 },
    [556] = { .lex_state = 803 },
    [557] = { .lex_state = 803 },
    [558] = { .lex_state = 803 },
    [559] = { .lex_state = 803 },
    [560] = { .lex_state = 45 },
    [561] = { .lex_state = 45 },
    [562] = { .lex_state = 803 },
    [563] = { .lex_state = 45 },
    [564] = { .lex_state = 45 },
    [565] = { .lex_state = 54 },
    [566] = { .lex_state = 45 },
    [567] = { .lex_state = 45 },
    [568] = { .lex_state = 803 },
    [569] = { .lex_state = 803 },
    [570] = { .lex_state = 75 },
    [571] = { .lex_state = 803 },
    [572] = { .lex_state = 803 },
    [573] = { .lex_state = 45 },
    [574] = { .lex_state = 803 },
    [575] = { .lex_state = 75 },
    [576] = { .lex_state = 803 },
    [577] = { .lex_state = 75 },
    [578] = { .lex_state = 45 },
    [579] = { .lex_state = 45 },
    [580] = { .lex_state = 75 },
    [581] = { .lex_state = 74 },
    [582] = { .lex_state = 45 },
    [583] = { .lex_state = 45 },
    [584] = { .lex_state = 45 },
    [585] = { .lex_state = 803 },
    [586] = { .lex_state = 803 },
    [587] = { .lex_state = 803 },
    [588] = { .lex_state = 75 },
    [589] = { .lex_state = 803 },
    [590] = { .lex_state = 803 },
    [591] = { .lex_state = 803 },
    [592] = { .lex_state = 803 },
    [593] = { .lex_state = 803 },
    [594] = { .lex_state = 803 },
    [595] = { .lex_state = 803 },
    [596] = { .lex_state = 803 },
    [597] = { .lex_state = 74 },
    [598] = { .lex_state = 803 },
    [599] = { .lex_state = 803 },
    [600] = { .lex_state = 45 },
    [601] = { .lex_state = 74 },
    [602] = { .lex_state = 75 },
    [603] = { .lex_state = 74 },
    [604] = { .lex_state = 803 },
    [605] = { .lex_state = 803 },
    [606] = { .lex_state = 75 },
    [607] = { .lex_state = 74 },
    [608] = { .lex_state = 74 },
    [609] = { .lex_state = 75 },
    [610] = { .lex_state = 74 },
    [611] = { .lex_state = 74 },
    [612] = { .lex_state = 75 },
    [613] = { .lex_state = 803 },
    [614] = { .lex_state = 75 },
    [615] = { .lex_state = 75 },
    [616] = { .lex_state = 74 },
    [617] = { .lex_state = 45 },
    [618] = { .lex_state = 75 },
    [619] = { .lex_state = 803 },
    [620] = { .lex_state = 74 },
    [621] = { .lex_state = 45 },
    [622] = { .lex_state = 45 },
    [623] = { .lex_state = 803 },
    [624] = { .lex_state = 74 },
    [625] = { .lex_state = 75 },
    [626] = { .lex_state = 75 },
    [627] = { .lex_state = 74 },
    [628] = { .lex_state = 74 },
    [629] = { .lex_state = 803 },
    [630] = { .lex_state = 75 },
    [631] = { .lex_state = 75 },
    [632] = { .lex_state = 84 },
    [633] = { .lex_state = 84 },
    [634] = { .lex_state = 84 },
    [635] = { .lex_state = 84 },
    [636] = { .lex_state = 75 },
    [637] = { .lex_state = 45 },
    [638] = { .lex_state = 74 },
    [639] = { .lex_state = 84 },
    [640] = { .lex_state = 74 },
    [641] = { .lex_state = 803 },
    [642] = { .lex_state = 84 },
    [643] = { .lex_state = 84 },
    [644] = { .lex_state = 84 },
    [645] = { .lex_state = 803 },
    [646] = { .lex_state = 803 },
    [647] = { .lex_state = 84 },
    [648] = { .lex_state = 45 },
    [649] = { .lex_state = 92 },
    [650] = { .lex_state = 84 },
    [651] = { .lex_state = 803 },
    [652] = { .lex_state = 92 },
    [653] = { .lex_state = 84 },
    [654] = { .lex_state = 45 },
    [655] = { .lex_state = 74 },
    [656] = { .lex_state = 803 },
    [657] = { .lex_state = 92 },
    [658] = { .lex_state = 45 },
    [659] = { .lex_state = 84 },
    [660] = { .lex_state = 84 },
    [661] = { .lex_state = 803 },
    [662] = { .lex_state = 45 },
    [663] = { .lex_state = 803 },
    [664] = { .lex_state = 84 },
    [665] = { .lex_state = 84 },
    [666] = { .lex_state = 45 },
    [667] = { .lex_state = 84 },
    [668] = { .lex_state = 75 },
    [669] = { .lex_state = 803 },
    [670] = { .lex_state = 803 },
    [671] = { .lex_state = 84 },
    [672] = { .lex_state = 45 },
    [673] = { .lex_state = 803 },
    [674] = { .lex_state = 75 },
    [675] = { .lex_state = 803 },
    [676] = { .lex_state = 803 },
    [677] = { .lex_state = 803 },
    [678] = { .lex_state = 803 },
    [679] = { .lex_state = 75 },
    [680] = { .lex_state = 75 },
    [681] = { .lex_state = 75 },
    [682] = { .lex_state = 84 },
    [683] = { .lex_state = 74 },
    [684] = { .lex_state = 84 },
    [685] = { .lex_state = 803 },
    [686] = { .lex_state = 84 },
    [687] = { .lex_state = 84 },
    [688] = { .lex_state = 803 },
    [689] = { .lex_state = 84 },
    [690] = { .lex_state = 45 },
    [691] = { .lex_state = 92 },
    [692] = { .lex_state = 84 },
    [693] = { .lex_state = 803 },
    [694] = { .lex_state = 84 },
    [695] = { .lex_state = 84 },
    [696] = { .lex_state = 74 },
    [697] = { .lex_state = 92 },
    [698] = { .lex_state = 84 },
    [699] = { .lex_state = 803 },
    [700] = { .lex_state = 803 },
    [701] = { .lex_state = 84 },
    [702] = { .lex_state = 74 },
    [703] = { .lex_state = 84 },
    [704] = { .lex_state = 84 },
    [705] = { .lex_state = 803 },
    [706] = { .lex_state = 74 },
    [707] = { .lex_state = 84 },
    [708] = { .lex_state = 74 },
    [709] = { .lex_state = 74 },
    [710] = { .lex_state = 84 },
    [711] = { .lex_state = 84 },
    [712] = { .lex_state = 84 },
    [713] = { .lex_state = 84 },
    [714] = { .lex_state = 75 },
    [715] = { .lex_state = 75 },
    [716] = { .lex_state = 75 },
    [717] = { .lex_state = 74 },
    [718] = { .lex_state = 803 },
    [719] = { .lex_state = 75 },
    [720] = { .lex_state = 110 },
    [721] = { .lex_state = 92 },
    [722] = { .lex_state = 80 },
    [723] = { .lex_state = 75 },
    [724] = { .lex_state = 92 },
    [725] = { .lex_state = 75 },
    [726] = { .lex_state = 92 },
    [727] = { .lex_state = 803 },
    [728] = { .lex_state = 75 },
    [729] = { .lex_state = 74 },
    [730] = { .lex_state = 803 },
    [731] = { .lex_state = 75 },
    [732] = { .lex_state = 74 },
    [733] = { .lex_state = 803 },
    [734] = { .lex_state = 75 },
    [735] = { .lex_state = 803 },
    [736] = { .lex_state = 78 },
    [737] = { .lex_state = 74 },
    [738] = { .lex_state = 75 },
    [739] = { .lex_state = 803 },
    [740] = { .lex_state = 74 },
    [741] = { .lex_state = 75 },
    [742] = { .lex_state = 803 },
    [743] = { .lex_state = 75 },
    [744] = { .lex_state = 803 },
    [745] = { .lex_state = 75 },
    [746] = { .lex_state = 803 },
    [747] = { .lex_state = 803 },
    [748] = { .lex_state = 803 },
    [749] = { .lex_state = 75 },
    [750] = { .lex_state = 75 },
    [751] = { .lex_state = 92 },
    [752] = { .lex_state = 75 },
    [753] = { .lex_state = 803 },
    [754] = { .lex_state = 74 },
    [755] = { .lex_state = 75 },
    [756] = { .lex_state = 92 },
    [757] = { .lex_state = 92 },
    [758] = { .lex_state = 803 },
    [759] = { .lex_state = 92 },
    [760] = { .lex_state = 803 },
    [761] = { .lex_state = 74 },
    [762] = { .lex_state = 803 },
    [763] = { .lex_state = 803 },
    [764] = { .lex_state = 75 },
    [765] = { .lex_state = 80 },
    [766] = { .lex_state = 75 },
    [767] = { .lex_state = 75 },
    [768] = { .lex_state = 803 },
    [769] = { .lex_state = 75 },
    [770] = { .lex_state = 803 },
    [771] = { .lex_state = 80 },
    [772] = { .lex_state = 75 },
    [773] = { .lex_state = 75 },
    [774] = { .lex_state = 74 },
    [775] = { .lex_state = 75 },
    [776] = { .lex_state = 92 },
    [777] = { .lex_state = 80 },
    [778] = { .lex_state = 803 },
    [779] = { .lex_state = 75 },
    [780] = { .lex_state = 803 },
    [781] = { .lex_state = 105 },
    [782] = { .lex_state = 803 },
    [783] = { .lex_state = 803 },
    [784] = { .lex_state = 803 },
    [785] = { .lex_state = 105 },
    [786] = { .lex_state = 803 },
    [787] = { .lex_state = 80 },
    [788] = { .lex_state = 75 },
    [789] = { .lex_state = 803 },
    [790] = { .lex_state = 803 },
    [791] = { .lex_state = 92 },
    [792] = { .lex_state = 75 },
    [793] = { .lex_state = 75 },
    [794] = { .lex_state = 75 },
    [795] = { .lex_state = 803 },
    [796] = { .lex_state = 75 },
    [797] = { .lex_state = 75 },
    [798] = { .lex_state = 75 },
    [799] = { .lex_state = 75 },
    [800] = { .lex_state = 75 },
    [801] = { .lex_state = 75 },
    [802] = { .lex_state = 75 },
    [803] = { .lex_state = 75 },
    [804] = { .lex_state = 75 },
    [805] = { .lex_state = 59 },
    [806] = { .lex_state = 105 },
    [807] = { .lex_state = 75 },
    [808] = { .lex_state = 74 },
    [809] = { .lex_state = 80 },
    [810] = { .lex_state = 803 },
    [811] = { .lex_state = 803 },
    [812] = { .lex_state = 92 },
    [813] = { .lex_state = 803 },
    [814] = { .lex_state = 74 },
    [815] = { .lex_state = 803 },
    [816] = { .lex_state = 75 },
    [817] = { .lex_state = 803 },
    [818] = { .lex_state = 803 },
    [819] = { .lex_state = 803 },
    [820] = { .lex_state = 803 },
    [821] = { .lex_state = 803 },
    [822] = { .lex_state = 803 },
    [823] = { .lex_state = 803 },
    [824] = { .lex_state = 105 },
    [825] = { .lex_state = 803 },
    [826] = { .lex_state = 803 },
    [827] = { .lex_state = 803 },
    [828] = { .lex_state = 803 },
    [829] = { .lex_state = 75 },
    [830] = { .lex_state = 75 },
    [831] = { .lex_state = 75 },
    [832] = { .lex_state = 105 },
    [833] = { .lex_state = 105 },
    [834] = { .lex_state = 74 },
    [835] = { .lex_state = 75 },
    [836] = { .lex_state = 803 },
    [837] = { .lex_state = 75 },
    [838] = { .lex_state = 92 },
    [839] = { .lex_state = 75 },
    [840] = { .lex_state = 74 },
    [841] = { .lex_state = 75 },
    [842] = { .lex_state = 74 },
    [843] = { .lex_state = 74 },
    [844] = { .lex_state = 803 },
    [845] = { .lex_state = 803 },
    [846] = { .lex_state = 105 },
    [847] = { .lex_state = 74 },
    [848] = { .lex_state = 105 },
    [849] = { .lex_state = 803 },
    [850] = { .lex_state = 803 },
    [851] = { .lex_state = 803 },
    [852] = { .lex_state = 803 },
    [853] = { .lex_state = 803 },
    [854] = { .lex_state = 803 },
    [855] = { .lex_state = 803 },
    [856] = { .lex_state = 92 },
    [857] = { .lex_state = 803 },
    [858] = { .lex_state = 803 },
    [859] = { .lex_state = 803 },
    [860] = { .lex_state = 75 },
    [861] = { .lex_state = 74 },
    [862] = { .lex_state = 803 },
    [863] = { .lex_state = 803 },
    [864] = { .lex_state = 80 },
    [865] = { .lex_state = 803 },
    [866] = { .lex_state = 803 },
    [867] = { .lex_state = 75 },
    [868] = { .lex_state = 60 },
    [869] = { .lex_state = 803 },
    [870] = { .lex_state = 803 },
    [871] = { .lex_state = 803 },
    [872] = { .lex_state = 803 },
    [873] = { .lex_state = 803 },
    [874] = { .lex_state = 803 },
    [875] = { .lex_state = 803 },
    [876] = { .lex_state = 803 },
    [877] = { .lex_state = 803 },
    [878] = { .lex_state = 803 },
    [879] = { .lex_state = 803 },
    [880] = { .lex_state = 803 },
    [881] = { .lex_state = 803 },
    [882] = { .lex_state = 75 },
    [883] = { .lex_state = 803 },
    [884] = { .lex_state = 75 },
    [885] = { .lex_state = 803 },
    [886] = { .lex_state = 803 },
    [887] = { .lex_state = 92 },
    [888] = { .lex_state = 803 },
    [889] = { .lex_state = 803 },
    [890] = { .lex_state = 803 },
    [891] = { .lex_state = 80 },
    [892] = { .lex_state = 803 },
    [893] = { .lex_state = 803 },
    [894] = { .lex_state = 803 },
    [895] = { .lex_state = 803 },
    [896] = { .lex_state = 803 },
    [897] = { .lex_state = 803 },
    [898] = { .lex_state = 803 },
    [899] = { .lex_state = 803 },
    [900] = { .lex_state = 803 },
    [901] = { .lex_state = 92 },
    [902] = { .lex_state = 92 },
    [903] = { .lex_state = 75 },
    [904] = { .lex_state = 803 },
    [905] = { .lex_state = 803 },
    [906] = { .lex_state = 803 },
    [907] = { .lex_state = 803 },
    [908] = { .lex_state = 803 },
    [909] = { .lex_state = 803 },
    [910] = { .lex_state = 803 },
    [911] = { .lex_state = 803 },
    [912] = { .lex_state = 803 },
    [913] = { .lex_state = 803 },
    [914] = { .lex_state = 803 },
    [915] = { .lex_state = 803 },
    [916] = { .lex_state = 75 },
    [917] = { .lex_state = 803 },
    [918] = { .lex_state = 75 },
    [919] = { .lex_state = 75 },
    [920] = { .lex_state = 803 },
    [921] = { .lex_state = 803 },
    [922] = { .lex_state = 803 },
    [923] = { .lex_state = 75 },
    [924] = { .lex_state = 75 },
    [925] = { .lex_state = 803 },
    [926] = { .lex_state = 803 },
    [927] = { .lex_state = 803 },
    [928] = { .lex_state = 803 },
    [929] = { .lex_state = 74 },
    [930] = { .lex_state = 75 },
    [931] = { .lex_state = 92 },
    [932] = { .lex_state = 75 },
    [933] = { .lex_state = 803 },
    [934] = { .lex_state = 803 },
    [935] = { .lex_state = 75 },
    [936] = { .lex_state = 803 },
    [937] = { .lex_state = 75 },
    [938] = { .lex_state = 92 },
    [939] = { .lex_state = 803 },
    [940] = { .lex_state = 803 },
    [941] = { .lex_state = 75 },
    [942] = { .lex_state = 75 },
    [943] = { .lex_state = 803 },
    [944] = { .lex_state = 60 },
    [945] = { .lex_state = 803 },
    [946] = { .lex_state = 803 },
    [947] = { .lex_state = 803 },
    [948] = { .lex_state = 803 },
    [949] = { .lex_state = 803 },
    [950] = { .lex_state = 803 },
    [951] = { .lex_state = 803 },
    [952] = { .lex_state = 75 },
    [953] = { .lex_state = 75 },
    [954] = { .lex_state = 803 },
    [955] = { .lex_state = 803 },
    [956] = { .lex_state = 803 },
    [957] = { .lex_state = 803 },
    [958] = { .lex_state = 803 },
    [959] = { .lex_state = 803 },
    [960] = { .lex_state = 803 },
    [961] = { .lex_state = 803 },
    [962] = { .lex_state = 803 },
    [963] = { .lex_state = 75 },
    [964] = { .lex_state = 75 },
    [965] = { .lex_state = 803 },
    [966] = { .lex_state = 803 },
    [967] = { .lex_state = 803 },
    [968] = { .lex_state = 803 },
    [969] = { .lex_state = 75 },
    [970] = { .lex_state = 803 },
    [971] = { .lex_state = 803 },
    [972] = { .lex_state = 803 },
    [973] = { .lex_state = 803 },
    [974] = { .lex_state = 75 },
    [975] = { .lex_state = 803 },
    [976] = { .lex_state = 803 },
    [977] = { .lex_state = 803 },
    [978] = { .lex_state = 803 },
    [979] = { .lex_state = 74 },
    [980] = { .lex_state = 74 },
    [981] = { .lex_state = 74 },
    [982] = { .lex_state = 75 },
    [983] = { .lex_state = 74 },
    [984] = { .lex_state = 803 },
    [985] = { .lex_state = 803 },
    [986] = { .lex_state = 803 },
    [987] = { .lex_state = 803 },
    [988] = { .lex_state = 803 },
    [989] = { .lex_state = 803 },
    [990] = { .lex_state = 803 },
    [991] = { .lex_state = 803 },
    [992] = { .lex_state = 803 },
    [993] = { .lex_state = 803 },
    [994] = { .lex_state = 803 },
    [995] = { .lex_state = 75 },
    [996] = { .lex_state = 803 },
    [997] = { .lex_state = 92 },
    [998] = { .lex_state = 803 },
    [999] = { .lex_state = 803 },
    [1000] = { .lex_state = 803 },
    [1001] = { .lex_state = 803 },
    [1002] = { .lex_state = 92 },
    [1003] = { .lex_state = 92 },
    [1004] = { .lex_state = 92 },
    [1005] = { .lex_state = 803 },
    [1006] = { .lex_state = 803 },
    [1007] = { .lex_state = 803 },
    [1008] = { .lex_state = 803 },
    [1009] = { .lex_state = 803 },
    [1010] = { .lex_state = 803 },
    [1011] = { .lex_state = 803 },
    [1012] = { .lex_state = 803 },
    [1013] = { .lex_state = 803 },
    [1014] = { .lex_state = 803 },
    [1015] = { .lex_state = 803 },
    [1016] = { .lex_state = 803 },
    [1017] = { .lex_state = 803 },
    [1018] = { .lex_state = 75 },
    [1019] = { .lex_state = 75 },
    [1020] = { .lex_state = 803 },
    [1021] = { .lex_state = 74 },
    [1022] = { .lex_state = 803 },
    [1023] = { .lex_state = 75 },
    [1024] = { .lex_state = 74 },
    [1025] = { .lex_state = 75 },
    [1026] = { .lex_state = 803 },
    [1027] = { .lex_state = 803 },
    [1028] = { .lex_state = 803 },
    [1029] = { .lex_state = 60 },
    [1030] = { .lex_state = 75 },
    [1031] = { .lex_state = 941 },
    [1032] = { .lex_state = 803 },
    [1033] = { .lex_state = 803 },
    [1034] = { .lex_state = 803 },
    [1035] = { .lex_state = 803 },
    [1036] = { .lex_state = 803 },
    [1037] = { .lex_state = 803 },
    [1038] = { .lex_state = 803 },
    [1039] = { .lex_state = 803 },
    [1040] = { .lex_state = 803 },
    [1041] = { .lex_state = 803 },
    [1042] = { .lex_state = 803 },
    [1043] = { .lex_state = 803 },
    [1044] = { .lex_state = 803 },
    [1045] = { .lex_state = 803 },
    [1046] = { .lex_state = 803 },
    [1047] = { .lex_state = 803 },
    [1048] = { .lex_state = 803 },
    [1049] = { .lex_state = 803 },
    [1050] = { .lex_state = 803 },
    [1051] = { .lex_state = 803 },
    [1052] = { .lex_state = 803 },
    [1053] = { .lex_state = 803 },
    [1054] = { .lex_state = 803 },
    [1055] = { .lex_state = 803 },
    [1056] = { .lex_state = 60 },
    [1057] = { .lex_state = 803 },
    [1058] = { .lex_state = 803 },
    [1059] = { .lex_state = 803 },
    [1060] = { .lex_state = 803 },
    [1061] = { .lex_state = 803 },
    [1062] = { .lex_state = 75 },
    [1063] = { .lex_state = 75 },
    [1064] = { .lex_state = 803 },
    [1065] = { .lex_state = 803 },
    [1066] = { .lex_state = 803 },
    [1067] = { .lex_state = 75 },
    [1068] = { .lex_state = 75 },
    [1069] = { .lex_state = 803 },
    [1070] = { .lex_state = 803 },
    [1071] = { .lex_state = 803 },
    [1072] = { .lex_state = 803 },
    [1073] = { .lex_state = 803 },
    [1074] = { .lex_state = 803 },
    [1075] = { .lex_state = 803 },
    [1076] = { .lex_state = 803 },
    [1077] = { .lex_state = 803 },
    [1078] = { .lex_state = 803 },
    [1079] = { .lex_state = 803 },
    [1080] = { .lex_state = 803 },
    [1081] = { .lex_state = 803 },
    [1082] = { .lex_state = 803 },
    [1083] = { .lex_state = 803 },
    [1084] = { .lex_state = 803 },
    [1085] = { .lex_state = 803 },
    [1086] = { .lex_state = 803 },
    [1087] = { .lex_state = 803 },
    [1088] = { .lex_state = 803 },
    [1089] = { .lex_state = 803 },
    [1090] = { .lex_state = 803 },
    [1091] = { .lex_state = 803 },
    [1092] = { .lex_state = 803 },
    [1093] = { .lex_state = 803 },
    [1094] = { .lex_state = 803 },
    [1095] = { .lex_state = 1537 },
    [1096] = { .lex_state = 75 },
    [1097] = { .lex_state = 803 },
    [1098] = { .lex_state = 803 },
    [1099] = { .lex_state = 803 },
    [1100] = { .lex_state = 75 },
    [1101] = { .lex_state = 803 },
    [1102] = { .lex_state = 803 },
    [1103] = { .lex_state = 803 },
    [1104] = { .lex_state = 803 },
    [1105] = { .lex_state = 803 },
    [1106] = { .lex_state = 803 },
    [1107] = { .lex_state = 803 },
    [1108] = { .lex_state = 803 },
    [1109] = { .lex_state = 803 },
    [1110] = { .lex_state = 803 },
    [1111] = { .lex_state = 803 },
    [1112] = { .lex_state = 803 },
    [1113] = { .lex_state = 803 },
    [1114] = { .lex_state = 803 },
    [1115] = { .lex_state = 803 },
    [1116] = { .lex_state = 803 },
    [1117] = { .lex_state = 803 },
    [1118] = { .lex_state = 803 },
    [1119] = { .lex_state = 803 },
    [1120] = { .lex_state = 803 },
    [1121] = { .lex_state = 803 },
    [1122] = { .lex_state = 803 },
    [1123] = { .lex_state = 803 },
    [1124] = { .lex_state = 803 },
    [1125] = { .lex_state = 803 },
    [1126] = { .lex_state = 75 },
    [1127] = { .lex_state = 75 },
    [1128] = { .lex_state = 75 },
    [1129] = { .lex_state = 74 },
    [1130] = { .lex_state = 803 },
    [1131] = { .lex_state = 803 },
    [1132] = { .lex_state = 803 },
    [1133] = { .lex_state = 92 },
    [1134] = { .lex_state = 803 },
    [1135] = { .lex_state = 803 },
    [1136] = { .lex_state = 803 },
    [1137] = { .lex_state = 75 },
    [1138] = { .lex_state = 75 },
    [1139] = { .lex_state = 75 },
    [1140] = { .lex_state = 803 },
    [1141] = { .lex_state = 803 },
    [1142] = { .lex_state = 803 },
    [1143] = { .lex_state = 75 },
    [1144] = { .lex_state = 803 },
    [1145] = { .lex_state = 803 },
    [1146] = { .lex_state = 803 },
    [1147] = { .lex_state = 75 },
    [1148] = { .lex_state = 803 },
    [1149] = { .lex_state = 803 },
    [1150] = { .lex_state = 803 },
    [1151] = { .lex_state = 803 },
    [1152] = { .lex_state = 803 },
    [1153] = { .lex_state = 803 },
    [1154] = { .lex_state = 803 },
    [1155] = { .lex_state = 803 },
    [1156] = { .lex_state = 75 },
    [1157] = { .lex_state = 75 },
    [1158] = { .lex_state = 803 },
    [1159] = { .lex_state = 60 },
    [1160] = { .lex_state = 75 },
    [1161] = { .lex_state = 75 },
    [1162] = { .lex_state = 803 },
    [1163] = { .lex_state = 92 },
    [1164] = { .lex_state = 75 },
    [1165] = { .lex_state = 803 },
    [1166] = { .lex_state = 75 },
    [1167] = { .lex_state = 803 },
    [1168] = { .lex_state = 803 },
    [1169] = { .lex_state = 803 },
    [1170] = { .lex_state = 803 },
    [1171] = { .lex_state = 803 },
    [1172] = { .lex_state = 803 },
    [1173] = { .lex_state = 75 },
    [1174] = { .lex_state = 75 },
    [1175] = { .lex_state = 75 },
    [1176] = { .lex_state = 803 },
    [1177] = { .lex_state = 917 },
    [1178] = { .lex_state = 75 },
    [1179] = { .lex_state = 92 },
    [1180] = { .lex_state = 92 },
    [1181] = { .lex_state = 803 },
    [1182] = { .lex_state = 803 },
    [1183] = { .lex_state = 803 },
    [1184] = { .lex_state = 75 },
    [1185] = { .lex_state = 803 },
    [1186] = { .lex_state = 803 },
    [1187] = { .lex_state = 803 },
    [1188] = { .lex_state = 803 },
    [1189] = { .lex_state = 803 },
    [1190] = { .lex_state = 803 },
    [1191] = { .lex_state = 803 },
    [1192] = { .lex_state = 803 },
    [1193] = { .lex_state = 803 },
    [1194] = { .lex_state = 803 },
    [1195] = { .lex_state = 88 },
    [1196] = { .lex_state = 803 },
    [1197] = { .lex_state = 803 },
    [1198] = { .lex_state = 803 },
    [1199] = { .lex_state = 803 },
    [1200] = { .lex_state = 803 },
    [1201] = { .lex_state = 803 },
    [1202] = { .lex_state = 803 },
    [1203] = { .lex_state = 803 },
    [1204] = { .lex_state = 803 },
    [1205] = { .lex_state = 803 },
    [1206] = { .lex_state = 803 },
    [1207] = { .lex_state = 803 },
    [1208] = { .lex_state = 803 },
    [1209] = { .lex_state = 803 },
    [1210] = { .lex_state = 803 },
    [1211] = { .lex_state = 803 },
    [1212] = { .lex_state = 803 },
    [1213] = { .lex_state = 803 },
    [1214] = { .lex_state = 803 },
    [1215] = { .lex_state = 803 },
    [1216] = { .lex_state = 803 },
    [1217] = { .lex_state = 803 },
    [1218] = { .lex_state = 803 },
    [1219] = { .lex_state = 803 },
    [1220] = { .lex_state = 803 },
    [1221] = { .lex_state = 803 },
    [1222] = { .lex_state = 803 },
    [1223] = { .lex_state = 803 },
    [1224] = { .lex_state = 803 },
    [1225] = { .lex_state = 803 },
    [1226] = { .lex_state = 803 },
    [1227] = { .lex_state = 803 },
    [1228] = { .lex_state = 803 },
    [1229] = { .lex_state = 803 },
    [1230] = { .lex_state = 803 },
    [1231] = { .lex_state = 803 },
    [1232] = { .lex_state = 803 },
    [1233] = { .lex_state = 803 },
    [1234] = { .lex_state = 803 },
    [1235] = { .lex_state = 803 },
    [1236] = { .lex_state = 803 },
    [1237] = { .lex_state = 803 },
    [1238] = { .lex_state = 803 },
    [1239] = { .lex_state = 803 },
    [1240] = { .lex_state = 803 },
    [1241] = { .lex_state = 803 },
    [1242] = { .lex_state = 803 },
    [1243] = { .lex_state = 803 },
    [1244] = { .lex_state = 803 },
    [1245] = { .lex_state = 803 },
    [1246] = { (TSStateId)(-1) },
    [1247] = { (TSStateId)(-1) },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
    [0] = {
        [sym_comment] = STATE(0),
        [ts_builtin_sym_end] = ACTIONS(1),
        [anon_sym_short] = ACTIONS(1),
        [anon_sym_int16] = ACTIONS(1),
        [anon_sym_long] = ACTIONS(1),
        [anon_sym_int32] = ACTIONS(1),
        [anon_sym_longlong] = ACTIONS(1),
        [anon_sym_int64] = ACTIONS(1),
        [sym_unsigned_tiny_int] = ACTIONS(1),
        [sym_boolean_type] = ACTIONS(1),
        [anon_sym_fixed] = ACTIONS(1),
        [sym_octet_type] = ACTIONS(1),
        [sym_signed_tiny_int] = ACTIONS(1),
        [anon_sym_unsignedshort] = ACTIONS(1),
        [anon_sym_uint16] = ACTIONS(1),
        [anon_sym_unsignedlong] = ACTIONS(1),
        [anon_sym_uint32] = ACTIONS(1),
        [anon_sym_unsignedlonglong] = ACTIONS(1),
        [anon_sym_uint64] = ACTIONS(1),
        [anon_sym_float] = ACTIONS(1),
        [anon_sym_double] = ACTIONS(1),
        [anon_sym_longdouble] = ACTIONS(1),
        [anon_sym_char] = ACTIONS(1),
        [anon_sym_wchar] = ACTIONS(1),
        [anon_sym_COLON_COLON] = ACTIONS(1),
        [anon_sym_string] = ACTIONS(1),
        [anon_sym_wstring] = ACTIONS(1),
        [anon_sym_LT] = ACTIONS(1),
        [anon_sym_GT] = ACTIONS(1),
        [anon_sym_any] = ACTIONS(1),
        [anon_sym_COMMA] = ACTIONS(1),
        [anon_sym_sequence] = ACTIONS(1),
        [anon_sym_map] = ACTIONS(1),
        [anon_sym_PIPE] = ACTIONS(1),
        [anon_sym_CARET] = ACTIONS(1),
        [anon_sym_AMP] = ACTIONS(1),
        [anon_sym_GT_GT] = ACTIONS(1),
        [anon_sym_PLUS] = ACTIONS(1),
        [anon_sym_DASH] = ACTIONS(1),
        [anon_sym_STAR] = ACTIONS(1),
        [anon_sym_SLASH] = ACTIONS(1),
        [anon_sym_PERCENT] = ACTIONS(1),
        [anon_sym_LPAREN] = ACTIONS(1),
        [anon_sym_RPAREN] = ACTIONS(1),
        [anon_sym_TILDE] = ACTIONS(1),
        [sym_bin_number] = ACTIONS(1),
        [aux_sym_oct_number_token1] = ACTIONS(1),
        [aux_sym_oct_number_token2] = ACTIONS(1),
        [anon_sym_0] = ACTIONS(1),
        [aux_sym_dec_number_token1] = ACTIONS(1),
        [sym_hex_number] = ACTIONS(1),
        [anon_sym_DOT] = ACTIONS(1),
        [aux_sym_floating_pt_literal_token1] = ACTIONS(1),
        [aux_sym_fixed_pt_literal_token1] = ACTIONS(1),
        [anon_sym_DQUOTE] = ACTIONS(1),
        [anon_sym_L] = ACTIONS(1),
        [anon_sym_SQUOTE] = ACTIONS(1),
        [anon_sym_TRUE] = ACTIONS(1),
        [anon_sym_FALSE] = ACTIONS(1),
        [anon_sym_POUNDdefine] = ACTIONS(1),
        [sym_preproc_directive] = ACTIONS(1),
        [aux_sym_preproc_include_token1] = ACTIONS(1),
        [anon_sym_exception] = ACTIONS(1),
        [anon_sym_LBRACE] = ACTIONS(1),
        [anon_sym_RBRACE] = ACTIONS(1),
        [anon_sym_local] = ACTIONS(1),
        [anon_sym_abstract] = ACTIONS(1),
        [anon_sym_COLON] = ACTIONS(1),
        [anon_sym_SEMI] = ACTIONS(1),
        [anon_sym_void] = ACTIONS(1),
        [anon_sym_in] = ACTIONS(1),
        [anon_sym_out] = ACTIONS(1),
        [anon_sym_inout] = ACTIONS(1),
        [anon_sym_raises] = ACTIONS(1),
        [anon_sym_readonly] = ACTIONS(1),
        [anon_sym_attribute] = ACTIONS(1),
        [anon_sym_getraises] = ACTIONS(1),
        [anon_sym_setraises] = ACTIONS(1),
        [anon_sym_bitset] = ACTIONS(1),
        [anon_sym_bitfield] = ACTIONS(1),
        [anon_sym_bitmask] = ACTIONS(1),
        [anon_sym_ATannotation] = ACTIONS(1),
        [anon_sym_default] = ACTIONS(1),
        [anon_sym_AT] = ACTIONS(1),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(1),
        [anon_sym_EQ] = ACTIONS(1),
        [anon_sym_id] = ACTIONS(1),
        [anon_sym_autoid] = ACTIONS(1),
        [anon_sym_SEQUENTIAL] = ACTIONS(1),
        [anon_sym_HASH] = ACTIONS(1),
        [anon_sym_optional] = ACTIONS(1),
        [anon_sym_position] = ACTIONS(1),
        [anon_sym_value] = ACTIONS(1),
        [anon_sym_extensibility] = ACTIONS(1),
        [anon_sym_FINAL] = ACTIONS(1),
        [anon_sym_APPENDABLE] = ACTIONS(1),
        [anon_sym_MUTABLE] = ACTIONS(1),
        [anon_sym_final] = ACTIONS(1),
        [anon_sym_appendable] = ACTIONS(1),
        [anon_sym_mutable] = ACTIONS(1),
        [anon_sym_key] = ACTIONS(1),
        [anon_sym_must_understand] = ACTIONS(1),
        [anon_sym_default_literal] = ACTIONS(1),
        [anon_sym_range] = ACTIONS(1),
        [anon_sym_min] = ACTIONS(1),
        [anon_sym_max] = ACTIONS(1),
        [anon_sym_unit] = ACTIONS(1),
        [anon_sym_bit_bound] = ACTIONS(1),
        [anon_sym_external] = ACTIONS(1),
        [anon_sym_nested] = ACTIONS(1),
        [anon_sym_verbatim] = ACTIONS(1),
        [anon_sym_c] = ACTIONS(1),
        [anon_sym_c_PLUS_PLUS] = ACTIONS(1),
        [anon_sym_java] = ACTIONS(1),
        [anon_sym_idl] = ACTIONS(1),
        [anon_sym_BEGIN_FILE] = ACTIONS(1),
        [anon_sym_BEFORE_DECLARATION] = ACTIONS(1),
        [anon_sym_BEGIN_DECLARATION] = ACTIONS(1),
        [anon_sym_END_DECLARATION] = ACTIONS(1),
        [anon_sym_AFTER_DECLARATION] = ACTIONS(1),
        [anon_sym_END_FILE] = ACTIONS(1),
        [anon_sym_service] = ACTIONS(1),
        [anon_sym_CORBA] = ACTIONS(1),
        [anon_sym_DDS] = ACTIONS(1),
        [anon_sym_oneway] = ACTIONS(1),
        [anon_sym_ami] = ACTIONS(1),
        [anon_sym_module] = ACTIONS(1),
        [anon_sym_typename] = ACTIONS(1),
        [anon_sym_valuetype] = ACTIONS(1),
        [anon_sym_eventtype] = ACTIONS(1),
        [anon_sym_struct] = ACTIONS(1),
        [anon_sym_union] = ACTIONS(1),
        [anon_sym_enum] = ACTIONS(1),
        [anon_sym_const] = ACTIONS(1),
        [anon_sym_alias] = ACTIONS(1),
        [anon_sym_custom] = ACTIONS(1),
        [anon_sym_truncatable] = ACTIONS(1),
        [anon_sym_supports] = ACTIONS(1),
        [anon_sym_public] = ACTIONS(1),
        [anon_sym_private] = ACTIONS(1),
        [anon_sym_factory] = ACTIONS(1),
        [anon_sym_typedef] = ACTIONS(1),
        [anon_sym_LBRACK] = ACTIONS(1),
        [anon_sym_RBRACK] = ACTIONS(1),
        [anon_sym_ATignore_literal_names] = ACTIONS(1),
        [anon_sym_switch] = ACTIONS(1),
        [anon_sym_case] = ACTIONS(1),
        [anon_sym_typeid] = ACTIONS(1),
        [anon_sym_typeprefix] = ACTIONS(1),
        [anon_sym_import] = ACTIONS(1),
        [anon_sym_Object] = ACTIONS(1),
        [anon_sym_context] = ACTIONS(1),
        [sym_value_base_type] = ACTIONS(1),
        [anon_sym_component] = ACTIONS(1),
        [anon_sym_provides] = ACTIONS(1),
        [anon_sym_uses] = ACTIONS(1),
        [anon_sym_multiple] = ACTIONS(1),
        [anon_sym_home] = ACTIONS(1),
        [anon_sym_manages] = ACTIONS(1),
        [anon_sym_emits] = ACTIONS(1),
        [anon_sym_publishes] = ACTIONS(1),
        [anon_sym_consumes] = ACTIONS(1),
        [anon_sym_primarykey] = ACTIONS(1),
        [anon_sym_finder] = ACTIONS(1),
        [anon_sym_port] = ACTIONS(1),
        [anon_sym_mirrorport] = ACTIONS(1),
        [anon_sym_connector] = ACTIONS(1),
        [anon_sym_native] = ACTIONS(1),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [1] = {
        [sym_specification] = STATE(857),
        [sym_preproc_define] = STATE(176),
        [sym_preproc_call] = STATE(176),
        [sym_preproc_include] = STATE(176),
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_template_module_inst] = STATE(852),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(176),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(1),
        [aux_sym_specification_repeat1] = STATE(23),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [ts_builtin_sym_end] = ACTIONS(7),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [2] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1033),
        [sym_export] = STATE(47),
        [sym_op_dcl] = STATE(610),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1033),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1033),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_element] = STATE(48),
        [sym_state_member] = STATE(47),
        [sym_init_dcl] = STATE(47),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1033),
        [sym_import_dcl] = STATE(1033),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(610),
        [sym_op_with_context] = STATE(1033),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(1033),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1033),
        [sym_comment] = STATE(2),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_value_def_repeat1] = STATE(5),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(113),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [3] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1033),
        [sym_export] = STATE(47),
        [sym_op_dcl] = STATE(610),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1033),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1033),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_element] = STATE(48),
        [sym_state_member] = STATE(47),
        [sym_init_dcl] = STATE(47),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1033),
        [sym_import_dcl] = STATE(1033),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(610),
        [sym_op_with_context] = STATE(1033),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(1033),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1033),
        [sym_comment] = STATE(3),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_value_def_repeat1] = STATE(4),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(157),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [4] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1033),
        [sym_export] = STATE(47),
        [sym_op_dcl] = STATE(610),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1033),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1033),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_element] = STATE(48),
        [sym_state_member] = STATE(47),
        [sym_init_dcl] = STATE(47),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1033),
        [sym_import_dcl] = STATE(1033),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(610),
        [sym_op_with_context] = STATE(1033),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(1033),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1033),
        [sym_comment] = STATE(4),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(159),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [5] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1033),
        [sym_export] = STATE(47),
        [sym_op_dcl] = STATE(610),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1033),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1033),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_element] = STATE(48),
        [sym_state_member] = STATE(47),
        [sym_init_dcl] = STATE(47),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1033),
        [sym_import_dcl] = STATE(1033),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(610),
        [sym_op_with_context] = STATE(1033),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(1033),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1033),
        [sym_comment] = STATE(5),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(161),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_public] = ACTIONS(141),
        [anon_sym_private] = ACTIONS(141),
        [anon_sym_factory] = ACTIONS(143),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [6] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1069),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(603),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1069),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1069),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1069),
        [sym_import_dcl] = STATE(1069),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(603),
        [sym_op_with_context] = STATE(1069),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_home_body] = STATE(951),
        [sym_home_export] = STATE(57),
        [sym_factory_dcl] = STATE(949),
        [sym_finder_dcl] = STATE(949),
        [sym_type_dcl] = STATE(1069),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1069),
        [sym_comment] = STATE(6),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_home_body_repeat1] = STATE(9),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(163),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(165),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(167),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [7] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1033),
        [sym_export] = STATE(47),
        [sym_op_dcl] = STATE(610),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1033),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1033),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_element] = STATE(48),
        [sym_state_member] = STATE(47),
        [sym_init_dcl] = STATE(47),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1033),
        [sym_import_dcl] = STATE(1033),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(610),
        [sym_op_with_context] = STATE(1033),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(1033),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1033),
        [sym_comment] = STATE(7),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_value_def_repeat1] = STATE(7),
        [anon_sym_short] = ACTIONS(169),
        [anon_sym_int16] = ACTIONS(169),
        [anon_sym_long] = ACTIONS(172),
        [anon_sym_int32] = ACTIONS(172),
        [anon_sym_longlong] = ACTIONS(175),
        [anon_sym_int64] = ACTIONS(178),
        [sym_unsigned_tiny_int] = ACTIONS(181),
        [sym_boolean_type] = ACTIONS(184),
        [anon_sym_fixed] = ACTIONS(187),
        [sym_octet_type] = ACTIONS(184),
        [sym_signed_tiny_int] = ACTIONS(190),
        [anon_sym_unsignedshort] = ACTIONS(193),
        [anon_sym_uint16] = ACTIONS(196),
        [anon_sym_unsignedlong] = ACTIONS(199),
        [anon_sym_uint32] = ACTIONS(199),
        [anon_sym_unsignedlonglong] = ACTIONS(202),
        [anon_sym_uint64] = ACTIONS(205),
        [anon_sym_float] = ACTIONS(208),
        [anon_sym_double] = ACTIONS(208),
        [anon_sym_longdouble] = ACTIONS(211),
        [anon_sym_char] = ACTIONS(214),
        [anon_sym_wchar] = ACTIONS(214),
        [anon_sym_COLON_COLON] = ACTIONS(217),
        [anon_sym_string] = ACTIONS(220),
        [anon_sym_wstring] = ACTIONS(220),
        [anon_sym_any] = ACTIONS(223),
        [anon_sym_sequence] = ACTIONS(226),
        [anon_sym_map] = ACTIONS(229),
        [anon_sym_exception] = ACTIONS(232),
        [anon_sym_RBRACE] = ACTIONS(235),
        [anon_sym_abstract] = ACTIONS(237),
        [anon_sym_void] = ACTIONS(240),
        [anon_sym_readonly] = ACTIONS(243),
        [anon_sym_attribute] = ACTIONS(246),
        [anon_sym_bitset] = ACTIONS(249),
        [anon_sym_bitmask] = ACTIONS(252),
        [anon_sym_AT] = ACTIONS(255),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(258),
        [anon_sym_oneway] = ACTIONS(261),
        [anon_sym_valuetype] = ACTIONS(264),
        [anon_sym_struct] = ACTIONS(267),
        [anon_sym_union] = ACTIONS(270),
        [anon_sym_enum] = ACTIONS(273),
        [anon_sym_const] = ACTIONS(276),
        [anon_sym_custom] = ACTIONS(279),
        [anon_sym_public] = ACTIONS(282),
        [anon_sym_private] = ACTIONS(282),
        [anon_sym_factory] = ACTIONS(285),
        [anon_sym_typedef] = ACTIONS(288),
        [anon_sym_ATignore_literal_names] = ACTIONS(291),
        [anon_sym_typeid] = ACTIONS(294),
        [anon_sym_import] = ACTIONS(297),
        [anon_sym_Object] = ACTIONS(300),
        [sym_value_base_type] = ACTIONS(184),
        [anon_sym_native] = ACTIONS(303),
        [sym_identifier] = ACTIONS(306),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [8] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1069),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(603),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1069),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1069),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1069),
        [sym_import_dcl] = STATE(1069),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(603),
        [sym_op_with_context] = STATE(1069),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_home_export] = STATE(57),
        [sym_factory_dcl] = STATE(949),
        [sym_finder_dcl] = STATE(949),
        [sym_type_dcl] = STATE(1069),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1069),
        [sym_comment] = STATE(8),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(309),
        [anon_sym_int16] = ACTIONS(309),
        [anon_sym_long] = ACTIONS(312),
        [anon_sym_int32] = ACTIONS(312),
        [anon_sym_longlong] = ACTIONS(315),
        [anon_sym_int64] = ACTIONS(318),
        [sym_unsigned_tiny_int] = ACTIONS(321),
        [sym_boolean_type] = ACTIONS(324),
        [anon_sym_fixed] = ACTIONS(327),
        [sym_octet_type] = ACTIONS(324),
        [sym_signed_tiny_int] = ACTIONS(330),
        [anon_sym_unsignedshort] = ACTIONS(333),
        [anon_sym_uint16] = ACTIONS(336),
        [anon_sym_unsignedlong] = ACTIONS(339),
        [anon_sym_uint32] = ACTIONS(339),
        [anon_sym_unsignedlonglong] = ACTIONS(342),
        [anon_sym_uint64] = ACTIONS(345),
        [anon_sym_float] = ACTIONS(348),
        [anon_sym_double] = ACTIONS(348),
        [anon_sym_longdouble] = ACTIONS(351),
        [anon_sym_char] = ACTIONS(354),
        [anon_sym_wchar] = ACTIONS(354),
        [anon_sym_COLON_COLON] = ACTIONS(357),
        [anon_sym_string] = ACTIONS(360),
        [anon_sym_wstring] = ACTIONS(360),
        [anon_sym_any] = ACTIONS(363),
        [anon_sym_sequence] = ACTIONS(366),
        [anon_sym_map] = ACTIONS(369),
        [anon_sym_exception] = ACTIONS(372),
        [anon_sym_RBRACE] = ACTIONS(375),
        [anon_sym_abstract] = ACTIONS(377),
        [anon_sym_void] = ACTIONS(380),
        [anon_sym_readonly] = ACTIONS(383),
        [anon_sym_attribute] = ACTIONS(386),
        [anon_sym_bitset] = ACTIONS(389),
        [anon_sym_bitmask] = ACTIONS(392),
        [anon_sym_AT] = ACTIONS(395),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(398),
        [anon_sym_oneway] = ACTIONS(401),
        [anon_sym_valuetype] = ACTIONS(404),
        [anon_sym_struct] = ACTIONS(407),
        [anon_sym_union] = ACTIONS(410),
        [anon_sym_enum] = ACTIONS(413),
        [anon_sym_const] = ACTIONS(416),
        [anon_sym_custom] = ACTIONS(419),
        [anon_sym_factory] = ACTIONS(422),
        [anon_sym_typedef] = ACTIONS(425),
        [anon_sym_ATignore_literal_names] = ACTIONS(428),
        [anon_sym_typeid] = ACTIONS(431),
        [anon_sym_import] = ACTIONS(434),
        [anon_sym_Object] = ACTIONS(437),
        [sym_value_base_type] = ACTIONS(324),
        [anon_sym_finder] = ACTIONS(440),
        [anon_sym_native] = ACTIONS(443),
        [sym_identifier] = ACTIONS(446),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [9] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(1069),
        [sym_export] = STATE(55),
        [sym_op_dcl] = STATE(603),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(1069),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(1069),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(1069),
        [sym_import_dcl] = STATE(1069),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(603),
        [sym_op_with_context] = STATE(1069),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_home_export] = STATE(57),
        [sym_factory_dcl] = STATE(949),
        [sym_finder_dcl] = STATE(949),
        [sym_type_dcl] = STATE(1069),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(1069),
        [sym_comment] = STATE(9),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_home_body_repeat1] = STATE(8),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(449),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_factory] = ACTIONS(165),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_finder] = ACTIONS(167),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [10] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_interface_body] = STATE(977),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(10),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(12),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(451),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [11] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(11),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(453),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [12] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(12),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(455),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [13] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(13),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(17),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(457),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [14] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(14),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(459),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [15] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(15),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(20),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(461),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [16] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(16),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(463),
        [anon_sym_int16] = ACTIONS(463),
        [anon_sym_long] = ACTIONS(466),
        [anon_sym_int32] = ACTIONS(466),
        [anon_sym_longlong] = ACTIONS(469),
        [anon_sym_int64] = ACTIONS(472),
        [sym_unsigned_tiny_int] = ACTIONS(475),
        [sym_boolean_type] = ACTIONS(478),
        [anon_sym_fixed] = ACTIONS(481),
        [sym_octet_type] = ACTIONS(478),
        [sym_signed_tiny_int] = ACTIONS(484),
        [anon_sym_unsignedshort] = ACTIONS(487),
        [anon_sym_uint16] = ACTIONS(490),
        [anon_sym_unsignedlong] = ACTIONS(493),
        [anon_sym_uint32] = ACTIONS(493),
        [anon_sym_unsignedlonglong] = ACTIONS(496),
        [anon_sym_uint64] = ACTIONS(499),
        [anon_sym_float] = ACTIONS(502),
        [anon_sym_double] = ACTIONS(502),
        [anon_sym_longdouble] = ACTIONS(505),
        [anon_sym_char] = ACTIONS(508),
        [anon_sym_wchar] = ACTIONS(508),
        [anon_sym_COLON_COLON] = ACTIONS(511),
        [anon_sym_string] = ACTIONS(514),
        [anon_sym_wstring] = ACTIONS(514),
        [anon_sym_any] = ACTIONS(517),
        [anon_sym_sequence] = ACTIONS(520),
        [anon_sym_map] = ACTIONS(523),
        [anon_sym_exception] = ACTIONS(526),
        [anon_sym_RBRACE] = ACTIONS(529),
        [anon_sym_abstract] = ACTIONS(531),
        [anon_sym_void] = ACTIONS(534),
        [anon_sym_readonly] = ACTIONS(537),
        [anon_sym_attribute] = ACTIONS(540),
        [anon_sym_bitset] = ACTIONS(543),
        [anon_sym_bitmask] = ACTIONS(546),
        [anon_sym_AT] = ACTIONS(549),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(552),
        [anon_sym_oneway] = ACTIONS(555),
        [anon_sym_valuetype] = ACTIONS(558),
        [anon_sym_struct] = ACTIONS(561),
        [anon_sym_union] = ACTIONS(564),
        [anon_sym_enum] = ACTIONS(567),
        [anon_sym_const] = ACTIONS(570),
        [anon_sym_custom] = ACTIONS(573),
        [anon_sym_typedef] = ACTIONS(576),
        [anon_sym_ATignore_literal_names] = ACTIONS(579),
        [anon_sym_typeid] = ACTIONS(582),
        [anon_sym_import] = ACTIONS(585),
        [anon_sym_Object] = ACTIONS(588),
        [sym_value_base_type] = ACTIONS(478),
        [anon_sym_native] = ACTIONS(591),
        [sym_identifier] = ACTIONS(594),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [17] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(17),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(597),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [18] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(18),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(11),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(459),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [19] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(19),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(14),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(599),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [20] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(982),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_except_dcl] = STATE(978),
        [sym_export] = STATE(78),
        [sym_op_dcl] = STATE(709),
        [sym_op_type_spec] = STATE(974),
        [sym_attr_dcl] = STATE(978),
        [sym_readonly_attr_spec] = STATE(970),
        [sym_attr_spec] = STATE(970),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_value_dcl] = STATE(978),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(978),
        [sym_import_dcl] = STATE(978),
        [sym_object_type] = STATE(494),
        [sym_op_oneway_dcl] = STATE(709),
        [sym_op_with_context] = STATE(978),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_type_dcl] = STATE(978),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(978),
        [sym_comment] = STATE(20),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_interface_body_repeat1] = STATE(16),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_exception] = ACTIONS(111),
        [anon_sym_RBRACE] = ACTIONS(457),
        [anon_sym_abstract] = ACTIONS(115),
        [anon_sym_void] = ACTIONS(117),
        [anon_sym_readonly] = ACTIONS(119),
        [anon_sym_attribute] = ACTIONS(121),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_oneway] = ACTIONS(127),
        [anon_sym_valuetype] = ACTIONS(129),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_const] = ACTIONS(137),
        [anon_sym_custom] = ACTIONS(139),
        [anon_sym_typedef] = ACTIONS(145),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(147),
        [anon_sym_import] = ACTIONS(149),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [anon_sym_native] = ACTIONS(153),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [21] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(255),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(724),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_const_expr] = STATE(724),
        [sym_or_expr] = STATE(347),
        [sym_xor_expr] = STATE(333),
        [sym_and_expr] = STATE(328),
        [sym_shift_expr] = STATE(304),
        [sym_add_expr] = STATE(253),
        [sym_mult_expr] = STATE(232),
        [sym_unary_expr] = STATE(235),
        [sym_primary_expr] = STATE(230),
        [sym_unary_operator] = STATE(181),
        [sym_literal] = STATE(238),
        [sym_integer_literal] = STATE(229),
        [sym_integer_sign] = STATE(336),
        [sym_oct_number] = STATE(219),
        [sym_dec_number] = STATE(216),
        [sym_floating_pt_literal] = STATE(229),
        [sym_fixed_pt_literal] = STATE(229),
        [sym_string_literal] = STATE(229),
        [sym_wide_string_literal] = STATE(229),
        [sym_char_literal] = STATE(229),
        [sym_wide_character_literal] = STATE(229),
        [sym_boolean_literal] = STATE(229),
        [sym_actual_parameters] = STATE(997),
        [sym_actual_parameter] = STATE(721),
        [sym_object_type] = STATE(494),
        [sym_comment] = STATE(21),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(601),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(603),
        [anon_sym_DASH] = ACTIONS(603),
        [anon_sym_LPAREN] = ACTIONS(605),
        [anon_sym_TILDE] = ACTIONS(607),
        [sym_bin_number] = ACTIONS(609),
        [aux_sym_oct_number_token1] = ACTIONS(611),
        [aux_sym_oct_number_token2] = ACTIONS(611),
        [anon_sym_0] = ACTIONS(613),
        [aux_sym_dec_number_token1] = ACTIONS(613),
        [sym_hex_number] = ACTIONS(609),
        [anon_sym_DQUOTE] = ACTIONS(615),
        [anon_sym_L] = ACTIONS(617),
        [anon_sym_SQUOTE] = ACTIONS(619),
        [anon_sym_TRUE] = ACTIONS(621),
        [anon_sym_FALSE] = ACTIONS(621),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(623),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [22] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(255),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(724),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_const_expr] = STATE(724),
        [sym_or_expr] = STATE(347),
        [sym_xor_expr] = STATE(333),
        [sym_and_expr] = STATE(328),
        [sym_shift_expr] = STATE(304),
        [sym_add_expr] = STATE(253),
        [sym_mult_expr] = STATE(232),
        [sym_unary_expr] = STATE(235),
        [sym_primary_expr] = STATE(230),
        [sym_unary_operator] = STATE(181),
        [sym_literal] = STATE(238),
        [sym_integer_literal] = STATE(229),
        [sym_integer_sign] = STATE(336),
        [sym_oct_number] = STATE(219),
        [sym_dec_number] = STATE(216),
        [sym_floating_pt_literal] = STATE(229),
        [sym_fixed_pt_literal] = STATE(229),
        [sym_string_literal] = STATE(229),
        [sym_wide_string_literal] = STATE(229),
        [sym_char_literal] = STATE(229),
        [sym_wide_character_literal] = STATE(229),
        [sym_boolean_literal] = STATE(229),
        [sym_actual_parameter] = STATE(757),
        [sym_object_type] = STATE(494),
        [sym_comment] = STATE(22),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(601),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_PLUS] = ACTIONS(603),
        [anon_sym_DASH] = ACTIONS(603),
        [anon_sym_LPAREN] = ACTIONS(605),
        [anon_sym_TILDE] = ACTIONS(607),
        [sym_bin_number] = ACTIONS(609),
        [aux_sym_oct_number_token1] = ACTIONS(611),
        [aux_sym_oct_number_token2] = ACTIONS(611),
        [anon_sym_0] = ACTIONS(613),
        [aux_sym_dec_number_token1] = ACTIONS(613),
        [sym_hex_number] = ACTIONS(609),
        [anon_sym_DQUOTE] = ACTIONS(615),
        [anon_sym_L] = ACTIONS(617),
        [anon_sym_SQUOTE] = ACTIONS(619),
        [anon_sym_TRUE] = ACTIONS(621),
        [anon_sym_FALSE] = ACTIONS(621),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(623),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [23] = {
        [sym_preproc_define] = STATE(176),
        [sym_preproc_call] = STATE(176),
        [sym_preproc_include] = STATE(176),
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_template_module_inst] = STATE(852),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(176),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(23),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [ts_builtin_sym_end] = ACTIONS(625),
        [anon_sym_POUNDdefine] = ACTIONS(9),
        [sym_preproc_directive] = ACTIONS(11),
        [aux_sym_preproc_include_token1] = ACTIONS(13),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [24] = {
        [sym_preproc_define] = STATE(176),
        [sym_preproc_call] = STATE(176),
        [sym_preproc_include] = STATE(176),
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_template_module_inst] = STATE(852),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(176),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(24),
        [aux_sym_specification_repeat1] = STATE(24),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [ts_builtin_sym_end] = ACTIONS(627),
        [anon_sym_POUNDdefine] = ACTIONS(629),
        [sym_preproc_directive] = ACTIONS(632),
        [aux_sym_preproc_include_token1] = ACTIONS(635),
        [anon_sym_exception] = ACTIONS(638),
        [anon_sym_local] = ACTIONS(641),
        [anon_sym_abstract] = ACTIONS(644),
        [anon_sym_interface] = ACTIONS(647),
        [anon_sym_bitset] = ACTIONS(650),
        [anon_sym_bitmask] = ACTIONS(653),
        [anon_sym_ATannotation] = ACTIONS(656),
        [anon_sym_AT] = ACTIONS(659),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(662),
        [anon_sym_module] = ACTIONS(665),
        [anon_sym_valuetype] = ACTIONS(668),
        [anon_sym_eventtype] = ACTIONS(671),
        [anon_sym_struct] = ACTIONS(674),
        [anon_sym_union] = ACTIONS(677),
        [anon_sym_enum] = ACTIONS(680),
        [anon_sym_const] = ACTIONS(683),
        [anon_sym_custom] = ACTIONS(686),
        [anon_sym_typedef] = ACTIONS(689),
        [anon_sym_ATignore_literal_names] = ACTIONS(692),
        [anon_sym_typeid] = ACTIONS(695),
        [anon_sym_typeprefix] = ACTIONS(698),
        [anon_sym_import] = ACTIONS(701),
        [anon_sym_component] = ACTIONS(704),
        [anon_sym_home] = ACTIONS(707),
        [anon_sym_porttype] = ACTIONS(710),
        [anon_sym_connector] = ACTIONS(713),
        [anon_sym_native] = ACTIONS(716),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [25] = {
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_tpl_definition] = STATE(182),
        [sym_template_module_inst] = STATE(852),
        [sym_template_module_ref] = STATE(933),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(183),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(25),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(719),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(721),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [26] = {
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_tpl_definition] = STATE(182),
        [sym_template_module_inst] = STATE(852),
        [sym_template_module_ref] = STATE(933),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(183),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(26),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [aux_sym_template_module_dcl_repeat1] = STATE(25),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(723),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_alias] = ACTIONS(721),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [27] = {
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_tpl_definition] = STATE(182),
        [sym_template_module_inst] = STATE(852),
        [sym_template_module_ref] = STATE(933),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(183),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(27),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [aux_sym_template_module_dcl_repeat1] = STATE(27),
        [anon_sym_exception] = ACTIONS(725),
        [anon_sym_RBRACE] = ACTIONS(728),
        [anon_sym_local] = ACTIONS(730),
        [anon_sym_abstract] = ACTIONS(733),
        [anon_sym_interface] = ACTIONS(736),
        [anon_sym_bitset] = ACTIONS(739),
        [anon_sym_bitmask] = ACTIONS(742),
        [anon_sym_ATannotation] = ACTIONS(745),
        [anon_sym_AT] = ACTIONS(748),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(751),
        [anon_sym_module] = ACTIONS(754),
        [anon_sym_valuetype] = ACTIONS(757),
        [anon_sym_eventtype] = ACTIONS(760),
        [anon_sym_struct] = ACTIONS(763),
        [anon_sym_union] = ACTIONS(766),
        [anon_sym_enum] = ACTIONS(769),
        [anon_sym_const] = ACTIONS(772),
        [anon_sym_alias] = ACTIONS(775),
        [anon_sym_custom] = ACTIONS(778),
        [anon_sym_typedef] = ACTIONS(781),
        [anon_sym_ATignore_literal_names] = ACTIONS(784),
        [anon_sym_typeid] = ACTIONS(787),
        [anon_sym_typeprefix] = ACTIONS(790),
        [anon_sym_import] = ACTIONS(793),
        [anon_sym_component] = ACTIONS(796),
        [anon_sym_home] = ACTIONS(799),
        [anon_sym_porttype] = ACTIONS(802),
        [anon_sym_connector] = ACTIONS(805),
        [anon_sym_native] = ACTIONS(808),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [28] = {
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_template_module_inst] = STATE(852),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(28),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [aux_sym_module_dcl_repeat1] = STATE(30),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(811),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [29] = {
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_template_module_inst] = STATE(852),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(29),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [aux_sym_module_dcl_repeat1] = STATE(28),
        [anon_sym_exception] = ACTIONS(15),
        [anon_sym_RBRACE] = ACTIONS(813),
        [anon_sym_local] = ACTIONS(17),
        [anon_sym_abstract] = ACTIONS(19),
        [anon_sym_interface] = ACTIONS(21),
        [anon_sym_bitset] = ACTIONS(23),
        [anon_sym_bitmask] = ACTIONS(25),
        [anon_sym_ATannotation] = ACTIONS(27),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_module] = ACTIONS(33),
        [anon_sym_valuetype] = ACTIONS(35),
        [anon_sym_eventtype] = ACTIONS(37),
        [anon_sym_struct] = ACTIONS(39),
        [anon_sym_union] = ACTIONS(41),
        [anon_sym_enum] = ACTIONS(43),
        [anon_sym_const] = ACTIONS(45),
        [anon_sym_custom] = ACTIONS(47),
        [anon_sym_typedef] = ACTIONS(49),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_typeid] = ACTIONS(53),
        [anon_sym_typeprefix] = ACTIONS(55),
        [anon_sym_import] = ACTIONS(57),
        [anon_sym_component] = ACTIONS(59),
        [anon_sym_home] = ACTIONS(61),
        [anon_sym_porttype] = ACTIONS(63),
        [anon_sym_connector] = ACTIONS(65),
        [anon_sym_native] = ACTIONS(67),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [30] = {
        [sym_except_dcl] = STATE(852),
        [sym_interface_dcl] = STATE(852),
        [sym_interface_kind] = STATE(867),
        [sym_interface_forward_dcl] = STATE(869),
        [sym_interface_def] = STATE(869),
        [sym_interface_header] = STATE(993),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_dcl] = STATE(852),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_template_module_dcl] = STATE(852),
        [sym_template_module_inst] = STATE(852),
        [sym_value_dcl] = STATE(852),
        [sym_value_def] = STATE(892),
        [sym_value_kind] = STATE(903),
        [sym_value_header] = STATE(904),
        [sym_value_forward_dcl] = STATE(892),
        [sym_typedef_dcl] = STATE(905),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_type_id_dcl] = STATE(852),
        [sym_type_prefix_dcl] = STATE(852),
        [sym_import_dcl] = STATE(852),
        [sym_value_box_def] = STATE(892),
        [sym_value_abs_def] = STATE(892),
        [sym_component_dcl] = STATE(852),
        [sym_component_forward_dcl] = STATE(913),
        [sym_component_def] = STATE(913),
        [sym_component_header] = STATE(922),
        [sym_home_dcl] = STATE(852),
        [sym_home_header] = STATE(928),
        [sym_event_dcl] = STATE(852),
        [sym_event_forward_dcl] = STATE(971),
        [sym_event_abs_def] = STATE(971),
        [sym_event_def] = STATE(971),
        [sym_event_header] = STATE(972),
        [sym_porttype_dcl] = STATE(852),
        [sym_porttype_forward_dcl] = STATE(975),
        [sym_porttype_def] = STATE(975),
        [sym_connector_dcl] = STATE(852),
        [sym_connector_header] = STATE(988),
        [sym_definition] = STATE(186),
        [sym_type_dcl] = STATE(852),
        [sym_constr_type_dcl] = STATE(905),
        [sym_native_dcl] = STATE(905),
        [sym_module_dcl] = STATE(852),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_const_dcl] = STATE(852),
        [sym_comment] = STATE(30),
        [aux_sym_interface_dcl_repeat1] = STATE(185),
        [aux_sym_module_dcl_repeat1] = STATE(30),
        [anon_sym_exception] = ACTIONS(815),
        [anon_sym_RBRACE] = ACTIONS(818),
        [anon_sym_local] = ACTIONS(820),
        [anon_sym_abstract] = ACTIONS(823),
        [anon_sym_interface] = ACTIONS(826),
        [anon_sym_bitset] = ACTIONS(829),
        [anon_sym_bitmask] = ACTIONS(832),
        [anon_sym_ATannotation] = ACTIONS(835),
        [anon_sym_AT] = ACTIONS(838),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(841),
        [anon_sym_module] = ACTIONS(844),
        [anon_sym_valuetype] = ACTIONS(847),
        [anon_sym_eventtype] = ACTIONS(850),
        [anon_sym_struct] = ACTIONS(853),
        [anon_sym_union] = ACTIONS(856),
        [anon_sym_enum] = ACTIONS(859),
        [anon_sym_const] = ACTIONS(862),
        [anon_sym_custom] = ACTIONS(865),
        [anon_sym_typedef] = ACTIONS(868),
        [anon_sym_ATignore_literal_names] = ACTIONS(871),
        [anon_sym_typeid] = ACTIONS(874),
        [anon_sym_typeprefix] = ACTIONS(877),
        [anon_sym_import] = ACTIONS(880),
        [anon_sym_component] = ACTIONS(883),
        [anon_sym_home] = ACTIONS(886),
        [anon_sym_porttype] = ACTIONS(889),
        [anon_sym_connector] = ACTIONS(892),
        [anon_sym_native] = ACTIONS(895),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [31] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_type_spec] = STATE(500),
        [sym_simple_type_spec] = STATE(415),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(415),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_case_label] = STATE(88),
        [sym_element_spec] = STATE(851),
        [sym_object_type] = STATE(494),
        [sym_constr_type_dcl] = STATE(500),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_comment] = STATE(31),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [aux_sym_case_repeat1] = STATE(82),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_default] = ACTIONS(898),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_case] = ACTIONS(900),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
    [32] = {
        [sym_signed_short_int] = STATE(405),
        [sym_signed_long_int] = STATE(405),
        [sym_signed_longlong_int] = STATE(405),
        [sym_unsigned_int] = STATE(386),
        [sym_integer_type] = STATE(494),
        [sym_signed_int] = STATE(386),
        [sym_unsigned_short_int] = STATE(394),
        [sym_unsigned_long_int] = STATE(394),
        [sym_unsigned_longlong_int] = STATE(394),
        [sym_floating_pt_type] = STATE(494),
        [sym_char_type] = STATE(494),
        [sym_scoped_name] = STATE(395),
        [sym_string_type] = STATE(476),
        [sym_simple_type_spec] = STATE(376),
        [sym_base_type_spec] = STATE(504),
        [sym_any_type] = STATE(494),
        [sym_fixed_pt_type] = STATE(476),
        [sym_template_type_spec] = STATE(376),
        [sym_sequence_type] = STATE(476),
        [sym_map_type] = STATE(476),
        [sym_bitset_dcl] = STATE(803),
        [sym_bitmask_dcl] = STATE(803),
        [sym_annotation_appl] = STATE(282),
        [sym_extend_annotation_appl] = STATE(306),
        [sym_type_declarator] = STATE(1097),
        [sym_enum_dcl] = STATE(803),
        [sym_enum_anno] = STATE(861),
        [sym_union_dcl] = STATE(803),
        [sym_union_forward_dcl] = STATE(764),
        [sym_union_def] = STATE(764),
        [sym_object_type] = STATE(494),
        [sym_constr_type_dcl] = STATE(376),
        [sym_struct_dcl] = STATE(803),
        [sym_struct_forward_dcl] = STATE(728),
        [sym_struct_def] = STATE(728),
        [sym_comment] = STATE(32),
        [aux_sym_interface_dcl_repeat1] = STATE(208),
        [anon_sym_short] = ACTIONS(69),
        [anon_sym_int16] = ACTIONS(69),
        [anon_sym_long] = ACTIONS(71),
        [anon_sym_int32] = ACTIONS(71),
        [anon_sym_longlong] = ACTIONS(73),
        [anon_sym_int64] = ACTIONS(75),
        [sym_unsigned_tiny_int] = ACTIONS(77),
        [sym_boolean_type] = ACTIONS(79),
        [anon_sym_fixed] = ACTIONS(81),
        [sym_octet_type] = ACTIONS(79),
        [sym_signed_tiny_int] = ACTIONS(83),
        [anon_sym_unsignedshort] = ACTIONS(85),
        [anon_sym_uint16] = ACTIONS(87),
        [anon_sym_unsignedlong] = ACTIONS(89),
        [anon_sym_uint32] = ACTIONS(89),
        [anon_sym_unsignedlonglong] = ACTIONS(91),
        [anon_sym_uint64] = ACTIONS(93),
        [anon_sym_float] = ACTIONS(95),
        [anon_sym_double] = ACTIONS(95),
        [anon_sym_longdouble] = ACTIONS(97),
        [anon_sym_char] = ACTIONS(99),
        [anon_sym_wchar] = ACTIONS(99),
        [anon_sym_COLON_COLON] = ACTIONS(101),
        [anon_sym_string] = ACTIONS(103),
        [anon_sym_wstring] = ACTIONS(103),
        [anon_sym_any] = ACTIONS(105),
        [anon_sym_sequence] = ACTIONS(107),
        [anon_sym_map] = ACTIONS(109),
        [anon_sym_bitset] = ACTIONS(123),
        [anon_sym_bitmask] = ACTIONS(125),
        [anon_sym_AT] = ACTIONS(29),
        [anon_sym_SLASH_SLASH_AT] = ACTIONS(31),
        [anon_sym_struct] = ACTIONS(131),
        [anon_sym_union] = ACTIONS(133),
        [anon_sym_enum] = ACTIONS(135),
        [anon_sym_ATignore_literal_names] = ACTIONS(51),
        [anon_sym_Object] = ACTIONS(151),
        [sym_value_base_type] = ACTIONS(79),
        [sym_identifier] = ACTIONS(155),
        [anon_sym_SLASH_SLASH] = ACTIONS(3),
        [anon_sym_SLASH_STAR] = ACTIONS(5),
    },
};

static const uint16_t ts_small_parse_table[] = {
    [0] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(902),
    1,
    anon_sym_RBRACE,
    ACTIONS(904),
    1,
    anon_sym_AT,
    ACTIONS(906),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(33),
    1,
    sym_comment,
    STATE(35),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(43),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(124),
    1,
    sym_member,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(387),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [151] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(904),
    1,
    anon_sym_AT,
    ACTIONS(906),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(908),
    1,
    anon_sym_RBRACE,
    STATE(34),
    1,
    sym_comment,
    STATE(35),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(43),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(124),
    1,
    sym_member,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(387),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [302] = 42,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(916),
    1,
    anon_sym_longlong,
    ACTIONS(919),
    1,
    anon_sym_int64,
    ACTIONS(922),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(928),
    1,
    anon_sym_fixed,
    ACTIONS(931),
    1,
    sym_signed_tiny_int,
    ACTIONS(934),
    1,
    anon_sym_unsignedshort,
    ACTIONS(937),
    1,
    anon_sym_uint16,
    ACTIONS(943),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(946),
    1,
    anon_sym_uint64,
    ACTIONS(952),
    1,
    anon_sym_longdouble,
    ACTIONS(958),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(964),
    1,
    anon_sym_any,
    ACTIONS(967),
    1,
    anon_sym_sequence,
    ACTIONS(970),
    1,
    anon_sym_map,
    ACTIONS(973),
    1,
    anon_sym_RBRACE,
    ACTIONS(975),
    1,
    anon_sym_AT,
    ACTIONS(978),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(981),
    1,
    anon_sym_Object,
    ACTIONS(984),
    1,
    sym_identifier,
    STATE(43),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(124),
    1,
    sym_member,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(387),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(910),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(913),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(940),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(949),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(955),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(961),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(35),
    2,
    sym_comment,
    aux_sym_except_dcl_repeat1,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(925),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [451] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(904),
    1,
    anon_sym_AT,
    ACTIONS(906),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(987),
    1,
    anon_sym_RBRACE,
    STATE(33),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(36),
    1,
    sym_comment,
    STATE(43),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(124),
    1,
    sym_member,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(387),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [602] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(904),
    1,
    anon_sym_AT,
    ACTIONS(906),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(989),
    1,
    anon_sym_RBRACE,
    STATE(37),
    1,
    sym_comment,
    STATE(39),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(43),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(124),
    1,
    sym_member,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(387),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [753] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(904),
    1,
    anon_sym_AT,
    ACTIONS(906),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(991),
    1,
    anon_sym_RBRACE,
    STATE(34),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(38),
    1,
    sym_comment,
    STATE(43),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(124),
    1,
    sym_member,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(387),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [904] = 43,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(904),
    1,
    anon_sym_AT,
    ACTIONS(906),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(993),
    1,
    anon_sym_RBRACE,
    STATE(35),
    1,
    aux_sym_except_dcl_repeat1,
    STATE(39),
    1,
    sym_comment,
    STATE(43),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(124),
    1,
    sym_member,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(387),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1055] = 42,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(995),
    1,
    anon_sym_LBRACE,
    ACTIONS(997),
    1,
    anon_sym_COLON,
    ACTIONS(999),
    1,
    anon_sym_SEMI,
    ACTIONS(1001),
    1,
    anon_sym_supports,
    STATE(40),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(601),
    1,
    sym_value_inheritance,
    STATE(966),
    1,
    sym_value_inheritance_spec,
    STATE(967),
    1,
    sym_type_spec,
    STATE(1130),
    1,
    sym_value_supports,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1203] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1003),
    1,
    anon_sym_RPAREN,
    STATE(41),
    1,
    sym_comment,
    STATE(63),
    1,
    sym_param_attribute,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(693),
    1,
    sym_param_dcl,
    STATE(750),
    1,
    sym_type_spec,
    STATE(994),
    1,
    sym_parameter_dcls,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1005),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1347] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1009),
    1,
    anon_sym_fixed,
    ACTIONS(1011),
    1,
    anon_sym_any,
    ACTIONS(1013),
    1,
    anon_sym_RBRACE,
    STATE(42),
    1,
    sym_comment,
    STATE(45),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(169),
    1,
    sym_annotation_body,
    STATE(171),
    1,
    sym_annotation_member,
    STATE(799),
    1,
    sym_scoped_name,
    STATE(804),
    1,
    sym_annotation_member_type,
    STATE(861),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1007),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(884),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(883),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(964),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [1491] = 40,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(904),
    1,
    anon_sym_AT,
    ACTIONS(906),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(43),
    1,
    sym_comment,
    STATE(105),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(388),
    1,
    sym_type_spec,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1633] = 38,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(44),
    1,
    sym_comment,
    STATE(63),
    1,
    sym_param_attribute,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(750),
    1,
    sym_type_spec,
    STATE(815),
    1,
    sym_param_dcl,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    ACTIONS(1005),
    3,
    anon_sym_in,
    anon_sym_out,
    anon_sym_inout,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [1771] = 40,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1021),
    1,
    anon_sym_longlong,
    ACTIONS(1024),
    1,
    anon_sym_int64,
    ACTIONS(1027),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1033),
    1,
    anon_sym_fixed,
    ACTIONS(1036),
    1,
    sym_signed_tiny_int,
    ACTIONS(1039),
    1,
    anon_sym_unsignedshort,
    ACTIONS(1042),
    1,
    anon_sym_uint16,
    ACTIONS(1048),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(1051),
    1,
    anon_sym_uint64,
    ACTIONS(1057),
    1,
    anon_sym_longdouble,
    ACTIONS(1063),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1069),
    1,
    anon_sym_any,
    ACTIONS(1072),
    1,
    anon_sym_sequence,
    ACTIONS(1075),
    1,
    anon_sym_RBRACE,
    ACTIONS(1077),
    1,
    anon_sym_enum,
    ACTIONS(1080),
    1,
    anon_sym_const,
    ACTIONS(1083),
    1,
    anon_sym_typedef,
    ACTIONS(1086),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(1089),
    1,
    sym_identifier,
    STATE(169),
    1,
    sym_annotation_body,
    STATE(171),
    1,
    sym_annotation_member,
    STATE(799),
    1,
    sym_scoped_name,
    STATE(804),
    1,
    sym_annotation_member_type,
    STATE(861),
    1,
    sym_enum_anno,
    ACTIONS(1015),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1018),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(1030),
    2,
    sym_boolean_type,
    sym_octet_type,
    ACTIONS(1045),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(1054),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(1060),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(1066),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(45),
    2,
    sym_comment,
    aux_sym_annotation_dcl_repeat1,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(884),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(883),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(964),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [1913] = 41,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(135),
    1,
    anon_sym_enum,
    ACTIONS(137),
    1,
    anon_sym_const,
    ACTIONS(145),
    1,
    anon_sym_typedef,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1009),
    1,
    anon_sym_fixed,
    ACTIONS(1011),
    1,
    anon_sym_any,
    ACTIONS(1092),
    1,
    anon_sym_RBRACE,
    STATE(42),
    1,
    aux_sym_annotation_dcl_repeat1,
    STATE(46),
    1,
    sym_comment,
    STATE(169),
    1,
    sym_annotation_body,
    STATE(171),
    1,
    sym_annotation_member,
    STATE(799),
    1,
    sym_scoped_name,
    STATE(804),
    1,
    sym_annotation_member_type,
    STATE(861),
    1,
    sym_enum_anno,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1007),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(884),
    2,
    sym_any_const_type,
    sym_const_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(883),
    3,
    sym_typedef_dcl,
    sym_enum_dcl,
    sym_const_dcl,
    STATE(964),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [2057] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(47),
    1,
    sym_comment,
    ACTIONS(1096),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1094),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2127] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(48),
    1,
    sym_comment,
    ACTIONS(1100),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1098),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2197] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(49),
    1,
    sym_comment,
    ACTIONS(1104),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1102),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2267] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(50),
    1,
    sym_comment,
    ACTIONS(1108),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1106),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2337] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(51),
    1,
    sym_comment,
    ACTIONS(1112),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1110),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2407] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(52),
    1,
    sym_comment,
    ACTIONS(1116),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1114),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2477] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1118),
    1,
    anon_sym_sequence,
    ACTIONS(1122),
    1,
    anon_sym_const,
    STATE(53),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(697),
    1,
    sym_formal_parameter,
    STATE(938),
    1,
    sym_formal_parameters,
    STATE(941),
    1,
    sym_formal_parameter_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(930),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1120),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [2607] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(54),
    1,
    sym_comment,
    ACTIONS(1126),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1124),
    48,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_public,
    anon_sym_private,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [2677] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(55),
    1,
    sym_comment,
    ACTIONS(1130),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1128),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2746] = 34,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1118),
    1,
    anon_sym_sequence,
    ACTIONS(1122),
    1,
    anon_sym_const,
    STATE(56),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(759),
    1,
    sym_formal_parameter,
    STATE(941),
    1,
    sym_formal_parameter_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(930),
    2,
    sym_simple_type_spec,
    sym_sequence_type,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    ACTIONS(1120),
    8,
    anon_sym_exception,
    anon_sym_interface,
    anon_sym_typename,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    [2873] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(57),
    1,
    sym_comment,
    ACTIONS(1134),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1132),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [2942] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(58),
    1,
    sym_comment,
    ACTIONS(1138),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1136),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3011] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(59),
    1,
    sym_comment,
    ACTIONS(1126),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1124),
    47,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_factory,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_finder,
    anon_sym_native,
    sym_identifier,
    [3080] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(60),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(1011),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3207] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(61),
    1,
    sym_comment,
    ACTIONS(1126),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1124),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [3274] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(62),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(401),
    1,
    sym_type_spec,
    STATE(504),
    1,
    sym_base_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3401] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(63),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(766),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3528] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1140),
    1,
    sym_identifier,
    STATE(64),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(756),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [3655] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1144),
    1,
    anon_sym_default,
    ACTIONS(1146),
    1,
    anon_sym_id,
    ACTIONS(1148),
    1,
    anon_sym_autoid,
    ACTIONS(1150),
    1,
    anon_sym_optional,
    ACTIONS(1152),
    1,
    anon_sym_position,
    ACTIONS(1154),
    1,
    anon_sym_value,
    ACTIONS(1156),
    1,
    anon_sym_extensibility,
    ACTIONS(1158),
    1,
    anon_sym_final,
    ACTIONS(1160),
    1,
    anon_sym_appendable,
    ACTIONS(1162),
    1,
    anon_sym_mutable,
    ACTIONS(1164),
    1,
    anon_sym_key,
    ACTIONS(1166),
    1,
    anon_sym_must_understand,
    ACTIONS(1168),
    1,
    anon_sym_default_literal,
    ACTIONS(1170),
    1,
    anon_sym_range,
    ACTIONS(1172),
    1,
    anon_sym_min,
    ACTIONS(1174),
    1,
    anon_sym_max,
    ACTIONS(1176),
    1,
    anon_sym_unit,
    ACTIONS(1178),
    1,
    anon_sym_bit_bound,
    ACTIONS(1180),
    1,
    anon_sym_external,
    ACTIONS(1182),
    1,
    anon_sym_nested,
    ACTIONS(1184),
    1,
    anon_sym_verbatim,
    ACTIONS(1186),
    1,
    anon_sym_service,
    ACTIONS(1188),
    1,
    anon_sym_oneway,
    ACTIONS(1190),
    1,
    anon_sym_ami,
    ACTIONS(1192),
    1,
    sym_identifier,
    STATE(65),
    1,
    sym_comment,
    STATE(378),
    1,
    sym_scoped_name,
    STATE(371),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(537),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3776] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1194),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1196),
    1,
    anon_sym_default,
    ACTIONS(1198),
    1,
    anon_sym_id,
    ACTIONS(1200),
    1,
    anon_sym_autoid,
    ACTIONS(1202),
    1,
    anon_sym_optional,
    ACTIONS(1204),
    1,
    anon_sym_position,
    ACTIONS(1206),
    1,
    anon_sym_value,
    ACTIONS(1208),
    1,
    anon_sym_extensibility,
    ACTIONS(1210),
    1,
    anon_sym_final,
    ACTIONS(1212),
    1,
    anon_sym_appendable,
    ACTIONS(1214),
    1,
    anon_sym_mutable,
    ACTIONS(1216),
    1,
    anon_sym_key,
    ACTIONS(1218),
    1,
    anon_sym_must_understand,
    ACTIONS(1220),
    1,
    anon_sym_default_literal,
    ACTIONS(1222),
    1,
    anon_sym_range,
    ACTIONS(1224),
    1,
    anon_sym_min,
    ACTIONS(1226),
    1,
    anon_sym_max,
    ACTIONS(1228),
    1,
    anon_sym_unit,
    ACTIONS(1230),
    1,
    anon_sym_bit_bound,
    ACTIONS(1232),
    1,
    anon_sym_external,
    ACTIONS(1234),
    1,
    anon_sym_nested,
    ACTIONS(1236),
    1,
    anon_sym_verbatim,
    ACTIONS(1238),
    1,
    anon_sym_service,
    ACTIONS(1240),
    1,
    anon_sym_oneway,
    ACTIONS(1242),
    1,
    anon_sym_ami,
    ACTIONS(1244),
    1,
    sym_identifier,
    STATE(66),
    1,
    sym_comment,
    STATE(258),
    1,
    sym_scoped_name,
    STATE(305),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(298),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [3897] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(67),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(769),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4024] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1140),
    1,
    sym_identifier,
    STATE(68),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(751),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4151] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(69),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(775),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4278] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(70),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(588),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4405] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1144),
    1,
    anon_sym_default,
    ACTIONS(1146),
    1,
    anon_sym_id,
    ACTIONS(1148),
    1,
    anon_sym_autoid,
    ACTIONS(1150),
    1,
    anon_sym_optional,
    ACTIONS(1152),
    1,
    anon_sym_position,
    ACTIONS(1154),
    1,
    anon_sym_value,
    ACTIONS(1156),
    1,
    anon_sym_extensibility,
    ACTIONS(1158),
    1,
    anon_sym_final,
    ACTIONS(1160),
    1,
    anon_sym_appendable,
    ACTIONS(1162),
    1,
    anon_sym_mutable,
    ACTIONS(1164),
    1,
    anon_sym_key,
    ACTIONS(1166),
    1,
    anon_sym_must_understand,
    ACTIONS(1168),
    1,
    anon_sym_default_literal,
    ACTIONS(1170),
    1,
    anon_sym_range,
    ACTIONS(1172),
    1,
    anon_sym_min,
    ACTIONS(1174),
    1,
    anon_sym_max,
    ACTIONS(1176),
    1,
    anon_sym_unit,
    ACTIONS(1178),
    1,
    anon_sym_bit_bound,
    ACTIONS(1180),
    1,
    anon_sym_external,
    ACTIONS(1182),
    1,
    anon_sym_nested,
    ACTIONS(1184),
    1,
    anon_sym_verbatim,
    ACTIONS(1186),
    1,
    anon_sym_service,
    ACTIONS(1188),
    1,
    anon_sym_oneway,
    ACTIONS(1190),
    1,
    anon_sym_ami,
    ACTIONS(1192),
    1,
    sym_identifier,
    STATE(71),
    1,
    sym_comment,
    STATE(378),
    1,
    sym_scoped_name,
    STATE(536),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(537),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4526] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1144),
    1,
    anon_sym_default,
    ACTIONS(1146),
    1,
    anon_sym_id,
    ACTIONS(1148),
    1,
    anon_sym_autoid,
    ACTIONS(1150),
    1,
    anon_sym_optional,
    ACTIONS(1152),
    1,
    anon_sym_position,
    ACTIONS(1154),
    1,
    anon_sym_value,
    ACTIONS(1156),
    1,
    anon_sym_extensibility,
    ACTIONS(1158),
    1,
    anon_sym_final,
    ACTIONS(1160),
    1,
    anon_sym_appendable,
    ACTIONS(1162),
    1,
    anon_sym_mutable,
    ACTIONS(1164),
    1,
    anon_sym_key,
    ACTIONS(1166),
    1,
    anon_sym_must_understand,
    ACTIONS(1168),
    1,
    anon_sym_default_literal,
    ACTIONS(1170),
    1,
    anon_sym_range,
    ACTIONS(1172),
    1,
    anon_sym_min,
    ACTIONS(1174),
    1,
    anon_sym_max,
    ACTIONS(1176),
    1,
    anon_sym_unit,
    ACTIONS(1178),
    1,
    anon_sym_bit_bound,
    ACTIONS(1180),
    1,
    anon_sym_external,
    ACTIONS(1182),
    1,
    anon_sym_nested,
    ACTIONS(1184),
    1,
    anon_sym_verbatim,
    ACTIONS(1186),
    1,
    anon_sym_service,
    ACTIONS(1188),
    1,
    anon_sym_oneway,
    ACTIONS(1190),
    1,
    anon_sym_ami,
    ACTIONS(1192),
    1,
    sym_identifier,
    STATE(72),
    1,
    sym_comment,
    STATE(378),
    1,
    sym_scoped_name,
    STATE(361),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(537),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4647] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(73),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(606),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [4774] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1246),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1248),
    1,
    anon_sym_default,
    ACTIONS(1250),
    1,
    anon_sym_id,
    ACTIONS(1252),
    1,
    anon_sym_autoid,
    ACTIONS(1254),
    1,
    anon_sym_optional,
    ACTIONS(1256),
    1,
    anon_sym_position,
    ACTIONS(1258),
    1,
    anon_sym_value,
    ACTIONS(1260),
    1,
    anon_sym_extensibility,
    ACTIONS(1262),
    1,
    anon_sym_final,
    ACTIONS(1264),
    1,
    anon_sym_appendable,
    ACTIONS(1266),
    1,
    anon_sym_mutable,
    ACTIONS(1268),
    1,
    anon_sym_key,
    ACTIONS(1270),
    1,
    anon_sym_must_understand,
    ACTIONS(1272),
    1,
    anon_sym_default_literal,
    ACTIONS(1274),
    1,
    anon_sym_range,
    ACTIONS(1276),
    1,
    anon_sym_min,
    ACTIONS(1278),
    1,
    anon_sym_max,
    ACTIONS(1280),
    1,
    anon_sym_unit,
    ACTIONS(1282),
    1,
    anon_sym_bit_bound,
    ACTIONS(1284),
    1,
    anon_sym_external,
    ACTIONS(1286),
    1,
    anon_sym_nested,
    ACTIONS(1288),
    1,
    anon_sym_verbatim,
    ACTIONS(1290),
    1,
    anon_sym_service,
    ACTIONS(1292),
    1,
    anon_sym_oneway,
    ACTIONS(1294),
    1,
    anon_sym_ami,
    ACTIONS(1296),
    1,
    sym_identifier,
    STATE(74),
    1,
    sym_comment,
    STATE(123),
    1,
    sym_scoped_name,
    STATE(147),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(146),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [4895] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1298),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1300),
    1,
    anon_sym_default,
    ACTIONS(1302),
    1,
    anon_sym_id,
    ACTIONS(1304),
    1,
    anon_sym_autoid,
    ACTIONS(1306),
    1,
    anon_sym_optional,
    ACTIONS(1308),
    1,
    anon_sym_position,
    ACTIONS(1310),
    1,
    anon_sym_value,
    ACTIONS(1312),
    1,
    anon_sym_extensibility,
    ACTIONS(1314),
    1,
    anon_sym_final,
    ACTIONS(1316),
    1,
    anon_sym_appendable,
    ACTIONS(1318),
    1,
    anon_sym_mutable,
    ACTIONS(1320),
    1,
    anon_sym_key,
    ACTIONS(1322),
    1,
    anon_sym_must_understand,
    ACTIONS(1324),
    1,
    anon_sym_default_literal,
    ACTIONS(1326),
    1,
    anon_sym_range,
    ACTIONS(1328),
    1,
    anon_sym_min,
    ACTIONS(1330),
    1,
    anon_sym_max,
    ACTIONS(1332),
    1,
    anon_sym_unit,
    ACTIONS(1334),
    1,
    anon_sym_bit_bound,
    ACTIONS(1336),
    1,
    anon_sym_external,
    ACTIONS(1338),
    1,
    anon_sym_nested,
    ACTIONS(1340),
    1,
    anon_sym_verbatim,
    ACTIONS(1342),
    1,
    anon_sym_service,
    ACTIONS(1344),
    1,
    anon_sym_oneway,
    ACTIONS(1346),
    1,
    anon_sym_ami,
    ACTIONS(1348),
    1,
    sym_identifier,
    STATE(75),
    1,
    sym_comment,
    STATE(375),
    1,
    sym_scoped_name,
    STATE(704),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(703),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5016] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1144),
    1,
    anon_sym_default,
    ACTIONS(1146),
    1,
    anon_sym_id,
    ACTIONS(1148),
    1,
    anon_sym_autoid,
    ACTIONS(1150),
    1,
    anon_sym_optional,
    ACTIONS(1152),
    1,
    anon_sym_position,
    ACTIONS(1154),
    1,
    anon_sym_value,
    ACTIONS(1156),
    1,
    anon_sym_extensibility,
    ACTIONS(1158),
    1,
    anon_sym_final,
    ACTIONS(1160),
    1,
    anon_sym_appendable,
    ACTIONS(1162),
    1,
    anon_sym_mutable,
    ACTIONS(1164),
    1,
    anon_sym_key,
    ACTIONS(1166),
    1,
    anon_sym_must_understand,
    ACTIONS(1168),
    1,
    anon_sym_default_literal,
    ACTIONS(1170),
    1,
    anon_sym_range,
    ACTIONS(1172),
    1,
    anon_sym_min,
    ACTIONS(1174),
    1,
    anon_sym_max,
    ACTIONS(1176),
    1,
    anon_sym_unit,
    ACTIONS(1178),
    1,
    anon_sym_bit_bound,
    ACTIONS(1180),
    1,
    anon_sym_external,
    ACTIONS(1182),
    1,
    anon_sym_nested,
    ACTIONS(1184),
    1,
    anon_sym_verbatim,
    ACTIONS(1186),
    1,
    anon_sym_service,
    ACTIONS(1188),
    1,
    anon_sym_oneway,
    ACTIONS(1190),
    1,
    anon_sym_ami,
    ACTIONS(1192),
    1,
    sym_identifier,
    STATE(76),
    1,
    sym_comment,
    STATE(378),
    1,
    sym_scoped_name,
    STATE(368),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(537),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5137] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1142),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1144),
    1,
    anon_sym_default,
    ACTIONS(1146),
    1,
    anon_sym_id,
    ACTIONS(1148),
    1,
    anon_sym_autoid,
    ACTIONS(1150),
    1,
    anon_sym_optional,
    ACTIONS(1152),
    1,
    anon_sym_position,
    ACTIONS(1154),
    1,
    anon_sym_value,
    ACTIONS(1156),
    1,
    anon_sym_extensibility,
    ACTIONS(1158),
    1,
    anon_sym_final,
    ACTIONS(1160),
    1,
    anon_sym_appendable,
    ACTIONS(1162),
    1,
    anon_sym_mutable,
    ACTIONS(1164),
    1,
    anon_sym_key,
    ACTIONS(1166),
    1,
    anon_sym_must_understand,
    ACTIONS(1168),
    1,
    anon_sym_default_literal,
    ACTIONS(1170),
    1,
    anon_sym_range,
    ACTIONS(1172),
    1,
    anon_sym_min,
    ACTIONS(1174),
    1,
    anon_sym_max,
    ACTIONS(1176),
    1,
    anon_sym_unit,
    ACTIONS(1178),
    1,
    anon_sym_bit_bound,
    ACTIONS(1180),
    1,
    anon_sym_external,
    ACTIONS(1182),
    1,
    anon_sym_nested,
    ACTIONS(1184),
    1,
    anon_sym_verbatim,
    ACTIONS(1186),
    1,
    anon_sym_service,
    ACTIONS(1188),
    1,
    anon_sym_oneway,
    ACTIONS(1190),
    1,
    anon_sym_ami,
    ACTIONS(1192),
    1,
    sym_identifier,
    STATE(77),
    1,
    sym_comment,
    STATE(378),
    1,
    sym_scoped_name,
    STATE(367),
    2,
    sym_annotation_appl_custom_body,
    sym_annotation_appl_builtin_body,
    STATE(537),
    24,
    sym_annotation_appl_id,
    sym_annotation_appl_autoid,
    sym_annotation_appl_optional,
    sym_annotation_appl_position,
    sym_annotation_appl_value,
    sym_annotation_appl_extensibility,
    sym_annotation_appl_final,
    sym_annotation_appl_appendable,
    sym_annotation_appl_mutable,
    sym_annotation_appl_key,
    sym_annotation_appl_must_understand,
    sym_annotation_appl_default_literal,
    sym_annotation_appl_default,
    sym_annotation_appl_range,
    sym_annotation_appl_min,
    sym_annotation_appl_max,
    sym_annotation_appl_unit,
    sym_annotation_appl_bit_bound,
    sym_annotation_appl_external,
    sym_annotation_appl_nested,
    sym_annotation_appl_verbatim,
    sym_annotation_appl_service,
    sym_annotation_appl_oneway,
    sym_annotation_appl_ami,
    [5258] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(78),
    1,
    sym_comment,
    ACTIONS(1352),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1350),
    45,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_exception,
    anon_sym_abstract,
    anon_sym_void,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_oneway,
    anon_sym_valuetype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_typeid,
    anon_sym_import,
    anon_sym_Object,
    sym_value_base_type,
    anon_sym_native,
    sym_identifier,
    [5325] = 35,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(81),
    1,
    anon_sym_fixed,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(105),
    1,
    anon_sym_any,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(109),
    1,
    anon_sym_map,
    ACTIONS(151),
    1,
    anon_sym_Object,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(79),
    1,
    sym_comment,
    STATE(395),
    1,
    sym_scoped_name,
    STATE(504),
    1,
    sym_base_type_spec,
    STATE(807),
    1,
    sym_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(415),
    2,
    sym_simple_type_spec,
    sym_template_type_spec,
    ACTIONS(79),
    3,
    sym_boolean_type,
    sym_octet_type,
    sym_value_base_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(476),
    4,
    sym_string_type,
    sym_fixed_pt_type,
    sym_sequence_type,
    sym_map_type,
    STATE(494),
    5,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_any_type,
    sym_object_type,
    [5452] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1009),
    1,
    anon_sym_fixed,
    STATE(80),
    1,
    sym_comment,
    STATE(779),
    1,
    sym_scoped_name,
    STATE(1184),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1007),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(964),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [5557] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(97),
    1,
    anon_sym_longdouble,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(107),
    1,
    anon_sym_sequence,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1009),
    1,
    anon_sym_fixed,
    STATE(81),
    1,
    sym_comment,
    STATE(779),
    1,
    sym_scoped_name,
    STATE(1137),
    1,
    sym_const_type,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(95),
    2,
    anon_sym_float,
    anon_sym_double,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    ACTIONS(103),
    2,
    anon_sym_string,
    anon_sym_wstring,
    ACTIONS(1007),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    STATE(964),
    6,
    sym_fixed_pt_const_type,
    sym_integer_type,
    sym_floating_pt_type,
    sym_char_type,
    sym_string_type,
    sym_sequence_type,
    [5662] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1358),
    1,
    anon_sym_default,
    ACTIONS(1361),
    1,
    anon_sym_case,
    STATE(88),
    1,
    sym_case_label,
    STATE(82),
    2,
    sym_comment,
    aux_sym_case_repeat1,
    ACTIONS(1356),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1354),
    32,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [5725] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1364),
    1,
    sym_identifier,
    STATE(83),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(675),
    1,
    sym_annotation_appl_param,
    STATE(926),
    1,
    sym_const_expr,
    STATE(1121),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5837] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1364),
    1,
    sym_identifier,
    STATE(84),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(675),
    1,
    sym_annotation_appl_param,
    STATE(926),
    1,
    sym_const_expr,
    STATE(1090),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [5949] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1364),
    1,
    sym_identifier,
    STATE(85),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(675),
    1,
    sym_annotation_appl_param,
    STATE(926),
    1,
    sym_const_expr,
    STATE(1054),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6061] = 33,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1364),
    1,
    sym_identifier,
    STATE(86),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(675),
    1,
    sym_annotation_appl_param,
    STATE(926),
    1,
    sym_const_expr,
    STATE(927),
    1,
    sym_annotation_appl_params,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6173] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(87),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(657),
    1,
    sym_const_expr,
    STATE(1002),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6282] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(88),
    1,
    sym_comment,
    ACTIONS(1368),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1366),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6337] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(89),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(657),
    1,
    sym_const_expr,
    STATE(1004),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6446] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(90),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(657),
    1,
    sym_const_expr,
    STATE(1003),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6555] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(91),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(657),
    1,
    sym_const_expr,
    STATE(1009),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6664] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(92),
    1,
    sym_comment,
    ACTIONS(1372),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1370),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6719] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(93),
    1,
    sym_comment,
    ACTIONS(1376),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_ATignore_literal_names,
    ACTIONS(1374),
    34,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_default,
    anon_sym_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_case,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [6774] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(94),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(657),
    1,
    sym_const_expr,
    STATE(1158),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6883] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(95),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(657),
    1,
    sym_const_expr,
    STATE(887),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [6992] = 32,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(96),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(657),
    1,
    sym_const_expr,
    STATE(776),
    1,
    sym_positive_int_const,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7101] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(97),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(1197),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7207] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(98),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(973),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7313] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(99),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(957),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7419] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(100),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(1162),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7525] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(101),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(763),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7631] = 31,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(102),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(333),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(347),
    1,
    sym_or_expr,
    STATE(864),
    1,
    sym_const_expr,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7737] = 29,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(103),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(328),
    1,
    sym_and_expr,
    STATE(332),
    1,
    sym_xor_expr,
    STATE(336),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7837] = 28,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(104),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(304),
    1,
    sym_shift_expr,
    STATE(322),
    1,
    sym_and_expr,
    STATE(336),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [7934] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1382),
    1,
    anon_sym_AT,
    ACTIONS(1385),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(165),
    1,
    sym_extend_annotation_appl,
    STATE(166),
    1,
    sym_annotation_appl,
    STATE(105),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1380),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1378),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [7992] = 27,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(106),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(253),
    1,
    sym_add_expr,
    STATE(309),
    1,
    sym_shift_expr,
    STATE(336),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8086] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(107),
    1,
    sym_comment,
    STATE(132),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1390),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1388),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8137] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(108),
    1,
    sym_comment,
    STATE(125),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1394),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1392),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8188] = 26,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(109),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(232),
    1,
    sym_mult_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(252),
    1,
    sym_add_expr,
    STATE(336),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [8279] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(110),
    1,
    sym_comment,
    STATE(121),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1398),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1396),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8330] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(111),
    1,
    sym_comment,
    STATE(118),
    1,
    sym_extend_annotation_appl,
    ACTIONS(1402),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1400),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8381] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1408),
    1,
    anon_sym_LPAREN,
    STATE(112),
    1,
    sym_comment,
    ACTIONS(1406),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1404),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8431] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1414),
    1,
    anon_sym_LPAREN,
    STATE(113),
    1,
    sym_comment,
    ACTIONS(1412),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1410),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8481] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1420),
    1,
    anon_sym_LPAREN,
    STATE(114),
    1,
    sym_comment,
    ACTIONS(1418),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1416),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8531] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1426),
    1,
    anon_sym_LPAREN,
    STATE(115),
    1,
    sym_comment,
    ACTIONS(1424),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1422),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8581] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1432),
    1,
    anon_sym_LPAREN,
    STATE(116),
    1,
    sym_comment,
    ACTIONS(1430),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1428),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8631] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1438),
    1,
    anon_sym_LPAREN,
    STATE(117),
    1,
    sym_comment,
    ACTIONS(1436),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1434),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8681] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(118),
    1,
    sym_comment,
    ACTIONS(1390),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1388),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8729] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1444),
    1,
    anon_sym_LPAREN,
    STATE(119),
    1,
    sym_comment,
    ACTIONS(1442),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1440),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8779] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1450),
    1,
    anon_sym_LPAREN,
    STATE(120),
    1,
    sym_comment,
    ACTIONS(1448),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1446),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8829] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(121),
    1,
    sym_comment,
    ACTIONS(1454),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1452),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8877] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1460),
    1,
    anon_sym_LPAREN,
    STATE(122),
    1,
    sym_comment,
    ACTIONS(1458),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1456),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8927] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1466),
    1,
    anon_sym_LPAREN,
    STATE(123),
    1,
    sym_comment,
    ACTIONS(1464),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1462),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [8977] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(124),
    1,
    sym_comment,
    ACTIONS(1470),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1468),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9025] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(125),
    1,
    sym_comment,
    ACTIONS(1398),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1396),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9073] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(126),
    1,
    sym_comment,
    ACTIONS(1474),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1472),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9121] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(127),
    1,
    sym_comment,
    ACTIONS(1478),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1476),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9169] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(128),
    1,
    sym_comment,
    ACTIONS(1482),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1480),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9217] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(129),
    1,
    sym_comment,
    ACTIONS(1486),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1484),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9265] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(130),
    1,
    sym_comment,
    ACTIONS(1490),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1488),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9313] = 25,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(131),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(235),
    1,
    sym_unary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(242),
    1,
    sym_mult_expr,
    STATE(336),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [9401] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(132),
    1,
    sym_comment,
    ACTIONS(1494),
    8,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1492),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9449] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(133),
    1,
    sym_comment,
    ACTIONS(1498),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1496),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [9496] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(134),
    1,
    sym_comment,
    ACTIONS(1502),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1500),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9543] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(135),
    1,
    sym_comment,
    ACTIONS(1506),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1504),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9590] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(136),
    1,
    sym_comment,
    ACTIONS(1510),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1508),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9637] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(137),
    1,
    sym_comment,
    ACTIONS(1514),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1512),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9684] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(138),
    1,
    sym_comment,
    ACTIONS(1518),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1516),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9731] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(139),
    1,
    sym_comment,
    ACTIONS(1522),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1520),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9778] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(140),
    1,
    sym_comment,
    ACTIONS(1526),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1524),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9825] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(141),
    1,
    sym_comment,
    ACTIONS(1530),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1528),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9872] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(142),
    1,
    sym_comment,
    ACTIONS(1534),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1532),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9919] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(143),
    1,
    sym_comment,
    ACTIONS(1538),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1536),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [9966] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(144),
    1,
    sym_comment,
    ACTIONS(1542),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1540),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10013] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(145),
    1,
    sym_comment,
    ACTIONS(1546),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1544),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10060] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(146),
    1,
    sym_comment,
    ACTIONS(1550),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1548),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10107] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(147),
    1,
    sym_comment,
    ACTIONS(1554),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1552),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10154] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(148),
    1,
    sym_comment,
    ACTIONS(1558),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1556),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10201] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(149),
    1,
    sym_comment,
    ACTIONS(1562),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1560),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10248] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(150),
    1,
    sym_comment,
    ACTIONS(1566),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1564),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10295] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(151),
    1,
    sym_comment,
    ACTIONS(1570),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1568),
    30,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [10342] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(152),
    1,
    sym_comment,
    ACTIONS(1574),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1572),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10389] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(153),
    1,
    sym_comment,
    ACTIONS(1578),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1576),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10436] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(154),
    1,
    sym_comment,
    ACTIONS(1582),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1580),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [10483] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(155),
    1,
    sym_comment,
    ACTIONS(1586),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1584),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10530] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(156),
    1,
    sym_comment,
    ACTIONS(1590),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1588),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [10577] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(157),
    1,
    sym_comment,
    ACTIONS(1594),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1592),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10624] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(158),
    1,
    sym_comment,
    ACTIONS(1598),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1596),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10671] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(159),
    1,
    sym_comment,
    ACTIONS(1602),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1600),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10718] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(160),
    1,
    sym_comment,
    ACTIONS(1606),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1604),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10765] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(161),
    1,
    sym_comment,
    ACTIONS(1610),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1608),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10812] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(162),
    1,
    sym_comment,
    ACTIONS(1614),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1612),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10859] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(163),
    1,
    sym_comment,
    ACTIONS(1618),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1616),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [10906] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(607),
    1,
    anon_sym_TILDE,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(164),
    1,
    sym_comment,
    STATE(181),
    1,
    sym_unary_operator,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(230),
    1,
    sym_primary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(243),
    1,
    sym_unary_expr,
    STATE(336),
    1,
    sym_integer_sign,
    ACTIONS(603),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [10991] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(165),
    1,
    sym_comment,
    ACTIONS(1622),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1620),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11038] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(166),
    1,
    sym_comment,
    ACTIONS(1626),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1624),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11085] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(167),
    1,
    sym_comment,
    ACTIONS(1630),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1628),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11132] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(168),
    1,
    sym_comment,
    ACTIONS(1634),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1632),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11179] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(169),
    1,
    sym_comment,
    ACTIONS(1638),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1636),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11226] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(170),
    1,
    sym_comment,
    ACTIONS(1642),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1640),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11273] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(171),
    1,
    sym_comment,
    ACTIONS(1646),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_RBRACE,
    anon_sym_ATignore_literal_names,
    ACTIONS(1644),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_typedef,
    sym_identifier,
    [11320] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(172),
    1,
    sym_comment,
    ACTIONS(1650),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1648),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11367] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(173),
    1,
    sym_comment,
    ACTIONS(1654),
    7,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(1652),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11414] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(174),
    1,
    sym_comment,
    ACTIONS(1658),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1656),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11459] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(175),
    1,
    sym_comment,
    ACTIONS(1662),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1660),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11504] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(176),
    1,
    sym_comment,
    ACTIONS(1666),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1664),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11549] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(177),
    1,
    sym_comment,
    ACTIONS(1670),
    5,
    anon_sym_longlong,
    anon_sym_unsignedshort,
    anon_sym_unsignedlonglong,
    anon_sym_longdouble,
    anon_sym_COLON_COLON,
    ACTIONS(1668),
    26,
    anon_sym_short,
    anon_sym_int16,
    anon_sym_long,
    anon_sym_int32,
    anon_sym_int64,
    sym_unsigned_tiny_int,
    sym_boolean_type,
    anon_sym_fixed,
    sym_octet_type,
    sym_signed_tiny_int,
    anon_sym_uint16,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    anon_sym_uint64,
    anon_sym_float,
    anon_sym_double,
    anon_sym_char,
    anon_sym_wchar,
    anon_sym_string,
    anon_sym_wstring,
    anon_sym_any,
    anon_sym_sequence,
    anon_sym_map,
    anon_sym_Object,
    sym_value_base_type,
    sym_identifier,
    [11594] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(178),
    1,
    sym_comment,
    ACTIONS(1674),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1672),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11639] = 24,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(73),
    1,
    anon_sym_longlong,
    ACTIONS(75),
    1,
    anon_sym_int64,
    ACTIONS(77),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(83),
    1,
    sym_signed_tiny_int,
    ACTIONS(85),
    1,
    anon_sym_unsignedshort,
    ACTIONS(87),
    1,
    anon_sym_uint16,
    ACTIONS(91),
    1,
    anon_sym_unsignedlonglong,
    ACTIONS(93),
    1,
    anon_sym_uint64,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1676),
    1,
    sym_boolean_type,
    STATE(179),
    1,
    sym_comment,
    STATE(795),
    1,
    sym_scoped_name,
    STATE(1167),
    1,
    sym_switch_type_spec,
    ACTIONS(69),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(71),
    2,
    anon_sym_long,
    anon_sym_int32,
    ACTIONS(89),
    2,
    anon_sym_unsignedlong,
    anon_sym_uint32,
    ACTIONS(99),
    2,
    anon_sym_char,
    anon_sym_wchar,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(1168),
    2,
    sym_integer_type,
    sym_char_type,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    [11722] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(180),
    1,
    sym_comment,
    ACTIONS(1680),
    3,
    anon_sym_POUNDdefine,
    sym_preproc_directive,
    anon_sym_AT,
    ACTIONS(1678),
    28,
    ts_builtin_sym_end,
    aux_sym_preproc_include_token1,
    anon_sym_exception,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11767] = 21,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(605),
    1,
    anon_sym_LPAREN,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(617),
    1,
    anon_sym_L,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(181),
    1,
    sym_comment,
    STATE(214),
    1,
    sym_scoped_name,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(221),
    1,
    sym_primary_expr,
    STATE(238),
    1,
    sym_literal,
    STATE(336),
    1,
    sym_integer_sign,
    ACTIONS(609),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(611),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(613),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    ACTIONS(621),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [11843] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1686),
    1,
    anon_sym_AT,
    STATE(182),
    1,
    sym_comment,
    ACTIONS(1684),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11886] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1690),
    1,
    anon_sym_AT,
    STATE(183),
    1,
    sym_comment,
    ACTIONS(1688),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11929] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1694),
    1,
    anon_sym_AT,
    STATE(184),
    1,
    sym_comment,
    ACTIONS(1692),
    28,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_alias,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [11972] = 23,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(21),
    1,
    anon_sym_interface,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(29),
    1,
    anon_sym_AT,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    STATE(185),
    1,
    sym_comment,
    STATE(251),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(306),
    1,
    sym_extend_annotation_appl,
    STATE(861),
    1,
    sym_enum_anno,
    STATE(867),
    1,
    sym_interface_kind,
    STATE(993),
    1,
    sym_interface_header,
    ACTIONS(17),
    2,
    anon_sym_local,
    anon_sym_abstract,
    STATE(728),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(764),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(1169),
    2,
    sym_interface_forward_dcl,
    sym_interface_def,
    STATE(796),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [12050] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1698),
    1,
    anon_sym_AT,
    STATE(186),
    1,
    sym_comment,
    ACTIONS(1696),
    27,
    anon_sym_exception,
    anon_sym_RBRACE,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_ATannotation,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_module,
    anon_sym_valuetype,
    anon_sym_eventtype,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_const,
    anon_sym_custom,
    anon_sym_typedef,
    anon_sym_ATignore_literal_names,
    anon_sym_typeid,
    anon_sym_typeprefix,
    anon_sym_import,
    anon_sym_component,
    anon_sym_home,
    anon_sym_porttype,
    anon_sym_connector,
    anon_sym_native,
    [12092] = 19,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(71),
    1,
    anon_sym_long,
    ACTIONS(89),
    1,
    anon_sym_unsignedlong,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1702),
    1,
    anon_sym_int32,
    ACTIONS(1704),
    1,
    sym_unsigned_tiny_int,
    ACTIONS(1708),
    1,
    sym_signed_tiny_int,
    ACTIONS(1710),
    1,
    anon_sym_uint32,
    STATE(187),
    1,
    sym_comment,
    STATE(901),
    1,
    sym_destination_type,
    STATE(902),
    1,
    sym_integer_type,
    ACTIONS(73),
    2,
    anon_sym_longlong,
    anon_sym_int64,
    ACTIONS(85),
    2,
    anon_sym_unsignedshort,
    anon_sym_uint16,
    ACTIONS(91),
    2,
    anon_sym_unsignedlonglong,
    anon_sym_uint64,
    ACTIONS(1700),
    2,
    anon_sym_short,
    anon_sym_int16,
    ACTIONS(1706),
    2,
    sym_boolean_type,
    sym_octet_type,
    STATE(386),
    2,
    sym_unsigned_int,
    sym_signed_int,
    STATE(394),
    3,
    sym_unsigned_short_int,
    sym_unsigned_long_int,
    sym_unsigned_longlong_int,
    STATE(405),
    3,
    sym_signed_short_int,
    sym_signed_long_int,
    sym_signed_longlong_int,
    [12160] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(188),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(854),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12223] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(189),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1071),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12286] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(190),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1035),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12349] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(191),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(853),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12412] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(192),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1107),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12475] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(193),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(897),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12538] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(194),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1076),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12601] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(195),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1111),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12664] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(196),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1102),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12727] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(197),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1045),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12790] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(198),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1044),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12853] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(199),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1112),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12916] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(200),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(873),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [12979] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(201),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1040),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13042] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(202),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1022),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13105] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(203),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1081),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13168] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(204),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(879),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13231] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    ACTIONS(1718),
    1,
    anon_sym_L,
    STATE(205),
    1,
    sym_comment,
    STATE(216),
    1,
    sym_dec_number,
    STATE(219),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_integer_sign,
    STATE(1080),
    1,
    sym_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    STATE(229),
    8,
    sym_integer_literal,
    sym_floating_pt_literal,
    sym_fixed_pt_literal,
    sym_string_literal,
    sym_wide_string_literal,
    sym_char_literal,
    sym_wide_character_literal,
    sym_boolean_literal,
    [13294] = 17,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1722),
    1,
    anon_sym_RBRACE,
    ACTIONS(1724),
    1,
    anon_sym_readonly,
    ACTIONS(1726),
    1,
    anon_sym_attribute,
    ACTIONS(1728),
    1,
    anon_sym_provides,
    ACTIONS(1730),
    1,
    anon_sym_uses,
    ACTIONS(1732),
    1,
    anon_sym_emits,
    ACTIONS(1734),
    1,
    anon_sym_publishes,
    ACTIONS(1736),
    1,
    anon_sym_consumes,
    STATE(206),
    1,
    sym_comment,
    STATE(211),
    1,
    aux_sym_component_body_repeat1,
    STATE(320),
    1,
    sym_component_export,
    STATE(955),
    1,
    sym_component_body,
    ACTIONS(1738),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(956),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13354] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1740),
    1,
    anon_sym_RBRACE,
    ACTIONS(1742),
    1,
    anon_sym_readonly,
    ACTIONS(1745),
    1,
    anon_sym_attribute,
    ACTIONS(1748),
    1,
    anon_sym_provides,
    ACTIONS(1751),
    1,
    anon_sym_uses,
    ACTIONS(1754),
    1,
    anon_sym_emits,
    ACTIONS(1757),
    1,
    anon_sym_publishes,
    ACTIONS(1760),
    1,
    anon_sym_consumes,
    STATE(320),
    1,
    sym_component_export,
    ACTIONS(1763),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(207),
    2,
    sym_comment,
    aux_sym_component_body_repeat1,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(956),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13409] = 18,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(23),
    1,
    anon_sym_bitset,
    ACTIONS(25),
    1,
    anon_sym_bitmask,
    ACTIONS(29),
    1,
    anon_sym_AT,
    ACTIONS(31),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(39),
    1,
    anon_sym_struct,
    ACTIONS(41),
    1,
    anon_sym_union,
    ACTIONS(43),
    1,
    anon_sym_enum,
    ACTIONS(51),
    1,
    anon_sym_ATignore_literal_names,
    STATE(208),
    1,
    sym_comment,
    STATE(251),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(306),
    1,
    sym_extend_annotation_appl,
    STATE(861),
    1,
    sym_enum_anno,
    STATE(728),
    2,
    sym_struct_forward_dcl,
    sym_struct_def,
    STATE(764),
    2,
    sym_union_forward_dcl,
    sym_union_def,
    STATE(796),
    5,
    sym_bitset_dcl,
    sym_bitmask_dcl,
    sym_enum_dcl,
    sym_union_dcl,
    sym_struct_dcl,
    [13470] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(209),
    1,
    sym_comment,
    ACTIONS(1484),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1486),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13505] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(210),
    1,
    sym_comment,
    ACTIONS(1488),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1490),
    18,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_supports,
    anon_sym_RBRACK,
    anon_sym_manages,
    anon_sym_primarykey,
    [13540] = 16,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1724),
    1,
    anon_sym_readonly,
    ACTIONS(1726),
    1,
    anon_sym_attribute,
    ACTIONS(1728),
    1,
    anon_sym_provides,
    ACTIONS(1730),
    1,
    anon_sym_uses,
    ACTIONS(1732),
    1,
    anon_sym_emits,
    ACTIONS(1734),
    1,
    anon_sym_publishes,
    ACTIONS(1736),
    1,
    anon_sym_consumes,
    ACTIONS(1766),
    1,
    anon_sym_RBRACE,
    STATE(207),
    1,
    aux_sym_component_body_repeat1,
    STATE(211),
    1,
    sym_comment,
    STATE(320),
    1,
    sym_component_export,
    ACTIONS(1738),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(956),
    7,
    sym_attr_dcl,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_emits_dcl,
    sym_publishes_dcl,
    sym_consumes_dcl,
    sym_port_dcl,
    [13597] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(212),
    1,
    sym_comment,
    ACTIONS(1480),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1482),
    17,
    anon_sym_COLON_COLON,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    sym_identifier,
    [13631] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(213),
    1,
    sym_comment,
    ACTIONS(1768),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1770),
    17,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_DOT,
    aux_sym_floating_pt_literal_token1,
    aux_sym_fixed_pt_literal_token1,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13664] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    STATE(214),
    1,
    sym_comment,
    ACTIONS(1774),
    3,
    anon_sym_GT,
    anon_sym_SLASH,
    anon_sym_COLON,
    ACTIONS(1776),
    13,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13697] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1782),
    1,
    anon_sym_DOT,
    STATE(215),
    1,
    sym_comment,
    ACTIONS(1778),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1780),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13730] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1788),
    1,
    anon_sym_DOT,
    STATE(216),
    1,
    sym_comment,
    ACTIONS(1784),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1786),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13763] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(217),
    1,
    sym_comment,
    ACTIONS(1790),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1792),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13793] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(218),
    1,
    sym_comment,
    ACTIONS(1794),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1796),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13823] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(219),
    1,
    sym_comment,
    ACTIONS(1784),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1786),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13853] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1724),
    1,
    anon_sym_readonly,
    ACTIONS(1726),
    1,
    anon_sym_attribute,
    ACTIONS(1728),
    1,
    anon_sym_provides,
    ACTIONS(1730),
    1,
    anon_sym_uses,
    ACTIONS(1798),
    1,
    anon_sym_RBRACE,
    STATE(220),
    1,
    sym_comment,
    STATE(245),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(346),
    1,
    sym_connector_export,
    STATE(349),
    1,
    sym_port_ref,
    STATE(946),
    1,
    sym_attr_dcl,
    ACTIONS(1738),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(945),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [13903] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(221),
    1,
    sym_comment,
    ACTIONS(1800),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1802),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13933] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(222),
    1,
    sym_comment,
    ACTIONS(1778),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1780),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13963] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(223),
    1,
    sym_comment,
    ACTIONS(1804),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1806),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [13993] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(224),
    1,
    sym_comment,
    ACTIONS(1808),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1810),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14023] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(225),
    1,
    sym_comment,
    ACTIONS(1812),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1814),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14053] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(226),
    1,
    sym_comment,
    ACTIONS(1816),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1818),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14083] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(227),
    1,
    sym_comment,
    ACTIONS(1820),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1822),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14113] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1724),
    1,
    anon_sym_readonly,
    ACTIONS(1726),
    1,
    anon_sym_attribute,
    ACTIONS(1728),
    1,
    anon_sym_provides,
    ACTIONS(1730),
    1,
    anon_sym_uses,
    ACTIONS(1824),
    1,
    anon_sym_RBRACE,
    STATE(228),
    1,
    sym_comment,
    STATE(244),
    1,
    aux_sym_port_body_repeat1,
    STATE(337),
    1,
    sym_port_ref,
    STATE(339),
    1,
    sym_port_export,
    STATE(1152),
    1,
    sym_attr_dcl,
    ACTIONS(1738),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(945),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14163] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(229),
    1,
    sym_comment,
    ACTIONS(1826),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1828),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14193] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(230),
    1,
    sym_comment,
    ACTIONS(1830),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1832),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14223] = 15,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1724),
    1,
    anon_sym_readonly,
    ACTIONS(1726),
    1,
    anon_sym_attribute,
    ACTIONS(1728),
    1,
    anon_sym_provides,
    ACTIONS(1730),
    1,
    anon_sym_uses,
    ACTIONS(1834),
    1,
    anon_sym_RBRACE,
    STATE(228),
    1,
    aux_sym_port_body_repeat1,
    STATE(231),
    1,
    sym_comment,
    STATE(337),
    1,
    sym_port_ref,
    STATE(339),
    1,
    sym_port_export,
    STATE(1152),
    1,
    sym_attr_dcl,
    ACTIONS(1738),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(945),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14273] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1836),
    1,
    anon_sym_GT,
    ACTIONS(1842),
    1,
    anon_sym_SLASH,
    STATE(232),
    1,
    sym_comment,
    ACTIONS(1840),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1838),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14307] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(233),
    1,
    sym_comment,
    ACTIONS(1844),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1846),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14337] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(234),
    1,
    sym_comment,
    ACTIONS(1848),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1850),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14367] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(235),
    1,
    sym_comment,
    ACTIONS(1852),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1854),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14397] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(236),
    1,
    sym_comment,
    ACTIONS(1856),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1858),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14427] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(237),
    1,
    sym_comment,
    ACTIONS(1860),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1862),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14457] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(238),
    1,
    sym_comment,
    ACTIONS(1774),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1776),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14487] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(239),
    1,
    sym_comment,
    ACTIONS(1864),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1866),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14517] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(240),
    1,
    sym_comment,
    ACTIONS(1868),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1870),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14547] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(241),
    1,
    sym_comment,
    ACTIONS(1856),
    6,
    anon_sym_COLON_COLON,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_LPAREN,
    anon_sym_DQUOTE,
    anon_sym_SQUOTE,
    ACTIONS(1858),
    10,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    sym_hex_number,
    anon_sym_L,
    anon_sym_TRUE,
    anon_sym_FALSE,
    sym_identifier,
    [14577] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1842),
    1,
    anon_sym_SLASH,
    ACTIONS(1872),
    1,
    anon_sym_GT,
    STATE(242),
    1,
    sym_comment,
    ACTIONS(1840),
    2,
    anon_sym_STAR,
    anon_sym_PERCENT,
    ACTIONS(1874),
    12,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14611] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(243),
    1,
    sym_comment,
    ACTIONS(1876),
    2,
    anon_sym_GT,
    anon_sym_SLASH,
    ACTIONS(1878),
    14,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [14641] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1880),
    1,
    anon_sym_RBRACE,
    ACTIONS(1882),
    1,
    anon_sym_readonly,
    ACTIONS(1885),
    1,
    anon_sym_attribute,
    ACTIONS(1888),
    1,
    anon_sym_provides,
    ACTIONS(1891),
    1,
    anon_sym_uses,
    STATE(337),
    1,
    sym_port_ref,
    STATE(339),
    1,
    sym_port_export,
    STATE(1152),
    1,
    sym_attr_dcl,
    ACTIONS(1894),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(244),
    2,
    sym_comment,
    aux_sym_port_body_repeat1,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(945),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14689] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1897),
    1,
    anon_sym_RBRACE,
    ACTIONS(1899),
    1,
    anon_sym_readonly,
    ACTIONS(1902),
    1,
    anon_sym_attribute,
    ACTIONS(1905),
    1,
    anon_sym_provides,
    ACTIONS(1908),
    1,
    anon_sym_uses,
    STATE(346),
    1,
    sym_connector_export,
    STATE(349),
    1,
    sym_port_ref,
    STATE(946),
    1,
    sym_attr_dcl,
    ACTIONS(1911),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(245),
    2,
    sym_comment,
    aux_sym_connector_dcl_repeat1,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(945),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14737] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1916),
    1,
    anon_sym_c,
    STATE(246),
    1,
    sym_comment,
    STATE(1117),
    1,
    sym_string_literal,
    STATE(1239),
    1,
    sym_verbatim_language,
    STATE(1240),
    1,
    sym_placement_kind,
    ACTIONS(1914),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [14776] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1916),
    1,
    anon_sym_c,
    STATE(247),
    1,
    sym_comment,
    STATE(890),
    1,
    sym_string_literal,
    STATE(895),
    1,
    sym_verbatim_language,
    STATE(898),
    1,
    sym_placement_kind,
    ACTIONS(1914),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [14815] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1916),
    1,
    anon_sym_c,
    STATE(248),
    1,
    sym_comment,
    STATE(1050),
    1,
    sym_string_literal,
    STATE(1211),
    1,
    sym_verbatim_language,
    STATE(1212),
    1,
    sym_placement_kind,
    ACTIONS(1914),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [14854] = 14,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1724),
    1,
    anon_sym_readonly,
    ACTIONS(1726),
    1,
    anon_sym_attribute,
    ACTIONS(1728),
    1,
    anon_sym_provides,
    ACTIONS(1730),
    1,
    anon_sym_uses,
    STATE(220),
    1,
    aux_sym_connector_dcl_repeat1,
    STATE(249),
    1,
    sym_comment,
    STATE(346),
    1,
    sym_connector_export,
    STATE(349),
    1,
    sym_port_ref,
    STATE(946),
    1,
    sym_attr_dcl,
    ACTIONS(1738),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(970),
    2,
    sym_readonly_attr_spec,
    sym_attr_spec,
    STATE(945),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [14901] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1916),
    1,
    anon_sym_c,
    STATE(250),
    1,
    sym_comment,
    STATE(1086),
    1,
    sym_string_literal,
    STATE(1225),
    1,
    sym_verbatim_language,
    STATE(1226),
    1,
    sym_placement_kind,
    ACTIONS(1914),
    4,
    anon_sym_STAR,
    anon_sym_c_PLUS_PLUS,
    anon_sym_java,
    anon_sym_idl,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [14940] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1920),
    1,
    anon_sym_AT,
    ACTIONS(1923),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(282),
    1,
    sym_annotation_appl,
    STATE(306),
    1,
    sym_extend_annotation_appl,
    STATE(251),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    ACTIONS(1380),
    9,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [14974] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1926),
    1,
    anon_sym_GT,
    STATE(252),
    1,
    sym_comment,
    ACTIONS(1930),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1928),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15003] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1932),
    1,
    anon_sym_GT,
    STATE(253),
    1,
    sym_comment,
    ACTIONS(1930),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1934),
    10,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [15032] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1484),
    1,
    anon_sym_AT,
    STATE(254),
    1,
    sym_comment,
    ACTIONS(1486),
    12,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15059] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1774),
    1,
    anon_sym_SLASH,
    ACTIONS(1936),
    1,
    anon_sym_GT,
    ACTIONS(1938),
    1,
    anon_sym_COMMA,
    STATE(255),
    1,
    sym_comment,
    ACTIONS(1776),
    9,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    [15092] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1480),
    1,
    anon_sym_AT,
    STATE(256),
    1,
    sym_comment,
    ACTIONS(1482),
    12,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15119] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1480),
    1,
    anon_sym_SLASH,
    ACTIONS(1940),
    1,
    anon_sym_EQ,
    STATE(257),
    1,
    sym_comment,
    ACTIONS(1482),
    11,
    anon_sym_COLON_COLON,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    anon_sym_PLUS,
    anon_sym_DASH,
    anon_sym_STAR,
    anon_sym_PERCENT,
    anon_sym_RPAREN,
    [15148] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1462),
    1,
    anon_sym_AT,
    ACTIONS(1942),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(1944),
    1,
    anon_sym_LPAREN,
    STATE(258),
    1,
    sym_comment,
    ACTIONS(1464),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15179] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1488),
    1,
    anon_sym_AT,
    STATE(259),
    1,
    sym_comment,
    ACTIONS(1490),
    12,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15206] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(260),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1072),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15244] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1456),
    1,
    anon_sym_AT,
    ACTIONS(1946),
    1,
    anon_sym_LPAREN,
    STATE(261),
    1,
    sym_comment,
    ACTIONS(1458),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15272] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1440),
    1,
    anon_sym_AT,
    ACTIONS(1948),
    1,
    anon_sym_LPAREN,
    STATE(262),
    1,
    sym_comment,
    ACTIONS(1442),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15300] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(263),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1103),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15338] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(264),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1083),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15376] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1422),
    1,
    anon_sym_AT,
    ACTIONS(1950),
    1,
    anon_sym_LPAREN,
    STATE(265),
    1,
    sym_comment,
    ACTIONS(1424),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15404] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(266),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1075),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15442] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(267),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1106),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15480] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(268),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1114),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15518] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(269),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(878),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15556] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(270),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(874),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15594] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1416),
    1,
    anon_sym_AT,
    ACTIONS(1952),
    1,
    anon_sym_LPAREN,
    STATE(271),
    1,
    sym_comment,
    ACTIONS(1418),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15622] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(272),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(863),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15660] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1428),
    1,
    anon_sym_AT,
    ACTIONS(1954),
    1,
    anon_sym_LPAREN,
    STATE(273),
    1,
    sym_comment,
    ACTIONS(1430),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15688] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1404),
    1,
    anon_sym_AT,
    ACTIONS(1956),
    1,
    anon_sym_LPAREN,
    STATE(274),
    1,
    sym_comment,
    ACTIONS(1406),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15716] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1446),
    1,
    anon_sym_AT,
    ACTIONS(1958),
    1,
    anon_sym_LPAREN,
    STATE(275),
    1,
    sym_comment,
    ACTIONS(1448),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15744] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1410),
    1,
    anon_sym_AT,
    ACTIONS(1960),
    1,
    anon_sym_LPAREN,
    STATE(276),
    1,
    sym_comment,
    ACTIONS(1412),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15772] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1434),
    1,
    anon_sym_AT,
    ACTIONS(1962),
    1,
    anon_sym_LPAREN,
    STATE(277),
    1,
    sym_comment,
    ACTIONS(1436),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15800] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(278),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1039),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15838] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(279),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1047),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15876] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(280),
    1,
    sym_comment,
    STATE(334),
    1,
    sym_integer_sign,
    STATE(1036),
    1,
    sym_integer_literal,
    ACTIONS(1682),
    2,
    anon_sym_PLUS,
    anon_sym_DASH,
    ACTIONS(1712),
    2,
    sym_bin_number,
    sym_hex_number,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    STATE(219),
    2,
    sym_oct_number,
    sym_dec_number,
    [15914] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1564),
    1,
    anon_sym_AT,
    STATE(281),
    1,
    sym_comment,
    ACTIONS(1566),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15939] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1624),
    1,
    anon_sym_AT,
    STATE(282),
    1,
    sym_comment,
    ACTIONS(1626),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15964] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1616),
    1,
    anon_sym_AT,
    STATE(283),
    1,
    sym_comment,
    ACTIONS(1618),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [15989] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1504),
    1,
    anon_sym_AT,
    STATE(284),
    1,
    sym_comment,
    ACTIONS(1506),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16014] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1648),
    1,
    anon_sym_AT,
    STATE(285),
    1,
    sym_comment,
    ACTIONS(1650),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16039] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1576),
    1,
    anon_sym_AT,
    STATE(286),
    1,
    sym_comment,
    ACTIONS(1578),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16064] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1604),
    1,
    anon_sym_AT,
    STATE(287),
    1,
    sym_comment,
    ACTIONS(1606),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16089] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1596),
    1,
    anon_sym_AT,
    STATE(288),
    1,
    sym_comment,
    ACTIONS(1598),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16114] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1600),
    1,
    anon_sym_AT,
    STATE(289),
    1,
    sym_comment,
    ACTIONS(1602),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16139] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1532),
    1,
    anon_sym_AT,
    STATE(290),
    1,
    sym_comment,
    ACTIONS(1534),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16164] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1632),
    1,
    anon_sym_AT,
    STATE(291),
    1,
    sym_comment,
    ACTIONS(1634),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16189] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1520),
    1,
    anon_sym_AT,
    STATE(292),
    1,
    sym_comment,
    ACTIONS(1522),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16214] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1652),
    1,
    anon_sym_AT,
    STATE(293),
    1,
    sym_comment,
    ACTIONS(1654),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16239] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1516),
    1,
    anon_sym_AT,
    STATE(294),
    1,
    sym_comment,
    ACTIONS(1518),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16264] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1472),
    1,
    anon_sym_AT,
    STATE(295),
    1,
    sym_comment,
    ACTIONS(1474),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16289] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1500),
    1,
    anon_sym_AT,
    STATE(296),
    1,
    sym_comment,
    ACTIONS(1502),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16314] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1524),
    1,
    anon_sym_AT,
    STATE(297),
    1,
    sym_comment,
    ACTIONS(1526),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16339] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1548),
    1,
    anon_sym_AT,
    STATE(298),
    1,
    sym_comment,
    ACTIONS(1550),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16364] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1476),
    1,
    anon_sym_AT,
    STATE(299),
    1,
    sym_comment,
    ACTIONS(1478),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16389] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1608),
    1,
    anon_sym_AT,
    STATE(300),
    1,
    sym_comment,
    ACTIONS(1610),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16414] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1628),
    1,
    anon_sym_AT,
    STATE(301),
    1,
    sym_comment,
    ACTIONS(1630),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16439] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1512),
    1,
    anon_sym_AT,
    STATE(302),
    1,
    sym_comment,
    ACTIONS(1514),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16464] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1544),
    1,
    anon_sym_AT,
    STATE(303),
    1,
    sym_comment,
    ACTIONS(1546),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16489] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1964),
    1,
    anon_sym_GT,
    STATE(304),
    1,
    sym_comment,
    ACTIONS(1968),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1966),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16516] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1552),
    1,
    anon_sym_AT,
    STATE(305),
    1,
    sym_comment,
    ACTIONS(1554),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16541] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1620),
    1,
    anon_sym_AT,
    STATE(306),
    1,
    sym_comment,
    ACTIONS(1622),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16566] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1560),
    1,
    anon_sym_AT,
    STATE(307),
    1,
    sym_comment,
    ACTIONS(1562),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16591] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1592),
    1,
    anon_sym_AT,
    STATE(308),
    1,
    sym_comment,
    ACTIONS(1594),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16616] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1970),
    1,
    anon_sym_GT,
    STATE(309),
    1,
    sym_comment,
    ACTIONS(1968),
    2,
    anon_sym_GT_GT,
    anon_sym_LT_LT,
    ACTIONS(1972),
    8,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_AMP,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16643] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1508),
    1,
    anon_sym_AT,
    STATE(310),
    1,
    sym_comment,
    ACTIONS(1510),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16668] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1556),
    1,
    anon_sym_AT,
    STATE(311),
    1,
    sym_comment,
    ACTIONS(1558),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16693] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1536),
    1,
    anon_sym_AT,
    STATE(312),
    1,
    sym_comment,
    ACTIONS(1538),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16718] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1612),
    1,
    anon_sym_AT,
    STATE(313),
    1,
    sym_comment,
    ACTIONS(1614),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16743] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1584),
    1,
    anon_sym_AT,
    STATE(314),
    1,
    sym_comment,
    ACTIONS(1586),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16768] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1572),
    1,
    anon_sym_AT,
    STATE(315),
    1,
    sym_comment,
    ACTIONS(1574),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16793] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1640),
    1,
    anon_sym_AT,
    STATE(316),
    1,
    sym_comment,
    ACTIONS(1642),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16818] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1528),
    1,
    anon_sym_AT,
    STATE(317),
    1,
    sym_comment,
    ACTIONS(1530),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16843] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1540),
    1,
    anon_sym_AT,
    STATE(318),
    1,
    sym_comment,
    ACTIONS(1542),
    10,
    anon_sym_local,
    anon_sym_abstract,
    anon_sym_interface,
    anon_sym_bitset,
    anon_sym_bitmask,
    anon_sym_SLASH_SLASH_AT,
    anon_sym_struct,
    anon_sym_union,
    anon_sym_enum,
    anon_sym_ATignore_literal_names,
    [16868] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(319),
    1,
    sym_comment,
    ACTIONS(1974),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [16890] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(320),
    1,
    sym_comment,
    ACTIONS(1976),
    10,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_emits,
    anon_sym_publishes,
    anon_sym_consumes,
    anon_sym_port,
    anon_sym_mirrorport,
    [16912] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1728),
    1,
    anon_sym_provides,
    ACTIONS(1730),
    1,
    anon_sym_uses,
    ACTIONS(1978),
    1,
    anon_sym_RBRACE,
    STATE(231),
    1,
    sym_port_ref,
    STATE(321),
    1,
    sym_comment,
    STATE(1028),
    1,
    sym_port_body,
    ACTIONS(1738),
    2,
    anon_sym_port,
    anon_sym_mirrorport,
    STATE(945),
    3,
    sym_provides_dcl,
    sym_uses_dcl,
    sym_port_dcl,
    [16946] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1982),
    1,
    anon_sym_AMP,
    STATE(322),
    1,
    sym_comment,
    ACTIONS(1980),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [16969] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(323),
    1,
    sym_comment,
    STATE(1058),
    1,
    sym_string_literal,
    STATE(1213),
    1,
    sym_placement_kind,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [16996] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(324),
    1,
    sym_comment,
    ACTIONS(1486),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [17017] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(325),
    1,
    sym_comment,
    ACTIONS(1490),
    9,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_DQUOTE,
    anon_sym_LBRACE,
    anon_sym_SEMI,
    sym_identifier,
    [17038] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(326),
    1,
    sym_comment,
    STATE(1123),
    1,
    sym_string_literal,
    STATE(1241),
    1,
    sym_placement_kind,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [17065] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(327),
    1,
    sym_comment,
    STATE(1015),
    1,
    sym_placement_kind,
    STATE(1016),
    1,
    sym_string_literal,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [17092] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1982),
    1,
    anon_sym_AMP,
    STATE(328),
    1,
    sym_comment,
    ACTIONS(1984),
    8,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_CARET,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17115] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(329),
    1,
    sym_comment,
    STATE(1092),
    1,
    sym_string_literal,
    STATE(1227),
    1,
    sym_placement_kind,
    ACTIONS(1918),
    6,
    anon_sym_BEGIN_FILE,
    anon_sym_BEFORE_DECLARATION,
    anon_sym_BEGIN_DECLARATION,
    anon_sym_END_DECLARATION,
    anon_sym_AFTER_DECLARATION,
    anon_sym_END_FILE,
    [17142] = 11,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1986),
    1,
    anon_sym_COMMA,
    ACTIONS(1988),
    1,
    anon_sym_SEMI,
    ACTIONS(1990),
    1,
    anon_sym_getraises,
    ACTIONS(1992),
    1,
    anon_sym_setraises,
    STATE(330),
    1,
    sym_comment,
    STATE(683),
    1,
    sym_get_excep_expr,
    STATE(685),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(998),
    1,
    sym_set_excep_expr,
    STATE(999),
    1,
    sym_attr_raises_expr,
    [17176] = 11,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1994),
    1,
    anon_sym_RBRACE,
    ACTIONS(1996),
    1,
    anon_sym_AT,
    ACTIONS(1998),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2000),
    1,
    sym_identifier,
    STATE(331),
    1,
    sym_comment,
    STATE(373),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(506),
    1,
    sym_annotation_appl,
    STATE(673),
    1,
    sym_bit_value,
    STATE(713),
    1,
    sym_extend_annotation_appl,
    [17210] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2004),
    1,
    anon_sym_CARET,
    STATE(332),
    1,
    sym_comment,
    ACTIONS(2002),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17232] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2004),
    1,
    anon_sym_CARET,
    STATE(333),
    1,
    sym_comment,
    ACTIONS(2006),
    7,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_PIPE,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17254] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(334),
    1,
    sym_comment,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2008),
    2,
    sym_bin_number,
    sym_hex_number,
    STATE(222),
    2,
    sym_oct_number,
    sym_dec_number,
    [17282] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(335),
    1,
    sym_comment,
    ACTIONS(1482),
    8,
    anon_sym_COLON_COLON,
    anon_sym_LT,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    anon_sym_manages,
    anon_sym_primarykey,
    [17302] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(613),
    1,
    anon_sym_0,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1716),
    1,
    aux_sym_dec_number_token1,
    STATE(215),
    1,
    sym_dec_number,
    STATE(222),
    1,
    sym_oct_number,
    STATE(336),
    1,
    sym_comment,
    ACTIONS(1714),
    2,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    ACTIONS(2008),
    2,
    sym_bin_number,
    sym_hex_number,
    [17332] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(337),
    1,
    sym_comment,
    ACTIONS(2010),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17351] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2012),
    1,
    anon_sym_RBRACE,
    ACTIONS(2014),
    1,
    anon_sym_default,
    ACTIONS(2016),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(88),
    1,
    sym_case_label,
    STATE(338),
    1,
    sym_comment,
    STATE(350),
    1,
    aux_sym_union_def_repeat1,
    STATE(554),
    1,
    sym_case,
    [17382] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(339),
    1,
    sym_comment,
    ACTIONS(2018),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17401] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(340),
    1,
    sym_comment,
    ACTIONS(2020),
    7,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    anon_sym_raises,
    anon_sym_getraises,
    anon_sym_setraises,
    anon_sym_default,
    [17420] = 10,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1996),
    1,
    anon_sym_AT,
    ACTIONS(1998),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2000),
    1,
    sym_identifier,
    STATE(341),
    1,
    sym_comment,
    STATE(373),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(506),
    1,
    sym_annotation_appl,
    STATE(713),
    1,
    sym_extend_annotation_appl,
    STATE(768),
    1,
    sym_bit_value,
    [17451] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2014),
    1,
    anon_sym_default,
    ACTIONS(2016),
    1,
    anon_sym_case,
    ACTIONS(2022),
    1,
    anon_sym_RBRACE,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(88),
    1,
    sym_case_label,
    STATE(338),
    1,
    aux_sym_union_def_repeat1,
    STATE(342),
    1,
    sym_comment,
    STATE(554),
    1,
    sym_case,
    [17482] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(343),
    1,
    sym_comment,
    ACTIONS(2024),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17501] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(344),
    1,
    sym_comment,
    ACTIONS(2026),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17520] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2028),
    1,
    anon_sym_LBRACE,
    ACTIONS(2030),
    1,
    anon_sym_COLON,
    ACTIONS(2032),
    1,
    anon_sym_SEMI,
    ACTIONS(2034),
    1,
    anon_sym_supports,
    STATE(345),
    1,
    sym_comment,
    STATE(601),
    1,
    sym_value_inheritance,
    STATE(1130),
    1,
    sym_value_supports,
    STATE(1132),
    1,
    sym_value_inheritance_spec,
    [17551] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(346),
    1,
    sym_comment,
    ACTIONS(2036),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17570] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2040),
    1,
    anon_sym_PIPE,
    STATE(347),
    1,
    sym_comment,
    ACTIONS(2038),
    6,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_COLON,
    anon_sym_SEMI,
    anon_sym_RBRACK,
    [17591] = 10,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2030),
    1,
    anon_sym_COLON,
    ACTIONS(2034),
    1,
    anon_sym_supports,
    ACTIONS(2042),
    1,
    anon_sym_LBRACE,
    ACTIONS(2044),
    1,
    anon_sym_SEMI,
    STATE(348),
    1,
    sym_comment,
    STATE(601),
    1,
    sym_value_inheritance,
    STATE(934),
    1,
    sym_value_inheritance_spec,
    STATE(1130),
    1,
    sym_value_supports,
    [17622] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(349),
    1,
    sym_comment,
    ACTIONS(2046),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17641] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2048),
    1,
    anon_sym_RBRACE,
    ACTIONS(2050),
    1,
    anon_sym_default,
    ACTIONS(2053),
    1,
    anon_sym_case,
    STATE(31),
    1,
    aux_sym_case_repeat1,
    STATE(88),
    1,
    sym_case_label,
    STATE(554),
    1,
    sym_case,
    STATE(350),
    2,
    sym_comment,
    aux_sym_union_def_repeat1,
    [17670] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(351),
    1,
    sym_comment,
    ACTIONS(2056),
    7,
    anon_sym_RBRACE,
    anon_sym_readonly,
    anon_sym_attribute,
    anon_sym_provides,
    anon_sym_uses,
    anon_sym_port,
    anon_sym_mirrorport,
    [17689] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2062),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(352),
    1,
    sym_comment,
    STATE(355),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [17717] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_Object,
    ACTIONS(2068),
    1,
    anon_sym_multiple,
    STATE(353),
    1,
    sym_comment,
    STATE(788),
    1,
    sym_scoped_name,
    STATE(1166),
    1,
    sym_interface_type,
    [17745] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2070),
    1,
    anon_sym_LBRACE,
    ACTIONS(2072),
    1,
    anon_sym_COLON,
    ACTIONS(2074),
    1,
    anon_sym_SEMI,
    ACTIONS(2076),
    1,
    anon_sym_supports,
    STATE(354),
    1,
    sym_comment,
    STATE(624),
    1,
    sym_component_inheritance_spec,
    STATE(1027),
    1,
    sym_supported_interface_spec,
    [17773] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1378),
    1,
    aux_sym_extend_annotation_appl_token1,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2078),
    1,
    anon_sym_AT,
    ACTIONS(2081),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    STATE(355),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [17799] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2086),
    1,
    anon_sym_0,
    STATE(356),
    1,
    sym_comment,
    ACTIONS(2084),
    5,
    sym_bin_number,
    aux_sym_oct_number_token1,
    aux_sym_oct_number_token2,
    aux_sym_dec_number_token1,
    sym_hex_number,
    [17819] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2030),
    1,
    anon_sym_COLON,
    ACTIONS(2034),
    1,
    anon_sym_supports,
    ACTIONS(2088),
    1,
    anon_sym_LBRACE,
    STATE(357),
    1,
    sym_comment,
    STATE(601),
    1,
    sym_value_inheritance,
    STATE(936),
    1,
    sym_value_inheritance_spec,
    STATE(1130),
    1,
    sym_value_supports,
    [17847] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2090),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(355),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(358),
    1,
    sym_comment,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [17875] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2092),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(355),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(359),
    1,
    sym_comment,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [17903] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2094),
    1,
    anon_sym_RBRACE,
    ACTIONS(2096),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(360),
    1,
    sym_comment,
    STATE(420),
    1,
    aux_sym_enumerator_repeat1,
    STATE(669),
    1,
    sym_enumerator,
    STATE(749),
    1,
    sym_enum_modifier,
    [17931] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2100),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(359),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(361),
    1,
    sym_comment,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [17959] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2030),
    1,
    anon_sym_COLON,
    ACTIONS(2034),
    1,
    anon_sym_supports,
    ACTIONS(2102),
    1,
    anon_sym_LBRACE,
    STATE(362),
    1,
    sym_comment,
    STATE(601),
    1,
    sym_value_inheritance,
    STATE(1007),
    1,
    sym_value_inheritance_spec,
    STATE(1130),
    1,
    sym_value_supports,
    [17987] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2104),
    1,
    anon_sym_LBRACK,
    STATE(363),
    1,
    sym_comment,
    STATE(369),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(428),
    1,
    sym_fixed_array_size,
    ACTIONS(2020),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18011] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2106),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(355),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(364),
    1,
    sym_comment,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [18039] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2096),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2098),
    1,
    sym_identifier,
    ACTIONS(2108),
    1,
    anon_sym_RBRACE,
    STATE(365),
    1,
    sym_comment,
    STATE(420),
    1,
    aux_sym_enumerator_repeat1,
    STATE(596),
    1,
    sym_enumerator,
    STATE(749),
    1,
    sym_enum_modifier,
    [18067] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2112),
    1,
    anon_sym_LBRACK,
    STATE(428),
    1,
    sym_fixed_array_size,
    STATE(366),
    2,
    sym_comment,
    aux_sym_array_declarator_repeat1,
    ACTIONS(2110),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18089] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2115),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(364),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(367),
    1,
    sym_comment,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [18117] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2117),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(352),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(368),
    1,
    sym_comment,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [18145] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2104),
    1,
    anon_sym_LBRACK,
    STATE(366),
    1,
    aux_sym_array_declarator_repeat1,
    STATE(369),
    1,
    sym_comment,
    STATE(428),
    1,
    sym_fixed_array_size,
    ACTIONS(2119),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [18169] = 9,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(370),
    1,
    sym_comment,
    STATE(822),
    1,
    sym_scoped_name,
    STATE(1186),
    1,
    sym_imported_scope,
    STATE(1188),
    1,
    sym_string_literal,
    [18197] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2058),
    1,
    anon_sym_AT,
    ACTIONS(2060),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2123),
    1,
    aux_sym_extend_annotation_appl_token1,
    STATE(358),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(371),
    1,
    sym_comment,
    STATE(517),
    1,
    sym_annotation_appl,
    STATE(518),
    1,
    sym_extend_annotation_appl,
    [18225] = 8,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1380),
    1,
    sym_identifier,
    ACTIONS(2125),
    1,
    anon_sym_AT,
    ACTIONS(2128),
    1,
    anon_sym_SLASH_SLASH_AT,
    STATE(506),
    1,
    sym_annotation_appl,
    STATE(713),
    1,
    sym_extend_annotation_appl,
    STATE(372),
    2,
    sym_comment,
    aux_sym_interface_dcl_repeat1,
    [18251] = 9,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(1996),
    1,
    anon_sym_AT,
    ACTIONS(1998),
    1,
    anon_sym_SLASH_SLASH_AT,
    ACTIONS(2131),
    1,
    sym_identifier,
    STATE(372),
    1,
    aux_sym_interface_dcl_repeat1,
    STATE(373),
    1,
    sym_comment,
    STATE(506),
    1,
    sym_annotation_appl,
    STATE(713),
    1,
    sym_extend_annotation_appl,
    [18279] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(374),
    1,
    sym_comment,
    ACTIONS(2133),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18296] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2135),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2137),
    1,
    anon_sym_LPAREN,
    STATE(375),
    1,
    sym_comment,
    ACTIONS(1464),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18317] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2139),
    1,
    sym_identifier,
    STATE(376),
    1,
    sym_comment,
    STATE(604),
    1,
    sym_any_declarator,
    STATE(960),
    1,
    sym_any_declarators,
    STATE(778),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [18340] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2141),
    1,
    anon_sym_COLON,
    ACTIONS(2143),
    1,
    anon_sym_supports,
    ACTIONS(2145),
    1,
    anon_sym_manages,
    STATE(377),
    1,
    sym_comment,
    STATE(627),
    1,
    sym_home_inheritance_spec,
    STATE(1021),
    1,
    sym_supported_interface_spec,
    [18365] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2147),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2149),
    1,
    anon_sym_LPAREN,
    STATE(378),
    1,
    sym_comment,
    ACTIONS(1462),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18386] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2151),
    1,
    anon_sym_RBRACE,
    ACTIONS(2153),
    1,
    anon_sym_bitfield,
    STATE(379),
    1,
    sym_comment,
    STATE(408),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(674),
    1,
    sym_bitfield_spec,
    STATE(740),
    1,
    sym_bitfield,
    [18411] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2155),
    1,
    anon_sym_RBRACE,
    ACTIONS(2157),
    1,
    anon_sym_bitfield,
    STATE(674),
    1,
    sym_bitfield_spec,
    STATE(740),
    1,
    sym_bitfield,
    STATE(380),
    2,
    sym_comment,
    aux_sym_bitset_dcl_repeat1,
    [18434] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2153),
    1,
    anon_sym_bitfield,
    ACTIONS(2160),
    1,
    anon_sym_RBRACE,
    STATE(381),
    1,
    sym_comment,
    STATE(385),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(674),
    1,
    sym_bitfield_spec,
    STATE(740),
    1,
    sym_bitfield,
    [18459] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2162),
    1,
    anon_sym_LT,
    ACTIONS(2164),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2166),
    1,
    sym_identifier,
    STATE(382),
    1,
    sym_comment,
    STATE(1056),
    2,
    sym_string_literal,
    sym_system_lib_string,
    [18482] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(383),
    1,
    sym_comment,
    ACTIONS(1480),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18499] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(384),
    1,
    sym_comment,
    ACTIONS(2168),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18516] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2153),
    1,
    anon_sym_bitfield,
    ACTIONS(2170),
    1,
    anon_sym_RBRACE,
    STATE(380),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(385),
    1,
    sym_comment,
    STATE(674),
    1,
    sym_bitfield_spec,
    STATE(740),
    1,
    sym_bitfield,
    [18541] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(386),
    1,
    sym_comment,
    ACTIONS(2172),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18558] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2139),
    1,
    sym_identifier,
    STATE(387),
    1,
    sym_comment,
    STATE(473),
    1,
    sym_declarator,
    STATE(524),
    1,
    sym_declarators,
    STATE(526),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [18581] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2139),
    1,
    sym_identifier,
    STATE(388),
    1,
    sym_comment,
    STATE(473),
    1,
    sym_declarator,
    STATE(611),
    1,
    sym_declarators,
    STATE(526),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [18604] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1140),
    1,
    sym_identifier,
    ACTIONS(2174),
    1,
    anon_sym_truncatable,
    STATE(389),
    1,
    sym_comment,
    STATE(454),
    1,
    sym_value_name,
    STATE(463),
    1,
    sym_scoped_name,
    [18629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(390),
    1,
    sym_comment,
    ACTIONS(2176),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18646] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_Object,
    STATE(391),
    1,
    sym_comment,
    STATE(788),
    1,
    sym_scoped_name,
    STATE(1164),
    1,
    sym_interface_type,
    [18671] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2178),
    1,
    anon_sym_LT,
    STATE(392),
    1,
    sym_comment,
    ACTIONS(2180),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18690] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(393),
    1,
    sym_comment,
    ACTIONS(2182),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18707] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(394),
    1,
    sym_comment,
    ACTIONS(2184),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18724] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    STATE(395),
    1,
    sym_comment,
    ACTIONS(1938),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [18743] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(396),
    1,
    sym_comment,
    ACTIONS(1488),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [18760] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(397),
    1,
    sym_comment,
    ACTIONS(2188),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18777] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(398),
    1,
    sym_comment,
    ACTIONS(2190),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18794] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2096),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2098),
    1,
    sym_identifier,
    STATE(399),
    1,
    sym_comment,
    STATE(420),
    1,
    aux_sym_enumerator_repeat1,
    STATE(749),
    1,
    sym_enum_modifier,
    STATE(753),
    1,
    sym_enumerator,
    [18819] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(155),
    1,
    sym_identifier,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2066),
    1,
    anon_sym_Object,
    STATE(400),
    1,
    sym_comment,
    STATE(788),
    1,
    sym_scoped_name,
    STATE(1139),
    1,
    sym_interface_type,
    [18844] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2139),
    1,
    sym_identifier,
    STATE(401),
    1,
    sym_comment,
    STATE(473),
    1,
    sym_declarator,
    STATE(1142),
    1,
    sym_declarators,
    STATE(526),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [18867] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(402),
    1,
    sym_comment,
    ACTIONS(1486),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18884] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(403),
    1,
    sym_comment,
    ACTIONS(2192),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18901] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1986),
    1,
    anon_sym_COMMA,
    ACTIONS(2194),
    1,
    anon_sym_SEMI,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    STATE(404),
    1,
    sym_comment,
    STATE(670),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(917),
    1,
    sym_raises_expr,
    [18926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(405),
    1,
    sym_comment,
    ACTIONS(2198),
    5,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_SEMI,
    sym_identifier,
    [18943] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(406),
    1,
    sym_comment,
    ACTIONS(1490),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18960] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(407),
    1,
    sym_comment,
    ACTIONS(1482),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [18977] = 8,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2153),
    1,
    anon_sym_bitfield,
    ACTIONS(2200),
    1,
    anon_sym_RBRACE,
    STATE(380),
    1,
    aux_sym_bitset_dcl_repeat1,
    STATE(408),
    1,
    sym_comment,
    STATE(674),
    1,
    sym_bitfield_spec,
    STATE(740),
    1,
    sym_bitfield,
    [19002] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(409),
    1,
    sym_comment,
    ACTIONS(1484),
    5,
    anon_sym_COLON_COLON,
    anon_sym_LPAREN,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19019] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2202),
    1,
    anon_sym_RPAREN,
    ACTIONS(2204),
    1,
    anon_sym_in,
    STATE(410),
    1,
    sym_comment,
    STATE(705),
    1,
    sym_factory_param_dcl,
    STATE(985),
    1,
    sym_factory_param_dcls,
    [19041] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(411),
    1,
    sym_comment,
    STATE(463),
    1,
    sym_scoped_name,
    STATE(655),
    1,
    sym_value_name,
    [19063] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2208),
    1,
    anon_sym_RPAREN,
    ACTIONS(2210),
    1,
    anon_sym_in,
    STATE(412),
    1,
    sym_comment,
    STATE(651),
    1,
    sym_in_param_dcl,
    STATE(912),
    1,
    sym_in_parameter_dcls,
    [19085] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2212),
    1,
    anon_sym_LPAREN,
    STATE(413),
    1,
    sym_comment,
    ACTIONS(1406),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19103] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2214),
    1,
    anon_sym_LPAREN,
    STATE(414),
    1,
    sym_comment,
    ACTIONS(1424),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19121] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(415),
    1,
    sym_comment,
    ACTIONS(2216),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19137] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2218),
    1,
    anon_sym_LBRACE,
    ACTIONS(2220),
    1,
    anon_sym_primarykey,
    STATE(416),
    1,
    sym_comment,
    STATE(921),
    1,
    sym_primary_key_spec,
    [19159] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2222),
    1,
    anon_sym_COMMA,
    ACTIONS(2225),
    2,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    STATE(417),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [19177] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    STATE(418),
    1,
    sym_comment,
    ACTIONS(2225),
    3,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    anon_sym_LBRACE,
    [19195] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(419),
    1,
    sym_comment,
    ACTIONS(2227),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [19211] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2096),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2229),
    1,
    sym_identifier,
    STATE(420),
    1,
    sym_comment,
    STATE(452),
    1,
    aux_sym_enumerator_repeat1,
    STATE(749),
    1,
    sym_enum_modifier,
    [19233] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2231),
    1,
    anon_sym_COMMA,
    ACTIONS(2234),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    STATE(421),
    2,
    sym_comment,
    aux_sym_value_inheritance_spec_repeat1,
    [19251] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2236),
    1,
    anon_sym_COMMA,
    ACTIONS(2238),
    1,
    anon_sym_LBRACE,
    ACTIONS(2240),
    1,
    anon_sym_supports,
    STATE(421),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(422),
    1,
    sym_comment,
    [19273] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(423),
    1,
    sym_comment,
    STATE(678),
    1,
    sym_interface_name,
    STATE(718),
    1,
    sym_scoped_name,
    [19295] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2242),
    1,
    anon_sym_LPAREN,
    STATE(424),
    1,
    sym_comment,
    ACTIONS(1430),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19313] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2244),
    1,
    anon_sym_LPAREN,
    STATE(425),
    1,
    sym_comment,
    ACTIONS(1436),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19331] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2246),
    1,
    anon_sym_LPAREN,
    STATE(426),
    1,
    sym_comment,
    ACTIONS(1442),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19349] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2248),
    1,
    anon_sym_LPAREN,
    STATE(427),
    1,
    sym_comment,
    ACTIONS(1458),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19367] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(428),
    1,
    sym_comment,
    ACTIONS(2250),
    4,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    anon_sym_LBRACK,
    [19383] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2139),
    1,
    sym_identifier,
    STATE(429),
    1,
    sym_comment,
    STATE(786),
    1,
    sym_any_declarator,
    STATE(778),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19403] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2252),
    1,
    anon_sym_COMMA,
    ACTIONS(2254),
    1,
    anon_sym_LBRACE,
    STATE(430),
    1,
    sym_comment,
    STATE(576),
    1,
    aux_sym_raises_expr_repeat1,
    [19425] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(431),
    1,
    sym_comment,
    STATE(613),
    1,
    sym_interface_name,
    STATE(718),
    1,
    sym_scoped_name,
    [19447] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2220),
    1,
    anon_sym_primarykey,
    ACTIONS(2256),
    1,
    anon_sym_LBRACE,
    STATE(432),
    1,
    sym_comment,
    STATE(1155),
    1,
    sym_primary_key_spec,
    [19469] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2261),
    1,
    anon_sym_SQUOTE,
    ACTIONS(2258),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    STATE(433),
    2,
    sym_comment,
    aux_sym_char_literal_repeat1,
    [19487] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2263),
    1,
    sym_escape_sequence,
    ACTIONS(2265),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2267),
    1,
    aux_sym_string_literal_token1,
    STATE(434),
    1,
    sym_comment,
    STATE(441),
    1,
    aux_sym_string_literal_repeat1,
    [19509] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2263),
    1,
    sym_escape_sequence,
    ACTIONS(2267),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2269),
    1,
    anon_sym_DQUOTE,
    STATE(435),
    1,
    sym_comment,
    STATE(492),
    1,
    aux_sym_string_literal_repeat1,
    [19531] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2271),
    1,
    anon_sym_COMMA,
    STATE(436),
    1,
    sym_comment,
    STATE(453),
    1,
    aux_sym_declarators_repeat1,
    ACTIONS(2273),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [19551] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2139),
    1,
    sym_identifier,
    STATE(437),
    1,
    sym_comment,
    STATE(708),
    1,
    sym_declarator,
    STATE(526),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [19571] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2275),
    1,
    anon_sym_RPAREN,
    ACTIONS(2277),
    1,
    anon_sym_in,
    STATE(438),
    1,
    sym_comment,
    STATE(699),
    1,
    sym_init_param_dcl,
    STATE(984),
    1,
    sym_init_param_dcls,
    [19593] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    STATE(439),
    1,
    sym_comment,
    STATE(761),
    1,
    sym_raises_expr,
    ACTIONS(2279),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [19613] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2277),
    1,
    anon_sym_in,
    ACTIONS(2281),
    1,
    anon_sym_RPAREN,
    STATE(440),
    1,
    sym_comment,
    STATE(699),
    1,
    sym_init_param_dcl,
    STATE(990),
    1,
    sym_init_param_dcls,
    [19635] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2263),
    1,
    sym_escape_sequence,
    ACTIONS(2267),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2283),
    1,
    anon_sym_DQUOTE,
    STATE(441),
    1,
    sym_comment,
    STATE(478),
    1,
    aux_sym_string_literal_repeat1,
    [19657] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(442),
    1,
    sym_comment,
    STATE(718),
    1,
    sym_scoped_name,
    STATE(739),
    1,
    sym_interface_name,
    [19679] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2285),
    1,
    anon_sym_RPAREN,
    STATE(443),
    1,
    sym_comment,
    STATE(1037),
    1,
    sym_autoid_kind,
    ACTIONS(2287),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [19699] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2289),
    1,
    anon_sym_RPAREN,
    STATE(444),
    1,
    sym_comment,
    STATE(1038),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [19719] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2252),
    1,
    anon_sym_COMMA,
    ACTIONS(2291),
    1,
    anon_sym_RPAREN,
    STATE(445),
    1,
    sym_comment,
    STATE(511),
    1,
    aux_sym_raises_expr_repeat1,
    [19741] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2293),
    1,
    anon_sym_LPAREN,
    STATE(446),
    1,
    sym_comment,
    ACTIONS(1446),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19759] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2220),
    1,
    anon_sym_primarykey,
    ACTIONS(2295),
    1,
    anon_sym_LBRACE,
    STATE(447),
    1,
    sym_comment,
    STATE(1001),
    1,
    sym_primary_key_spec,
    [19781] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2297),
    1,
    anon_sym_LPAREN,
    STATE(448),
    1,
    sym_comment,
    ACTIONS(1410),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19799] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2299),
    1,
    anon_sym_LPAREN,
    STATE(449),
    1,
    sym_comment,
    ACTIONS(1416),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [19817] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(450),
    1,
    sym_comment,
    ACTIONS(2301),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19833] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(451),
    1,
    sym_comment,
    ACTIONS(2303),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [19849] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2305),
    1,
    anon_sym_ATdefault_literal,
    ACTIONS(2308),
    1,
    sym_identifier,
    STATE(749),
    1,
    sym_enum_modifier,
    STATE(452),
    2,
    sym_comment,
    aux_sym_enumerator_repeat1,
    [19869] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2310),
    1,
    anon_sym_COMMA,
    ACTIONS(2313),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    STATE(453),
    2,
    sym_comment,
    aux_sym_declarators_repeat1,
    [19887] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2236),
    1,
    anon_sym_COMMA,
    ACTIONS(2315),
    1,
    anon_sym_LBRACE,
    ACTIONS(2317),
    1,
    anon_sym_supports,
    STATE(454),
    1,
    sym_comment,
    STATE(455),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    [19909] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2236),
    1,
    anon_sym_COMMA,
    ACTIONS(2319),
    1,
    anon_sym_LBRACE,
    ACTIONS(2321),
    1,
    anon_sym_supports,
    STATE(421),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(455),
    1,
    sym_comment,
    [19931] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(456),
    1,
    sym_comment,
    STATE(656),
    1,
    sym_interface_name,
    STATE(718),
    1,
    sym_scoped_name,
    [19953] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2323),
    1,
    anon_sym_LPAREN,
    STATE(457),
    1,
    sym_comment,
    ACTIONS(1418),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [19971] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2236),
    1,
    anon_sym_COMMA,
    ACTIONS(2319),
    1,
    anon_sym_LBRACE,
    ACTIONS(2321),
    1,
    anon_sym_supports,
    STATE(422),
    1,
    aux_sym_value_inheritance_spec_repeat1,
    STATE(458),
    1,
    sym_comment,
    [19993] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2325),
    1,
    anon_sym_RPAREN,
    STATE(459),
    1,
    sym_comment,
    STATE(1073),
    1,
    sym_autoid_kind,
    ACTIONS(2287),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [20013] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2327),
    1,
    anon_sym_RPAREN,
    STATE(460),
    1,
    sym_comment,
    STATE(1074),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20033] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2329),
    1,
    anon_sym_LPAREN,
    STATE(461),
    1,
    sym_comment,
    ACTIONS(1404),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20051] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2331),
    1,
    anon_sym_LPAREN,
    STATE(462),
    1,
    sym_comment,
    ACTIONS(1422),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20069] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    STATE(463),
    1,
    sym_comment,
    ACTIONS(2333),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [20087] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(458),
    1,
    sym_value_name,
    STATE(463),
    1,
    sym_scoped_name,
    STATE(464),
    1,
    sym_comment,
    [20109] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2335),
    1,
    anon_sym_LPAREN,
    STATE(465),
    1,
    sym_comment,
    ACTIONS(1428),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20127] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2337),
    1,
    anon_sym_LPAREN,
    STATE(466),
    1,
    sym_comment,
    ACTIONS(1434),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20145] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(467),
    1,
    sym_comment,
    ACTIONS(2339),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20161] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2341),
    1,
    anon_sym_LPAREN,
    STATE(468),
    1,
    sym_comment,
    ACTIONS(1412),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20179] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2343),
    1,
    anon_sym_LPAREN,
    STATE(469),
    1,
    sym_comment,
    ACTIONS(1440),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20197] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2345),
    1,
    anon_sym_RPAREN,
    STATE(470),
    1,
    sym_comment,
    STATE(1104),
    1,
    sym_autoid_kind,
    ACTIONS(2287),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [20217] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2347),
    1,
    anon_sym_RPAREN,
    STATE(471),
    1,
    sym_comment,
    STATE(1105),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20237] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2349),
    1,
    anon_sym_LPAREN,
    STATE(472),
    1,
    sym_comment,
    ACTIONS(1448),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20255] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2271),
    1,
    anon_sym_COMMA,
    STATE(436),
    1,
    aux_sym_declarators_repeat1,
    STATE(473),
    1,
    sym_comment,
    ACTIONS(2351),
    2,
    anon_sym_SEMI,
    anon_sym_default,
    [20275] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2353),
    1,
    anon_sym_LPAREN,
    STATE(474),
    1,
    sym_comment,
    ACTIONS(1456),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [20293] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(475),
    1,
    sym_comment,
    STATE(718),
    1,
    sym_scoped_name,
    STATE(976),
    1,
    sym_interface_name,
    [20315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(476),
    1,
    sym_comment,
    ACTIONS(2355),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20331] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2357),
    1,
    anon_sym_LBRACE,
    ACTIONS(2359),
    1,
    anon_sym_COLON,
    STATE(477),
    1,
    sym_comment,
    ACTIONS(2361),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [20351] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2363),
    1,
    sym_escape_sequence,
    ACTIONS(2366),
    1,
    anon_sym_DQUOTE,
    ACTIONS(2368),
    1,
    aux_sym_string_literal_token1,
    STATE(478),
    2,
    sym_comment,
    aux_sym_string_literal_repeat1,
    [20371] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(479),
    1,
    sym_comment,
    STATE(556),
    1,
    sym_interface_name,
    STATE(718),
    1,
    sym_scoped_name,
    [20393] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(480),
    1,
    sym_comment,
    STATE(1041),
    1,
    sym_extensibility_kind,
    ACTIONS(2371),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20411] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(481),
    1,
    sym_comment,
    STATE(900),
    1,
    sym_service_platform,
    ACTIONS(2373),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20429] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(482),
    1,
    sym_comment,
    STATE(1051),
    1,
    sym_service_platform,
    ACTIONS(2373),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20447] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2254),
    1,
    anon_sym_manages,
    ACTIONS(2375),
    1,
    anon_sym_COMMA,
    STATE(483),
    1,
    sym_comment,
    STATE(608),
    1,
    aux_sym_raises_expr_repeat1,
    [20469] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(484),
    1,
    sym_comment,
    ACTIONS(2377),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20485] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(485),
    1,
    sym_comment,
    STATE(870),
    1,
    sym_extensibility_kind,
    ACTIONS(2371),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20503] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2379),
    1,
    anon_sym_RPAREN,
    STATE(486),
    1,
    sym_comment,
    STATE(875),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [20523] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2381),
    1,
    anon_sym_RPAREN,
    STATE(487),
    1,
    sym_comment,
    STATE(876),
    1,
    sym_autoid_kind,
    ACTIONS(2287),
    2,
    anon_sym_SEQUENTIAL,
    anon_sym_HASH,
    [20543] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(488),
    1,
    sym_comment,
    ACTIONS(2383),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20559] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(489),
    1,
    sym_comment,
    ACTIONS(2385),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20575] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    STATE(490),
    1,
    sym_comment,
    STATE(814),
    1,
    sym_raises_expr,
    ACTIONS(2387),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [20595] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2252),
    1,
    anon_sym_COMMA,
    ACTIONS(2389),
    1,
    anon_sym_RPAREN,
    STATE(491),
    1,
    sym_comment,
    STATE(510),
    1,
    aux_sym_raises_expr_repeat1,
    [20617] = 7,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2263),
    1,
    sym_escape_sequence,
    ACTIONS(2267),
    1,
    aux_sym_string_literal_token1,
    ACTIONS(2391),
    1,
    anon_sym_DQUOTE,
    STATE(478),
    1,
    aux_sym_string_literal_repeat1,
    STATE(492),
    1,
    sym_comment,
    [20639] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(493),
    1,
    sym_comment,
    STATE(1077),
    1,
    sym_extensibility_kind,
    ACTIONS(2371),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20657] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(494),
    1,
    sym_comment,
    ACTIONS(2393),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20673] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(495),
    1,
    sym_comment,
    STATE(1087),
    1,
    sym_service_platform,
    ACTIONS(2373),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20691] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(496),
    1,
    sym_comment,
    ACTIONS(2395),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20707] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(497),
    1,
    sym_comment,
    ACTIONS(2397),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20723] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2399),
    1,
    anon_sym_LBRACE,
    ACTIONS(2401),
    1,
    anon_sym_COLON,
    ACTIONS(2403),
    1,
    anon_sym_SEMI,
    STATE(498),
    1,
    sym_comment,
    STATE(987),
    1,
    sym_interface_inheritance_spec,
    [20745] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(499),
    1,
    sym_comment,
    STATE(1108),
    1,
    sym_extensibility_kind,
    ACTIONS(2371),
    3,
    anon_sym_FINAL,
    anon_sym_APPENDABLE,
    anon_sym_MUTABLE,
    [20763] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2139),
    1,
    sym_identifier,
    STATE(500),
    1,
    sym_comment,
    STATE(858),
    1,
    sym_declarator,
    STATE(526),
    2,
    sym_simple_declarator,
    sym_array_declarator,
    [20783] = 7,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(619),
    1,
    anon_sym_SQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(239),
    1,
    sym_string_literal,
    STATE(240),
    1,
    sym_char_literal,
    STATE(501),
    1,
    sym_comment,
    [20805] = 6,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2407),
    1,
    anon_sym_SQUOTE,
    STATE(433),
    1,
    aux_sym_char_literal_repeat1,
    STATE(502),
    1,
    sym_comment,
    ACTIONS(2405),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [20825] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(503),
    1,
    sym_comment,
    STATE(1118),
    1,
    sym_service_platform,
    ACTIONS(2373),
    3,
    anon_sym_STAR,
    anon_sym_CORBA,
    anon_sym_DDS,
    [20843] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(504),
    1,
    sym_comment,
    ACTIONS(1938),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20859] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(505),
    1,
    sym_comment,
    ACTIONS(2409),
    4,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_SEMI,
    sym_identifier,
    [20875] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(506),
    1,
    sym_comment,
    ACTIONS(1626),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20890] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(507),
    1,
    sym_comment,
    ACTIONS(1586),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [20905] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2411),
    1,
    anon_sym_GT,
    ACTIONS(2413),
    1,
    anon_sym_COMMA,
    STATE(508),
    1,
    sym_comment,
    STATE(514),
    1,
    aux_sym_formal_parameter_names_repeat1,
    [20924] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2415),
    1,
    anon_sym_COMMA,
    ACTIONS(2418),
    1,
    anon_sym_RPAREN,
    STATE(509),
    2,
    sym_comment,
    aux_sym_in_parameter_dcls_repeat1,
    [20941] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2252),
    1,
    anon_sym_COMMA,
    ACTIONS(2420),
    1,
    anon_sym_RPAREN,
    STATE(417),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(510),
    1,
    sym_comment,
    [20960] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2252),
    1,
    anon_sym_COMMA,
    ACTIONS(2422),
    1,
    anon_sym_RPAREN,
    STATE(417),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(511),
    1,
    sym_comment,
    [20979] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2424),
    1,
    anon_sym_SEMI,
    ACTIONS(2426),
    1,
    sym_identifier,
    STATE(512),
    1,
    sym_comment,
    STATE(618),
    1,
    aux_sym_bitfield_repeat1,
    [20998] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(513),
    1,
    sym_comment,
    ACTIONS(2428),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [21013] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2413),
    1,
    anon_sym_COMMA,
    ACTIONS(2430),
    1,
    anon_sym_GT,
    STATE(514),
    1,
    sym_comment,
    STATE(516),
    1,
    aux_sym_formal_parameter_names_repeat1,
    [21032] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2432),
    1,
    anon_sym_COMMA,
    ACTIONS(2434),
    1,
    anon_sym_RBRACE,
    STATE(515),
    1,
    sym_comment,
    STATE(623),
    1,
    aux_sym_bitmask_dcl_repeat1,
    [21051] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2436),
    1,
    anon_sym_GT,
    ACTIONS(2438),
    1,
    anon_sym_COMMA,
    STATE(516),
    2,
    sym_comment,
    aux_sym_formal_parameter_names_repeat1,
    [21068] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(517),
    1,
    sym_comment,
    ACTIONS(1624),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21083] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(518),
    1,
    sym_comment,
    ACTIONS(1620),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21098] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(519),
    1,
    sym_comment,
    ACTIONS(2441),
    3,
    sym_escape_sequence,
    anon_sym_SQUOTE,
    aux_sym_char_literal_token1,
    [21113] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(520),
    1,
    sym_comment,
    STATE(765),
    1,
    sym_dec_number,
    ACTIONS(1716),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [21130] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2445),
    1,
    anon_sym_LBRACE,
    STATE(521),
    1,
    sym_comment,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [21149] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(522),
    1,
    sym_comment,
    ACTIONS(1608),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21164] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(523),
    1,
    sym_comment,
    ACTIONS(1592),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21179] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2447),
    1,
    anon_sym_SEMI,
    ACTIONS(2449),
    1,
    anon_sym_default,
    STATE(524),
    1,
    sym_comment,
    STATE(1055),
    1,
    sym_default,
    [21198] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(525),
    1,
    sym_comment,
    ACTIONS(1560),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(526),
    1,
    sym_comment,
    ACTIONS(2451),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [21228] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2453),
    1,
    anon_sym_COMMA,
    ACTIONS(2456),
    1,
    anon_sym_RPAREN,
    STATE(527),
    2,
    sym_comment,
    aux_sym_factory_param_dcls_repeat1,
    [21245] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    STATE(528),
    1,
    sym_comment,
    STATE(1065),
    1,
    sym_string_literal,
    [21264] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(529),
    1,
    sym_comment,
    ACTIONS(1500),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21279] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(530),
    1,
    sym_comment,
    STATE(1120),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21296] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(531),
    1,
    sym_comment,
    STATE(1119),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21313] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    STATE(532),
    1,
    sym_comment,
    STATE(1064),
    1,
    sym_string_literal,
    [21332] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2458),
    1,
    anon_sym_COMMA,
    ACTIONS(2461),
    1,
    anon_sym_RPAREN,
    STATE(533),
    2,
    sym_comment,
    aux_sym_init_param_dcls_repeat1,
    [21349] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(534),
    1,
    sym_comment,
    STATE(1116),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21366] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(535),
    1,
    sym_comment,
    STATE(1115),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21383] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(536),
    1,
    sym_comment,
    ACTIONS(1552),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21398] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(537),
    1,
    sym_comment,
    ACTIONS(1548),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21413] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(538),
    1,
    sym_comment,
    STATE(1110),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21430] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2463),
    1,
    anon_sym_COMMA,
    ACTIONS(2466),
    1,
    anon_sym_RPAREN,
    STATE(539),
    2,
    sym_comment,
    aux_sym_parameter_dcls_repeat1,
    [21447] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2468),
    1,
    anon_sym_COMMA,
    ACTIONS(2470),
    1,
    anon_sym_RPAREN,
    STATE(540),
    1,
    sym_comment,
    STATE(646),
    1,
    aux_sym_annotation_appl_params_repeat1,
    [21466] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(541),
    1,
    sym_comment,
    STATE(1109),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21483] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2472),
    1,
    anon_sym_LBRACE,
    ACTIONS(2474),
    1,
    anon_sym_COLON,
    STATE(542),
    1,
    sym_comment,
    STATE(991),
    1,
    sym_connector_inherit_spec,
    [21502] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2476),
    1,
    anon_sym_COMMA,
    ACTIONS(2479),
    1,
    anon_sym_RPAREN,
    STATE(543),
    2,
    sym_comment,
    aux_sym_context_expr_repeat1,
    [21519] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2481),
    1,
    anon_sym_GT,
    ACTIONS(2483),
    1,
    anon_sym_COMMA,
    STATE(544),
    1,
    sym_comment,
    STATE(649),
    1,
    aux_sym_formal_parameters_repeat1,
    [21538] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(502),
    1,
    aux_sym_char_literal_repeat1,
    STATE(545),
    1,
    sym_comment,
    ACTIONS(2405),
    2,
    sym_escape_sequence,
    aux_sym_char_literal_token1,
    [21555] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2485),
    1,
    anon_sym_COMMA,
    ACTIONS(2487),
    1,
    anon_sym_RPAREN,
    STATE(509),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(546),
    1,
    sym_comment,
    [21574] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(547),
    1,
    sym_comment,
    ACTIONS(1472),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21589] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(445),
    1,
    sym_scoped_name,
    STATE(548),
    1,
    sym_comment,
    [21608] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(549),
    1,
    sym_comment,
    STATE(1089),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21625] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2489),
    1,
    anon_sym_GT,
    ACTIONS(2491),
    1,
    anon_sym_COMMA,
    STATE(550),
    1,
    sym_comment,
    STATE(652),
    1,
    aux_sym_actual_parameters_repeat1,
    [21644] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(551),
    1,
    sym_comment,
    STATE(1088),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21661] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(552),
    1,
    sym_comment,
    ACTIONS(1540),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21676] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(553),
    1,
    sym_comment,
    ACTIONS(1536),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21691] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(554),
    1,
    sym_comment,
    ACTIONS(2493),
    3,
    anon_sym_RBRACE,
    anon_sym_default,
    anon_sym_case,
    [21706] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(555),
    1,
    sym_comment,
    ACTIONS(1476),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21721] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2495),
    1,
    anon_sym_LBRACE,
    STATE(521),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(556),
    1,
    sym_comment,
    [21740] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(557),
    1,
    sym_comment,
    STATE(1085),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21757] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2495),
    1,
    anon_sym_LBRACE,
    STATE(558),
    1,
    sym_comment,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [21776] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(559),
    1,
    sym_comment,
    STATE(1084),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21793] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(560),
    1,
    sym_comment,
    ACTIONS(1524),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21808] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(561),
    1,
    sym_comment,
    ACTIONS(1516),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21823] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2497),
    1,
    anon_sym_COMMA,
    ACTIONS(2499),
    1,
    anon_sym_RBRACE,
    STATE(562),
    1,
    sym_comment,
    STATE(663),
    1,
    aux_sym_enum_dcl_repeat1,
    [21842] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(563),
    1,
    sym_comment,
    ACTIONS(1512),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21857] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(564),
    1,
    sym_comment,
    ACTIONS(1508),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21872] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2503),
    1,
    aux_sym_string_literal_token1,
    STATE(565),
    1,
    sym_comment,
    ACTIONS(2501),
    2,
    sym_escape_sequence,
    anon_sym_DQUOTE,
    [21889] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(566),
    1,
    sym_comment,
    ACTIONS(1556),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21904] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(567),
    1,
    sym_comment,
    ACTIONS(1584),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [21919] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(568),
    1,
    sym_comment,
    STATE(1079),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21936] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(569),
    1,
    sym_comment,
    STATE(1078),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21953] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(570),
    1,
    sym_comment,
    STATE(742),
    1,
    sym_scoped_name,
    [21972] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(571),
    1,
    sym_comment,
    STATE(866),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [21989] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(572),
    1,
    sym_comment,
    STATE(865),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22006] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(573),
    1,
    sym_comment,
    ACTIONS(1628),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22021] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2505),
    1,
    anon_sym_COMMA,
    ACTIONS(2508),
    1,
    anon_sym_SEMI,
    STATE(574),
    2,
    sym_comment,
    aux_sym_any_declarators_repeat1,
    [22038] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(418),
    1,
    sym_scoped_name,
    STATE(575),
    1,
    sym_comment,
    [22057] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2252),
    1,
    anon_sym_COMMA,
    ACTIONS(2510),
    1,
    anon_sym_LBRACE,
    STATE(417),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(576),
    1,
    sym_comment,
    [22076] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(577),
    1,
    sym_comment,
    STATE(747),
    1,
    sym_scoped_name,
    [22095] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(578),
    1,
    sym_comment,
    ACTIONS(1652),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22110] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(579),
    1,
    sym_comment,
    ACTIONS(1648),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22125] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(416),
    1,
    sym_scoped_name,
    STATE(580),
    1,
    sym_comment,
    [22144] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    STATE(581),
    1,
    sym_comment,
    ACTIONS(2225),
    2,
    anon_sym_COMMA,
    anon_sym_manages,
    [22161] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(582),
    1,
    sym_comment,
    ACTIONS(1640),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22176] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(583),
    1,
    sym_comment,
    ACTIONS(1632),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22191] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(584),
    1,
    sym_comment,
    ACTIONS(1612),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22206] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(585),
    1,
    sym_comment,
    STATE(948),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22223] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(586),
    1,
    sym_comment,
    STATE(1053),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22240] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2512),
    1,
    anon_sym_LBRACE,
    STATE(587),
    1,
    sym_comment,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [22259] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(404),
    1,
    sym_simple_declarator,
    STATE(588),
    1,
    sym_comment,
    STATE(1000),
    1,
    sym_readonly_attr_declarator,
    [22278] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(589),
    1,
    sym_comment,
    STATE(1052),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22295] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(590),
    1,
    sym_comment,
    STATE(886),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22312] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(591),
    1,
    sym_comment,
    STATE(910),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22329] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2516),
    1,
    anon_sym_RPAREN,
    STATE(592),
    1,
    sym_comment,
    STATE(688),
    1,
    sym_string_literal,
    [22348] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(593),
    1,
    sym_comment,
    STATE(1049),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22365] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(594),
    1,
    sym_comment,
    STATE(850),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22382] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(595),
    1,
    sym_comment,
    STATE(925),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22399] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2497),
    1,
    anon_sym_COMMA,
    ACTIONS(2499),
    1,
    anon_sym_RBRACE,
    STATE(596),
    1,
    sym_comment,
    STATE(700),
    1,
    aux_sym_enum_dcl_repeat1,
    [22418] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    ACTIONS(2518),
    1,
    anon_sym_SEMI,
    STATE(597),
    1,
    sym_comment,
    STATE(872),
    1,
    sym_raises_expr,
    [22437] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(598),
    1,
    sym_comment,
    STATE(1043),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22454] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(599),
    1,
    sym_comment,
    STATE(1042),
    1,
    sym_boolean_literal,
    ACTIONS(1720),
    2,
    anon_sym_TRUE,
    anon_sym_FALSE,
    [22471] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(600),
    1,
    sym_comment,
    ACTIONS(1604),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22486] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2034),
    1,
    anon_sym_supports,
    ACTIONS(2520),
    1,
    anon_sym_LBRACE,
    STATE(601),
    1,
    sym_comment,
    STATE(992),
    1,
    sym_value_supports,
    [22505] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(602),
    1,
    sym_comment,
    STATE(735),
    1,
    sym_scoped_name,
    [22524] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2522),
    1,
    anon_sym_SEMI,
    ACTIONS(2524),
    1,
    anon_sym_context,
    STATE(603),
    1,
    sym_comment,
    STATE(1145),
    1,
    sym_context_expr,
    [22543] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2526),
    1,
    anon_sym_COMMA,
    ACTIONS(2528),
    1,
    anon_sym_SEMI,
    STATE(604),
    1,
    sym_comment,
    STATE(641),
    1,
    aux_sym_any_declarators_repeat1,
    [22562] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2530),
    1,
    anon_sym_COMMA,
    ACTIONS(2532),
    1,
    anon_sym_RPAREN,
    STATE(527),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(605),
    1,
    sym_comment,
    [22581] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(330),
    1,
    sym_simple_declarator,
    STATE(606),
    1,
    sym_comment,
    STATE(1146),
    1,
    sym_attr_declarator,
    [22600] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2225),
    1,
    anon_sym_manages,
    ACTIONS(2534),
    1,
    anon_sym_COMMA,
    STATE(607),
    2,
    sym_comment,
    aux_sym_raises_expr_repeat1,
    [22617] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2375),
    1,
    anon_sym_COMMA,
    ACTIONS(2510),
    1,
    anon_sym_manages,
    STATE(607),
    1,
    aux_sym_raises_expr_repeat1,
    STATE(608),
    1,
    sym_comment,
    [22636] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(581),
    1,
    sym_scoped_name,
    STATE(609),
    1,
    sym_comment,
    [22655] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2524),
    1,
    anon_sym_context,
    ACTIONS(2537),
    1,
    anon_sym_SEMI,
    STATE(610),
    1,
    sym_comment,
    STATE(1145),
    1,
    sym_context_expr,
    [22674] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2449),
    1,
    anon_sym_default,
    ACTIONS(2539),
    1,
    anon_sym_SEMI,
    STATE(611),
    1,
    sym_comment,
    STATE(968),
    1,
    sym_default,
    [22693] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(483),
    1,
    sym_scoped_name,
    STATE(612),
    1,
    sym_comment,
    [22712] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2541),
    1,
    anon_sym_LBRACE,
    STATE(587),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(613),
    1,
    sym_comment,
    [22731] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(614),
    1,
    sym_comment,
    STATE(640),
    1,
    sym_scoped_name,
    [22750] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(430),
    1,
    sym_scoped_name,
    STATE(615),
    1,
    sym_comment,
    [22769] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    ACTIONS(2543),
    1,
    anon_sym_SEMI,
    STATE(616),
    1,
    sym_comment,
    STATE(880),
    1,
    sym_raises_expr,
    [22788] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(617),
    1,
    sym_comment,
    ACTIONS(1600),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22803] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2545),
    1,
    anon_sym_SEMI,
    ACTIONS(2547),
    1,
    sym_identifier,
    STATE(618),
    2,
    sym_comment,
    aux_sym_bitfield_repeat1,
    [22820] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2550),
    1,
    anon_sym_COMMA,
    ACTIONS(2552),
    1,
    anon_sym_RPAREN,
    STATE(533),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(619),
    1,
    sym_comment,
    [22839] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    ACTIONS(2554),
    1,
    anon_sym_SEMI,
    STATE(620),
    1,
    sym_comment,
    STATE(881),
    1,
    sym_raises_expr,
    [22858] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(621),
    1,
    sym_comment,
    ACTIONS(1596),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22873] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(622),
    1,
    sym_comment,
    ACTIONS(1576),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [22888] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2556),
    1,
    anon_sym_COMMA,
    ACTIONS(2559),
    1,
    anon_sym_RBRACE,
    STATE(623),
    2,
    sym_comment,
    aux_sym_bitmask_dcl_repeat1,
    [22905] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2076),
    1,
    anon_sym_supports,
    ACTIONS(2561),
    1,
    anon_sym_LBRACE,
    STATE(624),
    1,
    sym_comment,
    STATE(989),
    1,
    sym_supported_interface_spec,
    [22924] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(625),
    1,
    sym_comment,
    STATE(638),
    1,
    sym_scoped_name,
    [22943] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(432),
    1,
    sym_scoped_name,
    STATE(626),
    1,
    sym_comment,
    [22962] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2143),
    1,
    anon_sym_supports,
    ACTIONS(2563),
    1,
    anon_sym_manages,
    STATE(627),
    1,
    sym_comment,
    STATE(1024),
    1,
    sym_supported_interface_spec,
    [22981] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(628),
    1,
    sym_comment,
    STATE(722),
    1,
    sym_dec_number,
    ACTIONS(1716),
    2,
    anon_sym_0,
    aux_sym_dec_number_token1,
    [22998] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2565),
    1,
    anon_sym_COMMA,
    ACTIONS(2567),
    1,
    anon_sym_RPAREN,
    STATE(539),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(629),
    1,
    sym_comment,
    [23017] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(630),
    1,
    sym_comment,
    STATE(770),
    1,
    sym_scoped_name,
    [23036] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2569),
    1,
    sym_identifier,
    STATE(631),
    1,
    sym_comment,
    STATE(726),
    1,
    sym_scoped_name,
    [23055] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(632),
    1,
    sym_comment,
    ACTIONS(1506),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23070] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(633),
    1,
    sym_comment,
    ACTIONS(1618),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23085] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(634),
    1,
    sym_comment,
    ACTIONS(1530),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23100] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(635),
    1,
    sym_comment,
    ACTIONS(1534),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23115] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(601),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(447),
    1,
    sym_scoped_name,
    STATE(636),
    1,
    sym_comment,
    [23134] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(637),
    1,
    sym_comment,
    ACTIONS(1572),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23149] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    STATE(638),
    1,
    sym_comment,
    ACTIONS(2571),
    2,
    anon_sym_supports,
    anon_sym_manages,
    [23166] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(639),
    1,
    sym_comment,
    ACTIONS(1546),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23181] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1772),
    1,
    anon_sym_COLON_COLON,
    STATE(640),
    1,
    sym_comment,
    ACTIONS(2573),
    2,
    anon_sym_LBRACE,
    anon_sym_supports,
    [23198] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2526),
    1,
    anon_sym_COMMA,
    ACTIONS(2575),
    1,
    anon_sym_SEMI,
    STATE(574),
    1,
    aux_sym_any_declarators_repeat1,
    STATE(641),
    1,
    sym_comment,
    [23217] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(642),
    1,
    sym_comment,
    ACTIONS(1566),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23232] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(643),
    1,
    sym_comment,
    ACTIONS(1574),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23247] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(644),
    1,
    sym_comment,
    ACTIONS(1578),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23262] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2577),
    1,
    anon_sym_COMMA,
    ACTIONS(2579),
    1,
    anon_sym_RPAREN,
    STATE(543),
    1,
    aux_sym_context_expr_repeat1,
    STATE(645),
    1,
    sym_comment,
    [23281] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2581),
    1,
    anon_sym_COMMA,
    ACTIONS(2584),
    1,
    anon_sym_RPAREN,
    STATE(646),
    2,
    sym_comment,
    aux_sym_annotation_appl_params_repeat1,
    [23298] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(647),
    1,
    sym_comment,
    ACTIONS(1598),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23313] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(648),
    1,
    sym_comment,
    ACTIONS(1564),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23328] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2586),
    1,
    anon_sym_GT,
    ACTIONS(2588),
    1,
    anon_sym_COMMA,
    STATE(649),
    2,
    sym_comment,
    aux_sym_formal_parameters_repeat1,
    [23345] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(650),
    1,
    sym_comment,
    ACTIONS(1602),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23360] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2485),
    1,
    anon_sym_COMMA,
    ACTIONS(2591),
    1,
    anon_sym_RPAREN,
    STATE(546),
    1,
    aux_sym_in_parameter_dcls_repeat1,
    STATE(651),
    1,
    sym_comment,
    [23379] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2593),
    1,
    anon_sym_GT,
    ACTIONS(2595),
    1,
    anon_sym_COMMA,
    STATE(652),
    2,
    sym_comment,
    aux_sym_actual_parameters_repeat1,
    [23396] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(653),
    1,
    sym_comment,
    ACTIONS(1606),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23411] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(654),
    1,
    sym_comment,
    ACTIONS(1544),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23426] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(655),
    1,
    sym_comment,
    ACTIONS(2234),
    3,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    anon_sym_supports,
    [23441] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2238),
    1,
    anon_sym_LBRACE,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    STATE(656),
    1,
    sym_comment,
    STATE(677),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    [23460] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(657),
    1,
    sym_comment,
    ACTIONS(2598),
    3,
    anon_sym_GT,
    anon_sym_COMMA,
    anon_sym_RBRACK,
    [23475] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(658),
    1,
    sym_comment,
    ACTIONS(1532),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23490] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(659),
    1,
    sym_comment,
    ACTIONS(1614),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23505] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(660),
    1,
    sym_comment,
    ACTIONS(1634),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23520] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2600),
    1,
    anon_sym_COMMA,
    ACTIONS(2603),
    1,
    anon_sym_SEMI,
    STATE(661),
    2,
    sym_comment,
    aux_sym_readonly_attr_declarator_repeat1,
    [23537] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(662),
    1,
    sym_comment,
    ACTIONS(1528),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23552] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2605),
    1,
    anon_sym_COMMA,
    ACTIONS(2608),
    1,
    anon_sym_RBRACE,
    STATE(663),
    2,
    sym_comment,
    aux_sym_enum_dcl_repeat1,
    [23569] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(664),
    1,
    sym_comment,
    ACTIONS(1642),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23584] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(665),
    1,
    sym_comment,
    ACTIONS(1650),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23599] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(666),
    1,
    sym_comment,
    ACTIONS(1616),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23614] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(667),
    1,
    sym_comment,
    ACTIONS(1654),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23629] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(491),
    1,
    sym_scoped_name,
    STATE(668),
    1,
    sym_comment,
    [23648] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2108),
    1,
    anon_sym_RBRACE,
    ACTIONS(2497),
    1,
    anon_sym_COMMA,
    STATE(562),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(669),
    1,
    sym_comment,
    [23667] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1986),
    1,
    anon_sym_COMMA,
    ACTIONS(2610),
    1,
    anon_sym_SEMI,
    STATE(661),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(670),
    1,
    sym_comment,
    [23686] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(671),
    1,
    sym_comment,
    ACTIONS(1630),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23701] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(672),
    1,
    sym_comment,
    ACTIONS(1504),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [23716] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2432),
    1,
    anon_sym_COMMA,
    ACTIONS(2612),
    1,
    anon_sym_RBRACE,
    STATE(515),
    1,
    aux_sym_bitmask_dcl_repeat1,
    STATE(673),
    1,
    sym_comment,
    [23735] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2426),
    1,
    sym_identifier,
    ACTIONS(2614),
    1,
    anon_sym_SEMI,
    STATE(512),
    1,
    aux_sym_bitfield_repeat1,
    STATE(674),
    1,
    sym_comment,
    [23754] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2468),
    1,
    anon_sym_COMMA,
    ACTIONS(2616),
    1,
    anon_sym_RPAREN,
    STATE(540),
    1,
    aux_sym_annotation_appl_params_repeat1,
    STATE(675),
    1,
    sym_comment,
    [23773] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2618),
    1,
    anon_sym_COMMA,
    ACTIONS(2621),
    1,
    anon_sym_LBRACE,
    STATE(676),
    2,
    sym_comment,
    aux_sym_interface_inheritance_spec_repeat1,
    [23790] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2623),
    1,
    anon_sym_LBRACE,
    STATE(676),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(677),
    1,
    sym_comment,
    [23809] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2443),
    1,
    anon_sym_COMMA,
    ACTIONS(2623),
    1,
    anon_sym_LBRACE,
    STATE(558),
    1,
    aux_sym_interface_inheritance_spec_repeat1,
    STATE(678),
    1,
    sym_comment,
    [23828] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(532),
    1,
    sym_scoped_name,
    STATE(679),
    1,
    sym_comment,
    [23847] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(528),
    1,
    sym_scoped_name,
    STATE(680),
    1,
    sym_comment,
    [23866] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2206),
    1,
    sym_identifier,
    STATE(681),
    1,
    sym_comment,
    STATE(791),
    1,
    sym_scoped_name,
    [23885] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(682),
    1,
    sym_comment,
    ACTIONS(1558),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23900] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1992),
    1,
    anon_sym_setraises,
    ACTIONS(2625),
    1,
    anon_sym_SEMI,
    STATE(683),
    1,
    sym_comment,
    STATE(914),
    1,
    sym_set_excep_expr,
    [23919] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(684),
    1,
    sym_comment,
    ACTIONS(1510),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23934] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1986),
    1,
    anon_sym_COMMA,
    ACTIONS(2627),
    1,
    anon_sym_SEMI,
    STATE(661),
    1,
    aux_sym_readonly_attr_declarator_repeat1,
    STATE(685),
    1,
    sym_comment,
    [23953] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(686),
    1,
    sym_comment,
    ACTIONS(1514),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23968] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(687),
    1,
    sym_comment,
    ACTIONS(1518),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [23983] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2577),
    1,
    anon_sym_COMMA,
    ACTIONS(2629),
    1,
    anon_sym_RPAREN,
    STATE(645),
    1,
    aux_sym_context_expr_repeat1,
    STATE(688),
    1,
    sym_comment,
    [24002] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(689),
    1,
    sym_comment,
    ACTIONS(1522),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24017] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(690),
    1,
    sym_comment,
    ACTIONS(1520),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    aux_sym_extend_annotation_appl_token1,
    [24032] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1482),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2631),
    1,
    anon_sym_LT,
    ACTIONS(2633),
    1,
    anon_sym_LBRACE,
    STATE(691),
    1,
    sym_comment,
    [24051] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(692),
    1,
    sym_comment,
    ACTIONS(1526),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24066] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2565),
    1,
    anon_sym_COMMA,
    ACTIONS(2635),
    1,
    anon_sym_RPAREN,
    STATE(629),
    1,
    aux_sym_parameter_dcls_repeat1,
    STATE(693),
    1,
    sym_comment,
    [24085] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(694),
    1,
    sym_comment,
    ACTIONS(1478),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24100] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(695),
    1,
    sym_comment,
    ACTIONS(1538),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24115] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    ACTIONS(2637),
    1,
    anon_sym_SEMI,
    STATE(696),
    1,
    sym_comment,
    STATE(908),
    1,
    sym_raises_expr,
    [24134] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2483),
    1,
    anon_sym_COMMA,
    ACTIONS(2639),
    1,
    anon_sym_GT,
    STATE(544),
    1,
    aux_sym_formal_parameters_repeat1,
    STATE(697),
    1,
    sym_comment,
    [24153] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(698),
    1,
    sym_comment,
    ACTIONS(1542),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24168] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2550),
    1,
    anon_sym_COMMA,
    ACTIONS(2641),
    1,
    anon_sym_RPAREN,
    STATE(619),
    1,
    aux_sym_init_param_dcls_repeat1,
    STATE(699),
    1,
    sym_comment,
    [24187] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2497),
    1,
    anon_sym_COMMA,
    ACTIONS(2643),
    1,
    anon_sym_RBRACE,
    STATE(663),
    1,
    aux_sym_enum_dcl_repeat1,
    STATE(700),
    1,
    sym_comment,
    [24206] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(701),
    1,
    sym_comment,
    ACTIONS(1474),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24221] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    ACTIONS(2645),
    1,
    anon_sym_SEMI,
    STATE(702),
    1,
    sym_comment,
    STATE(907),
    1,
    sym_raises_expr,
    [24240] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(703),
    1,
    sym_comment,
    ACTIONS(1550),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24255] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(704),
    1,
    sym_comment,
    ACTIONS(1554),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24270] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2530),
    1,
    anon_sym_COMMA,
    ACTIONS(2647),
    1,
    anon_sym_RPAREN,
    STATE(605),
    1,
    aux_sym_factory_param_dcls_repeat1,
    STATE(705),
    1,
    sym_comment,
    [24289] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2196),
    1,
    anon_sym_raises,
    ACTIONS(2649),
    1,
    anon_sym_SEMI,
    STATE(706),
    1,
    sym_comment,
    STATE(906),
    1,
    sym_raises_expr,
    [24308] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(707),
    1,
    sym_comment,
    ACTIONS(1502),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24323] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(708),
    1,
    sym_comment,
    ACTIONS(2313),
    3,
    anon_sym_COMMA,
    anon_sym_SEMI,
    anon_sym_default,
    [24338] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2524),
    1,
    anon_sym_context,
    ACTIONS(2651),
    1,
    anon_sym_SEMI,
    STATE(709),
    1,
    sym_comment,
    STATE(1145),
    1,
    sym_context_expr,
    [24357] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(710),
    1,
    sym_comment,
    ACTIONS(1562),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24372] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(711),
    1,
    sym_comment,
    ACTIONS(1594),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24387] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(712),
    1,
    sym_comment,
    ACTIONS(1610),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24402] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    STATE(713),
    1,
    sym_comment,
    ACTIONS(1622),
    3,
    anon_sym_AT,
    anon_sym_SLASH_SLASH_AT,
    sym_identifier,
    [24417] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(714),
    1,
    sym_comment,
    STATE(800),
    1,
    sym_scoped_name,
    [24436] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(715),
    1,
    sym_comment,
    STATE(801),
    1,
    sym_scoped_name,
    [24455] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(716),
    1,
    sym_comment,
    STATE(802),
    1,
    sym_scoped_name,
    [24474] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_interface,
    ACTIONS(2655),
    1,
    anon_sym_valuetype,
    ACTIONS(2657),
    1,
    anon_sym_eventtype,
    STATE(717),
    1,
    sym_comment,
    [24493] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    STATE(718),
    1,
    sym_comment,
    ACTIONS(2659),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [24510] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(101),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2121),
    1,
    sym_identifier,
    STATE(719),
    1,
    sym_comment,
    STATE(830),
    1,
    sym_scoped_name,
    [24529] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2661),
    1,
    anon_sym_SEMI,
    ACTIONS(2663),
    1,
    anon_sym_switch,
    ACTIONS(2665),
    1,
    sym_identifier,
    STATE(720),
    1,
    sym_comment,
    [24548] = 6,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2491),
    1,
    anon_sym_COMMA,
    ACTIONS(2667),
    1,
    anon_sym_GT,
    STATE(550),
    1,
    aux_sym_actual_parameters_repeat1,
    STATE(721),
    1,
    sym_comment,
    [24567] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2669),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2671),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(722),
    1,
    sym_comment,
    [24583] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(723),
    1,
    sym_comment,
    ACTIONS(2673),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24597] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(724),
    1,
    sym_comment,
    ACTIONS(2675),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [24611] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(725),
    1,
    sym_comment,
    ACTIONS(2677),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24625] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2679),
    1,
    anon_sym_LT,
    STATE(726),
    1,
    sym_comment,
    [24641] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(727),
    1,
    sym_comment,
    STATE(896),
    1,
    sym_string_literal,
    [24657] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(728),
    1,
    sym_comment,
    ACTIONS(2681),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24671] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(729),
    1,
    sym_comment,
    ACTIONS(2683),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [24685] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2685),
    1,
    anon_sym_LPAREN,
    STATE(730),
    1,
    sym_comment,
    STATE(915),
    1,
    sym_exception_list,
    [24701] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(731),
    1,
    sym_comment,
    ACTIONS(2687),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24715] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2689),
    1,
    anon_sym_valuetype,
    ACTIONS(2691),
    1,
    anon_sym_eventtype,
    STATE(732),
    1,
    sym_comment,
    [24731] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2685),
    1,
    anon_sym_LPAREN,
    STATE(729),
    1,
    sym_exception_list,
    STATE(733),
    1,
    sym_comment,
    [24747] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(734),
    1,
    sym_comment,
    STATE(748),
    1,
    sym_simple_declarator,
    [24763] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2693),
    1,
    anon_sym_LBRACE,
    STATE(735),
    1,
    sym_comment,
    [24779] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2695),
    1,
    anon_sym_LT,
    ACTIONS(2697),
    1,
    sym_identifier,
    STATE(736),
    1,
    sym_comment,
    [24795] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(737),
    1,
    sym_comment,
    ACTIONS(2699),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [24809] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(738),
    1,
    sym_comment,
    ACTIONS(2701),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24823] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(739),
    1,
    sym_comment,
    ACTIONS(2621),
    2,
    anon_sym_COMMA,
    anon_sym_LBRACE,
    [24837] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(740),
    1,
    sym_comment,
    ACTIONS(2703),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [24851] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(741),
    1,
    sym_comment,
    ACTIONS(2705),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24865] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2707),
    1,
    anon_sym_LBRACE,
    STATE(742),
    1,
    sym_comment,
    [24881] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(743),
    1,
    sym_comment,
    ACTIONS(2709),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [24895] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(744),
    1,
    sym_comment,
    ACTIONS(2711),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [24909] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(745),
    1,
    sym_comment,
    ACTIONS(2713),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [24923] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(746),
    1,
    sym_comment,
    ACTIONS(2715),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [24937] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2717),
    1,
    anon_sym_LBRACE,
    STATE(747),
    1,
    sym_comment,
    [24953] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(748),
    1,
    sym_comment,
    ACTIONS(2603),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [24967] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(749),
    1,
    sym_comment,
    ACTIONS(2719),
    2,
    anon_sym_ATdefault_literal,
    sym_identifier,
    [24981] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(750),
    1,
    sym_comment,
    STATE(762),
    1,
    sym_simple_declarator,
    [24997] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2721),
    1,
    anon_sym_GT,
    ACTIONS(2723),
    1,
    anon_sym_COMMA,
    STATE(751),
    1,
    sym_comment,
    [25013] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(752),
    1,
    sym_comment,
    ACTIONS(2725),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25027] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(753),
    1,
    sym_comment,
    ACTIONS(2608),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25041] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(754),
    1,
    sym_comment,
    ACTIONS(2727),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(755),
    1,
    sym_comment,
    ACTIONS(2729),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25069] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2731),
    1,
    anon_sym_GT,
    ACTIONS(2733),
    1,
    anon_sym_COMMA,
    STATE(756),
    1,
    sym_comment,
    [25085] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(757),
    1,
    sym_comment,
    ACTIONS(2593),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25099] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(758),
    1,
    sym_comment,
    STATE(811),
    1,
    sym_string_literal,
    [25115] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(759),
    1,
    sym_comment,
    ACTIONS(2586),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25129] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(760),
    1,
    sym_comment,
    ACTIONS(2584),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25143] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(761),
    1,
    sym_comment,
    ACTIONS(2387),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25157] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(762),
    1,
    sym_comment,
    ACTIONS(2735),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25171] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(763),
    1,
    sym_comment,
    ACTIONS(2737),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25185] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(764),
    1,
    sym_comment,
    ACTIONS(2739),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25199] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2741),
    1,
    aux_sym_floating_pt_literal_token1,
    ACTIONS(2743),
    1,
    aux_sym_fixed_pt_literal_token1,
    STATE(765),
    1,
    sym_comment,
    [25215] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(766),
    1,
    sym_comment,
    STATE(817),
    1,
    sym_simple_declarator,
    [25231] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(767),
    1,
    sym_comment,
    ACTIONS(2745),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25245] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(768),
    1,
    sym_comment,
    ACTIONS(2559),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25259] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(769),
    1,
    sym_comment,
    STATE(819),
    1,
    sym_simple_declarator,
    [25275] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2747),
    1,
    anon_sym_LBRACE,
    STATE(770),
    1,
    sym_comment,
    [25291] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2277),
    1,
    anon_sym_in,
    STATE(771),
    1,
    sym_comment,
    STATE(821),
    1,
    sym_init_param_dcl,
    [25307] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(772),
    1,
    sym_comment,
    ACTIONS(2749),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25321] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(773),
    1,
    sym_comment,
    ACTIONS(2751),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25335] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(774),
    1,
    sym_comment,
    ACTIONS(2753),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [25349] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(775),
    1,
    sym_comment,
    STATE(823),
    1,
    sym_simple_declarator,
    [25365] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2755),
    1,
    anon_sym_GT,
    ACTIONS(2757),
    1,
    anon_sym_COMMA,
    STATE(776),
    1,
    sym_comment,
    [25381] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2204),
    1,
    anon_sym_in,
    STATE(777),
    1,
    sym_comment,
    STATE(825),
    1,
    sym_factory_param_dcl,
    [25397] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(778),
    1,
    sym_comment,
    ACTIONS(2759),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25411] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2761),
    1,
    sym_identifier,
    STATE(779),
    1,
    sym_comment,
    [25427] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(780),
    1,
    sym_comment,
    STATE(1046),
    1,
    sym_string_literal,
    [25443] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2763),
    1,
    anon_sym_max,
    STATE(781),
    1,
    sym_comment,
    STATE(1057),
    1,
    sym_max_expr,
    [25459] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(782),
    1,
    sym_comment,
    STATE(1048),
    1,
    sym_string_literal,
    [25475] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(783),
    1,
    sym_comment,
    STATE(1059),
    1,
    sym_string_literal,
    [25491] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(784),
    1,
    sym_comment,
    STATE(1061),
    1,
    sym_string_literal,
    [25507] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2765),
    1,
    anon_sym_min,
    STATE(785),
    1,
    sym_comment,
    STATE(855),
    1,
    sym_min_expr,
    [25523] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(786),
    1,
    sym_comment,
    ACTIONS(2508),
    2,
    anon_sym_COMMA,
    anon_sym_SEMI,
    [25537] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2767),
    1,
    anon_sym_LBRACE,
    ACTIONS(2769),
    1,
    anon_sym_COLON,
    STATE(787),
    1,
    sym_comment,
    [25553] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2771),
    1,
    sym_identifier,
    STATE(788),
    1,
    sym_comment,
    [25569] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(789),
    1,
    sym_comment,
    STATE(1082),
    1,
    sym_string_literal,
    [25585] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(790),
    1,
    sym_comment,
    ACTIONS(2773),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [25599] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2775),
    1,
    anon_sym_LT,
    STATE(791),
    1,
    sym_comment,
    [25615] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(792),
    1,
    sym_comment,
    ACTIONS(2777),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(793),
    1,
    sym_comment,
    ACTIONS(2779),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25643] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(794),
    1,
    sym_comment,
    STATE(1181),
    1,
    sym_simple_declarator,
    [25659] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2781),
    1,
    anon_sym_RPAREN,
    STATE(795),
    1,
    sym_comment,
    [25675] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(796),
    1,
    sym_comment,
    ACTIONS(2783),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25689] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(797),
    1,
    sym_comment,
    ACTIONS(2785),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25703] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(798),
    1,
    sym_comment,
    ACTIONS(2787),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25717] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2789),
    1,
    sym_identifier,
    STATE(799),
    1,
    sym_comment,
    [25733] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2791),
    1,
    sym_identifier,
    STATE(800),
    1,
    sym_comment,
    [25749] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2793),
    1,
    sym_identifier,
    STATE(801),
    1,
    sym_comment,
    [25765] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2795),
    1,
    sym_identifier,
    STATE(802),
    1,
    sym_comment,
    [25781] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(803),
    1,
    sym_comment,
    ACTIONS(2797),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [25795] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(804),
    1,
    sym_comment,
    STATE(834),
    1,
    sym_simple_declarator,
    [25811] = 5,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(2799),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2801),
    1,
    sym_preproc_arg,
    STATE(805),
    1,
    sym_comment,
    [25827] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2763),
    1,
    anon_sym_max,
    STATE(806),
    1,
    sym_comment,
    STATE(1091),
    1,
    sym_max_expr,
    [25843] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2514),
    1,
    sym_identifier,
    STATE(807),
    1,
    sym_comment,
    STATE(844),
    1,
    sym_simple_declarator,
    [25859] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(808),
    1,
    sym_comment,
    ACTIONS(2803),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25873] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2210),
    1,
    anon_sym_in,
    STATE(809),
    1,
    sym_comment,
    STATE(845),
    1,
    sym_in_param_dcl,
    [25889] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(810),
    1,
    sym_comment,
    STATE(1093),
    1,
    sym_string_literal,
    [25905] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(811),
    1,
    sym_comment,
    ACTIONS(2479),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25919] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(812),
    1,
    sym_comment,
    ACTIONS(2805),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [25933] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(813),
    1,
    sym_comment,
    STATE(1094),
    1,
    sym_string_literal,
    [25949] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(814),
    1,
    sym_comment,
    ACTIONS(2807),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [25963] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(815),
    1,
    sym_comment,
    ACTIONS(2466),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [25977] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2809),
    1,
    sym_identifier,
    STATE(760),
    1,
    sym_annotation_appl_param,
    STATE(816),
    1,
    sym_comment,
    [25993] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(817),
    1,
    sym_comment,
    ACTIONS(2811),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26007] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2813),
    1,
    anon_sym_LBRACE,
    ACTIONS(2815),
    1,
    anon_sym_SEMI,
    STATE(818),
    1,
    sym_comment,
    [26023] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(819),
    1,
    sym_comment,
    ACTIONS(2817),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26037] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(820),
    1,
    sym_comment,
    STATE(1113),
    1,
    sym_string_literal,
    [26053] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(821),
    1,
    sym_comment,
    ACTIONS(2461),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26067] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2819),
    1,
    anon_sym_SEMI,
    STATE(822),
    1,
    sym_comment,
    [26083] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(823),
    1,
    sym_comment,
    ACTIONS(2821),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26097] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2763),
    1,
    anon_sym_max,
    STATE(824),
    1,
    sym_comment,
    STATE(1122),
    1,
    sym_max_expr,
    [26113] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(825),
    1,
    sym_comment,
    ACTIONS(2456),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26127] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(826),
    1,
    sym_comment,
    STATE(1124),
    1,
    sym_string_literal,
    [26143] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(827),
    1,
    sym_comment,
    STATE(1014),
    1,
    sym_string_literal,
    [26159] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(615),
    1,
    anon_sym_DQUOTE,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(828),
    1,
    sym_comment,
    STATE(1125),
    1,
    sym_string_literal,
    [26175] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(829),
    1,
    sym_comment,
    ACTIONS(2823),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26189] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2186),
    1,
    anon_sym_COLON_COLON,
    ACTIONS(2825),
    1,
    sym_identifier,
    STATE(830),
    1,
    sym_comment,
    [26205] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2827),
    1,
    sym_identifier,
    STATE(831),
    1,
    sym_comment,
    STATE(856),
    1,
    sym_formal_parameter_names,
    [26221] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2763),
    1,
    anon_sym_max,
    STATE(832),
    1,
    sym_comment,
    STATE(1017),
    1,
    sym_max_expr,
    [26237] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2765),
    1,
    anon_sym_min,
    STATE(833),
    1,
    sym_comment,
    STATE(1210),
    1,
    sym_min_expr,
    [26253] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2829),
    1,
    anon_sym_SEMI,
    ACTIONS(2831),
    1,
    anon_sym_default,
    STATE(834),
    1,
    sym_comment,
    [26269] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(835),
    1,
    sym_comment,
    ACTIONS(2833),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26283] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(836),
    1,
    sym_comment,
    ACTIONS(2835),
    2,
    anon_sym_COMMA,
    anon_sym_RBRACE,
    [26297] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(837),
    1,
    sym_comment,
    ACTIONS(2837),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26311] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(838),
    1,
    sym_comment,
    ACTIONS(2436),
    2,
    anon_sym_GT,
    anon_sym_COMMA,
    [26325] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(839),
    1,
    sym_comment,
    ACTIONS(2839),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26339] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(840),
    1,
    sym_comment,
    ACTIONS(2841),
    2,
    anon_sym_SEMI,
    anon_sym_context,
    [26353] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(841),
    1,
    sym_comment,
    ACTIONS(2843),
    2,
    anon_sym_SEMI,
    sym_identifier,
    [26367] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(842),
    1,
    sym_comment,
    ACTIONS(2845),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [26381] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(843),
    1,
    sym_comment,
    ACTIONS(2847),
    2,
    anon_sym_RBRACE,
    anon_sym_bitfield,
    [26395] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(844),
    1,
    sym_comment,
    ACTIONS(2849),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26409] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(845),
    1,
    sym_comment,
    ACTIONS(2418),
    2,
    anon_sym_COMMA,
    anon_sym_RPAREN,
    [26423] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2765),
    1,
    anon_sym_min,
    STATE(846),
    1,
    sym_comment,
    STATE(1224),
    1,
    sym_min_expr,
    [26439] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    STATE(847),
    1,
    sym_comment,
    ACTIONS(2851),
    2,
    anon_sym_SEMI,
    anon_sym_setraises,
    [26453] = 5,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2765),
    1,
    anon_sym_min,
    STATE(848),
    1,
    sym_comment,
    STATE(1238),
    1,
    sym_min_expr,
    [26469] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2853),
    1,
    anon_sym_RPAREN,
    STATE(849),
    1,
    sym_comment,
    [26482] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2855),
    1,
    anon_sym_RPAREN,
    STATE(850),
    1,
    sym_comment,
    [26495] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2857),
    1,
    anon_sym_SEMI,
    STATE(851),
    1,
    sym_comment,
    [26508] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2859),
    1,
    anon_sym_SEMI,
    STATE(852),
    1,
    sym_comment,
    [26521] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2861),
    1,
    anon_sym_RPAREN,
    STATE(853),
    1,
    sym_comment,
    [26534] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2863),
    1,
    anon_sym_RPAREN,
    STATE(854),
    1,
    sym_comment,
    [26547] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2865),
    1,
    anon_sym_COMMA,
    STATE(855),
    1,
    sym_comment,
    [26560] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2867),
    1,
    anon_sym_GT,
    STATE(856),
    1,
    sym_comment,
    [26573] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2869),
    1,
    ts_builtin_sym_end,
    STATE(857),
    1,
    sym_comment,
    [26586] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2871),
    1,
    anon_sym_SEMI,
    STATE(858),
    1,
    sym_comment,
    [26599] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2873),
    1,
    anon_sym_EQ,
    STATE(859),
    1,
    sym_comment,
    [26612] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2875),
    1,
    sym_identifier,
    STATE(860),
    1,
    sym_comment,
    [26625] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2877),
    1,
    anon_sym_enum,
    STATE(861),
    1,
    sym_comment,
    [26638] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2879),
    1,
    anon_sym_SEMI,
    STATE(862),
    1,
    sym_comment,
    [26651] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2881),
    1,
    anon_sym_RPAREN,
    STATE(863),
    1,
    sym_comment,
    [26664] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2883),
    1,
    anon_sym_COLON,
    STATE(864),
    1,
    sym_comment,
    [26677] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2885),
    1,
    anon_sym_RPAREN,
    STATE(865),
    1,
    sym_comment,
    [26690] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2887),
    1,
    anon_sym_RPAREN,
    STATE(866),
    1,
    sym_comment,
    [26703] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2889),
    1,
    sym_identifier,
    STATE(867),
    1,
    sym_comment,
    [26716] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1862),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(868),
    1,
    sym_comment,
    [26729] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2891),
    1,
    anon_sym_SEMI,
    STATE(869),
    1,
    sym_comment,
    [26742] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2893),
    1,
    anon_sym_RPAREN,
    STATE(870),
    1,
    sym_comment,
    [26755] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2895),
    1,
    anon_sym_RPAREN,
    STATE(871),
    1,
    sym_comment,
    [26768] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2897),
    1,
    anon_sym_SEMI,
    STATE(872),
    1,
    sym_comment,
    [26781] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2899),
    1,
    anon_sym_RPAREN,
    STATE(873),
    1,
    sym_comment,
    [26794] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2901),
    1,
    anon_sym_RPAREN,
    STATE(874),
    1,
    sym_comment,
    [26807] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2903),
    1,
    anon_sym_RPAREN,
    STATE(875),
    1,
    sym_comment,
    [26820] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2905),
    1,
    anon_sym_RPAREN,
    STATE(876),
    1,
    sym_comment,
    [26833] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2907),
    1,
    anon_sym_LPAREN,
    STATE(877),
    1,
    sym_comment,
    [26846] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2909),
    1,
    anon_sym_RPAREN,
    STATE(878),
    1,
    sym_comment,
    [26859] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2911),
    1,
    anon_sym_RPAREN,
    STATE(879),
    1,
    sym_comment,
    [26872] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2913),
    1,
    anon_sym_SEMI,
    STATE(880),
    1,
    sym_comment,
    [26885] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2915),
    1,
    anon_sym_SEMI,
    STATE(881),
    1,
    sym_comment,
    [26898] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2917),
    1,
    sym_identifier,
    STATE(882),
    1,
    sym_comment,
    [26911] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2919),
    1,
    anon_sym_SEMI,
    STATE(883),
    1,
    sym_comment,
    [26924] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2789),
    1,
    sym_identifier,
    STATE(884),
    1,
    sym_comment,
    [26937] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2921),
    1,
    anon_sym_SEMI,
    STATE(885),
    1,
    sym_comment,
    [26950] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2923),
    1,
    anon_sym_RPAREN,
    STATE(886),
    1,
    sym_comment,
    [26963] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2925),
    1,
    anon_sym_GT,
    STATE(887),
    1,
    sym_comment,
    [26976] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2927),
    1,
    anon_sym_COMMA,
    STATE(888),
    1,
    sym_comment,
    [26989] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2929),
    1,
    anon_sym_COMMA,
    STATE(889),
    1,
    sym_comment,
    [27002] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2931),
    1,
    anon_sym_RPAREN,
    STATE(890),
    1,
    sym_comment,
    [27015] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2933),
    1,
    anon_sym_COLON,
    STATE(891),
    1,
    sym_comment,
    [27028] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2935),
    1,
    anon_sym_SEMI,
    STATE(892),
    1,
    sym_comment,
    [27041] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2937),
    1,
    anon_sym_SEMI,
    STATE(893),
    1,
    sym_comment,
    [27054] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2939),
    1,
    anon_sym_SEMI,
    STATE(894),
    1,
    sym_comment,
    [27067] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2941),
    1,
    anon_sym_COMMA,
    STATE(895),
    1,
    sym_comment,
    [27080] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2943),
    1,
    anon_sym_RPAREN,
    STATE(896),
    1,
    sym_comment,
    [27093] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2945),
    1,
    anon_sym_RPAREN,
    STATE(897),
    1,
    sym_comment,
    [27106] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2947),
    1,
    anon_sym_COMMA,
    STATE(898),
    1,
    sym_comment,
    [27119] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2949),
    1,
    anon_sym_RPAREN,
    STATE(899),
    1,
    sym_comment,
    [27132] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2951),
    1,
    anon_sym_RPAREN,
    STATE(900),
    1,
    sym_comment,
    [27145] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2953),
    1,
    anon_sym_GT,
    STATE(901),
    1,
    sym_comment,
    [27158] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2955),
    1,
    anon_sym_GT,
    STATE(902),
    1,
    sym_comment,
    [27171] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2957),
    1,
    sym_identifier,
    STATE(903),
    1,
    sym_comment,
    [27184] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2959),
    1,
    anon_sym_LBRACE,
    STATE(904),
    1,
    sym_comment,
    [27197] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2961),
    1,
    anon_sym_SEMI,
    STATE(905),
    1,
    sym_comment,
    [27210] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2518),
    1,
    anon_sym_SEMI,
    STATE(906),
    1,
    sym_comment,
    [27223] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2543),
    1,
    anon_sym_SEMI,
    STATE(907),
    1,
    sym_comment,
    [27236] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2554),
    1,
    anon_sym_SEMI,
    STATE(908),
    1,
    sym_comment,
    [27249] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2963),
    1,
    anon_sym_SEMI,
    STATE(909),
    1,
    sym_comment,
    [27262] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2965),
    1,
    anon_sym_RPAREN,
    STATE(910),
    1,
    sym_comment,
    [27275] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2967),
    1,
    anon_sym_SEMI,
    STATE(911),
    1,
    sym_comment,
    [27288] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2969),
    1,
    anon_sym_RPAREN,
    STATE(912),
    1,
    sym_comment,
    [27301] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2971),
    1,
    anon_sym_SEMI,
    STATE(913),
    1,
    sym_comment,
    [27314] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2973),
    1,
    anon_sym_SEMI,
    STATE(914),
    1,
    sym_comment,
    [27327] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2975),
    1,
    anon_sym_SEMI,
    STATE(915),
    1,
    sym_comment,
    [27340] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2977),
    1,
    sym_identifier,
    STATE(916),
    1,
    sym_comment,
    [27353] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2610),
    1,
    anon_sym_SEMI,
    STATE(917),
    1,
    sym_comment,
    [27366] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2979),
    1,
    sym_identifier,
    STATE(918),
    1,
    sym_comment,
    [27379] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2981),
    1,
    sym_identifier,
    STATE(919),
    1,
    sym_comment,
    [27392] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2983),
    1,
    anon_sym_LPAREN,
    STATE(920),
    1,
    sym_comment,
    [27405] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2985),
    1,
    anon_sym_LBRACE,
    STATE(921),
    1,
    sym_comment,
    [27418] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2987),
    1,
    anon_sym_LBRACE,
    STATE(922),
    1,
    sym_comment,
    [27431] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2989),
    1,
    sym_identifier,
    STATE(923),
    1,
    sym_comment,
    [27444] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2991),
    1,
    sym_identifier,
    STATE(924),
    1,
    sym_comment,
    [27457] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2993),
    1,
    anon_sym_RPAREN,
    STATE(925),
    1,
    sym_comment,
    [27470] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2616),
    1,
    anon_sym_RPAREN,
    STATE(926),
    1,
    sym_comment,
    [27483] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2995),
    1,
    anon_sym_RPAREN,
    STATE(927),
    1,
    sym_comment,
    [27496] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2997),
    1,
    anon_sym_LBRACE,
    STATE(928),
    1,
    sym_comment,
    [27509] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2999),
    1,
    anon_sym_enum,
    STATE(929),
    1,
    sym_comment,
    [27522] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2697),
    1,
    sym_identifier,
    STATE(930),
    1,
    sym_comment,
    [27535] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3001),
    1,
    anon_sym_LT,
    STATE(931),
    1,
    sym_comment,
    [27548] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3003),
    1,
    sym_identifier,
    STATE(932),
    1,
    sym_comment,
    [27561] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3005),
    1,
    anon_sym_SEMI,
    STATE(933),
    1,
    sym_comment,
    [27574] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3007),
    1,
    anon_sym_LBRACE,
    STATE(934),
    1,
    sym_comment,
    [27587] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3009),
    1,
    sym_identifier,
    STATE(935),
    1,
    sym_comment,
    [27600] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3011),
    1,
    anon_sym_LBRACE,
    STATE(936),
    1,
    sym_comment,
    [27613] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3013),
    1,
    sym_identifier,
    STATE(937),
    1,
    sym_comment,
    [27626] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3015),
    1,
    anon_sym_GT,
    STATE(938),
    1,
    sym_comment,
    [27639] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3017),
    1,
    anon_sym_SEMI,
    STATE(939),
    1,
    sym_comment,
    [27652] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3019),
    1,
    anon_sym_SEMI,
    STATE(940),
    1,
    sym_comment,
    [27665] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3021),
    1,
    sym_identifier,
    STATE(941),
    1,
    sym_comment,
    [27678] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3023),
    1,
    sym_identifier,
    STATE(942),
    1,
    sym_comment,
    [27691] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3025),
    1,
    anon_sym_SEMI,
    STATE(943),
    1,
    sym_comment,
    [27704] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3027),
    1,
    aux_sym_preproc_call_token1,
    STATE(944),
    1,
    sym_comment,
    [27717] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3029),
    1,
    anon_sym_SEMI,
    STATE(945),
    1,
    sym_comment,
    [27730] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3031),
    1,
    anon_sym_SEMI,
    STATE(946),
    1,
    sym_comment,
    [27743] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3033),
    1,
    anon_sym_SEMI,
    STATE(947),
    1,
    sym_comment,
    [27756] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3035),
    1,
    anon_sym_RPAREN,
    STATE(948),
    1,
    sym_comment,
    [27769] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3037),
    1,
    anon_sym_SEMI,
    STATE(949),
    1,
    sym_comment,
    [27782] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3039),
    1,
    anon_sym_LBRACE,
    STATE(950),
    1,
    sym_comment,
    [27795] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3041),
    1,
    anon_sym_RBRACE,
    STATE(951),
    1,
    sym_comment,
    [27808] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3043),
    1,
    sym_identifier,
    STATE(952),
    1,
    sym_comment,
    [27821] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3045),
    1,
    sym_identifier,
    STATE(953),
    1,
    sym_comment,
    [27834] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3047),
    1,
    anon_sym_SEMI,
    STATE(954),
    1,
    sym_comment,
    [27847] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3049),
    1,
    anon_sym_RBRACE,
    STATE(955),
    1,
    sym_comment,
    [27860] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3051),
    1,
    anon_sym_SEMI,
    STATE(956),
    1,
    sym_comment,
    [27873] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3053),
    1,
    anon_sym_SEMI,
    STATE(957),
    1,
    sym_comment,
    [27886] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3055),
    1,
    anon_sym_SEMI,
    STATE(958),
    1,
    sym_comment,
    [27899] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3057),
    1,
    anon_sym_SEMI,
    STATE(959),
    1,
    sym_comment,
    [27912] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3059),
    1,
    anon_sym_SEMI,
    STATE(960),
    1,
    sym_comment,
    [27925] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3061),
    1,
    anon_sym_SEMI,
    STATE(961),
    1,
    sym_comment,
    [27938] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3063),
    1,
    anon_sym_LBRACE,
    STATE(962),
    1,
    sym_comment,
    [27951] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3065),
    1,
    sym_identifier,
    STATE(963),
    1,
    sym_comment,
    [27964] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2761),
    1,
    sym_identifier,
    STATE(964),
    1,
    sym_comment,
    [27977] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3067),
    1,
    anon_sym_SEMI,
    STATE(965),
    1,
    sym_comment,
    [27990] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3069),
    1,
    anon_sym_LBRACE,
    STATE(966),
    1,
    sym_comment,
    [28003] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3071),
    1,
    anon_sym_SEMI,
    STATE(967),
    1,
    sym_comment,
    [28016] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3073),
    1,
    anon_sym_SEMI,
    STATE(968),
    1,
    sym_comment,
    [28029] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3075),
    1,
    sym_identifier,
    STATE(969),
    1,
    sym_comment,
    [28042] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3077),
    1,
    anon_sym_SEMI,
    STATE(970),
    1,
    sym_comment,
    [28055] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3079),
    1,
    anon_sym_SEMI,
    STATE(971),
    1,
    sym_comment,
    [28068] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3081),
    1,
    anon_sym_LBRACE,
    STATE(972),
    1,
    sym_comment,
    [28081] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3083),
    1,
    anon_sym_SEMI,
    STATE(973),
    1,
    sym_comment,
    [28094] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3085),
    1,
    sym_identifier,
    STATE(974),
    1,
    sym_comment,
    [28107] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3087),
    1,
    anon_sym_SEMI,
    STATE(975),
    1,
    sym_comment,
    [28120] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3089),
    1,
    anon_sym_LBRACE,
    STATE(976),
    1,
    sym_comment,
    [28133] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3091),
    1,
    anon_sym_RBRACE,
    STATE(977),
    1,
    sym_comment,
    [28146] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2651),
    1,
    anon_sym_SEMI,
    STATE(978),
    1,
    sym_comment,
    [28159] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2689),
    1,
    anon_sym_valuetype,
    STATE(979),
    1,
    sym_comment,
    [28172] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3093),
    1,
    anon_sym_void,
    STATE(980),
    1,
    sym_comment,
    [28185] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3095),
    1,
    anon_sym_attribute,
    STATE(981),
    1,
    sym_comment,
    [28198] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3097),
    1,
    sym_identifier,
    STATE(982),
    1,
    sym_comment,
    [28211] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2655),
    1,
    anon_sym_valuetype,
    STATE(983),
    1,
    sym_comment,
    [28224] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3099),
    1,
    anon_sym_RPAREN,
    STATE(984),
    1,
    sym_comment,
    [28237] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3101),
    1,
    anon_sym_RPAREN,
    STATE(985),
    1,
    sym_comment,
    [28250] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3103),
    1,
    anon_sym_SEMI,
    STATE(986),
    1,
    sym_comment,
    [28263] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3105),
    1,
    anon_sym_LBRACE,
    STATE(987),
    1,
    sym_comment,
    [28276] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3107),
    1,
    anon_sym_LBRACE,
    STATE(988),
    1,
    sym_comment,
    [28289] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3109),
    1,
    anon_sym_LBRACE,
    STATE(989),
    1,
    sym_comment,
    [28302] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3111),
    1,
    anon_sym_RPAREN,
    STATE(990),
    1,
    sym_comment,
    [28315] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3113),
    1,
    anon_sym_LBRACE,
    STATE(991),
    1,
    sym_comment,
    [28328] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2315),
    1,
    anon_sym_LBRACE,
    STATE(992),
    1,
    sym_comment,
    [28341] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3115),
    1,
    anon_sym_LBRACE,
    STATE(993),
    1,
    sym_comment,
    [28354] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3117),
    1,
    anon_sym_RPAREN,
    STATE(994),
    1,
    sym_comment,
    [28367] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3119),
    1,
    sym_identifier,
    STATE(995),
    1,
    sym_comment,
    [28380] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3121),
    1,
    anon_sym_SEMI,
    STATE(996),
    1,
    sym_comment,
    [28393] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3123),
    1,
    anon_sym_GT,
    STATE(997),
    1,
    sym_comment,
    [28406] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2625),
    1,
    anon_sym_SEMI,
    STATE(998),
    1,
    sym_comment,
    [28419] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2627),
    1,
    anon_sym_SEMI,
    STATE(999),
    1,
    sym_comment,
    [28432] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3125),
    1,
    anon_sym_SEMI,
    STATE(1000),
    1,
    sym_comment,
    [28445] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2218),
    1,
    anon_sym_LBRACE,
    STATE(1001),
    1,
    sym_comment,
    [28458] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3127),
    1,
    anon_sym_GT,
    STATE(1002),
    1,
    sym_comment,
    [28471] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3129),
    1,
    anon_sym_GT,
    STATE(1003),
    1,
    sym_comment,
    [28484] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3131),
    1,
    anon_sym_GT,
    STATE(1004),
    1,
    sym_comment,
    [28497] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3133),
    1,
    anon_sym_LBRACE,
    STATE(1005),
    1,
    sym_comment,
    [28510] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3135),
    1,
    anon_sym_SLASH,
    STATE(1006),
    1,
    sym_comment,
    [28523] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3137),
    1,
    anon_sym_LBRACE,
    STATE(1007),
    1,
    sym_comment,
    [28536] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3139),
    1,
    anon_sym_SEMI,
    STATE(1008),
    1,
    sym_comment,
    [28549] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3141),
    1,
    anon_sym_COMMA,
    STATE(1009),
    1,
    sym_comment,
    [28562] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1940),
    1,
    anon_sym_EQ,
    STATE(1010),
    1,
    sym_comment,
    [28575] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3143),
    1,
    anon_sym_COMMA,
    STATE(1011),
    1,
    sym_comment,
    [28588] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3145),
    1,
    anon_sym_LPAREN,
    STATE(1012),
    1,
    sym_comment,
    [28601] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3147),
    1,
    anon_sym_SEMI,
    STATE(1013),
    1,
    sym_comment,
    [28614] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3149),
    1,
    anon_sym_RPAREN,
    STATE(1014),
    1,
    sym_comment,
    [28627] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3151),
    1,
    anon_sym_COMMA,
    STATE(1015),
    1,
    sym_comment,
    [28640] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3153),
    1,
    anon_sym_RPAREN,
    STATE(1016),
    1,
    sym_comment,
    [28653] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3155),
    1,
    anon_sym_RPAREN,
    STATE(1017),
    1,
    sym_comment,
    [28666] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3157),
    1,
    sym_identifier,
    STATE(1018),
    1,
    sym_comment,
    [28679] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3159),
    1,
    sym_identifier,
    STATE(1019),
    1,
    sym_comment,
    [28692] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3161),
    1,
    anon_sym_EQ,
    STATE(1020),
    1,
    sym_comment,
    [28705] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2563),
    1,
    anon_sym_manages,
    STATE(1021),
    1,
    sym_comment,
    [28718] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3163),
    1,
    anon_sym_COMMA,
    STATE(1022),
    1,
    sym_comment,
    [28731] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3165),
    1,
    sym_identifier,
    STATE(1023),
    1,
    sym_comment,
    [28744] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3167),
    1,
    anon_sym_manages,
    STATE(1024),
    1,
    sym_comment,
    [28757] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3169),
    1,
    sym_identifier,
    STATE(1025),
    1,
    sym_comment,
    [28770] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3171),
    1,
    anon_sym_SEMI,
    STATE(1026),
    1,
    sym_comment,
    [28783] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2561),
    1,
    anon_sym_LBRACE,
    STATE(1027),
    1,
    sym_comment,
    [28796] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3173),
    1,
    anon_sym_RBRACE,
    STATE(1028),
    1,
    sym_comment,
    [28809] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3175),
    1,
    aux_sym_preproc_call_token1,
    STATE(1029),
    1,
    sym_comment,
    [28822] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3177),
    1,
    sym_identifier,
    STATE(1030),
    1,
    sym_comment,
    [28835] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3179),
    1,
    sym_system_lib_path,
    STATE(1031),
    1,
    sym_comment,
    [28848] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3181),
    1,
    anon_sym_SEMI,
    STATE(1032),
    1,
    sym_comment,
    [28861] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2537),
    1,
    anon_sym_SEMI,
    STATE(1033),
    1,
    sym_comment,
    [28874] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3183),
    1,
    anon_sym_SEMI,
    STATE(1034),
    1,
    sym_comment,
    [28887] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3185),
    1,
    anon_sym_RPAREN,
    STATE(1035),
    1,
    sym_comment,
    [28900] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3187),
    1,
    anon_sym_RPAREN,
    STATE(1036),
    1,
    sym_comment,
    [28913] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3189),
    1,
    anon_sym_RPAREN,
    STATE(1037),
    1,
    sym_comment,
    [28926] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3191),
    1,
    anon_sym_RPAREN,
    STATE(1038),
    1,
    sym_comment,
    [28939] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3193),
    1,
    anon_sym_RPAREN,
    STATE(1039),
    1,
    sym_comment,
    [28952] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3195),
    1,
    anon_sym_RPAREN,
    STATE(1040),
    1,
    sym_comment,
    [28965] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3197),
    1,
    anon_sym_RPAREN,
    STATE(1041),
    1,
    sym_comment,
    [28978] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3199),
    1,
    anon_sym_RPAREN,
    STATE(1042),
    1,
    sym_comment,
    [28991] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3201),
    1,
    anon_sym_RPAREN,
    STATE(1043),
    1,
    sym_comment,
    [29004] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3203),
    1,
    anon_sym_RPAREN,
    STATE(1044),
    1,
    sym_comment,
    [29017] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3205),
    1,
    anon_sym_RPAREN,
    STATE(1045),
    1,
    sym_comment,
    [29030] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3207),
    1,
    anon_sym_RPAREN,
    STATE(1046),
    1,
    sym_comment,
    [29043] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3209),
    1,
    anon_sym_RPAREN,
    STATE(1047),
    1,
    sym_comment,
    [29056] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3211),
    1,
    anon_sym_RPAREN,
    STATE(1048),
    1,
    sym_comment,
    [29069] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3213),
    1,
    anon_sym_RPAREN,
    STATE(1049),
    1,
    sym_comment,
    [29082] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3215),
    1,
    anon_sym_RPAREN,
    STATE(1050),
    1,
    sym_comment,
    [29095] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3217),
    1,
    anon_sym_RPAREN,
    STATE(1051),
    1,
    sym_comment,
    [29108] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3219),
    1,
    anon_sym_RPAREN,
    STATE(1052),
    1,
    sym_comment,
    [29121] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3221),
    1,
    anon_sym_RPAREN,
    STATE(1053),
    1,
    sym_comment,
    [29134] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3223),
    1,
    anon_sym_RPAREN,
    STATE(1054),
    1,
    sym_comment,
    [29147] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3225),
    1,
    anon_sym_SEMI,
    STATE(1055),
    1,
    sym_comment,
    [29160] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3227),
    1,
    aux_sym_preproc_call_token1,
    STATE(1056),
    1,
    sym_comment,
    [29173] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3229),
    1,
    anon_sym_RPAREN,
    STATE(1057),
    1,
    sym_comment,
    [29186] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3231),
    1,
    anon_sym_RPAREN,
    STATE(1058),
    1,
    sym_comment,
    [29199] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3233),
    1,
    anon_sym_RPAREN,
    STATE(1059),
    1,
    sym_comment,
    [29212] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3235),
    1,
    anon_sym_LBRACE,
    STATE(1060),
    1,
    sym_comment,
    [29225] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3237),
    1,
    anon_sym_RPAREN,
    STATE(1061),
    1,
    sym_comment,
    [29238] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3239),
    1,
    sym_identifier,
    STATE(1062),
    1,
    sym_comment,
    [29251] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3241),
    1,
    sym_identifier,
    STATE(1063),
    1,
    sym_comment,
    [29264] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3243),
    1,
    anon_sym_SEMI,
    STATE(1064),
    1,
    sym_comment,
    [29277] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3245),
    1,
    anon_sym_SEMI,
    STATE(1065),
    1,
    sym_comment,
    [29290] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3247),
    1,
    anon_sym_LBRACE,
    STATE(1066),
    1,
    sym_comment,
    [29303] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3249),
    1,
    sym_identifier,
    STATE(1067),
    1,
    sym_comment,
    [29316] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3251),
    1,
    sym_identifier,
    STATE(1068),
    1,
    sym_comment,
    [29329] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2522),
    1,
    anon_sym_SEMI,
    STATE(1069),
    1,
    sym_comment,
    [29342] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3253),
    1,
    anon_sym_SEMI,
    STATE(1070),
    1,
    sym_comment,
    [29355] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3255),
    1,
    anon_sym_RPAREN,
    STATE(1071),
    1,
    sym_comment,
    [29368] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3257),
    1,
    anon_sym_RPAREN,
    STATE(1072),
    1,
    sym_comment,
    [29381] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3259),
    1,
    anon_sym_RPAREN,
    STATE(1073),
    1,
    sym_comment,
    [29394] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3261),
    1,
    anon_sym_RPAREN,
    STATE(1074),
    1,
    sym_comment,
    [29407] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3263),
    1,
    anon_sym_RPAREN,
    STATE(1075),
    1,
    sym_comment,
    [29420] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3265),
    1,
    anon_sym_RPAREN,
    STATE(1076),
    1,
    sym_comment,
    [29433] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3267),
    1,
    anon_sym_RPAREN,
    STATE(1077),
    1,
    sym_comment,
    [29446] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3269),
    1,
    anon_sym_RPAREN,
    STATE(1078),
    1,
    sym_comment,
    [29459] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3271),
    1,
    anon_sym_RPAREN,
    STATE(1079),
    1,
    sym_comment,
    [29472] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3273),
    1,
    anon_sym_RPAREN,
    STATE(1080),
    1,
    sym_comment,
    [29485] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3275),
    1,
    anon_sym_RPAREN,
    STATE(1081),
    1,
    sym_comment,
    [29498] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3277),
    1,
    anon_sym_RPAREN,
    STATE(1082),
    1,
    sym_comment,
    [29511] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3279),
    1,
    anon_sym_RPAREN,
    STATE(1083),
    1,
    sym_comment,
    [29524] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3281),
    1,
    anon_sym_RPAREN,
    STATE(1084),
    1,
    sym_comment,
    [29537] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3283),
    1,
    anon_sym_RPAREN,
    STATE(1085),
    1,
    sym_comment,
    [29550] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3285),
    1,
    anon_sym_RPAREN,
    STATE(1086),
    1,
    sym_comment,
    [29563] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3287),
    1,
    anon_sym_RPAREN,
    STATE(1087),
    1,
    sym_comment,
    [29576] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3289),
    1,
    anon_sym_RPAREN,
    STATE(1088),
    1,
    sym_comment,
    [29589] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3291),
    1,
    anon_sym_RPAREN,
    STATE(1089),
    1,
    sym_comment,
    [29602] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3293),
    1,
    anon_sym_RPAREN,
    STATE(1090),
    1,
    sym_comment,
    [29615] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3295),
    1,
    anon_sym_RPAREN,
    STATE(1091),
    1,
    sym_comment,
    [29628] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3297),
    1,
    anon_sym_RPAREN,
    STATE(1092),
    1,
    sym_comment,
    [29641] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3299),
    1,
    anon_sym_RPAREN,
    STATE(1093),
    1,
    sym_comment,
    [29654] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3301),
    1,
    anon_sym_RPAREN,
    STATE(1094),
    1,
    sym_comment,
    [29667] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3303),
    1,
    aux_sym_comment_token1,
    STATE(1095),
    1,
    sym_comment,
    [29680] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3305),
    1,
    sym_identifier,
    STATE(1096),
    1,
    sym_comment,
    [29693] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3307),
    1,
    anon_sym_SEMI,
    STATE(1097),
    1,
    sym_comment,
    [29706] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3309),
    1,
    anon_sym_EQ,
    STATE(1098),
    1,
    sym_comment,
    [29719] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3311),
    1,
    anon_sym_LPAREN,
    STATE(1099),
    1,
    sym_comment,
    [29732] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3313),
    1,
    sym_identifier,
    STATE(1100),
    1,
    sym_comment,
    [29745] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3315),
    1,
    anon_sym_SEMI,
    STATE(1101),
    1,
    sym_comment,
    [29758] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3317),
    1,
    anon_sym_RPAREN,
    STATE(1102),
    1,
    sym_comment,
    [29771] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3319),
    1,
    anon_sym_RPAREN,
    STATE(1103),
    1,
    sym_comment,
    [29784] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3321),
    1,
    anon_sym_RPAREN,
    STATE(1104),
    1,
    sym_comment,
    [29797] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3323),
    1,
    anon_sym_RPAREN,
    STATE(1105),
    1,
    sym_comment,
    [29810] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3325),
    1,
    anon_sym_RPAREN,
    STATE(1106),
    1,
    sym_comment,
    [29823] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3327),
    1,
    anon_sym_RPAREN,
    STATE(1107),
    1,
    sym_comment,
    [29836] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3329),
    1,
    anon_sym_RPAREN,
    STATE(1108),
    1,
    sym_comment,
    [29849] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3331),
    1,
    anon_sym_RPAREN,
    STATE(1109),
    1,
    sym_comment,
    [29862] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3333),
    1,
    anon_sym_RPAREN,
    STATE(1110),
    1,
    sym_comment,
    [29875] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3335),
    1,
    anon_sym_RPAREN,
    STATE(1111),
    1,
    sym_comment,
    [29888] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3337),
    1,
    anon_sym_RPAREN,
    STATE(1112),
    1,
    sym_comment,
    [29901] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3339),
    1,
    anon_sym_RPAREN,
    STATE(1113),
    1,
    sym_comment,
    [29914] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3341),
    1,
    anon_sym_RPAREN,
    STATE(1114),
    1,
    sym_comment,
    [29927] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3343),
    1,
    anon_sym_RPAREN,
    STATE(1115),
    1,
    sym_comment,
    [29940] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3345),
    1,
    anon_sym_RPAREN,
    STATE(1116),
    1,
    sym_comment,
    [29953] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3347),
    1,
    anon_sym_RPAREN,
    STATE(1117),
    1,
    sym_comment,
    [29966] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3349),
    1,
    anon_sym_RPAREN,
    STATE(1118),
    1,
    sym_comment,
    [29979] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3351),
    1,
    anon_sym_RPAREN,
    STATE(1119),
    1,
    sym_comment,
    [29992] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3353),
    1,
    anon_sym_RPAREN,
    STATE(1120),
    1,
    sym_comment,
    [30005] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3355),
    1,
    anon_sym_RPAREN,
    STATE(1121),
    1,
    sym_comment,
    [30018] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3357),
    1,
    anon_sym_RPAREN,
    STATE(1122),
    1,
    sym_comment,
    [30031] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3359),
    1,
    anon_sym_RPAREN,
    STATE(1123),
    1,
    sym_comment,
    [30044] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3361),
    1,
    anon_sym_RPAREN,
    STATE(1124),
    1,
    sym_comment,
    [30057] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3363),
    1,
    anon_sym_RPAREN,
    STATE(1125),
    1,
    sym_comment,
    [30070] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3365),
    1,
    sym_identifier,
    STATE(1126),
    1,
    sym_comment,
    [30083] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3367),
    1,
    sym_identifier,
    STATE(1127),
    1,
    sym_comment,
    [30096] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3369),
    1,
    sym_identifier,
    STATE(1128),
    1,
    sym_comment,
    [30109] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2653),
    1,
    anon_sym_interface,
    STATE(1129),
    1,
    sym_comment,
    [30122] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2520),
    1,
    anon_sym_LBRACE,
    STATE(1130),
    1,
    sym_comment,
    [30135] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3371),
    1,
    anon_sym_SEMI,
    STATE(1131),
    1,
    sym_comment,
    [30148] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2102),
    1,
    anon_sym_LBRACE,
    STATE(1132),
    1,
    sym_comment,
    [30161] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2695),
    1,
    anon_sym_LT,
    STATE(1133),
    1,
    sym_comment,
    [30174] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3373),
    1,
    anon_sym_SEMI,
    STATE(1134),
    1,
    sym_comment,
    [30187] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3375),
    1,
    anon_sym_SEMI,
    STATE(1135),
    1,
    sym_comment,
    [30200] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3377),
    1,
    anon_sym_SEMI,
    STATE(1136),
    1,
    sym_comment,
    [30213] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3379),
    1,
    sym_identifier,
    STATE(1137),
    1,
    sym_comment,
    [30226] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3381),
    1,
    sym_identifier,
    STATE(1138),
    1,
    sym_comment,
    [30239] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3383),
    1,
    sym_identifier,
    STATE(1139),
    1,
    sym_comment,
    [30252] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3385),
    1,
    anon_sym_SEMI,
    STATE(1140),
    1,
    sym_comment,
    [30265] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3387),
    1,
    anon_sym_LPAREN,
    STATE(1141),
    1,
    sym_comment,
    [30278] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3389),
    1,
    anon_sym_SEMI,
    STATE(1142),
    1,
    sym_comment,
    [30291] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3391),
    1,
    sym_identifier,
    STATE(1143),
    1,
    sym_comment,
    [30304] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3393),
    1,
    anon_sym_LPAREN,
    STATE(1144),
    1,
    sym_comment,
    [30317] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3395),
    1,
    anon_sym_SEMI,
    STATE(1145),
    1,
    sym_comment,
    [30330] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3397),
    1,
    anon_sym_SEMI,
    STATE(1146),
    1,
    sym_comment,
    [30343] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3399),
    1,
    sym_identifier,
    STATE(1147),
    1,
    sym_comment,
    [30356] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3401),
    1,
    anon_sym_LPAREN,
    STATE(1148),
    1,
    sym_comment,
    [30369] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3403),
    1,
    anon_sym_LPAREN,
    STATE(1149),
    1,
    sym_comment,
    [30382] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3405),
    1,
    anon_sym_LPAREN,
    STATE(1150),
    1,
    sym_comment,
    [30395] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3407),
    1,
    anon_sym_SEMI,
    STATE(1151),
    1,
    sym_comment,
    [30408] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3409),
    1,
    anon_sym_SEMI,
    STATE(1152),
    1,
    sym_comment,
    [30421] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3411),
    1,
    anon_sym_SEMI,
    STATE(1153),
    1,
    sym_comment,
    [30434] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3413),
    1,
    anon_sym_LPAREN,
    STATE(1154),
    1,
    sym_comment,
    [30447] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2295),
    1,
    anon_sym_LBRACE,
    STATE(1155),
    1,
    sym_comment,
    [30460] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2771),
    1,
    sym_identifier,
    STATE(1156),
    1,
    sym_comment,
    [30473] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3415),
    1,
    sym_identifier,
    STATE(1157),
    1,
    sym_comment,
    [30486] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3417),
    1,
    anon_sym_RBRACK,
    STATE(1158),
    1,
    sym_comment,
    [30499] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(1850),
    1,
    aux_sym_preproc_call_token1,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    STATE(1159),
    1,
    sym_comment,
    [30512] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3419),
    1,
    sym_identifier,
    STATE(1160),
    1,
    sym_comment,
    [30525] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3421),
    1,
    sym_identifier,
    STATE(1161),
    1,
    sym_comment,
    [30538] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3423),
    1,
    anon_sym_SEMI,
    STATE(1162),
    1,
    sym_comment,
    [30551] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3425),
    1,
    anon_sym_GT,
    STATE(1163),
    1,
    sym_comment,
    [30564] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3427),
    1,
    sym_identifier,
    STATE(1164),
    1,
    sym_comment,
    [30577] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3429),
    1,
    anon_sym_LPAREN,
    STATE(1165),
    1,
    sym_comment,
    [30590] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3431),
    1,
    sym_identifier,
    STATE(1166),
    1,
    sym_comment,
    [30603] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3433),
    1,
    anon_sym_RPAREN,
    STATE(1167),
    1,
    sym_comment,
    [30616] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2781),
    1,
    anon_sym_RPAREN,
    STATE(1168),
    1,
    sym_comment,
    [30629] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3435),
    1,
    anon_sym_SEMI,
    STATE(1169),
    1,
    sym_comment,
    [30642] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3437),
    1,
    anon_sym_LPAREN,
    STATE(1170),
    1,
    sym_comment,
    [30655] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3439),
    1,
    anon_sym_SEMI,
    STATE(1171),
    1,
    sym_comment,
    [30668] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3441),
    1,
    anon_sym_LBRACE,
    STATE(1172),
    1,
    sym_comment,
    [30681] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3443),
    1,
    sym_identifier,
    STATE(1173),
    1,
    sym_comment,
    [30694] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3445),
    1,
    sym_identifier,
    STATE(1174),
    1,
    sym_comment,
    [30707] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3447),
    1,
    sym_identifier,
    STATE(1175),
    1,
    sym_comment,
    [30720] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3449),
    1,
    anon_sym_SEMI,
    STATE(1176),
    1,
    sym_comment,
    [30733] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3451),
    1,
    aux_sym_preproc_define_token1,
    STATE(1177),
    1,
    sym_comment,
    [30746] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3453),
    1,
    sym_identifier,
    STATE(1178),
    1,
    sym_comment,
    [30759] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3455),
    1,
    anon_sym_LT,
    STATE(1179),
    1,
    sym_comment,
    [30772] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3457),
    1,
    anon_sym_LT,
    STATE(1180),
    1,
    sym_comment,
    [30785] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3459),
    1,
    anon_sym_SEMI,
    STATE(1181),
    1,
    sym_comment,
    [30798] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3461),
    1,
    anon_sym_LPAREN,
    STATE(1182),
    1,
    sym_comment,
    [30811] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3463),
    1,
    anon_sym_LBRACE,
    STATE(1183),
    1,
    sym_comment,
    [30824] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3465),
    1,
    sym_identifier,
    STATE(1184),
    1,
    sym_comment,
    [30837] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3467),
    1,
    anon_sym_LPAREN,
    STATE(1185),
    1,
    sym_comment,
    [30850] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3469),
    1,
    anon_sym_SEMI,
    STATE(1186),
    1,
    sym_comment,
    [30863] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3471),
    1,
    anon_sym_LPAREN,
    STATE(1187),
    1,
    sym_comment,
    [30876] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2819),
    1,
    anon_sym_SEMI,
    STATE(1188),
    1,
    sym_comment,
    [30889] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3473),
    1,
    anon_sym_SEMI,
    STATE(1189),
    1,
    sym_comment,
    [30902] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3475),
    1,
    anon_sym_LPAREN,
    STATE(1190),
    1,
    sym_comment,
    [30915] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3477),
    1,
    anon_sym_LPAREN,
    STATE(1191),
    1,
    sym_comment,
    [30928] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3479),
    1,
    anon_sym_LPAREN,
    STATE(1192),
    1,
    sym_comment,
    [30941] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3481),
    1,
    anon_sym_LPAREN,
    STATE(1193),
    1,
    sym_comment,
    [30954] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3483),
    1,
    anon_sym_LPAREN,
    STATE(1194),
    1,
    sym_comment,
    [30967] = 4,
    ACTIONS(3),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(2064),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(3485),
    1,
    aux_sym_comment_token2,
    STATE(1195),
    1,
    sym_comment,
    [30980] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3487),
    1,
    anon_sym_LPAREN,
    STATE(1196),
    1,
    sym_comment,
    [30993] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3489),
    1,
    anon_sym_RPAREN,
    STATE(1197),
    1,
    sym_comment,
    [31006] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3491),
    1,
    anon_sym_SEMI,
    STATE(1198),
    1,
    sym_comment,
    [31019] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3493),
    1,
    anon_sym_SEMI,
    STATE(1199),
    1,
    sym_comment,
    [31032] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3495),
    1,
    anon_sym_LPAREN,
    STATE(1200),
    1,
    sym_comment,
    [31045] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3497),
    1,
    anon_sym_LPAREN,
    STATE(1201),
    1,
    sym_comment,
    [31058] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3499),
    1,
    anon_sym_LPAREN,
    STATE(1202),
    1,
    sym_comment,
    [31071] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3501),
    1,
    anon_sym_LPAREN,
    STATE(1203),
    1,
    sym_comment,
    [31084] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3503),
    1,
    anon_sym_LPAREN,
    STATE(1204),
    1,
    sym_comment,
    [31097] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3505),
    1,
    anon_sym_LPAREN,
    STATE(1205),
    1,
    sym_comment,
    [31110] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3507),
    1,
    anon_sym_LPAREN,
    STATE(1206),
    1,
    sym_comment,
    [31123] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3509),
    1,
    anon_sym_LPAREN,
    STATE(1207),
    1,
    sym_comment,
    [31136] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3511),
    1,
    anon_sym_LPAREN,
    STATE(1208),
    1,
    sym_comment,
    [31149] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3513),
    1,
    anon_sym_LPAREN,
    STATE(1209),
    1,
    sym_comment,
    [31162] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3515),
    1,
    anon_sym_COMMA,
    STATE(1210),
    1,
    sym_comment,
    [31175] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3517),
    1,
    anon_sym_COMMA,
    STATE(1211),
    1,
    sym_comment,
    [31188] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3519),
    1,
    anon_sym_COMMA,
    STATE(1212),
    1,
    sym_comment,
    [31201] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3521),
    1,
    anon_sym_COMMA,
    STATE(1213),
    1,
    sym_comment,
    [31214] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3523),
    1,
    anon_sym_LPAREN,
    STATE(1214),
    1,
    sym_comment,
    [31227] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3525),
    1,
    anon_sym_LPAREN,
    STATE(1215),
    1,
    sym_comment,
    [31240] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3527),
    1,
    anon_sym_LPAREN,
    STATE(1216),
    1,
    sym_comment,
    [31253] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3529),
    1,
    anon_sym_LPAREN,
    STATE(1217),
    1,
    sym_comment,
    [31266] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3531),
    1,
    anon_sym_LPAREN,
    STATE(1218),
    1,
    sym_comment,
    [31279] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3533),
    1,
    anon_sym_LPAREN,
    STATE(1219),
    1,
    sym_comment,
    [31292] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3535),
    1,
    anon_sym_LPAREN,
    STATE(1220),
    1,
    sym_comment,
    [31305] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3537),
    1,
    anon_sym_LPAREN,
    STATE(1221),
    1,
    sym_comment,
    [31318] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3539),
    1,
    anon_sym_LPAREN,
    STATE(1222),
    1,
    sym_comment,
    [31331] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3541),
    1,
    anon_sym_LPAREN,
    STATE(1223),
    1,
    sym_comment,
    [31344] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3543),
    1,
    anon_sym_COMMA,
    STATE(1224),
    1,
    sym_comment,
    [31357] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3545),
    1,
    anon_sym_COMMA,
    STATE(1225),
    1,
    sym_comment,
    [31370] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3547),
    1,
    anon_sym_COMMA,
    STATE(1226),
    1,
    sym_comment,
    [31383] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3549),
    1,
    anon_sym_COMMA,
    STATE(1227),
    1,
    sym_comment,
    [31396] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3551),
    1,
    anon_sym_LPAREN,
    STATE(1228),
    1,
    sym_comment,
    [31409] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3553),
    1,
    anon_sym_LPAREN,
    STATE(1229),
    1,
    sym_comment,
    [31422] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3555),
    1,
    anon_sym_LPAREN,
    STATE(1230),
    1,
    sym_comment,
    [31435] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3557),
    1,
    anon_sym_LPAREN,
    STATE(1231),
    1,
    sym_comment,
    [31448] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3559),
    1,
    anon_sym_LPAREN,
    STATE(1232),
    1,
    sym_comment,
    [31461] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3561),
    1,
    anon_sym_LPAREN,
    STATE(1233),
    1,
    sym_comment,
    [31474] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3563),
    1,
    anon_sym_LPAREN,
    STATE(1234),
    1,
    sym_comment,
    [31487] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3565),
    1,
    anon_sym_LPAREN,
    STATE(1235),
    1,
    sym_comment,
    [31500] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3567),
    1,
    anon_sym_LPAREN,
    STATE(1236),
    1,
    sym_comment,
    [31513] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3569),
    1,
    anon_sym_LPAREN,
    STATE(1237),
    1,
    sym_comment,
    [31526] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3571),
    1,
    anon_sym_COMMA,
    STATE(1238),
    1,
    sym_comment,
    [31539] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3573),
    1,
    anon_sym_COMMA,
    STATE(1239),
    1,
    sym_comment,
    [31552] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3575),
    1,
    anon_sym_COMMA,
    STATE(1240),
    1,
    sym_comment,
    [31565] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3577),
    1,
    anon_sym_COMMA,
    STATE(1241),
    1,
    sym_comment,
    [31578] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3579),
    1,
    anon_sym_SEMI,
    STATE(1242),
    1,
    sym_comment,
    [31591] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3581),
    1,
    anon_sym_SEMI,
    STATE(1243),
    1,
    sym_comment,
    [31604] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3583),
    1,
    anon_sym_SEMI,
    STATE(1244),
    1,
    sym_comment,
    [31617] = 4,
    ACTIONS(5),
    1,
    anon_sym_SLASH_STAR,
    ACTIONS(623),
    1,
    anon_sym_SLASH_SLASH,
    ACTIONS(3585),
    1,
    anon_sym_LPAREN,
    STATE(1245),
    1,
    sym_comment,
    [31630] = 1,
    ACTIONS(3587),
    1,
    ts_builtin_sym_end,
    [31634] = 1,
    ACTIONS(3589),
    1,
    ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
    [SMALL_STATE(33)] = 0,
    [SMALL_STATE(34)] = 151,
    [SMALL_STATE(35)] = 302,
    [SMALL_STATE(36)] = 451,
    [SMALL_STATE(37)] = 602,
    [SMALL_STATE(38)] = 753,
    [SMALL_STATE(39)] = 904,
    [SMALL_STATE(40)] = 1055,
    [SMALL_STATE(41)] = 1203,
    [SMALL_STATE(42)] = 1347,
    [SMALL_STATE(43)] = 1491,
    [SMALL_STATE(44)] = 1633,
    [SMALL_STATE(45)] = 1771,
    [SMALL_STATE(46)] = 1913,
    [SMALL_STATE(47)] = 2057,
    [SMALL_STATE(48)] = 2127,
    [SMALL_STATE(49)] = 2197,
    [SMALL_STATE(50)] = 2267,
    [SMALL_STATE(51)] = 2337,
    [SMALL_STATE(52)] = 2407,
    [SMALL_STATE(53)] = 2477,
    [SMALL_STATE(54)] = 2607,
    [SMALL_STATE(55)] = 2677,
    [SMALL_STATE(56)] = 2746,
    [SMALL_STATE(57)] = 2873,
    [SMALL_STATE(58)] = 2942,
    [SMALL_STATE(59)] = 3011,
    [SMALL_STATE(60)] = 3080,
    [SMALL_STATE(61)] = 3207,
    [SMALL_STATE(62)] = 3274,
    [SMALL_STATE(63)] = 3401,
    [SMALL_STATE(64)] = 3528,
    [SMALL_STATE(65)] = 3655,
    [SMALL_STATE(66)] = 3776,
    [SMALL_STATE(67)] = 3897,
    [SMALL_STATE(68)] = 4024,
    [SMALL_STATE(69)] = 4151,
    [SMALL_STATE(70)] = 4278,
    [SMALL_STATE(71)] = 4405,
    [SMALL_STATE(72)] = 4526,
    [SMALL_STATE(73)] = 4647,
    [SMALL_STATE(74)] = 4774,
    [SMALL_STATE(75)] = 4895,
    [SMALL_STATE(76)] = 5016,
    [SMALL_STATE(77)] = 5137,
    [SMALL_STATE(78)] = 5258,
    [SMALL_STATE(79)] = 5325,
    [SMALL_STATE(80)] = 5452,
    [SMALL_STATE(81)] = 5557,
    [SMALL_STATE(82)] = 5662,
    [SMALL_STATE(83)] = 5725,
    [SMALL_STATE(84)] = 5837,
    [SMALL_STATE(85)] = 5949,
    [SMALL_STATE(86)] = 6061,
    [SMALL_STATE(87)] = 6173,
    [SMALL_STATE(88)] = 6282,
    [SMALL_STATE(89)] = 6337,
    [SMALL_STATE(90)] = 6446,
    [SMALL_STATE(91)] = 6555,
    [SMALL_STATE(92)] = 6664,
    [SMALL_STATE(93)] = 6719,
    [SMALL_STATE(94)] = 6774,
    [SMALL_STATE(95)] = 6883,
    [SMALL_STATE(96)] = 6992,
    [SMALL_STATE(97)] = 7101,
    [SMALL_STATE(98)] = 7207,
    [SMALL_STATE(99)] = 7313,
    [SMALL_STATE(100)] = 7419,
    [SMALL_STATE(101)] = 7525,
    [SMALL_STATE(102)] = 7631,
    [SMALL_STATE(103)] = 7737,
    [SMALL_STATE(104)] = 7837,
    [SMALL_STATE(105)] = 7934,
    [SMALL_STATE(106)] = 7992,
    [SMALL_STATE(107)] = 8086,
    [SMALL_STATE(108)] = 8137,
    [SMALL_STATE(109)] = 8188,
    [SMALL_STATE(110)] = 8279,
    [SMALL_STATE(111)] = 8330,
    [SMALL_STATE(112)] = 8381,
    [SMALL_STATE(113)] = 8431,
    [SMALL_STATE(114)] = 8481,
    [SMALL_STATE(115)] = 8531,
    [SMALL_STATE(116)] = 8581,
    [SMALL_STATE(117)] = 8631,
    [SMALL_STATE(118)] = 8681,
    [SMALL_STATE(119)] = 8729,
    [SMALL_STATE(120)] = 8779,
    [SMALL_STATE(121)] = 8829,
    [SMALL_STATE(122)] = 8877,
    [SMALL_STATE(123)] = 8927,
    [SMALL_STATE(124)] = 8977,
    [SMALL_STATE(125)] = 9025,
    [SMALL_STATE(126)] = 9073,
    [SMALL_STATE(127)] = 9121,
    [SMALL_STATE(128)] = 9169,
    [SMALL_STATE(129)] = 9217,
    [SMALL_STATE(130)] = 9265,
    [SMALL_STATE(131)] = 9313,
    [SMALL_STATE(132)] = 9401,
    [SMALL_STATE(133)] = 9449,
    [SMALL_STATE(134)] = 9496,
    [SMALL_STATE(135)] = 9543,
    [SMALL_STATE(136)] = 9590,
    [SMALL_STATE(137)] = 9637,
    [SMALL_STATE(138)] = 9684,
    [SMALL_STATE(139)] = 9731,
    [SMALL_STATE(140)] = 9778,
    [SMALL_STATE(141)] = 9825,
    [SMALL_STATE(142)] = 9872,
    [SMALL_STATE(143)] = 9919,
    [SMALL_STATE(144)] = 9966,
    [SMALL_STATE(145)] = 10013,
    [SMALL_STATE(146)] = 10060,
    [SMALL_STATE(147)] = 10107,
    [SMALL_STATE(148)] = 10154,
    [SMALL_STATE(149)] = 10201,
    [SMALL_STATE(150)] = 10248,
    [SMALL_STATE(151)] = 10295,
    [SMALL_STATE(152)] = 10342,
    [SMALL_STATE(153)] = 10389,
    [SMALL_STATE(154)] = 10436,
    [SMALL_STATE(155)] = 10483,
    [SMALL_STATE(156)] = 10530,
    [SMALL_STATE(157)] = 10577,
    [SMALL_STATE(158)] = 10624,
    [SMALL_STATE(159)] = 10671,
    [SMALL_STATE(160)] = 10718,
    [SMALL_STATE(161)] = 10765,
    [SMALL_STATE(162)] = 10812,
    [SMALL_STATE(163)] = 10859,
    [SMALL_STATE(164)] = 10906,
    [SMALL_STATE(165)] = 10991,
    [SMALL_STATE(166)] = 11038,
    [SMALL_STATE(167)] = 11085,
    [SMALL_STATE(168)] = 11132,
    [SMALL_STATE(169)] = 11179,
    [SMALL_STATE(170)] = 11226,
    [SMALL_STATE(171)] = 11273,
    [SMALL_STATE(172)] = 11320,
    [SMALL_STATE(173)] = 11367,
    [SMALL_STATE(174)] = 11414,
    [SMALL_STATE(175)] = 11459,
    [SMALL_STATE(176)] = 11504,
    [SMALL_STATE(177)] = 11549,
    [SMALL_STATE(178)] = 11594,
    [SMALL_STATE(179)] = 11639,
    [SMALL_STATE(180)] = 11722,
    [SMALL_STATE(181)] = 11767,
    [SMALL_STATE(182)] = 11843,
    [SMALL_STATE(183)] = 11886,
    [SMALL_STATE(184)] = 11929,
    [SMALL_STATE(185)] = 11972,
    [SMALL_STATE(186)] = 12050,
    [SMALL_STATE(187)] = 12092,
    [SMALL_STATE(188)] = 12160,
    [SMALL_STATE(189)] = 12223,
    [SMALL_STATE(190)] = 12286,
    [SMALL_STATE(191)] = 12349,
    [SMALL_STATE(192)] = 12412,
    [SMALL_STATE(193)] = 12475,
    [SMALL_STATE(194)] = 12538,
    [SMALL_STATE(195)] = 12601,
    [SMALL_STATE(196)] = 12664,
    [SMALL_STATE(197)] = 12727,
    [SMALL_STATE(198)] = 12790,
    [SMALL_STATE(199)] = 12853,
    [SMALL_STATE(200)] = 12916,
    [SMALL_STATE(201)] = 12979,
    [SMALL_STATE(202)] = 13042,
    [SMALL_STATE(203)] = 13105,
    [SMALL_STATE(204)] = 13168,
    [SMALL_STATE(205)] = 13231,
    [SMALL_STATE(206)] = 13294,
    [SMALL_STATE(207)] = 13354,
    [SMALL_STATE(208)] = 13409,
    [SMALL_STATE(209)] = 13470,
    [SMALL_STATE(210)] = 13505,
    [SMALL_STATE(211)] = 13540,
    [SMALL_STATE(212)] = 13597,
    [SMALL_STATE(213)] = 13631,
    [SMALL_STATE(214)] = 13664,
    [SMALL_STATE(215)] = 13697,
    [SMALL_STATE(216)] = 13730,
    [SMALL_STATE(217)] = 13763,
    [SMALL_STATE(218)] = 13793,
    [SMALL_STATE(219)] = 13823,
    [SMALL_STATE(220)] = 13853,
    [SMALL_STATE(221)] = 13903,
    [SMALL_STATE(222)] = 13933,
    [SMALL_STATE(223)] = 13963,
    [SMALL_STATE(224)] = 13993,
    [SMALL_STATE(225)] = 14023,
    [SMALL_STATE(226)] = 14053,
    [SMALL_STATE(227)] = 14083,
    [SMALL_STATE(228)] = 14113,
    [SMALL_STATE(229)] = 14163,
    [SMALL_STATE(230)] = 14193,
    [SMALL_STATE(231)] = 14223,
    [SMALL_STATE(232)] = 14273,
    [SMALL_STATE(233)] = 14307,
    [SMALL_STATE(234)] = 14337,
    [SMALL_STATE(235)] = 14367,
    [SMALL_STATE(236)] = 14397,
    [SMALL_STATE(237)] = 14427,
    [SMALL_STATE(238)] = 14457,
    [SMALL_STATE(239)] = 14487,
    [SMALL_STATE(240)] = 14517,
    [SMALL_STATE(241)] = 14547,
    [SMALL_STATE(242)] = 14577,
    [SMALL_STATE(243)] = 14611,
    [SMALL_STATE(244)] = 14641,
    [SMALL_STATE(245)] = 14689,
    [SMALL_STATE(246)] = 14737,
    [SMALL_STATE(247)] = 14776,
    [SMALL_STATE(248)] = 14815,
    [SMALL_STATE(249)] = 14854,
    [SMALL_STATE(250)] = 14901,
    [SMALL_STATE(251)] = 14940,
    [SMALL_STATE(252)] = 14974,
    [SMALL_STATE(253)] = 15003,
    [SMALL_STATE(254)] = 15032,
    [SMALL_STATE(255)] = 15059,
    [SMALL_STATE(256)] = 15092,
    [SMALL_STATE(257)] = 15119,
    [SMALL_STATE(258)] = 15148,
    [SMALL_STATE(259)] = 15179,
    [SMALL_STATE(260)] = 15206,
    [SMALL_STATE(261)] = 15244,
    [SMALL_STATE(262)] = 15272,
    [SMALL_STATE(263)] = 15300,
    [SMALL_STATE(264)] = 15338,
    [SMALL_STATE(265)] = 15376,
    [SMALL_STATE(266)] = 15404,
    [SMALL_STATE(267)] = 15442,
    [SMALL_STATE(268)] = 15480,
    [SMALL_STATE(269)] = 15518,
    [SMALL_STATE(270)] = 15556,
    [SMALL_STATE(271)] = 15594,
    [SMALL_STATE(272)] = 15622,
    [SMALL_STATE(273)] = 15660,
    [SMALL_STATE(274)] = 15688,
    [SMALL_STATE(275)] = 15716,
    [SMALL_STATE(276)] = 15744,
    [SMALL_STATE(277)] = 15772,
    [SMALL_STATE(278)] = 15800,
    [SMALL_STATE(279)] = 15838,
    [SMALL_STATE(280)] = 15876,
    [SMALL_STATE(281)] = 15914,
    [SMALL_STATE(282)] = 15939,
    [SMALL_STATE(283)] = 15964,
    [SMALL_STATE(284)] = 15989,
    [SMALL_STATE(285)] = 16014,
    [SMALL_STATE(286)] = 16039,
    [SMALL_STATE(287)] = 16064,
    [SMALL_STATE(288)] = 16089,
    [SMALL_STATE(289)] = 16114,
    [SMALL_STATE(290)] = 16139,
    [SMALL_STATE(291)] = 16164,
    [SMALL_STATE(292)] = 16189,
    [SMALL_STATE(293)] = 16214,
    [SMALL_STATE(294)] = 16239,
    [SMALL_STATE(295)] = 16264,
    [SMALL_STATE(296)] = 16289,
    [SMALL_STATE(297)] = 16314,
    [SMALL_STATE(298)] = 16339,
    [SMALL_STATE(299)] = 16364,
    [SMALL_STATE(300)] = 16389,
    [SMALL_STATE(301)] = 16414,
    [SMALL_STATE(302)] = 16439,
    [SMALL_STATE(303)] = 16464,
    [SMALL_STATE(304)] = 16489,
    [SMALL_STATE(305)] = 16516,
    [SMALL_STATE(306)] = 16541,
    [SMALL_STATE(307)] = 16566,
    [SMALL_STATE(308)] = 16591,
    [SMALL_STATE(309)] = 16616,
    [SMALL_STATE(310)] = 16643,
    [SMALL_STATE(311)] = 16668,
    [SMALL_STATE(312)] = 16693,
    [SMALL_STATE(313)] = 16718,
    [SMALL_STATE(314)] = 16743,
    [SMALL_STATE(315)] = 16768,
    [SMALL_STATE(316)] = 16793,
    [SMALL_STATE(317)] = 16818,
    [SMALL_STATE(318)] = 16843,
    [SMALL_STATE(319)] = 16868,
    [SMALL_STATE(320)] = 16890,
    [SMALL_STATE(321)] = 16912,
    [SMALL_STATE(322)] = 16946,
    [SMALL_STATE(323)] = 16969,
    [SMALL_STATE(324)] = 16996,
    [SMALL_STATE(325)] = 17017,
    [SMALL_STATE(326)] = 17038,
    [SMALL_STATE(327)] = 17065,
    [SMALL_STATE(328)] = 17092,
    [SMALL_STATE(329)] = 17115,
    [SMALL_STATE(330)] = 17142,
    [SMALL_STATE(331)] = 17176,
    [SMALL_STATE(332)] = 17210,
    [SMALL_STATE(333)] = 17232,
    [SMALL_STATE(334)] = 17254,
    [SMALL_STATE(335)] = 17282,
    [SMALL_STATE(336)] = 17302,
    [SMALL_STATE(337)] = 17332,
    [SMALL_STATE(338)] = 17351,
    [SMALL_STATE(339)] = 17382,
    [SMALL_STATE(340)] = 17401,
    [SMALL_STATE(341)] = 17420,
    [SMALL_STATE(342)] = 17451,
    [SMALL_STATE(343)] = 17482,
    [SMALL_STATE(344)] = 17501,
    [SMALL_STATE(345)] = 17520,
    [SMALL_STATE(346)] = 17551,
    [SMALL_STATE(347)] = 17570,
    [SMALL_STATE(348)] = 17591,
    [SMALL_STATE(349)] = 17622,
    [SMALL_STATE(350)] = 17641,
    [SMALL_STATE(351)] = 17670,
    [SMALL_STATE(352)] = 17689,
    [SMALL_STATE(353)] = 17717,
    [SMALL_STATE(354)] = 17745,
    [SMALL_STATE(355)] = 17773,
    [SMALL_STATE(356)] = 17799,
    [SMALL_STATE(357)] = 17819,
    [SMALL_STATE(358)] = 17847,
    [SMALL_STATE(359)] = 17875,
    [SMALL_STATE(360)] = 17903,
    [SMALL_STATE(361)] = 17931,
    [SMALL_STATE(362)] = 17959,
    [SMALL_STATE(363)] = 17987,
    [SMALL_STATE(364)] = 18011,
    [SMALL_STATE(365)] = 18039,
    [SMALL_STATE(366)] = 18067,
    [SMALL_STATE(367)] = 18089,
    [SMALL_STATE(368)] = 18117,
    [SMALL_STATE(369)] = 18145,
    [SMALL_STATE(370)] = 18169,
    [SMALL_STATE(371)] = 18197,
    [SMALL_STATE(372)] = 18225,
    [SMALL_STATE(373)] = 18251,
    [SMALL_STATE(374)] = 18279,
    [SMALL_STATE(375)] = 18296,
    [SMALL_STATE(376)] = 18317,
    [SMALL_STATE(377)] = 18340,
    [SMALL_STATE(378)] = 18365,
    [SMALL_STATE(379)] = 18386,
    [SMALL_STATE(380)] = 18411,
    [SMALL_STATE(381)] = 18434,
    [SMALL_STATE(382)] = 18459,
    [SMALL_STATE(383)] = 18482,
    [SMALL_STATE(384)] = 18499,
    [SMALL_STATE(385)] = 18516,
    [SMALL_STATE(386)] = 18541,
    [SMALL_STATE(387)] = 18558,
    [SMALL_STATE(388)] = 18581,
    [SMALL_STATE(389)] = 18604,
    [SMALL_STATE(390)] = 18629,
    [SMALL_STATE(391)] = 18646,
    [SMALL_STATE(392)] = 18671,
    [SMALL_STATE(393)] = 18690,
    [SMALL_STATE(394)] = 18707,
    [SMALL_STATE(395)] = 18724,
    [SMALL_STATE(396)] = 18743,
    [SMALL_STATE(397)] = 18760,
    [SMALL_STATE(398)] = 18777,
    [SMALL_STATE(399)] = 18794,
    [SMALL_STATE(400)] = 18819,
    [SMALL_STATE(401)] = 18844,
    [SMALL_STATE(402)] = 18867,
    [SMALL_STATE(403)] = 18884,
    [SMALL_STATE(404)] = 18901,
    [SMALL_STATE(405)] = 18926,
    [SMALL_STATE(406)] = 18943,
    [SMALL_STATE(407)] = 18960,
    [SMALL_STATE(408)] = 18977,
    [SMALL_STATE(409)] = 19002,
    [SMALL_STATE(410)] = 19019,
    [SMALL_STATE(411)] = 19041,
    [SMALL_STATE(412)] = 19063,
    [SMALL_STATE(413)] = 19085,
    [SMALL_STATE(414)] = 19103,
    [SMALL_STATE(415)] = 19121,
    [SMALL_STATE(416)] = 19137,
    [SMALL_STATE(417)] = 19159,
    [SMALL_STATE(418)] = 19177,
    [SMALL_STATE(419)] = 19195,
    [SMALL_STATE(420)] = 19211,
    [SMALL_STATE(421)] = 19233,
    [SMALL_STATE(422)] = 19251,
    [SMALL_STATE(423)] = 19273,
    [SMALL_STATE(424)] = 19295,
    [SMALL_STATE(425)] = 19313,
    [SMALL_STATE(426)] = 19331,
    [SMALL_STATE(427)] = 19349,
    [SMALL_STATE(428)] = 19367,
    [SMALL_STATE(429)] = 19383,
    [SMALL_STATE(430)] = 19403,
    [SMALL_STATE(431)] = 19425,
    [SMALL_STATE(432)] = 19447,
    [SMALL_STATE(433)] = 19469,
    [SMALL_STATE(434)] = 19487,
    [SMALL_STATE(435)] = 19509,
    [SMALL_STATE(436)] = 19531,
    [SMALL_STATE(437)] = 19551,
    [SMALL_STATE(438)] = 19571,
    [SMALL_STATE(439)] = 19593,
    [SMALL_STATE(440)] = 19613,
    [SMALL_STATE(441)] = 19635,
    [SMALL_STATE(442)] = 19657,
    [SMALL_STATE(443)] = 19679,
    [SMALL_STATE(444)] = 19699,
    [SMALL_STATE(445)] = 19719,
    [SMALL_STATE(446)] = 19741,
    [SMALL_STATE(447)] = 19759,
    [SMALL_STATE(448)] = 19781,
    [SMALL_STATE(449)] = 19799,
    [SMALL_STATE(450)] = 19817,
    [SMALL_STATE(451)] = 19833,
    [SMALL_STATE(452)] = 19849,
    [SMALL_STATE(453)] = 19869,
    [SMALL_STATE(454)] = 19887,
    [SMALL_STATE(455)] = 19909,
    [SMALL_STATE(456)] = 19931,
    [SMALL_STATE(457)] = 19953,
    [SMALL_STATE(458)] = 19971,
    [SMALL_STATE(459)] = 19993,
    [SMALL_STATE(460)] = 20013,
    [SMALL_STATE(461)] = 20033,
    [SMALL_STATE(462)] = 20051,
    [SMALL_STATE(463)] = 20069,
    [SMALL_STATE(464)] = 20087,
    [SMALL_STATE(465)] = 20109,
    [SMALL_STATE(466)] = 20127,
    [SMALL_STATE(467)] = 20145,
    [SMALL_STATE(468)] = 20161,
    [SMALL_STATE(469)] = 20179,
    [SMALL_STATE(470)] = 20197,
    [SMALL_STATE(471)] = 20217,
    [SMALL_STATE(472)] = 20237,
    [SMALL_STATE(473)] = 20255,
    [SMALL_STATE(474)] = 20275,
    [SMALL_STATE(475)] = 20293,
    [SMALL_STATE(476)] = 20315,
    [SMALL_STATE(477)] = 20331,
    [SMALL_STATE(478)] = 20351,
    [SMALL_STATE(479)] = 20371,
    [SMALL_STATE(480)] = 20393,
    [SMALL_STATE(481)] = 20411,
    [SMALL_STATE(482)] = 20429,
    [SMALL_STATE(483)] = 20447,
    [SMALL_STATE(484)] = 20469,
    [SMALL_STATE(485)] = 20485,
    [SMALL_STATE(486)] = 20503,
    [SMALL_STATE(487)] = 20523,
    [SMALL_STATE(488)] = 20543,
    [SMALL_STATE(489)] = 20559,
    [SMALL_STATE(490)] = 20575,
    [SMALL_STATE(491)] = 20595,
    [SMALL_STATE(492)] = 20617,
    [SMALL_STATE(493)] = 20639,
    [SMALL_STATE(494)] = 20657,
    [SMALL_STATE(495)] = 20673,
    [SMALL_STATE(496)] = 20691,
    [SMALL_STATE(497)] = 20707,
    [SMALL_STATE(498)] = 20723,
    [SMALL_STATE(499)] = 20745,
    [SMALL_STATE(500)] = 20763,
    [SMALL_STATE(501)] = 20783,
    [SMALL_STATE(502)] = 20805,
    [SMALL_STATE(503)] = 20825,
    [SMALL_STATE(504)] = 20843,
    [SMALL_STATE(505)] = 20859,
    [SMALL_STATE(506)] = 20875,
    [SMALL_STATE(507)] = 20890,
    [SMALL_STATE(508)] = 20905,
    [SMALL_STATE(509)] = 20924,
    [SMALL_STATE(510)] = 20941,
    [SMALL_STATE(511)] = 20960,
    [SMALL_STATE(512)] = 20979,
    [SMALL_STATE(513)] = 20998,
    [SMALL_STATE(514)] = 21013,
    [SMALL_STATE(515)] = 21032,
    [SMALL_STATE(516)] = 21051,
    [SMALL_STATE(517)] = 21068,
    [SMALL_STATE(518)] = 21083,
    [SMALL_STATE(519)] = 21098,
    [SMALL_STATE(520)] = 21113,
    [SMALL_STATE(521)] = 21130,
    [SMALL_STATE(522)] = 21149,
    [SMALL_STATE(523)] = 21164,
    [SMALL_STATE(524)] = 21179,
    [SMALL_STATE(525)] = 21198,
    [SMALL_STATE(526)] = 21213,
    [SMALL_STATE(527)] = 21228,
    [SMALL_STATE(528)] = 21245,
    [SMALL_STATE(529)] = 21264,
    [SMALL_STATE(530)] = 21279,
    [SMALL_STATE(531)] = 21296,
    [SMALL_STATE(532)] = 21313,
    [SMALL_STATE(533)] = 21332,
    [SMALL_STATE(534)] = 21349,
    [SMALL_STATE(535)] = 21366,
    [SMALL_STATE(536)] = 21383,
    [SMALL_STATE(537)] = 21398,
    [SMALL_STATE(538)] = 21413,
    [SMALL_STATE(539)] = 21430,
    [SMALL_STATE(540)] = 21447,
    [SMALL_STATE(541)] = 21466,
    [SMALL_STATE(542)] = 21483,
    [SMALL_STATE(543)] = 21502,
    [SMALL_STATE(544)] = 21519,
    [SMALL_STATE(545)] = 21538,
    [SMALL_STATE(546)] = 21555,
    [SMALL_STATE(547)] = 21574,
    [SMALL_STATE(548)] = 21589,
    [SMALL_STATE(549)] = 21608,
    [SMALL_STATE(550)] = 21625,
    [SMALL_STATE(551)] = 21644,
    [SMALL_STATE(552)] = 21661,
    [SMALL_STATE(553)] = 21676,
    [SMALL_STATE(554)] = 21691,
    [SMALL_STATE(555)] = 21706,
    [SMALL_STATE(556)] = 21721,
    [SMALL_STATE(557)] = 21740,
    [SMALL_STATE(558)] = 21757,
    [SMALL_STATE(559)] = 21776,
    [SMALL_STATE(560)] = 21793,
    [SMALL_STATE(561)] = 21808,
    [SMALL_STATE(562)] = 21823,
    [SMALL_STATE(563)] = 21842,
    [SMALL_STATE(564)] = 21857,
    [SMALL_STATE(565)] = 21872,
    [SMALL_STATE(566)] = 21889,
    [SMALL_STATE(567)] = 21904,
    [SMALL_STATE(568)] = 21919,
    [SMALL_STATE(569)] = 21936,
    [SMALL_STATE(570)] = 21953,
    [SMALL_STATE(571)] = 21972,
    [SMALL_STATE(572)] = 21989,
    [SMALL_STATE(573)] = 22006,
    [SMALL_STATE(574)] = 22021,
    [SMALL_STATE(575)] = 22038,
    [SMALL_STATE(576)] = 22057,
    [SMALL_STATE(577)] = 22076,
    [SMALL_STATE(578)] = 22095,
    [SMALL_STATE(579)] = 22110,
    [SMALL_STATE(580)] = 22125,
    [SMALL_STATE(581)] = 22144,
    [SMALL_STATE(582)] = 22161,
    [SMALL_STATE(583)] = 22176,
    [SMALL_STATE(584)] = 22191,
    [SMALL_STATE(585)] = 22206,
    [SMALL_STATE(586)] = 22223,
    [SMALL_STATE(587)] = 22240,
    [SMALL_STATE(588)] = 22259,
    [SMALL_STATE(589)] = 22278,
    [SMALL_STATE(590)] = 22295,
    [SMALL_STATE(591)] = 22312,
    [SMALL_STATE(592)] = 22329,
    [SMALL_STATE(593)] = 22348,
    [SMALL_STATE(594)] = 22365,
    [SMALL_STATE(595)] = 22382,
    [SMALL_STATE(596)] = 22399,
    [SMALL_STATE(597)] = 22418,
    [SMALL_STATE(598)] = 22437,
    [SMALL_STATE(599)] = 22454,
    [SMALL_STATE(600)] = 22471,
    [SMALL_STATE(601)] = 22486,
    [SMALL_STATE(602)] = 22505,
    [SMALL_STATE(603)] = 22524,
    [SMALL_STATE(604)] = 22543,
    [SMALL_STATE(605)] = 22562,
    [SMALL_STATE(606)] = 22581,
    [SMALL_STATE(607)] = 22600,
    [SMALL_STATE(608)] = 22617,
    [SMALL_STATE(609)] = 22636,
    [SMALL_STATE(610)] = 22655,
    [SMALL_STATE(611)] = 22674,
    [SMALL_STATE(612)] = 22693,
    [SMALL_STATE(613)] = 22712,
    [SMALL_STATE(614)] = 22731,
    [SMALL_STATE(615)] = 22750,
    [SMALL_STATE(616)] = 22769,
    [SMALL_STATE(617)] = 22788,
    [SMALL_STATE(618)] = 22803,
    [SMALL_STATE(619)] = 22820,
    [SMALL_STATE(620)] = 22839,
    [SMALL_STATE(621)] = 22858,
    [SMALL_STATE(622)] = 22873,
    [SMALL_STATE(623)] = 22888,
    [SMALL_STATE(624)] = 22905,
    [SMALL_STATE(625)] = 22924,
    [SMALL_STATE(626)] = 22943,
    [SMALL_STATE(627)] = 22962,
    [SMALL_STATE(628)] = 22981,
    [SMALL_STATE(629)] = 22998,
    [SMALL_STATE(630)] = 23017,
    [SMALL_STATE(631)] = 23036,
    [SMALL_STATE(632)] = 23055,
    [SMALL_STATE(633)] = 23070,
    [SMALL_STATE(634)] = 23085,
    [SMALL_STATE(635)] = 23100,
    [SMALL_STATE(636)] = 23115,
    [SMALL_STATE(637)] = 23134,
    [SMALL_STATE(638)] = 23149,
    [SMALL_STATE(639)] = 23166,
    [SMALL_STATE(640)] = 23181,
    [SMALL_STATE(641)] = 23198,
    [SMALL_STATE(642)] = 23217,
    [SMALL_STATE(643)] = 23232,
    [SMALL_STATE(644)] = 23247,
    [SMALL_STATE(645)] = 23262,
    [SMALL_STATE(646)] = 23281,
    [SMALL_STATE(647)] = 23298,
    [SMALL_STATE(648)] = 23313,
    [SMALL_STATE(649)] = 23328,
    [SMALL_STATE(650)] = 23345,
    [SMALL_STATE(651)] = 23360,
    [SMALL_STATE(652)] = 23379,
    [SMALL_STATE(653)] = 23396,
    [SMALL_STATE(654)] = 23411,
    [SMALL_STATE(655)] = 23426,
    [SMALL_STATE(656)] = 23441,
    [SMALL_STATE(657)] = 23460,
    [SMALL_STATE(658)] = 23475,
    [SMALL_STATE(659)] = 23490,
    [SMALL_STATE(660)] = 23505,
    [SMALL_STATE(661)] = 23520,
    [SMALL_STATE(662)] = 23537,
    [SMALL_STATE(663)] = 23552,
    [SMALL_STATE(664)] = 23569,
    [SMALL_STATE(665)] = 23584,
    [SMALL_STATE(666)] = 23599,
    [SMALL_STATE(667)] = 23614,
    [SMALL_STATE(668)] = 23629,
    [SMALL_STATE(669)] = 23648,
    [SMALL_STATE(670)] = 23667,
    [SMALL_STATE(671)] = 23686,
    [SMALL_STATE(672)] = 23701,
    [SMALL_STATE(673)] = 23716,
    [SMALL_STATE(674)] = 23735,
    [SMALL_STATE(675)] = 23754,
    [SMALL_STATE(676)] = 23773,
    [SMALL_STATE(677)] = 23790,
    [SMALL_STATE(678)] = 23809,
    [SMALL_STATE(679)] = 23828,
    [SMALL_STATE(680)] = 23847,
    [SMALL_STATE(681)] = 23866,
    [SMALL_STATE(682)] = 23885,
    [SMALL_STATE(683)] = 23900,
    [SMALL_STATE(684)] = 23919,
    [SMALL_STATE(685)] = 23934,
    [SMALL_STATE(686)] = 23953,
    [SMALL_STATE(687)] = 23968,
    [SMALL_STATE(688)] = 23983,
    [SMALL_STATE(689)] = 24002,
    [SMALL_STATE(690)] = 24017,
    [SMALL_STATE(691)] = 24032,
    [SMALL_STATE(692)] = 24051,
    [SMALL_STATE(693)] = 24066,
    [SMALL_STATE(694)] = 24085,
    [SMALL_STATE(695)] = 24100,
    [SMALL_STATE(696)] = 24115,
    [SMALL_STATE(697)] = 24134,
    [SMALL_STATE(698)] = 24153,
    [SMALL_STATE(699)] = 24168,
    [SMALL_STATE(700)] = 24187,
    [SMALL_STATE(701)] = 24206,
    [SMALL_STATE(702)] = 24221,
    [SMALL_STATE(703)] = 24240,
    [SMALL_STATE(704)] = 24255,
    [SMALL_STATE(705)] = 24270,
    [SMALL_STATE(706)] = 24289,
    [SMALL_STATE(707)] = 24308,
    [SMALL_STATE(708)] = 24323,
    [SMALL_STATE(709)] = 24338,
    [SMALL_STATE(710)] = 24357,
    [SMALL_STATE(711)] = 24372,
    [SMALL_STATE(712)] = 24387,
    [SMALL_STATE(713)] = 24402,
    [SMALL_STATE(714)] = 24417,
    [SMALL_STATE(715)] = 24436,
    [SMALL_STATE(716)] = 24455,
    [SMALL_STATE(717)] = 24474,
    [SMALL_STATE(718)] = 24493,
    [SMALL_STATE(719)] = 24510,
    [SMALL_STATE(720)] = 24529,
    [SMALL_STATE(721)] = 24548,
    [SMALL_STATE(722)] = 24567,
    [SMALL_STATE(723)] = 24583,
    [SMALL_STATE(724)] = 24597,
    [SMALL_STATE(725)] = 24611,
    [SMALL_STATE(726)] = 24625,
    [SMALL_STATE(727)] = 24641,
    [SMALL_STATE(728)] = 24657,
    [SMALL_STATE(729)] = 24671,
    [SMALL_STATE(730)] = 24685,
    [SMALL_STATE(731)] = 24701,
    [SMALL_STATE(732)] = 24715,
    [SMALL_STATE(733)] = 24731,
    [SMALL_STATE(734)] = 24747,
    [SMALL_STATE(735)] = 24763,
    [SMALL_STATE(736)] = 24779,
    [SMALL_STATE(737)] = 24795,
    [SMALL_STATE(738)] = 24809,
    [SMALL_STATE(739)] = 24823,
    [SMALL_STATE(740)] = 24837,
    [SMALL_STATE(741)] = 24851,
    [SMALL_STATE(742)] = 24865,
    [SMALL_STATE(743)] = 24881,
    [SMALL_STATE(744)] = 24895,
    [SMALL_STATE(745)] = 24909,
    [SMALL_STATE(746)] = 24923,
    [SMALL_STATE(747)] = 24937,
    [SMALL_STATE(748)] = 24953,
    [SMALL_STATE(749)] = 24967,
    [SMALL_STATE(750)] = 24981,
    [SMALL_STATE(751)] = 24997,
    [SMALL_STATE(752)] = 25013,
    [SMALL_STATE(753)] = 25027,
    [SMALL_STATE(754)] = 25041,
    [SMALL_STATE(755)] = 25055,
    [SMALL_STATE(756)] = 25069,
    [SMALL_STATE(757)] = 25085,
    [SMALL_STATE(758)] = 25099,
    [SMALL_STATE(759)] = 25115,
    [SMALL_STATE(760)] = 25129,
    [SMALL_STATE(761)] = 25143,
    [SMALL_STATE(762)] = 25157,
    [SMALL_STATE(763)] = 25171,
    [SMALL_STATE(764)] = 25185,
    [SMALL_STATE(765)] = 25199,
    [SMALL_STATE(766)] = 25215,
    [SMALL_STATE(767)] = 25231,
    [SMALL_STATE(768)] = 25245,
    [SMALL_STATE(769)] = 25259,
    [SMALL_STATE(770)] = 25275,
    [SMALL_STATE(771)] = 25291,
    [SMALL_STATE(772)] = 25307,
    [SMALL_STATE(773)] = 25321,
    [SMALL_STATE(774)] = 25335,
    [SMALL_STATE(775)] = 25349,
    [SMALL_STATE(776)] = 25365,
    [SMALL_STATE(777)] = 25381,
    [SMALL_STATE(778)] = 25397,
    [SMALL_STATE(779)] = 25411,
    [SMALL_STATE(780)] = 25427,
    [SMALL_STATE(781)] = 25443,
    [SMALL_STATE(782)] = 25459,
    [SMALL_STATE(783)] = 25475,
    [SMALL_STATE(784)] = 25491,
    [SMALL_STATE(785)] = 25507,
    [SMALL_STATE(786)] = 25523,
    [SMALL_STATE(787)] = 25537,
    [SMALL_STATE(788)] = 25553,
    [SMALL_STATE(789)] = 25569,
    [SMALL_STATE(790)] = 25585,
    [SMALL_STATE(791)] = 25599,
    [SMALL_STATE(792)] = 25615,
    [SMALL_STATE(793)] = 25629,
    [SMALL_STATE(794)] = 25643,
    [SMALL_STATE(795)] = 25659,
    [SMALL_STATE(796)] = 25675,
    [SMALL_STATE(797)] = 25689,
    [SMALL_STATE(798)] = 25703,
    [SMALL_STATE(799)] = 25717,
    [SMALL_STATE(800)] = 25733,
    [SMALL_STATE(801)] = 25749,
    [SMALL_STATE(802)] = 25765,
    [SMALL_STATE(803)] = 25781,
    [SMALL_STATE(804)] = 25795,
    [SMALL_STATE(805)] = 25811,
    [SMALL_STATE(806)] = 25827,
    [SMALL_STATE(807)] = 25843,
    [SMALL_STATE(808)] = 25859,
    [SMALL_STATE(809)] = 25873,
    [SMALL_STATE(810)] = 25889,
    [SMALL_STATE(811)] = 25905,
    [SMALL_STATE(812)] = 25919,
    [SMALL_STATE(813)] = 25933,
    [SMALL_STATE(814)] = 25949,
    [SMALL_STATE(815)] = 25963,
    [SMALL_STATE(816)] = 25977,
    [SMALL_STATE(817)] = 25993,
    [SMALL_STATE(818)] = 26007,
    [SMALL_STATE(819)] = 26023,
    [SMALL_STATE(820)] = 26037,
    [SMALL_STATE(821)] = 26053,
    [SMALL_STATE(822)] = 26067,
    [SMALL_STATE(823)] = 26083,
    [SMALL_STATE(824)] = 26097,
    [SMALL_STATE(825)] = 26113,
    [SMALL_STATE(826)] = 26127,
    [SMALL_STATE(827)] = 26143,
    [SMALL_STATE(828)] = 26159,
    [SMALL_STATE(829)] = 26175,
    [SMALL_STATE(830)] = 26189,
    [SMALL_STATE(831)] = 26205,
    [SMALL_STATE(832)] = 26221,
    [SMALL_STATE(833)] = 26237,
    [SMALL_STATE(834)] = 26253,
    [SMALL_STATE(835)] = 26269,
    [SMALL_STATE(836)] = 26283,
    [SMALL_STATE(837)] = 26297,
    [SMALL_STATE(838)] = 26311,
    [SMALL_STATE(839)] = 26325,
    [SMALL_STATE(840)] = 26339,
    [SMALL_STATE(841)] = 26353,
    [SMALL_STATE(842)] = 26367,
    [SMALL_STATE(843)] = 26381,
    [SMALL_STATE(844)] = 26395,
    [SMALL_STATE(845)] = 26409,
    [SMALL_STATE(846)] = 26423,
    [SMALL_STATE(847)] = 26439,
    [SMALL_STATE(848)] = 26453,
    [SMALL_STATE(849)] = 26469,
    [SMALL_STATE(850)] = 26482,
    [SMALL_STATE(851)] = 26495,
    [SMALL_STATE(852)] = 26508,
    [SMALL_STATE(853)] = 26521,
    [SMALL_STATE(854)] = 26534,
    [SMALL_STATE(855)] = 26547,
    [SMALL_STATE(856)] = 26560,
    [SMALL_STATE(857)] = 26573,
    [SMALL_STATE(858)] = 26586,
    [SMALL_STATE(859)] = 26599,
    [SMALL_STATE(860)] = 26612,
    [SMALL_STATE(861)] = 26625,
    [SMALL_STATE(862)] = 26638,
    [SMALL_STATE(863)] = 26651,
    [SMALL_STATE(864)] = 26664,
    [SMALL_STATE(865)] = 26677,
    [SMALL_STATE(866)] = 26690,
    [SMALL_STATE(867)] = 26703,
    [SMALL_STATE(868)] = 26716,
    [SMALL_STATE(869)] = 26729,
    [SMALL_STATE(870)] = 26742,
    [SMALL_STATE(871)] = 26755,
    [SMALL_STATE(872)] = 26768,
    [SMALL_STATE(873)] = 26781,
    [SMALL_STATE(874)] = 26794,
    [SMALL_STATE(875)] = 26807,
    [SMALL_STATE(876)] = 26820,
    [SMALL_STATE(877)] = 26833,
    [SMALL_STATE(878)] = 26846,
    [SMALL_STATE(879)] = 26859,
    [SMALL_STATE(880)] = 26872,
    [SMALL_STATE(881)] = 26885,
    [SMALL_STATE(882)] = 26898,
    [SMALL_STATE(883)] = 26911,
    [SMALL_STATE(884)] = 26924,
    [SMALL_STATE(885)] = 26937,
    [SMALL_STATE(886)] = 26950,
    [SMALL_STATE(887)] = 26963,
    [SMALL_STATE(888)] = 26976,
    [SMALL_STATE(889)] = 26989,
    [SMALL_STATE(890)] = 27002,
    [SMALL_STATE(891)] = 27015,
    [SMALL_STATE(892)] = 27028,
    [SMALL_STATE(893)] = 27041,
    [SMALL_STATE(894)] = 27054,
    [SMALL_STATE(895)] = 27067,
    [SMALL_STATE(896)] = 27080,
    [SMALL_STATE(897)] = 27093,
    [SMALL_STATE(898)] = 27106,
    [SMALL_STATE(899)] = 27119,
    [SMALL_STATE(900)] = 27132,
    [SMALL_STATE(901)] = 27145,
    [SMALL_STATE(902)] = 27158,
    [SMALL_STATE(903)] = 27171,
    [SMALL_STATE(904)] = 27184,
    [SMALL_STATE(905)] = 27197,
    [SMALL_STATE(906)] = 27210,
    [SMALL_STATE(907)] = 27223,
    [SMALL_STATE(908)] = 27236,
    [SMALL_STATE(909)] = 27249,
    [SMALL_STATE(910)] = 27262,
    [SMALL_STATE(911)] = 27275,
    [SMALL_STATE(912)] = 27288,
    [SMALL_STATE(913)] = 27301,
    [SMALL_STATE(914)] = 27314,
    [SMALL_STATE(915)] = 27327,
    [SMALL_STATE(916)] = 27340,
    [SMALL_STATE(917)] = 27353,
    [SMALL_STATE(918)] = 27366,
    [SMALL_STATE(919)] = 27379,
    [SMALL_STATE(920)] = 27392,
    [SMALL_STATE(921)] = 27405,
    [SMALL_STATE(922)] = 27418,
    [SMALL_STATE(923)] = 27431,
    [SMALL_STATE(924)] = 27444,
    [SMALL_STATE(925)] = 27457,
    [SMALL_STATE(926)] = 27470,
    [SMALL_STATE(927)] = 27483,
    [SMALL_STATE(928)] = 27496,
    [SMALL_STATE(929)] = 27509,
    [SMALL_STATE(930)] = 27522,
    [SMALL_STATE(931)] = 27535,
    [SMALL_STATE(932)] = 27548,
    [SMALL_STATE(933)] = 27561,
    [SMALL_STATE(934)] = 27574,
    [SMALL_STATE(935)] = 27587,
    [SMALL_STATE(936)] = 27600,
    [SMALL_STATE(937)] = 27613,
    [SMALL_STATE(938)] = 27626,
    [SMALL_STATE(939)] = 27639,
    [SMALL_STATE(940)] = 27652,
    [SMALL_STATE(941)] = 27665,
    [SMALL_STATE(942)] = 27678,
    [SMALL_STATE(943)] = 27691,
    [SMALL_STATE(944)] = 27704,
    [SMALL_STATE(945)] = 27717,
    [SMALL_STATE(946)] = 27730,
    [SMALL_STATE(947)] = 27743,
    [SMALL_STATE(948)] = 27756,
    [SMALL_STATE(949)] = 27769,
    [SMALL_STATE(950)] = 27782,
    [SMALL_STATE(951)] = 27795,
    [SMALL_STATE(952)] = 27808,
    [SMALL_STATE(953)] = 27821,
    [SMALL_STATE(954)] = 27834,
    [SMALL_STATE(955)] = 27847,
    [SMALL_STATE(956)] = 27860,
    [SMALL_STATE(957)] = 27873,
    [SMALL_STATE(958)] = 27886,
    [SMALL_STATE(959)] = 27899,
    [SMALL_STATE(960)] = 27912,
    [SMALL_STATE(961)] = 27925,
    [SMALL_STATE(962)] = 27938,
    [SMALL_STATE(963)] = 27951,
    [SMALL_STATE(964)] = 27964,
    [SMALL_STATE(965)] = 27977,
    [SMALL_STATE(966)] = 27990,
    [SMALL_STATE(967)] = 28003,
    [SMALL_STATE(968)] = 28016,
    [SMALL_STATE(969)] = 28029,
    [SMALL_STATE(970)] = 28042,
    [SMALL_STATE(971)] = 28055,
    [SMALL_STATE(972)] = 28068,
    [SMALL_STATE(973)] = 28081,
    [SMALL_STATE(974)] = 28094,
    [SMALL_STATE(975)] = 28107,
    [SMALL_STATE(976)] = 28120,
    [SMALL_STATE(977)] = 28133,
    [SMALL_STATE(978)] = 28146,
    [SMALL_STATE(979)] = 28159,
    [SMALL_STATE(980)] = 28172,
    [SMALL_STATE(981)] = 28185,
    [SMALL_STATE(982)] = 28198,
    [SMALL_STATE(983)] = 28211,
    [SMALL_STATE(984)] = 28224,
    [SMALL_STATE(985)] = 28237,
    [SMALL_STATE(986)] = 28250,
    [SMALL_STATE(987)] = 28263,
    [SMALL_STATE(988)] = 28276,
    [SMALL_STATE(989)] = 28289,
    [SMALL_STATE(990)] = 28302,
    [SMALL_STATE(991)] = 28315,
    [SMALL_STATE(992)] = 28328,
    [SMALL_STATE(993)] = 28341,
    [SMALL_STATE(994)] = 28354,
    [SMALL_STATE(995)] = 28367,
    [SMALL_STATE(996)] = 28380,
    [SMALL_STATE(997)] = 28393,
    [SMALL_STATE(998)] = 28406,
    [SMALL_STATE(999)] = 28419,
    [SMALL_STATE(1000)] = 28432,
    [SMALL_STATE(1001)] = 28445,
    [SMALL_STATE(1002)] = 28458,
    [SMALL_STATE(1003)] = 28471,
    [SMALL_STATE(1004)] = 28484,
    [SMALL_STATE(1005)] = 28497,
    [SMALL_STATE(1006)] = 28510,
    [SMALL_STATE(1007)] = 28523,
    [SMALL_STATE(1008)] = 28536,
    [SMALL_STATE(1009)] = 28549,
    [SMALL_STATE(1010)] = 28562,
    [SMALL_STATE(1011)] = 28575,
    [SMALL_STATE(1012)] = 28588,
    [SMALL_STATE(1013)] = 28601,
    [SMALL_STATE(1014)] = 28614,
    [SMALL_STATE(1015)] = 28627,
    [SMALL_STATE(1016)] = 28640,
    [SMALL_STATE(1017)] = 28653,
    [SMALL_STATE(1018)] = 28666,
    [SMALL_STATE(1019)] = 28679,
    [SMALL_STATE(1020)] = 28692,
    [SMALL_STATE(1021)] = 28705,
    [SMALL_STATE(1022)] = 28718,
    [SMALL_STATE(1023)] = 28731,
    [SMALL_STATE(1024)] = 28744,
    [SMALL_STATE(1025)] = 28757,
    [SMALL_STATE(1026)] = 28770,
    [SMALL_STATE(1027)] = 28783,
    [SMALL_STATE(1028)] = 28796,
    [SMALL_STATE(1029)] = 28809,
    [SMALL_STATE(1030)] = 28822,
    [SMALL_STATE(1031)] = 28835,
    [SMALL_STATE(1032)] = 28848,
    [SMALL_STATE(1033)] = 28861,
    [SMALL_STATE(1034)] = 28874,
    [SMALL_STATE(1035)] = 28887,
    [SMALL_STATE(1036)] = 28900,
    [SMALL_STATE(1037)] = 28913,
    [SMALL_STATE(1038)] = 28926,
    [SMALL_STATE(1039)] = 28939,
    [SMALL_STATE(1040)] = 28952,
    [SMALL_STATE(1041)] = 28965,
    [SMALL_STATE(1042)] = 28978,
    [SMALL_STATE(1043)] = 28991,
    [SMALL_STATE(1044)] = 29004,
    [SMALL_STATE(1045)] = 29017,
    [SMALL_STATE(1046)] = 29030,
    [SMALL_STATE(1047)] = 29043,
    [SMALL_STATE(1048)] = 29056,
    [SMALL_STATE(1049)] = 29069,
    [SMALL_STATE(1050)] = 29082,
    [SMALL_STATE(1051)] = 29095,
    [SMALL_STATE(1052)] = 29108,
    [SMALL_STATE(1053)] = 29121,
    [SMALL_STATE(1054)] = 29134,
    [SMALL_STATE(1055)] = 29147,
    [SMALL_STATE(1056)] = 29160,
    [SMALL_STATE(1057)] = 29173,
    [SMALL_STATE(1058)] = 29186,
    [SMALL_STATE(1059)] = 29199,
    [SMALL_STATE(1060)] = 29212,
    [SMALL_STATE(1061)] = 29225,
    [SMALL_STATE(1062)] = 29238,
    [SMALL_STATE(1063)] = 29251,
    [SMALL_STATE(1064)] = 29264,
    [SMALL_STATE(1065)] = 29277,
    [SMALL_STATE(1066)] = 29290,
    [SMALL_STATE(1067)] = 29303,
    [SMALL_STATE(1068)] = 29316,
    [SMALL_STATE(1069)] = 29329,
    [SMALL_STATE(1070)] = 29342,
    [SMALL_STATE(1071)] = 29355,
    [SMALL_STATE(1072)] = 29368,
    [SMALL_STATE(1073)] = 29381,
    [SMALL_STATE(1074)] = 29394,
    [SMALL_STATE(1075)] = 29407,
    [SMALL_STATE(1076)] = 29420,
    [SMALL_STATE(1077)] = 29433,
    [SMALL_STATE(1078)] = 29446,
    [SMALL_STATE(1079)] = 29459,
    [SMALL_STATE(1080)] = 29472,
    [SMALL_STATE(1081)] = 29485,
    [SMALL_STATE(1082)] = 29498,
    [SMALL_STATE(1083)] = 29511,
    [SMALL_STATE(1084)] = 29524,
    [SMALL_STATE(1085)] = 29537,
    [SMALL_STATE(1086)] = 29550,
    [SMALL_STATE(1087)] = 29563,
    [SMALL_STATE(1088)] = 29576,
    [SMALL_STATE(1089)] = 29589,
    [SMALL_STATE(1090)] = 29602,
    [SMALL_STATE(1091)] = 29615,
    [SMALL_STATE(1092)] = 29628,
    [SMALL_STATE(1093)] = 29641,
    [SMALL_STATE(1094)] = 29654,
    [SMALL_STATE(1095)] = 29667,
    [SMALL_STATE(1096)] = 29680,
    [SMALL_STATE(1097)] = 29693,
    [SMALL_STATE(1098)] = 29706,
    [SMALL_STATE(1099)] = 29719,
    [SMALL_STATE(1100)] = 29732,
    [SMALL_STATE(1101)] = 29745,
    [SMALL_STATE(1102)] = 29758,
    [SMALL_STATE(1103)] = 29771,
    [SMALL_STATE(1104)] = 29784,
    [SMALL_STATE(1105)] = 29797,
    [SMALL_STATE(1106)] = 29810,
    [SMALL_STATE(1107)] = 29823,
    [SMALL_STATE(1108)] = 29836,
    [SMALL_STATE(1109)] = 29849,
    [SMALL_STATE(1110)] = 29862,
    [SMALL_STATE(1111)] = 29875,
    [SMALL_STATE(1112)] = 29888,
    [SMALL_STATE(1113)] = 29901,
    [SMALL_STATE(1114)] = 29914,
    [SMALL_STATE(1115)] = 29927,
    [SMALL_STATE(1116)] = 29940,
    [SMALL_STATE(1117)] = 29953,
    [SMALL_STATE(1118)] = 29966,
    [SMALL_STATE(1119)] = 29979,
    [SMALL_STATE(1120)] = 29992,
    [SMALL_STATE(1121)] = 30005,
    [SMALL_STATE(1122)] = 30018,
    [SMALL_STATE(1123)] = 30031,
    [SMALL_STATE(1124)] = 30044,
    [SMALL_STATE(1125)] = 30057,
    [SMALL_STATE(1126)] = 30070,
    [SMALL_STATE(1127)] = 30083,
    [SMALL_STATE(1128)] = 30096,
    [SMALL_STATE(1129)] = 30109,
    [SMALL_STATE(1130)] = 30122,
    [SMALL_STATE(1131)] = 30135,
    [SMALL_STATE(1132)] = 30148,
    [SMALL_STATE(1133)] = 30161,
    [SMALL_STATE(1134)] = 30174,
    [SMALL_STATE(1135)] = 30187,
    [SMALL_STATE(1136)] = 30200,
    [SMALL_STATE(1137)] = 30213,
    [SMALL_STATE(1138)] = 30226,
    [SMALL_STATE(1139)] = 30239,
    [SMALL_STATE(1140)] = 30252,
    [SMALL_STATE(1141)] = 30265,
    [SMALL_STATE(1142)] = 30278,
    [SMALL_STATE(1143)] = 30291,
    [SMALL_STATE(1144)] = 30304,
    [SMALL_STATE(1145)] = 30317,
    [SMALL_STATE(1146)] = 30330,
    [SMALL_STATE(1147)] = 30343,
    [SMALL_STATE(1148)] = 30356,
    [SMALL_STATE(1149)] = 30369,
    [SMALL_STATE(1150)] = 30382,
    [SMALL_STATE(1151)] = 30395,
    [SMALL_STATE(1152)] = 30408,
    [SMALL_STATE(1153)] = 30421,
    [SMALL_STATE(1154)] = 30434,
    [SMALL_STATE(1155)] = 30447,
    [SMALL_STATE(1156)] = 30460,
    [SMALL_STATE(1157)] = 30473,
    [SMALL_STATE(1158)] = 30486,
    [SMALL_STATE(1159)] = 30499,
    [SMALL_STATE(1160)] = 30512,
    [SMALL_STATE(1161)] = 30525,
    [SMALL_STATE(1162)] = 30538,
    [SMALL_STATE(1163)] = 30551,
    [SMALL_STATE(1164)] = 30564,
    [SMALL_STATE(1165)] = 30577,
    [SMALL_STATE(1166)] = 30590,
    [SMALL_STATE(1167)] = 30603,
    [SMALL_STATE(1168)] = 30616,
    [SMALL_STATE(1169)] = 30629,
    [SMALL_STATE(1170)] = 30642,
    [SMALL_STATE(1171)] = 30655,
    [SMALL_STATE(1172)] = 30668,
    [SMALL_STATE(1173)] = 30681,
    [SMALL_STATE(1174)] = 30694,
    [SMALL_STATE(1175)] = 30707,
    [SMALL_STATE(1176)] = 30720,
    [SMALL_STATE(1177)] = 30733,
    [SMALL_STATE(1178)] = 30746,
    [SMALL_STATE(1179)] = 30759,
    [SMALL_STATE(1180)] = 30772,
    [SMALL_STATE(1181)] = 30785,
    [SMALL_STATE(1182)] = 30798,
    [SMALL_STATE(1183)] = 30811,
    [SMALL_STATE(1184)] = 30824,
    [SMALL_STATE(1185)] = 30837,
    [SMALL_STATE(1186)] = 30850,
    [SMALL_STATE(1187)] = 30863,
    [SMALL_STATE(1188)] = 30876,
    [SMALL_STATE(1189)] = 30889,
    [SMALL_STATE(1190)] = 30902,
    [SMALL_STATE(1191)] = 30915,
    [SMALL_STATE(1192)] = 30928,
    [SMALL_STATE(1193)] = 30941,
    [SMALL_STATE(1194)] = 30954,
    [SMALL_STATE(1195)] = 30967,
    [SMALL_STATE(1196)] = 30980,
    [SMALL_STATE(1197)] = 30993,
    [SMALL_STATE(1198)] = 31006,
    [SMALL_STATE(1199)] = 31019,
    [SMALL_STATE(1200)] = 31032,
    [SMALL_STATE(1201)] = 31045,
    [SMALL_STATE(1202)] = 31058,
    [SMALL_STATE(1203)] = 31071,
    [SMALL_STATE(1204)] = 31084,
    [SMALL_STATE(1205)] = 31097,
    [SMALL_STATE(1206)] = 31110,
    [SMALL_STATE(1207)] = 31123,
    [SMALL_STATE(1208)] = 31136,
    [SMALL_STATE(1209)] = 31149,
    [SMALL_STATE(1210)] = 31162,
    [SMALL_STATE(1211)] = 31175,
    [SMALL_STATE(1212)] = 31188,
    [SMALL_STATE(1213)] = 31201,
    [SMALL_STATE(1214)] = 31214,
    [SMALL_STATE(1215)] = 31227,
    [SMALL_STATE(1216)] = 31240,
    [SMALL_STATE(1217)] = 31253,
    [SMALL_STATE(1218)] = 31266,
    [SMALL_STATE(1219)] = 31279,
    [SMALL_STATE(1220)] = 31292,
    [SMALL_STATE(1221)] = 31305,
    [SMALL_STATE(1222)] = 31318,
    [SMALL_STATE(1223)] = 31331,
    [SMALL_STATE(1224)] = 31344,
    [SMALL_STATE(1225)] = 31357,
    [SMALL_STATE(1226)] = 31370,
    [SMALL_STATE(1227)] = 31383,
    [SMALL_STATE(1228)] = 31396,
    [SMALL_STATE(1229)] = 31409,
    [SMALL_STATE(1230)] = 31422,
    [SMALL_STATE(1231)] = 31435,
    [SMALL_STATE(1232)] = 31448,
    [SMALL_STATE(1233)] = 31461,
    [SMALL_STATE(1234)] = 31474,
    [SMALL_STATE(1235)] = 31487,
    [SMALL_STATE(1236)] = 31500,
    [SMALL_STATE(1237)] = 31513,
    [SMALL_STATE(1238)] = 31526,
    [SMALL_STATE(1239)] = 31539,
    [SMALL_STATE(1240)] = 31552,
    [SMALL_STATE(1241)] = 31565,
    [SMALL_STATE(1242)] = 31578,
    [SMALL_STATE(1243)] = 31591,
    [SMALL_STATE(1244)] = 31604,
    [SMALL_STATE(1245)] = 31617,
    [SMALL_STATE(1246)] = 31630,
    [SMALL_STATE(1247)] = 31634,
};

static const TSParseActionEntry ts_parse_actions[] = {
    [0] = { .entry = { .count = 0, .reusable = false } },
    [1] = { .entry = { .count = 1, .reusable = false } },
    RECOVER(),
    [3] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1095),
    [5] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1195),
    [7] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 0, 0, 0),
    [9] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1177),
    [11] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(805),
    [13] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(382),
    [15] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1147),
    [17] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1129),
    [19] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(717),
    [21] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1062),
    [23] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1023),
    [25] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1019),
    [27] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1018),
    [29] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(66),
    [31] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(65),
    [33] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(631),
    [35] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(942),
    [37] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(882),
    [39] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(937),
    [41] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(935),
    [43] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(932),
    [45] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(81),
    [47] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(732),
    [49] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(32),
    [51] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(929),
    [53] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(680),
    [55] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(679),
    [57] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(370),
    [59] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(924),
    [61] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(923),
    [63] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(919),
    [65] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(918),
    [67] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(794),
    [69] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(390),
    [71] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(384),
    [73] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(393),
    [75] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(393),
    [77] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(394),
    [79] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(494),
    [81] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1180),
    [83] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(405),
    [85] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(403),
    [87] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(403),
    [89] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(398),
    [91] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(397),
    [93] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(397),
    [95] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(467),
    [97] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(467),
    [99] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(374),
    [101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1063),
    [103] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(392),
    [105] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(497),
    [107] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1133),
    [109] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1179),
    [111] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1147),
    [113] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(947),
    [115] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(983),
    [117] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(982),
    [119] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(981),
    [121] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(73),
    [123] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1023),
    [125] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1019),
    [127] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(980),
    [129] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(942),
    [131] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(937),
    [133] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(935),
    [135] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(932),
    [137] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(81),
    [139] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(979),
    [141] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(62),
    [143] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(963),
    [145] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(32),
    [147] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(680),
    [149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(370),
    [151] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(496),
    [153] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(794),
    [155] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(212),
    [157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(965),
    [159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1151),
    [161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1198),
    [163] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(954),
    [165] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(953),
    [167] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(952),
    [169] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [172] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [175] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [178] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [181] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(394),
    [184] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(494),
    [187] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [190] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(405),
    [193] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [196] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [199] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(398),
    [202] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [205] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [208] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [211] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [214] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(374),
    [217] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [220] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(392),
    [223] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [226] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1133),
    [229] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [232] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1147),
    [235] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    [237] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(983),
    [240] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(982),
    [243] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(981),
    [246] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(73),
    [249] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [252] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [255] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [258] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [261] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(980),
    [264] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(942),
    [267] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(937),
    [270] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(935),
    [273] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(932),
    [276] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [279] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(979),
    [282] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(62),
    [285] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(963),
    [288] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [291] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [294] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(680),
    [297] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(370),
    [300] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(496),
    [303] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(794),
    [306] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [309] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [312] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [315] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [318] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [321] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(394),
    [324] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(494),
    [327] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [330] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(405),
    [333] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [336] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [339] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(398),
    [342] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [345] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [348] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [351] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [354] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(374),
    [357] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [360] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(392),
    [363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [366] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1133),
    [369] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [372] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1147),
    [375] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    [377] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(983),
    [380] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(982),
    [383] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(981),
    [386] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(73),
    [389] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [392] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [395] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [398] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [401] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(980),
    [404] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(942),
    [407] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(937),
    [410] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(935),
    [413] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(932),
    [416] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [419] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(979),
    [422] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(953),
    [425] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [428] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [431] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(680),
    [434] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(370),
    [437] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(496),
    [440] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(952),
    [443] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(794),
    [446] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_body, 1, 0, 0),
    [451] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(986),
    [453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(958),
    [455] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_body, 1, 0, 0),
    [457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1034),
    [459] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1032),
    [461] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1131),
    [463] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [466] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [469] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [472] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [475] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(394),
    [478] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(494),
    [481] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [484] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(405),
    [487] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [490] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [493] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(398),
    [496] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [499] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [502] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [505] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [508] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(374),
    [511] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [514] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(392),
    [517] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [520] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1133),
    [523] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [526] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1147),
    [529] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    [531] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(983),
    [534] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(982),
    [537] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(981),
    [540] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(73),
    [543] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [546] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [549] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [552] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [555] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(980),
    [558] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(942),
    [561] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(937),
    [564] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(935),
    [567] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(932),
    [570] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [573] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(979),
    [576] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [579] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [582] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(680),
    [585] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(370),
    [588] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(496),
    [591] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(794),
    [594] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [597] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(959),
    [599] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1244),
    [601] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1096),
    [603] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(236),
    [605] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(97),
    [607] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(241),
    [609] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(219),
    [611] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(217),
    [613] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(213),
    [615] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(434),
    [617] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(501),
    [619] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(545),
    [621] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(227),
    [623] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1095),
    [625] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_specification, 1, 0, 0),
    [627] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    [629] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1177),
    [632] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(805),
    [635] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(382),
    [638] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1147),
    [641] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1129),
    [644] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(717),
    [647] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1062),
    [650] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [653] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [656] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1018),
    [659] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [662] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [665] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(631),
    [668] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(942),
    [671] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(882),
    [674] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(937),
    [677] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(935),
    [680] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(932),
    [683] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [686] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [689] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [692] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [695] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(680),
    [698] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(679),
    [701] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(370),
    [704] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(924),
    [707] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(923),
    [710] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(919),
    [713] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(918),
    [716] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 2, 0, 0),
    SHIFT_REPEAT(794),
    [719] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(894),
    [721] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(681),
    [723] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(939),
    [725] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1147),
    [728] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    [730] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1129),
    [733] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(717),
    [736] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1062),
    [739] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [742] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [745] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1018),
    [748] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [751] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [754] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(631),
    [757] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(942),
    [760] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(882),
    [763] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(937),
    [766] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(935),
    [769] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(932),
    [772] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [775] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(681),
    [778] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [781] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [784] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [787] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(680),
    [790] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(679),
    [793] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(370),
    [796] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(924),
    [799] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(923),
    [802] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(919),
    [805] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(918),
    [808] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(794),
    [811] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1176),
    [813] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(943),
    [815] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1147),
    [818] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    [820] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1129),
    [823] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(717),
    [826] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1062),
    [829] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1023),
    [832] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1019),
    [835] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1018),
    [838] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [841] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [844] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(631),
    [847] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(942),
    [850] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(882),
    [853] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(937),
    [856] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(935),
    [859] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(932),
    [862] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [865] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(732),
    [868] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [871] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [874] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(680),
    [877] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(679),
    [880] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(370),
    [883] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(924),
    [886] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(923),
    [889] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(919),
    [892] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(918),
    [895] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(794),
    [898] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(891),
    [900] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(102),
    [902] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1242),
    [904] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(74),
    [906] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(77),
    [908] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(798),
    [910] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [913] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [916] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [919] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [922] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(394),
    [925] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(494),
    [928] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1180),
    [931] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(405),
    [934] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [937] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [940] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(398),
    [943] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [946] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [949] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [952] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [955] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(374),
    [958] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [961] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(392),
    [964] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(497),
    [967] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1133),
    [970] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1179),
    [973] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    [975] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [978] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [981] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(496),
    [984] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [987] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(940),
    [989] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(755),
    [991] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(793),
    [993] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(738),
    [995] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 2, 0, 0),
    [997] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(389),
    [999] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_forward_dcl, 2, 0, 0),
    [1001] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(475),
    [1003] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(439),
    [1005] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(177),
    [1007] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(964),
    [1009] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(969),
    [1011] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(916),
    [1013] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1243),
    [1015] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(390),
    [1018] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(384),
    [1021] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [1024] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(393),
    [1027] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(394),
    [1030] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(964),
    [1033] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(969),
    [1036] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(405),
    [1039] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [1042] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(403),
    [1045] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(398),
    [1048] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [1051] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(397),
    [1054] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [1057] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(467),
    [1060] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(374),
    [1063] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1063),
    [1066] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(392),
    [1069] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(916),
    [1072] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(1133),
    [1075] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    [1077] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(932),
    [1080] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(81),
    [1083] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(32),
    [1086] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(929),
    [1089] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(212),
    [1092] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(893),
    [1094] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1096] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_element, 1, 0, 0),
    [1098] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1100] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_def_repeat1, 1, 0, 0),
    [1102] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1104] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 5, 0, 0),
    [1106] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1108] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 7, 0, 0),
    [1110] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1112] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_dcl, 6, 0, 0),
    [1114] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1116] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_state_member, 4, 0, 0),
    [1118] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(736),
    [1120] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(930),
    [1122] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(80),
    [1124] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_export, 2, 0, 0),
    [1126] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_export, 2, 0, 0),
    [1128] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1130] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 1, 0, 0),
    [1132] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1134] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_home_body_repeat1, 1, 0, 0),
    [1136] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1138] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_export, 2, 0, 0),
    [1140] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(335),
    [1142] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1025),
    [1144] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1200),
    [1146] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1201),
    [1148] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(446),
    [1150] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(448),
    [1152] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1202),
    [1154] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1203),
    [1156] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1204),
    [1158] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(522),
    [1160] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(523),
    [1162] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(525),
    [1164] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(449),
    [1166] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(461),
    [1168] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(529),
    [1170] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1245),
    [1172] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1205),
    [1174] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1206),
    [1176] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1207),
    [1178] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1208),
    [1180] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(462),
    [1182] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(465),
    [1184] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1209),
    [1186] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(466),
    [1188] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(469),
    [1190] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(474),
    [1192] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(383),
    [1194] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1175),
    [1196] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1182),
    [1198] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1190),
    [1200] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(275),
    [1202] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(276),
    [1204] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1193),
    [1206] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1194),
    [1208] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1196),
    [1210] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(300),
    [1212] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(308),
    [1214] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(307),
    [1216] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(271),
    [1218] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(274),
    [1220] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(296),
    [1222] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(877),
    [1224] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1192),
    [1226] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1191),
    [1228] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1154),
    [1230] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1149),
    [1232] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(265),
    [1234] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(273),
    [1236] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1012),
    [1238] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(277),
    [1240] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(262),
    [1242] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(261),
    [1244] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(256),
    [1246] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1126),
    [1248] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1214),
    [1250] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1215),
    [1252] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(120),
    [1254] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(113),
    [1256] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1216),
    [1258] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1217),
    [1260] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1218),
    [1262] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(161),
    [1264] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(157),
    [1266] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(149),
    [1268] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(114),
    [1270] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(112),
    [1272] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(134),
    [1274] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1170),
    [1276] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1219),
    [1278] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1220),
    [1280] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1221),
    [1282] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1222),
    [1284] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(115),
    [1286] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(116),
    [1288] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1223),
    [1290] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(117),
    [1292] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(119),
    [1294] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(122),
    [1296] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(128),
    [1298] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1127),
    [1300] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1228),
    [1302] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1229),
    [1304] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(472),
    [1306] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(468),
    [1308] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1230),
    [1310] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1231),
    [1312] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1232),
    [1314] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(712),
    [1316] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(711),
    [1318] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(710),
    [1320] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(457),
    [1322] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(413),
    [1324] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(707),
    [1326] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1165),
    [1328] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1233),
    [1330] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1234),
    [1332] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1235),
    [1334] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1236),
    [1336] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(414),
    [1338] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(424),
    [1340] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1237),
    [1342] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(425),
    [1344] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(426),
    [1346] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(427),
    [1348] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(407),
    [1350] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1352] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_body_repeat1, 1, 0, 0),
    [1354] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1356] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    [1358] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(891),
    [1361] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 2, 0, 0),
    SHIFT_REPEAT(102),
    [1364] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(257),
    [1366] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1368] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_case_repeat1, 1, 0, 0),
    [1370] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1372] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 3, 0, 0),
    [1374] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1376] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case_label, 2, 0, 0),
    [1378] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1380] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    [1382] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(74),
    [1385] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(77),
    [1388] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 6),
    [1390] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 6),
    [1392] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 4, 0, 8),
    [1394] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 4, 0, 8),
    [1396] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 8),
    [1398] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 8),
    [1400] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 3, 0, 6),
    [1402] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 3, 0, 6),
    [1404] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1406] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 1, 0, 2),
    [1408] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(568),
    [1410] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1412] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 1, 0, 2),
    [1414] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(460),
    [1416] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1418] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 1, 0, 2),
    [1420] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(569),
    [1422] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1424] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 1, 0, 2),
    [1426] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(559),
    [1428] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1430] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 1, 0, 2),
    [1432] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(557),
    [1434] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1436] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 1, 0, 2),
    [1438] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(495),
    [1440] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1442] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 1, 0, 2),
    [1444] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(551),
    [1446] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1448] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 1, 0, 2),
    [1450] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(459),
    [1452] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 6, 0, 8),
    [1454] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 6, 0, 8),
    [1456] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1458] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 1, 0, 2),
    [1460] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(549),
    [1462] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1464] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 1, 0, 0),
    [1466] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(84),
    [1468] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1470] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_except_dcl_repeat1, 1, 0, 0),
    [1472] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1474] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 3, 0, 0),
    [1476] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1478] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extend_annotation_appl, 4, 0, 0),
    [1480] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1482] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 1, 0, 0),
    [1484] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1486] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 2, 0, 0),
    [1488] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1490] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_scoped_name, 3, 0, 0),
    [1492] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_member, 5, 0, 6),
    [1494] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_member, 5, 0, 6),
    [1496] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1498] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 3, 0, 0),
    [1500] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1502] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default_literal, 1, 0, 2),
    [1504] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 12),
    [1506] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 8, 0, 12),
    [1508] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1510] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_position, 4, 0, 2),
    [1512] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1514] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 4, 0, 2),
    [1516] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1518] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 4, 0, 2),
    [1520] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1522] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_id, 4, 0, 2),
    [1524] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1526] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_default, 4, 0, 2),
    [1528] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1530] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 10),
    [1532] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1534] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_range, 6, 0, 9),
    [1536] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1538] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_optional, 3, 0, 2),
    [1540] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1542] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_autoid, 3, 0, 2),
    [1544] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1546] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_custom_body, 4, 0, 0),
    [1548] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1550] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_builtin_body, 1, 0, 0),
    [1552] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1554] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 2, 0, 0),
    [1556] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1558] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_value, 4, 0, 2),
    [1560] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1562] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_mutable, 1, 0, 2),
    [1564] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1566] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_ami, 4, 0, 2),
    [1568] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_definition, 2, 0, 0),
    [1570] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_definition, 2, 0, 0),
    [1572] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1574] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_oneway, 4, 0, 2),
    [1576] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1578] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_service, 4, 0, 2),
    [1580] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1582] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 2, 0, 0),
    [1584] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1586] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_extensibility, 4, 0, 2),
    [1588] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1590] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member, 5, 0, 0),
    [1592] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1594] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_appendable, 1, 0, 2),
    [1596] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 4, 0, 5),
    [1600] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1602] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_nested, 4, 0, 2),
    [1604] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1606] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_external, 4, 0, 2),
    [1608] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1610] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_final, 1, 0, 2),
    [1612] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1614] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_bit_bound, 4, 0, 2),
    [1616] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1618] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_verbatim, 6, 0, 11),
    [1620] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1622] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl, 1, 0, 0),
    [1624] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1626] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 1, 0, 0),
    [1628] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1630] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_key, 4, 0, 2),
    [1632] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1634] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_unit, 4, 0, 2),
    [1636] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1638] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_dcl_repeat1, 1, 0, 0),
    [1640] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1642] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_max, 4, 0, 2),
    [1644] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1646] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_body, 1, 0, 0),
    [1648] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1650] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_min, 4, 0, 2),
    [1652] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1654] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_must_understand, 4, 0, 2),
    [1656] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1658] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 2, 0, 1),
    [1660] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1662] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_include, 3, 0, 4),
    [1664] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1666] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_specification_repeat1, 1, 0, 0),
    [1668] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1670] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_attribute, 1, 0, 0),
    [1672] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1674] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_call, 3, 0, 3),
    [1676] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1168),
    [1678] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1680] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_preproc_define, 2, 0, 0),
    [1682] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(356),
    [1684] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1686] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_template_module_dcl_repeat1, 1, 0, 0),
    [1688] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1690] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 1, 0, 0),
    [1692] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1694] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_tpl_definition, 2, 0, 0),
    [1696] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1698] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_module_dcl_repeat1, 1, 0, 0),
    [1700] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(390),
    [1702] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(384),
    [1704] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(394),
    [1706] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(902),
    [1708] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(405),
    [1710] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(398),
    [1712] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(219),
    [1714] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(217),
    [1716] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(213),
    [1718] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(501),
    [1720] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(227),
    [1722] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(961),
    [1724] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(981),
    [1726] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(73),
    [1728] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(391),
    [1730] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(353),
    [1732] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(719),
    [1734] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(714),
    [1736] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(715),
    [1738] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(716),
    [1740] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    [1742] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(981),
    [1745] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(73),
    [1748] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [1751] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(353),
    [1754] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(719),
    [1757] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(714),
    [1760] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(715),
    [1763] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(716),
    [1766] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_body, 1, 0, 0),
    [1768] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1770] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_dec_number, 1, 0, 0),
    [1772] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1100),
    [1774] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1776] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 1, 0, 0),
    [1778] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1780] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 2, 0, 0),
    [1782] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(628),
    [1784] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1786] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_literal, 1, 0, 0),
    [1788] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(520),
    [1790] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1792] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_oct_number, 1, 0, 0),
    [1794] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1796] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_expr, 3, 0, 0),
    [1798] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1199),
    [1800] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1802] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 2, 0, 0),
    [1804] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1806] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 5, 0, 0),
    [1808] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1810] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_literal, 4, 0, 0),
    [1812] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1814] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 4, 0, 0),
    [1816] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1818] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_literal, 5, 0, 0),
    [1820] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1822] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_boolean_literal, 1, 0, 0),
    [1824] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 2, 0, 0),
    [1826] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_literal, 1, 0, 0),
    [1828] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_literal, 1, 0, 0),
    [1830] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1832] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_expr, 1, 0, 0),
    [1834] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_body, 1, 0, 0),
    [1836] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1838] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 1, 0, 0),
    [1840] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(164),
    [1842] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(164),
    [1844] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1846] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_literal, 3, 0, 0),
    [1848] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1850] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 2, 0, 0),
    [1852] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1854] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 1, 0, 0),
    [1856] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1858] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_unary_operator, 1, 0, 0),
    [1860] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1862] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_literal, 3, 0, 0),
    [1864] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1866] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_string_literal, 2, 0, 0),
    [1868] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1870] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_wide_character_literal, 2, 0, 0),
    [1872] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1874] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_add_expr, 3, 0, 0),
    [1876] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1878] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_mult_expr, 3, 0, 0),
    [1880] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    [1882] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(981),
    [1885] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(73),
    [1888] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [1891] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(353),
    [1894] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 2, 0, 0),
    SHIFT_REPEAT(716),
    [1897] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    [1899] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(981),
    [1902] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(73),
    [1905] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(391),
    [1908] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(353),
    [1911] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(716),
    [1914] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(888),
    [1916] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(888),
    [1918] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(889),
    [1920] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(66),
    [1923] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(65),
    [1926] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1928] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 3, 0, 0),
    [1930] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(131),
    [1932] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1934] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_shift_expr, 1, 0, 0),
    [1936] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1938] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_type_spec, 1, 0, 0),
    [1940] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(101),
    [1942] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1138),
    [1944] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(86),
    [1946] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(595),
    [1948] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(591),
    [1950] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(585),
    [1952] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(571),
    [1954] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(590),
    [1956] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(572),
    [1958] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(487),
    [1960] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(486),
    [1962] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(481),
    [1964] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1966] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 1, 0, 0),
    [1968] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(109),
    [1970] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1972] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_and_expr, 3, 0, 0),
    [1974] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_export, 2, 0, 0),
    [1976] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_component_body_repeat1, 1, 0, 0),
    [1978] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1026),
    [1980] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 3, 0, 0),
    [1982] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(106),
    [1984] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_xor_expr, 1, 0, 0),
    [1986] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(734),
    [1988] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 1, 0, 0),
    [1990] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(733),
    [1992] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(730),
    [1994] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(743),
    [1996] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(75),
    [1998] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(72),
    [2000] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(744),
    [2002] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 3, 0, 0),
    [2004] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(104),
    [2006] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_or_expr, 1, 0, 0),
    [2008] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(222),
    [2010] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 1, 0, 0),
    [2012] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(835),
    [2014] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(891),
    [2016] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(102),
    [2018] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_port_body_repeat1, 1, 0, 0),
    [2020] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_simple_declarator, 1, 0, 0),
    [2022] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(797),
    [2024] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_export, 2, 0, 0),
    [2026] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 2, 0, 0),
    [2028] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 2, 0, 0),
    [2030] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(389),
    [2032] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 2, 0, 0),
    [2034] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(475),
    [2036] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_connector_dcl_repeat1, 1, 0, 0),
    [2038] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_expr, 1, 0, 0),
    [2040] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(103),
    [2042] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(19),
    [2044] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_forward_dcl, 3, 0, 0),
    [2046] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_export, 1, 0, 0),
    [2048] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    [2050] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(891),
    [2053] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 2, 0, 0),
    SHIFT_REPEAT(102),
    [2056] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_ref, 2, 0, 0),
    [2058] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(71),
    [2060] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(76),
    [2062] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(555),
    [2064] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1195),
    [2066] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1156),
    [2068] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(400),
    [2070] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 2, 0, 0),
    [2072] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(614),
    [2074] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_forward_dcl, 2, 0, 0),
    [2076] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(615),
    [2078] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(71),
    [2081] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(76),
    [2084] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2086] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_integer_sign, 1, 0, 0),
    [2088] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(15),
    [2090] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(299),
    [2092] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(694),
    [2094] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(741),
    [2096] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(745),
    [2098] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(746),
    [2100] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(701),
    [2102] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 3, 0, 0),
    [2104] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(94),
    [2106] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(127),
    [2108] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(792),
    [2110] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    [2112] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(94),
    [2115] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(126),
    [2117] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(547),
    [2119] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_array_declarator, 2, 0, 0),
    [2121] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(212),
    [2123] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(295),
    [2125] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(75),
    [2128] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(72),
    [2131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(836),
    [2133] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_char_type, 1, 0, 0),
    [2135] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1128),
    [2137] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(83),
    [2139] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(363),
    [2141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(625),
    [2143] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(612),
    [2145] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(626),
    [2147] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1030),
    [2149] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(85),
    [2151] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(772),
    [2153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(931),
    [2155] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    [2157] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(931),
    [2160] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(731),
    [2162] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1031),
    [2164] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(435),
    [2166] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1056),
    [2168] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_long_int, 1, 0, 0),
    [2170] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(839),
    [2172] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_integer_type, 1, 0, 0),
    [2174] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(464),
    [2176] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_short_int, 1, 0, 0),
    [2178] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(87),
    [2180] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 1, 0, 0),
    [2182] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_longlong_int, 1, 0, 0),
    [2184] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_int, 1, 0, 0),
    [2186] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1067),
    [2188] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_longlong_int, 1, 0, 0),
    [2190] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_long_int, 1, 0, 0),
    [2192] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_unsigned_short_int, 1, 0, 0),
    [2194] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 1, 0, 0),
    [2196] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(920),
    [2198] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_signed_int, 1, 0, 0),
    [2200] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(723),
    [2202] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(702),
    [2204] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(69),
    [2206] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(335),
    [2208] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(754),
    [2210] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(79),
    [2212] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(538),
    [2214] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(535),
    [2216] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_spec, 1, 0, 0),
    [2218] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 6, 0, 0),
    [2220] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(577),
    [2222] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(575),
    [2225] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    [2227] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_array_size, 3, 0, 0),
    [2229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(790),
    [2231] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(411),
    [2234] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_value_inheritance_spec_repeat1, 2, 0, 0),
    [2236] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(411),
    [2238] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 4, 0, 0),
    [2240] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(479),
    [2242] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(534),
    [2244] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(503),
    [2246] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(531),
    [2248] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(530),
    [2250] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
    [2252] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(575),
    [2254] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 2, 0, 0),
    [2256] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 4, 0, 0),
    [2258] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(519),
    [2261] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
    [2263] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(565),
    [2265] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(234),
    [2267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(565),
    [2269] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1159),
    [2271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(437),
    [2273] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 2, 0, 0),
    [2275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(706),
    [2277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(67),
    [2279] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 4, 0, 0),
    [2281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(696),
    [2283] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(237),
    [2285] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(552),
    [2287] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(849),
    [2289] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(553),
    [2291] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(840),
    [2293] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(443),
    [2295] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 5, 0, 0),
    [2297] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(444),
    [2299] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(599),
    [2301] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 4, 0, 0),
    [2303] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_string_type, 4, 0, 0),
    [2305] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(745),
    [2308] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 2, 0, 0),
    [2310] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(437),
    [2313] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_declarators_repeat1, 2, 0, 0),
    [2315] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 2, 0, 0),
    [2317] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(456),
    [2319] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 3, 0, 0),
    [2321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(423),
    [2323] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(541),
    [2325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(144),
    [2327] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(143),
    [2329] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(598),
    [2331] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(594),
    [2333] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_name, 1, 0, 0),
    [2335] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(593),
    [2337] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(482),
    [2339] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_floating_pt_type, 1, 0, 0),
    [2341] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(471),
    [2343] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(589),
    [2345] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(698),
    [2347] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(695),
    [2349] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(470),
    [2351] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarators, 1, 0, 0),
    [2353] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(586),
    [2355] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_type_spec, 1, 0, 0),
    [2357] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(38),
    [2359] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(602),
    [2361] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_forward_dcl, 2, 0, 0),
    [2363] = { .entry = { .count = 2, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(565),
    [2366] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    [2368] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
    SHIFT_REPEAT(565),
    [2371] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(871),
    [2373] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(899),
    [2375] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(609),
    [2377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_sequence_type, 6, 0, 0),
    [2379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(312),
    [2381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(318),
    [2383] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_type, 6, 0, 0),
    [2385] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 6, 0, 0),
    [2387] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 5, 0, 0),
    [2389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(842),
    [2391] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(868),
    [2393] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_base_type_spec, 1, 0, 0),
    [2395] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_object_type, 1, 0, 0),
    [2397] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_type, 1, 0, 0),
    [2399] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 2, 0, 0),
    [2401] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(431),
    [2403] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_forward_dcl, 2, 0, 0),
    [2405] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(519),
    [2407] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(233),
    [2409] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_map_type, 8, 0, 0),
    [2411] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 1, 0, 0),
    [2413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(995),
    [2415] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(809),
    [2418] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_in_parameter_dcls_repeat1, 2, 0, 0),
    [2420] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(847),
    [2422] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(737),
    [2424] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(774),
    [2426] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(841),
    [2428] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_case, 3, 0, 0),
    [2430] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_names, 2, 0, 0),
    [2432] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(341),
    [2434] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(767),
    [2436] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    [2438] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameter_names_repeat1, 2, 0, 0),
    SHIFT_REPEAT(995),
    [2441] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_char_literal_repeat1, 1, 0, 0),
    [2443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(442),
    [2445] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 7, 0, 0),
    [2447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(111),
    [2449] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(98),
    [2451] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_declarator, 1, 0, 0),
    [2453] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(777),
    [2456] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_factory_param_dcls_repeat1, 2, 0, 0),
    [2458] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(771),
    [2461] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_init_param_dcls_repeat1, 2, 0, 0),
    [2463] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    SHIFT_REPEAT(44),
    [2466] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_parameter_dcls_repeat1, 2, 0, 0),
    [2468] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(816),
    [2470] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 2, 0, 0),
    [2472] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 2, 0, 0),
    [2474] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(630),
    [2476] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(758),
    [2479] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_context_expr_repeat1, 2, 0, 0),
    [2481] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 2, 0, 0),
    [2483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(56),
    [2485] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(809),
    [2487] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 2, 0, 0),
    [2489] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 2, 0, 0),
    [2491] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(22),
    [2493] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_union_def_repeat1, 1, 0, 0),
    [2495] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 6, 0, 0),
    [2497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(399),
    [2499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(752),
    [2501] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2503] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
    [2505] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    SHIFT_REPEAT(429),
    [2508] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_any_declarators_repeat1, 2, 0, 0),
    [2510] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_supported_interface_spec, 3, 0, 0),
    [2512] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 3, 0, 0),
    [2514] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(340),
    [2516] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(996),
    [2518] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 5, 0, 0),
    [2520] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 1, 0, 0),
    [2522] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(59),
    [2524] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1141),
    [2526] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(429),
    [2528] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 1, 0, 0),
    [2530] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(777),
    [2532] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 2, 0, 0),
    [2534] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_raises_expr_repeat1, 2, 0, 0),
    SHIFT_REPEAT(609),
    [2537] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(54),
    [2539] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(108),
    [2541] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_inheritance_spec, 2, 0, 0),
    [2543] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 5, 0, 0),
    [2545] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    [2547] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 2, 0, 0),
    SHIFT_REPEAT(841),
    [2550] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(771),
    [2552] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 2, 0, 0),
    [2554] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(51),
    [2556] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(341),
    [2559] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitmask_dcl_repeat1, 2, 0, 0),
    [2561] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 3, 0, 0),
    [2563] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(636),
    [2565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(44),
    [2567] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 2, 0, 0),
    [2569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(691),
    [2571] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_inheritance_spec, 2, 0, 0),
    [2573] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_inheritance_spec, 2, 0, 0),
    [2575] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarators, 2, 0, 0),
    [2577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(758),
    [2579] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(885),
    [2581] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    SHIFT_REPEAT(816),
    [2584] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_annotation_appl_params_repeat1, 2, 0, 0),
    [2586] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    [2588] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(56),
    [2591] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_parameter_dcls, 1, 0, 0),
    [2593] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    [2595] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_actual_parameters_repeat1, 2, 0, 0),
    SHIFT_REPEAT(22),
    [2598] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_positive_int_const, 1, 0, 0),
    [2600] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    SHIFT_REPEAT(734),
    [2603] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_readonly_attr_declarator_repeat1, 2, 0, 0),
    [2605] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    SHIFT_REPEAT(399),
    [2608] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enum_dcl_repeat1, 2, 0, 0),
    [2610] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_declarator, 2, 0, 0),
    [2612] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(837),
    [2614] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(843),
    [2616] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_params, 1, 0, 0),
    [2618] = { .entry = { .count = 2, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    SHIFT_REPEAT(442),
    [2621] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_interface_inheritance_spec_repeat1, 2, 0, 0),
    [2623] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_inheritance_spec, 5, 0, 0),
    [2625] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 1, 0, 0),
    [2627] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_declarator, 2, 0, 0),
    [2629] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(911),
    [2631] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(53),
    [2633] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(29),
    [2635] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_parameter_dcls, 1, 0, 0),
    [2637] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(49),
    [2639] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameters, 1, 0, 0),
    [2641] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcls, 1, 0, 0),
    [2643] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(773),
    [2645] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 4, 0, 0),
    [2647] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcls, 1, 0, 0),
    [2649] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 4, 0, 0),
    [2651] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(61),
    [2653] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1143),
    [2655] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1160),
    [2657] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1161),
    [2659] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_name, 1, 0, 0),
    [2661] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2663] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1099),
    [2665] = { .entry = { .count = 1, .reusable = false } },
    REDUCE(sym_union_forward_dcl, 2, 0, 0),
    [2667] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameters, 1, 0, 0),
    [2669] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(226),
    [2671] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(223),
    [2673] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 7, 0, 0),
    [2675] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_actual_parameter, 1, 0, 0),
    [2677] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 4, 0, 0),
    [2679] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(21),
    [2681] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_dcl, 1, 0, 0),
    [2683] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_get_excep_expr, 2, 0, 0),
    [2685] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(668),
    [2687] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 4, 0, 0),
    [2689] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1157),
    [2691] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1174),
    [2693] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(37),
    [2695] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(64),
    [2697] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 1, 0, 0),
    [2699] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 5, 0, 0),
    [2701] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 7, 0, 7),
    [2703] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitset_dcl_repeat1, 1, 0, 0),
    [2705] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 4, 0, 0),
    [2707] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(379),
    [2709] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 4, 0, 0),
    [2711] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 1, 0, 0),
    [2713] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_modifier, 1, 0, 0),
    [2715] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 1, 0, 0),
    [2717] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_primary_key_spec, 2, 0, 0),
    [2719] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_enumerator_repeat1, 1, 0, 0),
    [2721] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(489),
    [2723] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(95),
    [2725] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 6, 0, 0),
    [2727] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 5, 0, 0),
    [2729] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 6, 0, 7),
    [2731] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(450),
    [2733] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(89),
    [2735] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 2, 0, 0),
    [2737] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_appl_param, 3, 0, 0),
    [2739] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_dcl, 1, 0, 0),
    [2741] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(225),
    [2743] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(224),
    [2745] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 6, 0, 0),
    [2747] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_inherit_spec, 2, 0, 0),
    [2749] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 6, 0, 0),
    [2751] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 7, 0, 0),
    [2753] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 3, 0, 0),
    [2755] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(725),
    [2757] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(187),
    [2759] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_declarator, 1, 0, 0),
    [2761] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_type, 1, 0, 0),
    [2763] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1020),
    [2765] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(859),
    [2767] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(381),
    [2769] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(570),
    [2771] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_type, 1, 0, 0),
    [2773] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enumerator, 2, 0, 0),
    [2775] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(831),
    [2777] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_dcl, 5, 0, 0),
    [2779] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 4, 0, 0),
    [2781] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_switch_type_spec, 1, 0, 0),
    [2783] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 2, 0, 0),
    [2785] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 8, 0, 0),
    [2787] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_struct_def, 5, 0, 0),
    [2789] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_member_type, 1, 0, 0),
    [2791] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1134),
    [2793] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1013),
    [2795] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1101),
    [2797] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_constr_type_dcl, 1, 0, 0),
    [2799] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(174),
    [2801] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1029),
    [2803] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_oneway_dcl, 6, 0, 0),
    [2805] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter, 2, 0, 0),
    [2807] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_dcl, 6, 0, 0),
    [2809] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1010),
    [2811] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_param_dcl, 3, 0, 0),
    [2813] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(321),
    [2815] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_forward_dcl, 2, 0, 0),
    [2817] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_init_param_dcl, 3, 0, 0),
    [2819] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_imported_scope, 1, 0, 0),
    [2821] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_param_dcl, 3, 0, 0),
    [2823] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield_spec, 6, 0, 0),
    [2825] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1135),
    [2827] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(508),
    [2829] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(133),
    [2831] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(99),
    [2833] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_union_def, 9, 0, 0),
    [2835] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bit_value, 2, 0, 0),
    [2837] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitmask_dcl, 5, 0, 0),
    [2839] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitset_dcl, 5, 0, 0),
    [2841] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_raises_expr, 4, 0, 0),
    [2843] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(aux_sym_bitfield_repeat1, 1, 0, 0),
    [2845] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 3, 0, 0),
    [2847] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_bitfield, 2, 0, 0),
    [2849] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_in_param_dcl, 3, 0, 0),
    [2851] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_exception_list, 4, 0, 0),
    [2853] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_autoid_kind, 1, 0, 0),
    [2855] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(600),
    [2857] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(513),
    [2859] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(151),
    [2861] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(316),
    [2863] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(285),
    [2865] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(832),
    [2867] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(860),
    [2869] = { .entry = { .count = 1, .reusable = true } },
    ACCEPT_INPUT(),
    [2871] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_element_spec, 2, 0, 0),
    [2873] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(202),
    [2875] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(862),
    [2877] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1178),
    [2879] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_ref, 6, 0, 0),
    [2881] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(313),
    [2883] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(92),
    [2885] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(293),
    [2887] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(301),
    [2889] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(498),
    [2891] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 1, 0, 0),
    [2893] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(314),
    [2895] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_extensibility_kind, 1, 0, 0),
    [2897] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_finder_dcl, 6, 0, 0),
    [2899] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(311),
    [2901] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(310),
    [2903] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(302),
    [2905] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(294),
    [2907] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(785),
    [2909] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(292),
    [2911] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(297),
    [2913] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_factory_dcl, 6, 0, 0),
    [2915] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(50),
    [2917] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(345),
    [2919] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(154),
    [2921] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 5, 0, 0),
    [2923] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(289),
    [2925] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(505),
    [2927] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_verbatim_language, 1, 0, 0),
    [2929] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_placement_kind, 1, 0, 0),
    [2931] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(288),
    [2933] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(93),
    [2935] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_dcl, 1, 0, 0),
    [2937] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 4, 0, 0),
    [2939] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 8, 0, 0),
    [2941] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(327),
    [2943] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(284),
    [2945] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_max_expr, 3, 0, 0),
    [2947] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(827),
    [2949] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_service_platform, 1, 0, 0),
    [2951] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(286),
    [2953] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(829),
    [2955] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_destination_type, 1, 0, 0),
    [2957] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(40),
    [2959] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(3),
    [2961] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_dcl, 1, 0, 0),
    [2963] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 4, 0, 0),
    [2965] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(315),
    [2967] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 4, 0, 0),
    [2969] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(808),
    [2971] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_dcl, 1, 0, 0),
    [2973] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_raises_expr, 2, 0, 0),
    [2975] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_set_excep_expr, 2, 0, 0),
    [2977] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_any_const_type, 1, 0, 0),
    [2979] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(542),
    [2981] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(818),
    [2983] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(548),
    [2985] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_header, 7, 0, 0),
    [2987] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(206),
    [2989] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(377),
    [2991] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(354),
    [2993] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(281),
    [2995] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(303),
    [2997] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(6),
    [2999] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_enum_anno, 1, 0, 0),
    [3001] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(96),
    [3003] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(950),
    [3005] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(184),
    [3007] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(18),
    [3009] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(720),
    [3011] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(13),
    [3013] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(477),
    [3015] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1183),
    [3017] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_dcl, 7, 0, 0),
    [3019] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 4, 0, 0),
    [3021] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(812),
    [3023] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 1, 0, 0),
    [3025] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 4, 0, 0),
    [3027] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_system_lib_string, 3, 0, 0),
    [3029] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(351),
    [3031] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(344),
    [3033] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 3, 0, 0),
    [3035] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(287),
    [3037] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(58),
    [3039] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(360),
    [3041] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1189),
    [3043] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1187),
    [3045] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1185),
    [3047] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 3, 0, 0),
    [3049] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1171),
    [3051] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(319),
    [3053] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(156),
    [3055] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 7, 0, 0),
    [3057] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 7, 0, 0),
    [3059] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_declarator, 2, 0, 0),
    [3061] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 3, 0, 0),
    [3063] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(365),
    [3065] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1150),
    [3067] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 3, 0, 0),
    [3069] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_header, 3, 0, 0),
    [3071] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_box_def, 3, 0, 0),
    [3073] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(110),
    [3075] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_fixed_pt_const_type, 1, 0, 0),
    [3077] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_dcl, 1, 0, 0),
    [3079] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_dcl, 1, 0, 0),
    [3081] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(2),
    [3083] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_default, 2, 0, 0),
    [3085] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1148),
    [3087] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_dcl, 1, 0, 0),
    [3089] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_supports, 2, 0, 0),
    [3091] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1070),
    [3093] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1068),
    [3095] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(70),
    [3097] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_type_spec, 1, 0, 0),
    [3099] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(597),
    [3101] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(616),
    [3103] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 3, 0, 0),
    [3105] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_header, 3, 0, 0),
    [3107] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(249),
    [3109] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_header, 4, 0, 0),
    [3111] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(620),
    [3113] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_header, 3, 0, 0),
    [3115] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(10),
    [3117] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(490),
    [3119] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(838),
    [3121] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_context_expr, 3, 0, 0),
    [3123] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1173),
    [3125] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_readonly_attr_spec, 4, 0, 0),
    [3127] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(451),
    [3129] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(488),
    [3131] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(484),
    [3133] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(342),
    [3135] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1247),
    [3137] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_header, 4, 0, 0),
    [3139] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_template_module_inst, 6, 0, 0),
    [3141] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(90),
    [3143] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(68),
    [3145] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(247),
    [3147] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_consumes_dcl, 3, 0, 0),
    [3149] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(283),
    [3151] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(727),
    [3153] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(317),
    [3155] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(290),
    [3157] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1172),
    [3159] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1066),
    [3161] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(193),
    [3163] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_min_expr, 3, 0, 0),
    [3165] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(787),
    [3167] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(580),
    [3169] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(409),
    [3171] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 4, 0, 0),
    [3173] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1153),
    [3175] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(178),
    [3177] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(396),
    [3179] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1163),
    [3181] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 6, 0, 0),
    [3183] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 6, 0, 0),
    [3185] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(560),
    [3187] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(690),
    [3189] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(561),
    [3191] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(563),
    [3193] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(564),
    [3195] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(566),
    [3197] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(567),
    [3199] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(573),
    [3201] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(578),
    [3203] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(579),
    [3205] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(582),
    [3207] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(583),
    [3209] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(584),
    [3211] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(291),
    [3213] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(617),
    [3215] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(621),
    [3217] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(622),
    [3219] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(637),
    [3221] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(648),
    [3223] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(654),
    [3225] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(107),
    [3227] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(175),
    [3229] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(658),
    [3231] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(662),
    [3233] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(666),
    [3235] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(36),
    [3237] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(672),
    [3239] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 1, 0, 0),
    [3241] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(324),
    [3243] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_prefix_dcl, 3, 0, 0),
    [3245] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_type_id_dcl, 3, 0, 0),
    [3247] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(331),
    [3249] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(325),
    [3251] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1144),
    [3253] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_def, 4, 0, 0),
    [3255] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(140),
    [3257] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(139),
    [3259] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(138),
    [3261] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(137),
    [3263] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(136),
    [3265] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(148),
    [3267] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(155),
    [3269] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(167),
    [3271] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(173),
    [3273] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(172),
    [3275] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(170),
    [3277] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(168),
    [3279] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(162),
    [3281] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(160),
    [3283] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(159),
    [3285] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(158),
    [3287] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(153),
    [3289] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(152),
    [3291] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(150),
    [3293] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(145),
    [3295] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(142),
    [3297] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(141),
    [3299] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(163),
    [3301] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(135),
    [3303] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1246),
    [3305] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(209),
    [3307] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_typedef_dcl, 2, 0, 0),
    [3309] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(100),
    [3311] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(179),
    [3313] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(210),
    [3315] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_port_dcl, 3, 0, 0),
    [3317] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(692),
    [3319] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(689),
    [3321] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(687),
    [3323] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(686),
    [3325] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(684),
    [3327] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(682),
    [3329] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(507),
    [3331] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(671),
    [3333] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(667),
    [3335] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(665),
    [3337] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(664),
    [3339] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(660),
    [3341] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(659),
    [3343] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(653),
    [3345] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(650),
    [3347] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(647),
    [3349] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(644),
    [3351] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(643),
    [3353] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(642),
    [3355] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(639),
    [3357] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(635),
    [3359] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(634),
    [3361] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(633),
    [3363] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(632),
    [3365] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(129),
    [3367] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(402),
    [3369] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(406),
    [3371] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_abs_def, 5, 0, 0),
    [3373] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_publishes_dcl, 3, 0, 0),
    [3375] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_emits_dcl, 3, 0, 0),
    [3377] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_uses_dcl, 3, 0, 0),
    [3379] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1098),
    [3381] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(259),
    [3383] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(909),
    [3385] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_provides_dcl, 3, 0, 0),
    [3387] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(592),
    [3389] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(52),
    [3391] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_kind, 2, 0, 0),
    [3393] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(412),
    [3395] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_op_with_context, 2, 0, 0),
    [3397] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_attr_spec, 3, 0, 0),
    [3399] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1060),
    [3401] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(41),
    [3403] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(272),
    [3405] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(440),
    [3407] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_def, 4, 0, 0),
    [3409] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(343),
    [3411] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_porttype_def, 5, 0, 0),
    [3413] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(782),
    [3415] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_value_kind, 2, 0, 0),
    [3417] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(419),
    [3419] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(357),
    [3421] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(348),
    [3423] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_const_dcl, 5, 0, 0),
    [3425] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(944),
    [3427] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1140),
    [3429] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(848),
    [3431] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1136),
    [3433] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1005),
    [3435] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_interface_dcl, 2, 0, 0),
    [3437] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(846),
    [3439] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_component_def, 4, 0, 0),
    [3441] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(46),
    [3443] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(1008),
    [3445] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(362),
    [3447] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(254),
    [3449] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_module_dcl, 5, 0, 0),
    [3451] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(180),
    [3453] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(962),
    [3455] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(60),
    [3457] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(91),
    [3459] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_native_dcl, 2, 0, 0),
    [3461] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(204),
    [3463] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(26),
    [3465] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_formal_parameter_type, 2, 0, 0),
    [3467] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(410),
    [3469] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_import_dcl, 2, 0, 0),
    [3471] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(438),
    [3473] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_home_dcl, 4, 0, 0),
    [3475] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(269),
    [3477] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(191),
    [3479] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(188),
    [3481] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(270),
    [3483] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(200),
    [3485] = { .entry = { .count = 1, .reusable = false } },
    SHIFT(1006),
    [3487] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(485),
    [3489] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(218),
    [3491] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_def, 4, 0, 0),
    [3493] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_connector_dcl, 4, 0, 0),
    [3495] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(190),
    [3497] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(280),
    [3499] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(278),
    [3501] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(201),
    [3503] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(480),
    [3505] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(198),
    [3507] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(197),
    [3509] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(780),
    [3511] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(279),
    [3513] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(248),
    [3515] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(781),
    [3517] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(323),
    [3519] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(783),
    [3521] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(784),
    [3523] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(189),
    [3525] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(260),
    [3527] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(266),
    [3529] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(194),
    [3531] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(493),
    [3533] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(205),
    [3535] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(203),
    [3537] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(789),
    [3539] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(264),
    [3541] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(250),
    [3543] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(806),
    [3545] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(329),
    [3547] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(810),
    [3549] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(813),
    [3551] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(196),
    [3553] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(263),
    [3555] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(267),
    [3557] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(192),
    [3559] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(499),
    [3561] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(195),
    [3563] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(199),
    [3565] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(820),
    [3567] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(268),
    [3569] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(246),
    [3571] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(824),
    [3573] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(326),
    [3575] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(826),
    [3577] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(828),
    [3579] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_except_dcl, 5, 0, 0),
    [3581] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_annotation_dcl, 5, 0, 0),
    [3583] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_event_abs_def, 5, 0, 0),
    [3585] = { .entry = { .count = 1, .reusable = true } },
    SHIFT(833),
    [3587] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 2, 0, 0),
    [3589] = { .entry = { .count = 1, .reusable = true } },
    REDUCE(sym_comment, 3, 0, 0),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_idl(void) {
    static const TSLanguage language = {
        .version = LANGUAGE_VERSION,
        .symbol_count = SYMBOL_COUNT,
        .alias_count = ALIAS_COUNT,
        .token_count = TOKEN_COUNT,
        .external_token_count = EXTERNAL_TOKEN_COUNT,
        .state_count = STATE_COUNT,
        .large_state_count = LARGE_STATE_COUNT,
        .production_id_count = PRODUCTION_ID_COUNT,
        .field_count = FIELD_COUNT,
        .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
        .parse_table = &ts_parse_table[0][0],
        .small_parse_table = ts_small_parse_table,
        .small_parse_table_map = ts_small_parse_table_map,
        .parse_actions = ts_parse_actions,
        .symbol_names = ts_symbol_names,
        .field_names = ts_field_names,
        .field_map_slices = ts_field_map_slices,
        .field_map_entries = ts_field_map_entries,
        .symbol_metadata = ts_symbol_metadata,
        .public_symbol_map = ts_symbol_map,
        .alias_map = ts_non_terminal_alias_map,
        .alias_sequences = &ts_alias_sequences[0][0],
        .lex_modes = ts_lex_modes,
        .lex_fn = ts_lex,
        .primary_state_ids = ts_primary_state_ids,
    };
    return &language;
}
#ifdef __cplusplus
}
#endif
